#import <sys/types.h>
#import <stddef.h>
#import "CD_DBaseSubs.h"

    /*
     * This subroutine has information for CD's with 4 tracks
     */

#define U2_WIDEAWAKEINAMERICA  448632633 /* key parts = 1246.15.04.483 286 */
#define MISHAM_THENET          638376672 /* key parts = 1773.20.04.222 635 */
#define TDREAM_WHITE_DE        829200608 /* key parts = 2303.25.04.1208 275 */
#define TDREAM_GREENDES_SEQ    833592719 /* key parts = 2315.40.04.1169 414 */
#define TDREAM_WHITE           834192613 /* key parts = 2317.15.04.1213 278 */
#define PINKF_UMMAGUMMA_REMD1  850704659 /* key parts = 2363.05.04.509 769 */
#define PINKF_UMMAGUMMA_D1     857271062 /* key parts = 2381.23.04.512 770 */
#define TDREAM_HYPERB_DE       901738301 /* key parts = 2504.62.04.551 1191 */
#define TDREAM_HYPERB          908760706 /* key parts = 2524.25.04.556 1196 */
#define RENAIS_SCHEHER_TRC     986808651 /* key parts = 2741.10.04.651 1471 */
#define TDREAM_DREAMROOTS_D5   987466207 /* key parts = 2742.72.04.907 699 */
#define ROYALPHIL_STARTREK_V2  991143073 /* key parts = 2753.13.04.523 518 */
#define RENAIS_SCHEHER_REP     991402254 /* key parts = 2753.67.04.654 1479 */
#define MOLDFIELD_BOXED_D3    1026351008 /* key parts = 2850.73.04.1208 358 */
#define MSHREEVE_REDSHIFT     1388952673 /* key parts = 3858.15.04.1123 1985 */
#define BKISTEN_HEADVISIONS   1391904747 /* key parts = 3866.30.04.1497 717 */
#define KSCH_ENTRANCE         1530586289 /* key parts = 4251.47.04.1139 1067 */
#define TDREAM_ENCORE         1533816667 /* key parts = 4260.45.04.967 1053 */
#define TDREAM_ENCORE_DE      1540042282 /* key parts = 4277.67.04.982 1056 */
#define MOLDFIELD_INCANT      1574280700 /* key parts = 4373.00.04.1150 1022 */
#define TDREAM_POLAND_SEQ     1665490346 /* key parts = 4626.27.04.1346 1250 */


void filltoc04(tocPtr, cdKey)
struct cd_toc *tocPtr;
u_int cdKey;
{

    if ( cdKey == BKISTEN_HEADVISIONS ) { /* 1:04:26-30 */
	tocPtr->discPerformer = "Bernd Kistenmacher";
	tocPtr->discTitle = "Head-Visions";
	SET_CDtt( 1, 24.57, "Rcksturz");
	SET_CDtt( 2, 14.27, "Quitting Time");
	SET_CDtt( 3, 13.03, "La Tendresse");
	SET_CDtt( 4, 11.57, "Dreamdance  [live in 1990, bonus track]");
	}
    if ( cdKey == MISHAM_THENET ) { /* 0:29:33-20 */
	tocPtr->discPerformer = "Mark Isham";
	tocPtr->discTitle = "The Net";
	SET_CDtt( 1, 03.42, "Act I");
	SET_CDtt( 2, 11.54, "Act II");
	SET_CDtt( 3, 03.20, "Act III");
	SET_CDtt( 4, 10.35, "Act IV");
	}
    if ( cdKey == MOLDFIELD_BOXED_D3 ) { /* 0:47:30-73 */
	tocPtr->discPerformer = "Mike Oldfield";
	tocPtr->discTitle = "Boxed  [disc 3]";
#     if !defined(SKIPSONGS_Mike_Oldfield)
	SET_CDtt( 1, 20.08, "Ommadawn: Part One");
	SET_CDtt( 2, 17.23, "Ommadawn: Part Two");
	SET_CDtt( 3, 03.59, "The Phaeacian Games");
	SET_CDtt( 4, 05.58, "First Excursion");
#     endif
	}
    if ( cdKey == MOLDFIELD_INCANT ) { /* 1:12:53-00 */
	tocPtr->discPerformer = "Mike Oldfield";
	tocPtr->discTitle = "Incantations";
#     if !defined(SKIPSONGS_Mike_Oldfield)
	SET_CDtt( 1, 19.10, "Incantations: Part One");
	SET_CDtt( 2, 19.38, "Incantations: Part Two");
	SET_CDtt( 3, 17.01, "Incantations: Part Three");
	SET_CDtt( 4, 17.02, "Incantations: Part Four");
#     endif
	}
    if ( cdKey == PINKF_UMMAGUMMA_D1 ) { /* 0:39:41-23 */
	tocPtr->discPerformer = "Pink Floyd";
	tocPtr->discTitle = "Ummagumma  [disc 1]";
#     if !defined(SKIPSONGS_Pink_Floyd)
	SET_CDtt( 1, 08.32, "Astronomy Domin");
	SET_CDtt( 2, 08.50, "Careful With That Axe, Eugene");
	SET_CDtt( 3, 09.27, "Set The Controls For The Heart Of The Sun");
	SET_CDtt( 4, 12.50, "A Saucerful Of Secrets");
#     endif
	}
    if ( cdKey == PINKF_UMMAGUMMA_REMD1 ) { /* 0:39:23-05 */
	tocPtr->discPerformer = "Pink Floyd";
	tocPtr->discTitle = "Ummagumma  [live disc, remastered]";
#     if !defined(SKIPSONGS_Pink_Floyd)
	SET_CDtt( 1, 08.29, "Astronomy Domin");
	SET_CDtt( 2, 08.51, "Careful With That Axe, Eugene");
	SET_CDtt( 3, 09.12, "Set The Controls For The Heart Of The Sun");
	SET_CDtt( 4, 12.49, "A Saucerful Of Secrets");
#     endif
	}
    if ( cdKey == RENAIS_SCHEHER_TRC ) { /* 0:45:41-10 */
	tocPtr->discPerformer = "Renaissance";
	tocPtr->discTitle = "Scheherazade and Other Stories  [TRC]";
#     if !defined(SKIPSONGS_Renaissance)
	SET_CDtt( 1, 10.51, "Trip to the Fair");
	SET_CDtt( 2, 03.09, "The Vultures Fly High");
	SET_CDtt( 3, 07.08, "Ocean Gypsy");
	SET_CDtt( 4, 24.31, "Song of Scheherazade");
#     endif
	}
    if ( cdKey == RENAIS_SCHEHER_REP ) { /* 0:45:53-67 */
	tocPtr->discPerformer = "Renaissance";
	tocPtr->discTitle = "Scheherazade and Other Stories  [Repertoire]";
#     if !defined(SKIPSONGS_Renaissance)
	SET_CDtt( 1, 10.54, "Trip to the Fair");
	SET_CDtt( 2, 03.08, "The Vultures Fly High");
	SET_CDtt( 3, 07.10, "Ocean Gypsy");
	SET_CDtt( 4, 24.39, "Song of Scheherazade");
#     endif
	}
    if ( cdKey == ROYALPHIL_STARTREK_V2 ) { /* 0:45:53-13 */
	tocPtr->discPerformer = "Royal Philharmonic Orchestra";
	tocPtr->discTitle = "Star Trek Symphonic Suites, Vol. 2";
	SET_CDtt( 1, 08.43, "Conscience of the King");
	SET_CDtt( 2, 15.15, "Spectre of the Gun");
	SET_CDtt( 3, 13.15, "The Ememy Within");
	SET_CDtt( 4, 08.38, "I, Mudd");
	}
    if ( cdKey == KSCH_ENTRANCE ) { /* 1:10:51-47 */
	tocPtr->discPerformer = "Klaus Schulze";
	tocPtr->discTitle = "En=Trance";
#     if !defined(SKIPSONGS_Klaus_Schulze)
	SET_CDtt( 1, 18.59, "En=Trance");
	SET_CDtt( 2, 16.32, "a-Numerique");
	SET_CDtt( 3, 17.31, "Fm Delight");
	SET_CDtt( 4, 17.47, "Velvet System");
#     endif
	}
    if ( cdKey == MSHREEVE_REDSHIFT ) { /* 1:04:18-15 */
	tocPtr->discPerformer = "Mark Shreeve";
	tocPtr->discTitle = "Red Shift";
#     if !defined(SKIPSONGS_Mark_Shreeve)
	SET_CDtt( 1, 18.43, "Red Shift");
	SET_CDtt( 2, 08.26, "Spin");
	SET_CDtt( 3, 04.02, "Shine");
	SET_CDtt( 4, 33.05, "Blue Shift");
#     endif
	}
    if ( cdKey == TDREAM_GREENDES_SEQ ) { /* 0:38:35-40 */
	tocPtr->discPerformer = "Tangerine Dream";
	tocPtr->discTitle = "Green Desert";
#     if !defined(SKIPSONGS_Tangerine_Dream)
	SET_CDtt( 1, 19.29, "Green Desert");
	SET_CDtt( 2, 05.03, "White Clouds");
	SET_CDtt( 3, 07.07, "Astral Voyager");
	SET_CDtt( 4, 06.54, "Indian Summer");
#     endif
	}
    if ( cdKey == TDREAM_ENCORE ) { /* 1:11:00-45 */
	tocPtr->discPerformer = "Tangerine Dream";
	tocPtr->discTitle = "Encore";
#     if !defined(SKIPSONGS_Tangerine_Dream)
	SET_CDtt( 1, 16.07, "Cherokee Lane");
	SET_CDtt( 2, 19.37, "Moonlight");
	SET_CDtt( 3, 17.41, "Coldwater Canyon");
	SET_CDtt( 4, 17.33, "Desert Dream");
#     endif
	}
    if ( cdKey == TDREAM_ENCORE_DE ) { /* 1:11:17-67 */
	tocPtr->discPerformer = "Tangerine Dream";
	tocPtr->discTitle = "Encore - Live 1977  [definitive edition]";
	/*
	 *	index 1.1 started 0:00:02-28 into CD, 0:00:00 into the song
	 *	index 1.2 started 0:03:43-65 into CD, 0:03:41 into the song
	 *	index 1.3 started 0:12:01-64 into CD, 0:11:59 into the song
	 *	index 2.1 started 0:16:25-26 into CD, 0:00:00 into the song
	 *	index 2.2 started 0:20:37-26 into CD, 0:04:12 into the song
	 *	index 2.3 started 0:24:05-25 into CD, 0:07:40 into the song
	 *	index 2.4 started 0:28:57-25 into CD, 0:12:32 into the song
	 *	index 2.5 started 0:33:14-24 into CD, 0:16:49 into the song
	 *	index 3.1 started 0:36:01-24 into CD, 0:00:00 into the song
	 *	index 3.2 started 0:45:43-61 into CD, 0:09:42 into the song
	 *	index 4.1 started 0:53:41-22 into CD, 0:00:00 into the song
	 *	index 4.2 started 0:58:28-22 into CD, 0:04:47 into the song
	 *	index 4.3 started 1:02:31-59 into CD, 0:08:50 into the song
	 *	index 4.4 started 1:05:48-59 into CD, 0:12:07 into the song
	 *	index 4.5 started 1:08:00-21 into CD, 0:14:19 into the song
	 */
#     if !defined(SKIPSONGS_Tangerine_Dream)
	SET_CDtt( 1, 16.22, "Cherokee Lane");
	SET_CDtt( 2, 19.37, "Moonlight");
	SET_CDtt( 3, 17.40, "Coldwater Canyon");
	SET_CDtt( 4, 17.36, "Desert Dream");
#     endif
	}
    if ( cdKey == TDREAM_WHITE ) { /* 0:38:37-15 */
	tocPtr->discPerformer = "Tangerine Dream";
	tocPtr->discTitle = "White Eagle";
#     if !defined(SKIPSONGS_Tangerine_Dream)
	SET_CDtt( 1, 20.13, "Mojave Plan");
	SET_CDtt( 2, 04.02, "Midnight in Tula");
	SET_CDtt( 3, 09.42, "Convention of the 24");
	SET_CDtt( 4, 04.38, "White Eagle");
#     endif
	}
    if ( cdKey == TDREAM_WHITE_DE ) { /* 0:38:23-25 */
	tocPtr->discPerformer = "Tangerine Dream";
	tocPtr->discTitle = "White Eagle  [definitive edition]";
#     if !defined(SKIPSONGS_Tangerine_Dream)
	SET_CDtt( 1, 20.08, "Mojave Plan");		/* index=4 */
	SET_CDtt( 2, 04.01, "Midnight in Tula");
	SET_CDtt( 3, 09.37, "Convention of the 24");
	SET_CDtt( 4, 04.35, "White Eagle");
#     endif
	}
    if ( cdKey == TDREAM_HYPERB ) { /* 0:42:04-25 */
	tocPtr->discPerformer = "Tangerine Dream";
	tocPtr->discTitle = "Hyperborea";
#     if !defined(SKIPSONGS_Tangerine_Dream)
	SET_CDtt( 1, 09.16, "No Man's Land");
	SET_CDtt( 2, 08.46, "Hyperborea");
	SET_CDtt( 3, 04.04, "Cinnamon Road");
	SET_CDtt( 4, 19.56, "Sphinx Lightning");
#     endif
	}
    if ( cdKey == TDREAM_HYPERB_DE ) { /* 0:41:44-62 */
	tocPtr->discPerformer = "Tangerine Dream";
	tocPtr->discTitle = "Hyperborea  [definitive edition]";
#     if !defined(SKIPSONGS_Tangerine_Dream)
	SET_CDtt( 1, 09.11, "No Man's Land");
	SET_CDtt( 2, 08.41, "Hyperborea");
	SET_CDtt( 3, 03.59, "Cinnamon Road");
	SET_CDtt( 4, 19.51, "Sphinx Lightning");	/* index=5 */
#     endif
	}
    if ( cdKey == TDREAM_POLAND_SEQ ) { /* 1:17:06-27 */
	tocPtr->discPerformer = "Tangerine Dream";
	tocPtr->discTitle = "Poland  [sequel]";
#     if !defined(SKIPSONGS_Tangerine_Dream)
	SET_CDtt( 1, 22.26, "Poland");
	SET_CDtt( 2, 19.55, "Tangent");
	SET_CDtt( 3, 13.53, "Barbakane");
	SET_CDtt( 4, 20.50, "Horizon");
#     endif
	}
    if ( cdKey == TDREAM_DREAMROOTS_D5 ) { /* 0:45:42-72 */
	tocPtr->discPerformer = "Tangerine Dream";
	tocPtr->discTitle = "Dream Roots Collection  [disc 5]";
#     if !defined(SKIPSONGS_Tangerine_Dream)
	SET_CDtt( 1, 15.07, "Valley of the Sun");
	SET_CDtt( 2, 09.41, "Beach Bay Bunker");
	SET_CDtt( 3, 09.13, "Vanishing Blue");
	SET_CDtt( 4, 11.39, "Red Morpho");
#     endif
	}
    if ( cdKey == U2_WIDEAWAKEINAMERICA ) { /* 0:20:46-15 */
	tocPtr->discPerformer = "U2";
	tocPtr->discTitle = "Wide Awake in America";
	tocPtr->discCatNum = "007567902792400";
#     if !defined(SKIPSONGS_U2)
	SET_CDtt( 1, 08.03, "Bad  [live]");
	SET_CDtt( 2, 04.05, "A Sort of Homecoming  [live]");
	SET_CDtt( 3, 03.50, "Three Sunrises");
	SET_CDtt( 4, 04.46, "Love Comes Tumbling");
#     endif
	}
}
