#import <sys/types.h>
#import <stddef.h>
#import "CD_DBaseSubs.h"

    /* This subroutine has information for CD's with 8 tracks, and
     * which have under 40 minutes of music on them.
     */

#define PBARDENS_SEEN1EARTH    728770915 /* key parts = 2024.27.08.265 137 */
#define U2_BLOODREDSKY         763801334 /* key parts = 2121.50.08.284 225 */
#define JBROWNE_LAWYERSINLOVE  764401311 /* key parts = 2123.25.08.261 247 */
#define JBROWNE_THEPRETENDER   767089250 /* key parts = 2130.60.08.350 352 */
#define BDYLAN_KNOCKEDOUT      768562847 /* key parts = 2134.67.08.197 235 */
#define JBECK_THERENBACK       770986949 /* key parts = 2141.47.08.299 218 */
#define BJOEL_TURNSTILES       788377327 /* key parts = 2189.70.08.277 314 */
#define ASTEW_ORANGE           793167690 /* key parts = 2203.18.08.240 387 */
#define JBECK_WIRED_UD         806742096 /* key parts = 2240.71.08.246 150 */
#define JBECK_WIRED            807481293 /* key parts = 2243.00.08.243 152 */
#define MOLDFIELD_PLATINUM     815041205 /* key parts = 2264.00.08.305 285 */
#define APP_VULTURE            821521319 /* key parts = 2282.00.08.269 327 */
#define JMJARRE_EQUINOXE       843970946 /* key parts = 2344.27.08.146 297 */
#define JMJARRE_EQUINOXE_ULTRA 845818944 /* key parts = 2349.37.08.144 321 */
#define JBROWNE_LIVESINBAL     848881213 /* key parts = 2358.00.08.313 312 */
#define ASTEW_MODERNTIMES      851665315 /* key parts = 2365.55.08.265 495 */
#define HEART_DOGBUTTERFLY     853378947 /* key parts = 2370.37.08.297 403 */
#define BSPRING_BORN2RUN_GOLD  853897339 /* key parts = 2371.70.08.289 575 */
#define MOODY_7THSOJOURN       854559735 /* key parts = 2373.58.08.285 262 */
#define BSPRING_BORN2RUN       856081341 /* key parts = 2378.00.08.291 576 */
#define JLENNON_LIVEPEACE      860578895 /* key parts = 2390.37.08.245 759 */


void filltoc08_00(tocPtr, cdKey)
struct cd_toc *tocPtr;
u_int cdKey;
{

    if ( cdKey == APP_VULTURE ) { /* 0:38:02-00 */
	tocPtr->discPerformer = "Alan Parsons Project";
	tocPtr->discTitle = "Vulture Culture";
#     if !defined(SKIPSONGS_Alan_Parsons_Project)
	SET_CDtt( 1, 04.29, "Let's Talk About Me");
	SET_CDtt( 2, 05.00, "Separate Lives");
	SET_CDtt( 3, 04.31, "Days Are Numbers (The Traveller)");
	SET_CDtt( 4, 04.26, "Sooner Or Later");
	SET_CDtt( 5, 05.23, "Vulture Culture");
	SET_CDtt( 6, 03.49, "Hawkeye");
	SET_CDtt( 7, 04.55, "Somebody Out There");
	SET_CDtt( 8, 05.27, "The Same Old Sun");
#     endif
	}
    if ( cdKey == PBARDENS_SEEN1EARTH ) { /* 0:33:44-27 */
	tocPtr->discPerformer = "Pete Bardens";
	tocPtr->discTitle = "Seen One Earth";
	SET_CDtt( 1, 04.25, "Seascape");
	SET_CDtt( 2, 04.29, "Man Alive");
	SET_CDtt( 3, 05.44, "Seen One Earth");
	SET_CDtt( 4, 02.19, "Home Thoughts");
	SET_CDtt( 5, 02.26, "Prelude");
	SET_CDtt( 6, 05.33, "In Dreams");
	SET_CDtt( 7, 06.29, "The Stargate");
	SET_CDtt( 8, 02.17, "Many Happy Returns");
	}
    if ( cdKey == JBECK_WIRED ) { /* 0:37:23-00 */
	tocPtr->discPerformer = "Jeff Beck";
	tocPtr->discTitle = "Wired";
#     if !defined(SKIPSONGS_Jeff_Beck)
	SET_CDtt( 1, 04.03, "Led Boots");
	SET_CDtt( 2, 05.55, "Come Dancing");
	SET_CDtt( 3, 05.30, "Goodbye Pork Pie Hat");
	SET_CDtt( 4, 02.45, "Head for Backstage Pass");
	SET_CDtt( 5, 05.54, "Blue Wind");
	SET_CDtt( 6, 06.32, "Sophie");
	SET_CDtt( 7, 04.10, "Play With Me");
	SET_CDtt( 8, 02.32, "Love is Green");
#     endif
	}
    if ( cdKey == JBECK_WIRED_UD ) { /* 0:37:20-71 */
	tocPtr->discPerformer = "Jeff Beck";
	tocPtr->discTitle = "Wired  [UltraDisc]";
#     if !defined(SKIPSONGS_Jeff_Beck)
	SET_CDtt( 1, 04.06, "Led Boots");
	SET_CDtt( 2, 05.54, "Come Dancing");
	SET_CDtt( 3, 05.30, "Goodbye Pork Pie Hat");
	SET_CDtt( 4, 02.44, "Head for Backstage Pass");
	SET_CDtt( 5, 05.54, "Blue Wind");
	SET_CDtt( 6, 06.30, "Sophie");
	SET_CDtt( 7, 04.10, "Play With Me");
	SET_CDtt( 8, 02.30, "Love is Green");
#     endif
	}
    if ( cdKey == JBECK_THERENBACK ) { /* 0:35:41-47 */
	tocPtr->discPerformer = "Jeff Beck";
	tocPtr->discTitle = "There and Back";
#     if !defined(SKIPSONGS_Jeff_Beck)
	SET_CDtt( 1, 04.59, "Star Cycle");
	SET_CDtt( 2, 03.00, "Too Much To Lose");
	SET_CDtt( 3, 04.04, "You Never Know");
	SET_CDtt( 4, 05.48, "The Pump");
	SET_CDtt( 5, 04.02, "El Becko");
	SET_CDtt( 6, 04.58, "The Golden Road");
	SET_CDtt( 7, 05.10, "Space Boogie");
	SET_CDtt( 8, 03.38, "The Final Peace");
#     endif
	}
    if ( cdKey == JBROWNE_THEPRETENDER ) { /* 0:35:30-60 */
	tocPtr->discPerformer = "Jackson Browne";
	tocPtr->discTitle = "The Pretender";
	tocPtr->discCatNum = "007559001072200";
#     if !defined(SKIPSONGS_Jackson_Browne)
	SET_CDtt( 1, 05.50, "The Fuse");
	SET_CDtt( 2, 06.05, "Your Bright Baby Blues");
	SET_CDtt( 3, 04.07, "Linda Paloma");
	SET_CDtt( 4, 03.37, "Here Comes Those Tears Again");
	SET_CDtt( 5, 03.43, "The Only Child");
	SET_CDtt( 6, 03.36, "Daddy's Tune");
	SET_CDtt( 7, 02.37, "Sleep's Dark and Silent Gate");
	SET_CDtt( 8, 05.52, "The Pretender");
#     endif
	}
    if ( cdKey == JBROWNE_LAWYERSINLOVE ) { /* 0:35:23-25 */
	tocPtr->discPerformer = "Jackson Browne";
	tocPtr->discTitle = "Lawyers in Love";
#     if !defined(SKIPSONGS_Jackson_Browne)
	SET_CDtt( 1, 04.21, "Lawyers in Love");
	SET_CDtt( 2, 04.00, "On the Day");
	SET_CDtt( 3, 04.47, "Cut It Away");
	SET_CDtt( 4, 04.09, "Downtown");
	SET_CDtt( 5, 04.53, "Tender is the Night");
	SET_CDtt( 6, 03.38, "Knock on Any Door");
	SET_CDtt( 7, 05.25, "Say It Isn't True");
	SET_CDtt( 8, 04.07, "For a Rocker");
#     endif
	}
    if ( cdKey == JBROWNE_LIVESINBAL ) { /* 0:39:18-00 */
	tocPtr->discPerformer = "Jackson Browne";
	tocPtr->discTitle = "Lives In the Balance";
#     if !defined(SKIPSONGS_Jackson_Browne)
	SET_CDtt( 1, 05.13, "For America");
	SET_CDtt( 2, 04.37, "Soldier of Plenty");
	SET_CDtt( 3, 05.42, "In the Shape of a Heart");
	SET_CDtt( 4, 04.13, "Candy");
	SET_CDtt( 5, 05.41, "Lawless Avenues");
	SET_CDtt( 6, 04.18, "Lives in the Balance");
	SET_CDtt( 7, 04.20, "Till I Go Down");
	SET_CDtt( 8, 05.12, "Black and White");
#     endif
	}
    if ( cdKey == BDYLAN_KNOCKEDOUT ) { /* 0:35:34-67 */
	tocPtr->discPerformer = "Bob Dylan";
	tocPtr->discTitle = "Knocked Out Loaded";
#     if !defined(SKIPSONGS_Bob_Dylan)
	SET_CDtt( 1, 03.17, "You Wanna Ramble");
	SET_CDtt( 2, 04.03, "They Killed Him");
	SET_CDtt( 3, 03.42, "Driftin' Too Far From Shore");
	SET_CDtt( 4, 03.16, "Precious Memories");
	SET_CDtt( 5, 03.20, "Maybe Someday");
	SET_CDtt( 6, 11.03, "Brownsville Girl");
	SET_CDtt( 7, 02.56, "Got My Mind Made Up");
	SET_CDtt( 8, 03.55, "Under Your Spell");
#     endif
	}
    if ( cdKey == HEART_DOGBUTTERFLY ) { /* 0:39:30-37 */
	tocPtr->discPerformer = "Heart";
	tocPtr->discTitle = "Dog & Butterfly";
#     if !defined(SKIPSONGS_Heart)
	SET_CDtt( 1, 04.57, "Cook With Fire");
	SET_CDtt( 2, 03.22, "High Time");
	SET_CDtt( 3, 03.31, "Hijinx");
	SET_CDtt( 4, 05.10, "Straight On");
	SET_CDtt( 5, 05.20, "Dog & Butterfly");
	SET_CDtt( 6, 05.03, "Ligher Touch");
	SET_CDtt( 7, 05.22, "Nada One");
	SET_CDtt( 8, 06.43, "Mistral Wind");
#     endif
	}
    if ( cdKey == JMJARRE_EQUINOXE ) { /* 0:39:04-27 */
	tocPtr->discPerformer = "Jean-Michel Jarre";
	tocPtr->discTitle = "Equinoxe";
	tocPtr->discCatNum = "325918000252700";
#     if !defined(SKIPSONGS_Jean_Michel_Jarre)
	SET_CDtt( 1, 02.26, "Equinoxe: Part 1");
	SET_CDtt( 2, 05.00, "Equinoxe: Part 2");
	SET_CDtt( 3, 05.10, "Equinoxe: Part 3");
	SET_CDtt( 4, 06.59, "Equinoxe: Part 4");
	SET_CDtt( 5, 03.55, "Equinoxe: Part 5");
	SET_CDtt( 6, 03.29, "Equinoxe: Part 6");
	SET_CDtt( 7, 07.06, "Equinoxe: Part 7");
	SET_CDtt( 8, 04.57, "Equinoxe: Part 8");
#     endif
	}
    if ( cdKey == JMJARRE_EQUINOXE_ULTRA ) { /* 0:39:09-37 */
	tocPtr->discPerformer = "Jean-Michel Jarre";
	tocPtr->discTitle = "Equinoxe  [UltraDisc]";
#     if !defined(SKIPSONGS_Jean_Michel_Jarre)
	SET_CDtt( 1, 02.24, "Equinoxe: Part 1");
	SET_CDtt( 2, 05.01, "Equinoxe: Part 2");
	SET_CDtt( 3, 05.16, "Equinoxe: Part 3");
	SET_CDtt( 4, 06.48, "Equinoxe: Part 4");
	SET_CDtt( 5, 03.48, "Equinoxe: Part 5");
	SET_CDtt( 6, 03.23, "Equinoxe: Part 6");
	SET_CDtt( 7, 07.06, "Equinoxe: Part 7");
	SET_CDtt( 8, 05.21, "Equinoxe: Part 8");
#     endif
	}
    if ( cdKey == BJOEL_TURNSTILES ) { /* 0:36:29-70 */
	tocPtr->discPerformer = "Billy Joel";
	tocPtr->discTitle = "Turnstiles";
#     if !defined(SKIPSONGS_Billy_Joel)
	SET_CDtt( 1, 04.37, "Say Goodbye to Hollywood");
	SET_CDtt( 2, 03.15, "Summer, Highland Falls");
	SET_CDtt( 3, 03.41, "All You Wanna Do Is Dance");
	SET_CDtt( 4, 05.59, "New York State of Mind");
	SET_CDtt( 5, 03.55, "James");
	SET_CDtt( 6, 05.15, "Prelude/ Angry Young Man");
	SET_CDtt( 7, 04.31, "I've Loved These Days");
	SET_CDtt( 8, 05.14, "Miami 2017");
#     endif
	}
    if ( cdKey == JLENNON_LIVEPEACE ) { /* 0:39:50-37 */
	tocPtr->discPerformer = "John Lennon";
	tocPtr->discTitle = "Live Peace in Toronto 1969";
#     if !defined(SKIPSONGS_John_Lennon)
	SET_CDtt( 1, 04.05, "Blue Suede Shoes");
	SET_CDtt( 2, 03.25, "Money");
	SET_CDtt( 3, 03.25, "Dizzy Miss Lizzy");
	SET_CDtt( 4, 04.11, "Yer Blues");
	SET_CDtt( 5, 03.35, "Cold Turkey");
	SET_CDtt( 6, 03.40, "Give Peace a Chance");
	SET_CDtt( 7, 04.48, "Don't Worry Kyoko (Mummy's Only Looking for Her Hand in the Snow)");
	SET_CDtt( 8, 12.39, "John, John (Let's Hope for Peace)");
#     endif
	}
    if ( cdKey == MOODY_7THSOJOURN ) { /* 0:39:33-58 */
	tocPtr->discPerformer = "Moody Blues";
	tocPtr->discTitle = "Seventh Sojourn";
	tocPtr->discCatNum = "004228201592100";
#     if !defined(SKIPSONGS_Moody_Blues)
	SET_CDtt( 1, 04.45, "Lost In A Lost World");
	SET_CDtt( 2, 05.11, "New Horizons");
	SET_CDtt( 3, 03.57, "For My Lady");
	SET_CDtt( 4, 06.00, "Isn't Life Strange");
	SET_CDtt( 5, 04.20, "You And Me");
	SET_CDtt( 6, 04.51, "The Land of Make-Believe");
	SET_CDtt( 7, 06.05, "When You're a Free Man");
	SET_CDtt( 8, 04.22, "I'm Just A Singer (In A Rock And Roll Band)");
#     endif
	}
    if ( cdKey == MOLDFIELD_PLATINUM ) { /* 0:37:44-00 */
	tocPtr->discPerformer = "Mike Oldfield";
	tocPtr->discTitle = "Platinum";
#     if !defined(SKIPSONGS_Mike_Oldfield)
	SET_CDtt( 1, 05.05, "Platinum Part 1: Airborne");
	SET_CDtt( 2, 06.07, "Platinum Part 2: Platinum");
	SET_CDtt( 3, 03.17, "Platinum Part 3: Charleston");
	SET_CDtt( 4, 04.49, "Platinum Part 4: North Star/ Platinum Finale");
	SET_CDtt( 5, 04.06, "Woodhenge");
	SET_CDtt( 6, 03.46, "Sally");
	SET_CDtt( 7, 05.47, "Punkadiddle");
	SET_CDtt( 8, 04.45, "I Got Rhythm");
#     endif
	}
    if ( cdKey == BSPRING_BORN2RUN ) { /* 0:39:38-00 */
	tocPtr->discPerformer = "Bruce Springsteen";
	tocPtr->discTitle = "Born to Run";
#     if !defined(SKIPSONGS_Bruce_Springsteen)
	SET_CDtt( 1, 04.51, "Thunder Road");
	SET_CDtt( 2, 03.11, "Tenth Avenue FreezeOut");
	SET_CDtt( 3, 03.02, "Night");
	SET_CDtt( 4, 06.35, "Backstreets");
	SET_CDtt( 5, 04.31, "Born To Run");
	SET_CDtt( 6, 04.30, "She's The One");
	SET_CDtt( 7, 03.20, "Meeting Across The River");
	SET_CDtt( 8, 09.36, "Jungleland");
#     endif
	}
    if ( cdKey == BSPRING_BORN2RUN_GOLD ) { /* 0:39:31-70 */
	tocPtr->discPerformer = "Bruce Springsteen";
	tocPtr->discTitle = "Born to Run  [gold]";
#     if !defined(SKIPSONGS_Bruce_Springsteen)
	SET_CDtt( 1, 04.49, "Thunder Road");
	SET_CDtt( 2, 03.12, "Tenth Avenue FreezeOut");
	SET_CDtt( 3, 03.02, "Night");
	SET_CDtt( 4, 06.32, "Backstreets");
	SET_CDtt( 5, 04.30, "Born To Run");
	SET_CDtt( 6, 04.31, "She's The One");
	SET_CDtt( 7, 03.18, "Meeting Across The River");
	SET_CDtt( 8, 09.35, "Jungleland");
#     endif
	}
    if ( cdKey == ASTEW_ORANGE ) { /* 0:36:43-18 */
	tocPtr->discPerformer = "Al Stewart";
	tocPtr->discTitle = "Orange";
#     if !defined(SKIPSONGS_Al_Stewart)
	SET_CDtt( 1, 04.00, "You Don't Even Know Me");
	SET_CDtt( 2, 02.56, "Amsterdam");
	SET_CDtt( 3, 04.17, "Songs Out of Clay");
	SET_CDtt( 4, 06.35, "The News From Spain");
	SET_CDtt( 5, 03.38, "I Don't Believe You");
	SET_CDtt( 6, 04.19, "Once an Orange, Always an Orange");
	SET_CDtt( 7, 04.29, "I'm Falling");
	SET_CDtt( 8, 06.27, "Night on the 4th of May");
#     endif
	}
    if ( cdKey == ASTEW_MODERNTIMES ) { /* 0:39:25-55 */
	tocPtr->discPerformer = "Al Stewart";
	tocPtr->discTitle = "Modern Times";
	tocPtr->discCatNum = "007567710462300";
#     if !defined(SKIPSONGS_Al_Stewart)
	SET_CDtt( 1, 04.25, "Carol");
	SET_CDtt( 2, 02.51, "Sirens of Titan");
	SET_CDtt( 3, 04.05, "What's Going On?");
	SET_CDtt( 4, 04.35, "Not the One");
	SET_CDtt( 5, 04.21, "Next Time");
	SET_CDtt( 6, 05.21, "Apple Cider Re-constitution");
	SET_CDtt( 7, 05.30, "The Dark and the Rolling Sea");
	SET_CDtt( 8, 08.15, "Modern Times");
#     endif
	}
    if ( cdKey == U2_BLOODREDSKY ) { /* 0:35:21-50 */
	tocPtr->discPerformer = "U2";
	tocPtr->discTitle = "Under a Blood Red Sky";
	tocPtr->discCatNum = "007567901272200";
#     if !defined(SKIPSONGS_U2)
	SET_CDtt( 1, 04.44, "Gloria");
	SET_CDtt( 2, 04.44, "11 O'Clock Tick Tock");
	SET_CDtt( 3, 03.42, "I Will Follow");
	SET_CDtt( 4, 03.22, "Party Girl");
	SET_CDtt( 5, 05.27, "Sunday, Bloody Sunday");
	SET_CDtt( 6, 04.58, "The Electric Company");
	SET_CDtt( 7, 04.37, "New Years Day");
	SET_CDtt( 8, 03.45, "40");
#     endif
	}

}
