#import <sys/types.h>
#import <stddef.h>
#import "CD_DBaseSubs.h"

    /* This subroutine has information for CD's with 8 tracks, and
     * which have 40 or more, but under 45 minutes of music on them.
     */

#define JBROWNE_LATEFORSKY     881377241 /* key parts = 2448.20.08.341 349 */
#define LEDZEP_HOUSES_STUDBOX  884353230 /* key parts = 2456.40.08.330 271 */
#define EJOHN_BLUEMOV_MCAD1    887593283 /* key parts = 2465.40.08.83 309 */
#define EJOHN_BLUEMOV_REMD1    888169283 /* key parts = 2467.10.08.83 310 */
#define MOLDFIELD_DISCOVERY    894658929 /* key parts = 2485.12.08.279 731 */
#define SWONDER_MUSIQUAR1_D1   903682916 /* key parts = 2510.17.08.266 340 */
#define JMJARRE_CHRONOLOGIE    910417251 /* key parts = 2528.70.08.651 333 */
#define BDYLAN_INFIDELS        913090879 /* key parts = 2536.27.08.379 357 */
#define ASTEW_PASTPRESFUTURE   920655654 /* key parts = 2557.28.08.354 583 */
#define LEDZEP_IV_STUDBOX      921145347 /* key parts = 2558.55.08.297 427 */
#define LEDZEP_IV              922633348 /* key parts = 2562.65.08.298 428 */
#define BARCLAYJ_EYESOFUNIVER  931633336 /* key parts = 2587.65.08.286 422 */
#define RWAKE_THEGOSPELS_D2    935967636 /* key parts = 2599.68.08.336 74 */
#define RWAKE_THEGOSPELS_D1    938161319 /* key parts = 2606.00.08.269 215 */
#define SWONDER_MUSIQUAR1_D2   956281277 /* key parts = 2656.25.08.227 630 */
#define SUPERT_COTC_UD         956506837 /* key parts = 2656.72.08.337 335 */
#define SUPERT_COTC_AM         958321234 /* key parts = 2662.00.08.334 334 */
#define RENAIS_SONG4SEASONS    965578905 /* key parts = 2682.12.08.255 656 */


void filltoc08_40(tocPtr, cdKey)
struct cd_toc *tocPtr;
u_int cdKey;
{

    if ( cdKey == BARCLAYJ_EYESOFUNIVER ) { /* 0:43:07-65 */
	tocPtr->discPerformer = "Barclay James Harvest";
	tocPtr->discTitle = "Eyes of the Universe";
	tocPtr->discCatNum = "004228215912000";
#     if !defined(SKIPSONGS_Barclay_James_Harvest)
	SET_CDtt( 1, 04.46, "Love on the Line");
	SET_CDtt( 2, 03.53, "Alright Down Get Boogie (Muala Rusic)");
	SET_CDtt( 3, 06.16, "The Song (They Love To Sing)");
	SET_CDtt( 4, 06.54, "Skin Flicks");
	SET_CDtt( 5, 05.04, "Sperratus");
	SET_CDtt( 6, 04.35, "Rock 'n' Roll Lady");
	SET_CDtt( 7, 04.35, "Capricorn");
	SET_CDtt( 8, 07.02, "Play to the World");
#     endif
	}
    if ( cdKey == JBROWNE_LATEFORSKY ) { /* 0:40:48-20 */
	tocPtr->discPerformer = "Jackson Browne";
	tocPtr->discTitle = "Late for the Sky";
	tocPtr->discCatNum = "007559010172300";
#     if !defined(SKIPSONGS_Jackson_Browne)
	SET_CDtt( 1, 05.41, "Late for the Sky");
	SET_CDtt( 2, 06.52, "Fountain of Sorrow");
	SET_CDtt( 3, 05.22, "Farther On");
	SET_CDtt( 4, 05.12, "The Late Show");
	SET_CDtt( 5, 03.08, "The Road and the Sky");
	SET_CDtt( 6, 04.46, "For a Dancer");
	SET_CDtt( 7, 03.55, "Walking Slow");
	SET_CDtt( 8, 05.49, "Before the Deluge");
#     endif
	}
    if ( cdKey == BDYLAN_INFIDELS ) { /* 0:42:16-27 */
	tocPtr->discPerformer = "Bob Dylan";
	tocPtr->discTitle = "Infidels";
#     if !defined(SKIPSONGS_Bob_Dylan)
	SET_CDtt( 1, 06.19, "Jokerman");
	SET_CDtt( 2, 04.35, "Sweetheart Like You");
	SET_CDtt( 3, 04.38, "Neighborhood Bully");
	SET_CDtt( 4, 03.35, "License to Kill");
	SET_CDtt( 5, 06.32, "Man of Peace");
	SET_CDtt( 6, 05.25, "Union Sundown");
	SET_CDtt( 7, 05.13, "I and I");
	SET_CDtt( 8, 05.57, "Don't Fall Apart on Me Tonight");
#     endif
	}
    if ( cdKey == JMJARRE_CHRONOLOGIE ) { /* 0:42:08-70 */
	tocPtr->discPerformer = "Jean-Michel Jarre";
	tocPtr->discTitle = "Chronologie";
#     if !defined(SKIPSONGS_Jean_Michel_Jarre)
	SET_CDtt( 1, 10.51, "Chronologie: part 1");
	SET_CDtt( 2, 06.06, "Chronologie: part 2");
	SET_CDtt( 3, 03.59, "Chronologie: part 3");
	SET_CDtt( 4, 03.59, "Chronologie: part 4");
	SET_CDtt( 5, 05.35, "Chronologie: part 5");
	SET_CDtt( 6, 03.45, "Chronologie: part 6");
	SET_CDtt( 7, 02.18, "Chronologie: part 7");
	SET_CDtt( 8, 05.33, "Chronologie: part 8");
#     endif
	}
    if ( cdKey == EJOHN_BLUEMOV_REMD1 ) { /* 0:41:07-10 */
	tocPtr->discPerformer = "Elton John";
	tocPtr->discTitle = "Blue Moves  [remastered, disc 1]";
	tocPtr->discCatNum = "073145325542500";
#     if !defined(SKIPSONGS_Elton_John)
	SET_CDtt( 1, 01.23, "Your Starter For");
	SET_CDtt( 2, 07.53, "Tonight");
	SET_CDtt( 3, 05.56, "One Horse Town");
	SET_CDtt( 4, 05.28, "Chameleon");
	SET_CDtt( 5, 06.06, "Boogie Pilgrim");
	SET_CDtt( 6, 03.26, "Cage the Songbird");
	SET_CDtt( 7, 05.43, "Crazy Water");
	SET_CDtt( 8, 05.10, "Shoulder Holster");
#     endif
	}
    if ( cdKey == EJOHN_BLUEMOV_MCAD1 ) { /* 0:41:05-40 */
	tocPtr->discPerformer = "Elton John";
	tocPtr->discTitle = "Blue Moves  [MCA, disc 1]";
#     if !defined(SKIPSONGS_Elton_John)
	SET_CDtt( 1, 01.23, "Your Starter For");
	SET_CDtt( 2, 07.52, "Tonight");
	SET_CDtt( 3, 05.57, "One Horse Town");
	SET_CDtt( 4, 05.27, "Chameleon");
	SET_CDtt( 5, 06.06, "Boogie Pilgrim");
	SET_CDtt( 6, 03.26, "Cage the Songbird");
	SET_CDtt( 7, 05.43, "Crazy Water");
	SET_CDtt( 8, 05.09, "Shoulder Holster");
#     endif
	}
    if ( cdKey == LEDZEP_IV ) { /* 0:42:42-65 */
	tocPtr->discPerformer = "Led Zeppelin";
	tocPtr->discTitle = "(4th album - has no title)";
	tocPtr->discCatNum = "007567800842900";
#     if !defined(SKIPSONGS_Led_Zeppelin)
	SET_CDtt( 1, 04.58, "Black Dog");
	SET_CDtt( 2, 03.41, "Rock and Roll");
	SET_CDtt( 3, 05.52, "The Battle of Evermore");
	SET_CDtt( 4, 08.02, "Stairway to Heaven");
	SET_CDtt( 5, 04.39, "Misty Mountain Hop");
	SET_CDtt( 6, 04.44, "Four Sticks");
	SET_CDtt( 7, 03.36, "Going to California");
	SET_CDtt( 8, 07.08, "When the Levee Breaks");
#     endif
	}
    if ( cdKey == LEDZEP_IV_STUDBOX ) { /* 0:42:38-55 */
	tocPtr->discPerformer = "Led Zeppelin";
	tocPtr->discTitle = "(4th album - has no title)  [studio box]";
	tocPtr->discCatNum = "007567825262400";
#     if !defined(SKIPSONGS_Led_Zeppelin)
	SET_CDtt( 1, 04.57, "Black Dog");
	SET_CDtt( 2, 03.41, "Rock and Roll");
	SET_CDtt( 3, 05.52, "The Battle of Evermore");
	SET_CDtt( 4, 08.03, "Stairway to Heaven");
	SET_CDtt( 5, 04.39, "Misty Mountain Hop");
	SET_CDtt( 6, 04.45, "Four Sticks");
	SET_CDtt( 7, 03.32, "Going to California");
	SET_CDtt( 8, 07.07, "When the Levee Breaks");
#     endif
	}
    if ( cdKey == LEDZEP_HOUSES_STUDBOX ) { /* 0:40:56-40 */
	tocPtr->discPerformer = "Led Zeppelin";
	tocPtr->discTitle = "Houses of the Holy  [studio box]";
	tocPtr->discCatNum = "007567825262400";
#     if !defined(SKIPSONGS_Led_Zeppelin)
	SET_CDtt( 1, 05.30, "The Song Remains the Same");
	SET_CDtt( 2, 07.39, "The Rain Song");
	SET_CDtt( 3, 04.50, "Over the Hills and Far Away");
	SET_CDtt( 4, 03.17, "The Crunge");
	SET_CDtt( 5, 03.44, "Dancing Days");
	SET_CDtt( 6, 04.22, "D'yer Mak'er");
	SET_CDtt( 7, 07.01, "No Quarter");
	SET_CDtt( 8, 04.31, "The Ocean");
#     endif
	}
    if ( cdKey == MOLDFIELD_DISCOVERY ) { /* 0:41:25-12 */
	tocPtr->discPerformer = "Mike Oldfield";
	tocPtr->discTitle = "Discovery";
#     if !defined(SKIPSONGS_Mike_Oldfield)
	SET_CDtt( 1, 04.39, "To France");
	SET_CDtt( 2, 03.58, "Poison Arrows");
	SET_CDtt( 3, 03.02, "Crystal Gazing");
	SET_CDtt( 4, 03.53, "Tricks Of The Light");
	SET_CDtt( 5, 04.36, "Discovery");
	SET_CDtt( 6, 04.25, "Talk About Your Life");
	SET_CDtt( 7, 04.39, "Saved By The Bell");
	SET_CDtt( 8, 12.11, "The Lake");
#     endif
	}
    if ( cdKey == RENAIS_SONG4SEASONS ) { /* 0:44:42-12 */
	tocPtr->discPerformer = "Renaissance";
	tocPtr->discTitle = "A Song For All Seasons";
#     if !defined(SKIPSONGS_Renaissance)
	SET_CDtt( 1, 04.15, "Opening Out");
	SET_CDtt( 2, 09.44, "The Day of the Dreamer");
	SET_CDtt( 3, 03.19, "Closer Than Yesterday");
	SET_CDtt( 4, 04.49, "Kindness (at the End)");
	SET_CDtt( 5, 03.17, "Back Home Once Again (theme from The Paper Lads)");
	SET_CDtt( 6, 04.13, "She Is Love");
	SET_CDtt( 7, 04.07, "Northern Lights");
	SET_CDtt( 8, 10.56, "A Song For All Seasons");
#     endif
	}
    if ( cdKey == ASTEW_PASTPRESFUTURE ) { /* 0:42:37-28 */
	tocPtr->discPerformer = "Al Stewart";
	tocPtr->discTitle = "Past, Present, and Future";
#     if !defined(SKIPSONGS_Al_Stewart)
	SET_CDtt( 1, 05.54, "Old Admirals");
	SET_CDtt( 2, 02.40, "Warren Harding");
	SET_CDtt( 3, 03.55, "Soho (Needless to Say)");
	SET_CDtt( 4, 04.45, "The Last Day of June 1934");
	SET_CDtt( 5, 04.16, "Post World War Two Blues");
	SET_CDtt( 6, 08.00, "Roads to Moscow");
	SET_CDtt( 7, 03.22, "Terminal Eyes");
	SET_CDtt( 8, 09.43, "Nostradamus");
#     endif
	}
    if ( cdKey == SUPERT_COTC_AM ) { /* 0:44:22-00 */
	tocPtr->discPerformer = "Supertramp";
	tocPtr->discTitle = "Crime of the Century  [A&M]";
#     if !defined(SKIPSONGS_Supertramp)
	SET_CDtt( 1, 05.34, "School");
	SET_CDtt( 2, 04.32, "Bloody Well Right");
	SET_CDtt( 3, 06.48, "Hide in Your Shell");
	SET_CDtt( 4, 06.55, "Asylum");
	SET_CDtt( 5, 03.28, "Dreamer");
	SET_CDtt( 6, 07.24, "Rudy");
	SET_CDtt( 7, 04.05, "If Everyone Was Listening");
	SET_CDtt( 8, 05.34, "Crime of the Century");
#     endif
	}
    if ( cdKey == SUPERT_COTC_UD ) { /* 0:44:16-72 */
	tocPtr->discPerformer = "Supertramp";
	tocPtr->discTitle = "Crime of the Century  [UltraDisc]";
#     if !defined(SKIPSONGS_Supertramp)
	SET_CDtt( 1, 05.37, "School");
	SET_CDtt( 2, 04.32, "Bloody Well Right");
	SET_CDtt( 3, 06.49, "Hide in Your Shell");
	SET_CDtt( 4, 06.44, "Asylum");
	SET_CDtt( 5, 03.31, "Dreamer");
	SET_CDtt( 6, 07.21, "Rudy");
	SET_CDtt( 7, 04.05, "If Everyone Was Listening");
	SET_CDtt( 8, 05.35, "Crime of the Century");
#     endif
	}
    if ( cdKey == RWAKE_THEGOSPELS_D1 ) { /* 0:43:26-00 */
	tocPtr->discPerformer = "Rick Wakeman";
	tocPtr->discTitle = "The Word & The Gospels  [disc 1]";
	SET_CDtt( 1, 04.29, "Matthew: Part One - The Baptism");
	SET_CDtt( 2, 04.58, "Matthew: Part Two - The Welcoming");
	SET_CDtt( 3, 08.28, "Matthew: Part Three - The Sermon on the Mount");
	SET_CDtt( 4, 03.39, "Matthew: Part Four - The Lord's Prayer");
	SET_CDtt( 5, 03.47, "Mark: Part One - The Way");
	SET_CDtt( 6, 06.28, "Mark: Part Two - The Road to Jerusalem");
	SET_CDtt( 7, 08.00, "Mark: Part Three - Trial and Error");
	SET_CDtt( 8, 03.35, "Mark: Part Four - Galilee");
	}
    if ( cdKey == RWAKE_THEGOSPELS_D2 ) { /* 0:43:19-68 */
	tocPtr->discPerformer = "Rick Wakeman";
	tocPtr->discTitle = "The Word & The Gospels  [disc 2]";
	SET_CDtt( 1, 05.36, "Luke: Part One - The Gift");
	SET_CDtt( 2, 04.20, "Luke: Part Two - The Magnificat");
	SET_CDtt( 3, 05.07, "Luke: Part Three - Welcome a Star");
	SET_CDtt( 4, 04.26, "Luke: Part Four - Power (The Acts of the Apostles)");
	SET_CDtt( 5, 02.48, "John: Part One - The Word");
	SET_CDtt( 6, 05.29, "John: Part Two - The Hour");
	SET_CDtt( 7, 14.17, "John: Part Three - The Children of Man");
	SET_CDtt( 8, 01.14, "John: Part Four - The Last Verse");
	}
    if ( cdKey == SWONDER_MUSIQUAR1_D1 ) { /* 0:41:50-17 */
	tocPtr->discPerformer = "Stevie Wonder";
	tocPtr->discTitle = "Original Musiquarim I  [disc 1]";
#     if !defined(SKIPSONGS_Stevie_Wonder)
	SET_CDtt( 1, 04.26, "Superstition");
	SET_CDtt( 2, 03.30, "You Haven't Done Nothin'");
	SET_CDtt( 3, 07.25, "Living for the City");
	SET_CDtt( 4, 05.57, "Front Line");
	SET_CDtt( 5, 07.59, "Superwoman (Where Were You When I Needed You)");
	SET_CDtt( 6, 04.01, "Send One Your Love");
	SET_CDtt( 7, 02.50, "You Are the Sunshine of My Life");
	SET_CDtt( 8, 05.40, "Ribbon in the Sky");
#     endif
	}
    if ( cdKey == SWONDER_MUSIQUAR1_D2 ) { /* 0:44:16-25 */
	tocPtr->discPerformer = "Stevie Wonder";
	tocPtr->discTitle = "Original Musiquarim I  [disc 2]";
#     if !defined(SKIPSONGS_Stevie_Wonder)
	SET_CDtt( 1, 03.47, "Higher Ground");
	SET_CDtt( 2, 03.52, "Sir Duke");
	SET_CDtt( 3, 05.08, "Master Blaster (Jammin')");
	SET_CDtt( 4, 04.56, "Boogie On Reggae Woman");
	SET_CDtt( 5, 05.14, "That Girl");
	SET_CDtt( 6, 04.13, "I Wish");
	SET_CDtt( 7, 06.34, "Isn't She Lovely");
	SET_CDtt( 8, 10.30, "Do I Do");
#     endif
	}

}
