#import <sys/types.h>
#import <stddef.h>
#import "CD_DBaseSubs.h"

    /* This subroutine has information for CD's with 9 tracks, and
     * which have 55 or more minutes of music on them.
     */

#define DIREST_BROTHER        1194025362 /* key parts = 3316.55.09.312 419 */
#define PMERGEN_CREATURES     1205641490 /* key parts = 3349.00.09.290 421 */
#define MOLDFIELD_COMPLETE_D2 1209779069 /* key parts = 3360.37.09.419 274 */
#define BDYLAN_DESIRE         1215073412 /* key parts = 3375.15.09.512 331 */
#define MGAR_RHYTHMOFLIFE     1230457399 /* key parts = 3417.70.09.199 212 */
#define TDREAM_DREAMROOTS_D3  1241795005 /* key parts = 3449.32.09.205 472 */
#define TDREAM_TYRANNYBEAUTY  1242697489 /* key parts = 3451.70.09.439 252 */
#define APICKF_REPLICANT      1266995097 /* key parts = 3519.32.09.297 370 */
#define TK_VERTIGO            1275841460 /* key parts = 3544.00.09.410 410 */
#define COPAG_LIVEJAPAN_BD1   1279177429 /* key parts = 3553.20.09.379 605 */
#define PNAMKSCH_DARKMOOG4    1297225465 /* key parts = 3603.30.09.415 111 */
#define SOFTW_DIGDANCE        1299625461 /* key parts = 3610.05.09.561 352 */
#define APICKF_LIVEATEMMA1994 1326145485 /* key parts = 3683.55.09.435 614 */
#define IBODDYAPICK_SYMBIONT  1352161469 /* key parts = 3756.00.09.569 380 */
#define VAR_T_SAUCERFULP_D1   1346305366 /* key parts = 3739.55.09.616 474 */
#define PINKF_WARMINGUP       1353399756 /* key parts = 3759.33.09.756 491 */
#define SOFTW_FRAGRANCE       1444321471 /* key parts = 4012.00.09.421 918 */
#define APICKF_XENOMORPH      1455745462 /* key parts = 4043.55.09.412 384 */
#define PMERGEN_LIVEDATES     1473385397 /* key parts = 4092.55.09.647 343 */
#define SHAMALL_MOMENTSILLU   1495681463 /* key parts = 4154.50.09.563 357 */
#define SMCLACH_FREEDOMSESS   1538535781 /* key parts = 4273.53.09.1981 566 */
#define VAR_T_TANGAMBIENCE    1610281370 /* key parts = 4473.00.09.470 777 */
#define FIRE_STRAWBERRIES     1664607845 /* key parts = 4623.68.09.545 499 */


void filltoc09_55(tocPtr, cdKey)
struct cd_toc *tocPtr;
u_int cdKey;
{

    if ( cdKey == IBODDYAPICK_SYMBIONT ) { /* 1:02:36-00 */
	tocPtr->discPerformer = "Ian Boddy and Andy Pickford";
	tocPtr->discTitle = "Symbiont";
	SET_CDtt( 1, 09.29, "Enigmagic");
	SET_CDtt( 2, 03.00, "Who Goes There?");
	SET_CDtt( 3, 07.29, "Dreifarbig Bomber");
	SET_CDtt( 4, 06.41, "Sequence in Blue");
	SET_CDtt( 5, 09.33, "Prophet");
	SET_CDtt( 6, 05.34, "Moebius Loops Again");
	SET_CDtt( 7, 07.28, "Symbiont");
	SET_CDtt( 8, 07.00, "Kuhl Bleu");
	SET_CDtt( 9, 06.20, "B.S.Y.T.");
	}
    if ( cdKey == COPAG_LIVEJAPAN_BD1 ) { /* 0:59:13-20 */
	tocPtr->discPerformer = "Coverdale/Page";
	tocPtr->discTitle = "Live in Japan  [disc 1]";
	SET_CDtt( 1, 06.19, "Absolution Blues");
	SET_CDtt( 2, 02.43, "Slide It In");
	SET_CDtt( 3, 05.07, "Rock and Roll");
	SET_CDtt( 4, 06.00, "Jimmy Page Guitar Solo/ Over Now");
	SET_CDtt( 5, 08.50, "Kashmir");
	SET_CDtt( 6, 07.10, "Pride and Joy/ Keyboard solo");
	SET_CDtt( 7, 04.59, "Take a Look at Yourself");
	SET_CDtt( 8, 07.58, "Take Me for a Little While/ Jimmy Page M.C.");
	SET_CDtt( 9, 10.05, "In My Time of Dying");
	}
    if ( cdKey == DIREST_BROTHER ) { /* 0:55:16-55 */
	tocPtr->discPerformer = "Dire Straits";
	tocPtr->discTitle = "Brother in Arms";
	tocPtr->discCatNum = "004228244992400";
#     if !defined(SKIPSONGS_Dire_Straits)
	SET_CDtt( 1, 05.12, "So Far Away");
	SET_CDtt( 2, 08.26, "Money for Nothing");
	SET_CDtt( 3, 04.13, "Walk of Life");
	SET_CDtt( 4, 06.34, "Your Latest Trick");
	SET_CDtt( 5, 08.31, "Why Worry");
	SET_CDtt( 6, 06.58, "Ride Across the River");
	SET_CDtt( 7, 04.40, "The Man's Too Strong");
	SET_CDtt( 8, 03.41, "One World");
	SET_CDtt( 9, 06.59, "Brothers in Arms");
#     endif
	}
    if ( cdKey == BDYLAN_DESIRE ) { /* 0:56:15-15 */
	tocPtr->discPerformer = "Bob Dylan";
	tocPtr->discTitle = "Desire";
#     if !defined(SKIPSONGS_Bob_Dylan)
	SET_CDtt( 1, 08.32, "Hurricane");
	SET_CDtt( 2, 06.59, "Isis");
	SET_CDtt( 3, 03.01, "Mozambique");
	SET_CDtt( 4, 03.46, "One More Cup of Coffee");
	SET_CDtt( 5, 04.04, "Oh, Sister");
	SET_CDtt( 6, 11.06, "Joey");
	SET_CDtt( 7, 05.43, "Romance in Durango");
	SET_CDtt( 8, 07.31, "Black Diamond Bay");
	SET_CDtt( 9, 05.31, "Sara");
#     endif
	}
    if ( cdKey == FIRE_STRAWBERRIES ) { /* 1:17:03-68 */
	tocPtr->discPerformer = "The Fireman";
	tocPtr->discTitle = "Strawberries Oceans Ships Forest";
	tocPtr->discCatNum = "072438271672300";
	SET_CDtt( 1, 09.05, "Transpiritual Stomp");
	SET_CDtt( 2, 09.11, "Trans Lunar Rising");
	SET_CDtt( 3, 08.41, "Transcrystaline");
	SET_CDtt( 4, 08.43, "Pure Trance");
	SET_CDtt( 5, 08.41, "Arizona Light");
	SET_CDtt( 6, 08.35, "Celtic Stomp");
	SET_CDtt( 7, 08.10, "Strawberries Oceans Ships Forest");
	SET_CDtt( 8, 07.36, "4 4 4");
	SET_CDtt( 9, 08.19, "Sunrise Mix");
	}
    if ( cdKey == MGAR_RHYTHMOFLIFE ) { /* 0:56:57-70 */
	tocPtr->discPerformer = "Michael Garrison";
	tocPtr->discTitle = "The Rhythm of Life";
#     if !defined(SKIPSONGS_Michael_Garrison)
	SET_CDtt( 1, 03.19, "Traveler");
	SET_CDtt( 2, 06.05, "Carry On");
	SET_CDtt( 3, 07.29, "The Autumnal Nocturne");
	SET_CDtt( 4, 06.20, "Beyond the Cosmic Horizon");
	SET_CDtt( 5, 05.57, "The Stars Tonight");
	SET_CDtt( 6, 11.37, "Infinity Dream");
	SET_CDtt( 7, 06.10, "Passages");
	SET_CDtt( 8, 06.26, "Theme to Crystal Bay");
	SET_CDtt( 9, 03.32, "Looking For You");
#     endif
	}
    if ( cdKey == SMCLACH_FREEDOMSESS ) { /* 1:11:13-53 */
	tocPtr->discPerformer = "Sarah McLachlan";
	tocPtr->discTitle = "Freedom Sessions";
	SET_CDtt( 1, 33.01, "[Mac/PC multimedia track]");
	SET_CDtt( 2, 04.36, "Elsewhere");
	SET_CDtt( 3, 03.24, "Plenty");
	SET_CDtt( 4, 03.58, "Mary");
	SET_CDtt( 5, 03.22, "Good Enough");
	SET_CDtt( 6, 06.47, "Hold On");
	SET_CDtt( 7, 02.36, "Ice Cream");
	SET_CDtt( 8, 04.01, "Ice");
	SET_CDtt( 9, 09.26, "Ol' 55");
	}
    if ( cdKey == PMERGEN_CREATURES ) { /* 0:55:49-00 */
	tocPtr->discPerformer = "Peter Mergener";
	tocPtr->discTitle = "Creatures";
#     if !defined(SKIPSONGS_Peter_Mergener)
	SET_CDtt( 1, 04.50, "God Said...");
	SET_CDtt( 2, 06.36, "Crying Beast");
	SET_CDtt( 3, 07.49, "Creatures");
	SET_CDtt( 4, 02.44, "The Darkness");
	SET_CDtt( 5, 04.20, "Secret Night");
	SET_CDtt( 6, 09.24, "People Want More and...");
	SET_CDtt( 7, 05.33, "Aliens Birth");
	SET_CDtt( 8, 07.30, "Song for the Whales: Part I");
	SET_CDtt( 9, 07.01, "Song for the Whales: Part II");
#     endif
	}
    if ( cdKey == PMERGEN_LIVEDATES ) { /* 1:08:12-55 */
	tocPtr->discPerformer = "Peter Mergener";
	tocPtr->discTitle = "Live Dates";
#     if !defined(SKIPSONGS_Peter_Mergener)
	SET_CDtt( 1, 10.47, "Creatures");
	SET_CDtt( 2, 06.26, "Crying Beast");
	SET_CDtt( 3, 10.03, "Time");
	SET_CDtt( 4, 09.23, "Take Off");
	SET_CDtt( 5, 08.35, "Icarus Flight");
	SET_CDtt( 6, 02.51, "A Moment to Look Back");
	SET_CDtt( 7, 12.16, "Praise");
	SET_CDtt( 8, 02.06, "More Nature");
	SET_CDtt( 9, 05.43, "The Eagle");
#     endif
	}
    if ( cdKey == PNAMKSCH_DARKMOOG4 ) { /* 1:00:03-30 */
	tocPtr->discPerformer = "Pete Namlook & Klaus Schulze";
	tocPtr->discTitle = "Dark Side of the Moog 4";
	SET_CDtt( 1, 06.55, "Three Pipers at the Gates of Dawn: Part I");
	SET_CDtt( 2, 21.48, "Three Pipers at the Gates of Dawn: Part II");
	SET_CDtt( 3, 04.57, "Three Pipers at the Gates of Dawn: Part III");
	SET_CDtt( 4, 02.21, "Three Pipers at the Gates of Dawn: Part IV");
	SET_CDtt( 5, 02.28, "Three Pipers at the Gates of Dawn: Part V");
	SET_CDtt( 6, 07.56, "Three Pipers at the Gates of Dawn: Part VI");
	SET_CDtt( 7, 02.53, "Three Pipers at the Gates of Dawn: Part VII");
	SET_CDtt( 8, 08.52, "Three Pipers at the Gates of Dawn: Part VIII");
	SET_CDtt( 9, 01.51, "Three Pipers at the Gates of Dawn: Part IX");
	}
    if ( cdKey == MOLDFIELD_COMPLETE_D2 ) { /* 0:56:00-37 */
	tocPtr->discPerformer = "Mike Oldfield";
	tocPtr->discTitle = "The Complete Mike Oldfield  [disc 2]";
#     if !defined(SKIPSONGS_Mike_Oldfield)
	SET_CDtt( 1, 06.59, "Excerpt From Ommadawn");
	SET_CDtt( 2, 08.00, "Excerpt From Tubular Bells");
	SET_CDtt( 3, 04.20, "Excerpt From Hergest Ridge");
	SET_CDtt( 4, 04.41, "Excerpt From Incantations");
	SET_CDtt( 5, 04.12, "Excerpt From The Killing Fields (Evacuation)");
	SET_CDtt( 6, 03.31, "Sheba");
	SET_CDtt( 7, 05.12, "Mirage");
	SET_CDtt( 8, 14.28, "Platinum");
	SET_CDtt( 9, 04.34, "Mount Teide");
#     endif
	}
    if ( cdKey == APICKF_REPLICANT ) { /* 0:58:39-32 */
	tocPtr->discPerformer = "Andy Pickford";
	tocPtr->discTitle = "Replicant";
	/*
	 *	index 1.1 started 0:00:02-33 into CD
	 *	index 2.1 started 0:05:00-18 into CD
	 *	index 3.1 started 0:10:21-59 into CD
	 *	index 4.1 started 0:16:49-46 into CD
	 *	index 5.1 started 0:22:14-09 into CD
	 *	index 6.1 started 0:26:00-51 into CD
	 *	index 7.1 started 0:31:02-33 into CD, 0:00:00 into the song
	 *	index 7.2 started 0:37:14-33 into CD, 0:06:12 into the song
	 *	index 8.1 started 0:45:09-26 into CD
	 *	index 9.1 started 0:52:29-45 into CD
	 */
#     if !defined(SKIPSONGS_Andy_Pickford)
	SET_CDtt( 1, 04.57, "Replicant");
	SET_CDtt( 2, 05.22, "Blonde in a Suitcase");
	SET_CDtt( 3, 06.28, "Questions");
	SET_CDtt( 4, 05.24, "No One Can Hear You");
	SET_CDtt( 5, 03.47, "Adios Amigo");
	SET_CDtt( 6, 05.02, "Wasted");
	SET_CDtt( 7, 14.06, "Zweifarbig Bomber (Parts One & Two)");
	SET_CDtt( 8, 07.21, "Cloudwatching");
	SET_CDtt( 9, 06.10, "Sayonara");
#     endif
	}
    if ( cdKey == APICKF_XENOMORPH ) { /* 1:07:23-55 */
	tocPtr->discPerformer = "Andy Pickford";
	tocPtr->discTitle = "Xenomorph";
#     if !defined(SKIPSONGS_Andy_Pickford)
	SET_CDtt( 1, 06.52, "Xenomorph");
	SET_CDtt( 2, 07.16, "Night of the Long Knives");
	SET_CDtt( 3, 05.58, "Topaz");
	SET_CDtt( 4, 08.43, "Space to Breathe");
	SET_CDtt( 5, 08.20, "Apocalypse of Love");
	SET_CDtt( 6, 07.54, "Annihilator");
	SET_CDtt( 7, 04.11, "Sarcophagus");
	SET_CDtt( 8, 11.43, "Solitude's Shadow");
	SET_CDtt( 9, 06.24, "Reflections");
#     endif
	}
    if ( cdKey == APICKF_LIVEATEMMA1994 ) { /* 1:01:23-55 */
	tocPtr->discPerformer = "Andy Pickford";
	tocPtr->discTitle = "Works Volume 1: Live at EMMA 1 - 1994";
#     if !defined(SKIPSONGS_Andy_Pickford)
	SET_CDtt( 1, 07.15, "Terraformer");
	SET_CDtt( 2, 05.48, "Mesmereyes");
	SET_CDtt( 3, 05.16, "Summer Past");
	SET_CDtt( 4, 05.41, "Adios Amigo");
	SET_CDtt( 5, 06.58, "Get Dyson");
	SET_CDtt( 6, 07.14, "Darklands");
	SET_CDtt( 7, 05.40, "Still Waters");
	SET_CDtt( 8, 07.15, "The Furnace");
	SET_CDtt( 9, 10.14, "Arc of Infinity  [studio]");
#     endif
	}
    if ( cdKey == PINKF_WARMINGUP ) { /* 1:02:39-33 */
	tocPtr->discPerformer = "Pink Floyd";
	tocPtr->discTitle = "Just Warmin' Up (The Rehersals in Tampa)";
#     if !defined(SKIPSONGS_Pink_Floyd)
	SET_CDtt( 1, 12.36, "Shine On You Crazy Diamond");
	SET_CDtt( 2, 10.14, "High Hopes");
	SET_CDtt( 3, 02.15, "Breathe in the Air");
	SET_CDtt( 4, 06.12, "Time");
	SET_CDtt( 5, 05.31, "The Great Gig in the Sky");
	SET_CDtt( 6, 08.09, "Loss For Words");
	SET_CDtt( 7, 05.01, "Wish You Were Here");
	SET_CDtt( 8, 04.28, "Money");
	SET_CDtt( 9, 08.11, "Us and Them");
#     endif
	}
    if ( cdKey == SHAMALL_MOMENTSILLU ) { /* 1:09:14-50 */
	tocPtr->discPerformer = "Shamall";
	tocPtr->discTitle = "Moments of Illusion";
#     if !defined(SKIPSONGS_Shamall)
	SET_CDtt( 1, 09.23, "Physical Visions");
	SET_CDtt( 2, 05.09, "Moments of Illusion");
	SET_CDtt( 3, 11.30, "Spanish Impressions");
	SET_CDtt( 4, 10.16, "Winter Colours");
	SET_CDtt( 5, 07.18, "Power of Love");
	SET_CDtt( 6, 08.47, "Mozart's Flight to Bangkok");
	SET_CDtt( 7, 08.02, "Light in the Night");
	SET_CDtt( 8, 02.50, "Power of Love  [a capella]");
	SET_CDtt( 9, 05.57, "Theme of a Rainy Day");
#     endif
	}
    if ( cdKey == SOFTW_DIGDANCE ) { /* 1:00:10-05 */
	tocPtr->discPerformer = "Software";
	tocPtr->discTitle = "Digital Dance";
#     if !defined(SKIPSONGS_Software)
	SET_CDtt( 1, 09.21, "Oceans Breath");
	SET_CDtt( 2, 07.46, "Magnificent Shore");
	SET_CDtt( 3, 06.06, "Waving Voices");
	SET_CDtt( 4, 06.32, "Island Sunrise");
	SET_CDtt( 5, 05.23, "Magic Beach");
	SET_CDtt( 6, 06.31, "Sea Gulls Audience");
	SET_CDtt( 7, 05.51, "Digital Dance");
	SET_CDtt( 8, 06.46, "Magicians Song");
	SET_CDtt( 9, 05.52, "Percussion Island");
#     endif
	}
    if ( cdKey == SOFTW_FRAGRANCE ) { /* 1:06:52-00 */
	tocPtr->discPerformer = "Software";
	tocPtr->discTitle = "Fragrance";
#     if !defined(SKIPSONGS_Software)
	SET_CDtt( 1, 07.01, "Woman Pur");
	SET_CDtt( 2, 06.57, "Calche");
	SET_CDtt( 3, 04.23, "Givenchy III");
	SET_CDtt( 4, 07.33, "Shalimar");
	SET_CDtt( 5, 06.17, "First");
	SET_CDtt( 6, 04.51, "Clo");
	SET_CDtt( 7, 07.17, "Fendi");
	SET_CDtt( 8, 07.13, "Joy");
	SET_CDtt( 9, 15.18, "Bouquet de Fleures");
#     endif
	}
    if ( cdKey == TDREAM_TYRANNYBEAUTY ) { /* 0:57:31-70 */
	tocPtr->discPerformer = "Tangerine Dream";
	tocPtr->discTitle = "Tyranny of Beauty";
#     if !defined(SKIPSONGS_Tangerine_Dream)
	SET_CDtt( 1, 07.19, "Catwalk");
	SET_CDtt( 2, 06.53, "Birdwatcher's Dream");
	SET_CDtt( 3, 06.57, "Little Blond in the Park of Attractions");
	SET_CDtt( 4, 07.00, "Living in a Fountain Pen");
	SET_CDtt( 5, 05.09, "Stratosfear 1995");
	SET_CDtt( 6, 04.54, "Bride in Cold Tears");
	SET_CDtt( 7, 08.30, "Haze of Fame");
	SET_CDtt( 8, 06.35, "Tyranny of Beauty");
	SET_CDtt( 9, 04.12, "Largo");
#     endif
	}
    if ( cdKey == TDREAM_DREAMROOTS_D3 ) { /* 0:57:29-32 */
	tocPtr->discPerformer = "Tangerine Dream";
	tocPtr->discTitle = "Dream Roots Collection  [disc 3]";
#     if !defined(SKIPSONGS_Tangerine_Dream)
	SET_CDtt( 1, 03.25, "Le Parc");
	SET_CDtt( 2, 03.57, "21st Century Common Man");
	SET_CDtt( 3, 05.53, "Underwater Sunlight");
	SET_CDtt( 4, 09.02, "Livemiles");
	SET_CDtt( 5, 07.12, "London (The Dungeon)");
	SET_CDtt( 6, 05.20, "Gaudi Park");
	SET_CDtt( 7, 06.01, "Barbakane (part one)");
	SET_CDtt( 8, 08.45, "Alchemy of the Heart");
	SET_CDtt( 9, 07.52, "Horizon");
#     endif
	}
    if ( cdKey == TK_VERTIGO ) { /* 0:59:04-00 */
	tocPtr->discPerformer = "TK";
	tocPtr->discTitle = "Vertigo";
	SET_CDtt( 1, 06.50, "Moonshine");
	SET_CDtt( 2, 05.42, "Inside");
	SET_CDtt( 3, 04.49, "Altitude Flight");
	SET_CDtt( 4, 06.31, "Midnight Rainbow");
	SET_CDtt( 5, 05.32, "Aggrophobia");
	SET_CDtt( 6, 07.08, "Change Over");
	SET_CDtt( 7, 10.21, "Vertigo");
	SET_CDtt( 8, 05.19, "Outside");
	SET_CDtt( 9, 06.50, "Guardian Angel");
	}
    if ( cdKey == VAR_T_SAUCERFULP_D1 ) { /* 1:02:19-55 */
	tocPtr->discPerformer = "Various Artists/ Tributes";
	tocPtr->discTitle = "A Saucerful of Pink  [disc 1]";
	SET_CDtt( 1, 10.16, "Set the Controls for the Heart of the Sun  [Psychic TV]");
	SET_CDtt( 2, 09.29, "Another Brick in the Wall (Parts 1 & 2)  [Controlled Bleeding]");
	SET_CDtt( 3, 05.21, "One of These Days  [Spahn Ranch]");
	SET_CDtt( 4, 07.08, "Wots...Uh, The Deal  [Sky Cries Mary]");
	SET_CDtt( 5, 08.49, "Interstellar Overdrive  [Spiral Realms]");
	SET_CDtt( 6, 05.05, "Learning To Fly  [Leather Strip]");
	SET_CDtt( 7, 03.00, "To Roger Waters, Wherever You Are  [Ron Geesin]");
	SET_CDtt( 8, 05.15, "Jugband Blues  [Eden]");
	SET_CDtt( 9, 07.54, "On The Run  [Din]");
	}
    if ( cdKey == VAR_T_TANGAMBIENCE ) { /* 1:14:33-00 */
	tocPtr->discPerformer = "Various Artists/ Tributes";
	tocPtr->discTitle = "Tangerine Ambience: A Tribute to Tangerine Dream";
	SET_CDtt( 1, 07.50, "Invisible Lights  [Inter-Mase]");
	SET_CDtt( 2, 09.09, "Phaedra  [Surface 10]");
	SET_CDtt( 3, 10.11, "Force Majeure  [Rey Project]");
	SET_CDtt( 4, 10.16, "Mojave Plan  [Supersonic Project]");
	SET_CDtt( 5, 08.58, "Exit  [Dean De Benedictis]");
	SET_CDtt( 6, 05.34, "Dolphin Dance  [Rey]");
	SET_CDtt( 7, 06.28, "Bent Cold Sidewalk  [Giez]");
	SET_CDtt( 8, 03.08, "Horizon  [Augenstern]");
	SET_CDtt( 9, 12.57, "Solar Cells  [Conrad Schnitzler]");
	}
}
