#import <sys/types.h>
#import <stddef.h>
#import "CD_DBaseSubs.h"

    /* This subroutine has information for CD's with 10 tracks, and
     * which have 43 or more, but under 45 minutes of music on them.
     */

#define LEDZEP_III             929195244 /* key parts = 2581.07.10.144 220 */
#define PINKF_DSOTM_UDII       929435173 /* key parts = 2581.57.10.73 124 */
#define LEDZEP_III_STUDBOX     930299245 /* key parts = 2584.12.10.145 223 */
#define BENATAR_LIVEEARTH      931681576 /* key parts = 2588.00.10.226 232 */
#define BSPRING_DARKNESS       932041594 /* key parts = 2589.00.10.244 273 */
#define EAGLES_GREATESTHITS1   932651158 /* key parts = 2590.52.10.208 272 */
#define ORCHMAN_JUNKCULTURE    934417598 /* key parts = 2595.45.10.248 263 */
#define AXDG_GETTINGLOUD       935440009 /* key parts = 2598.33.10.259 254 */
#define RENAIS_AZUREDOR        936361630 /* key parts = 2601.00.10.280 297 */
#define AGRANT_UNGUARDED       937801552 /* key parts = 2605.00.10.202 311 */
#define TDOLBY_GOLDENAGE       939457572 /* key parts = 2609.45.10.222 345 */
#define BJOEL_PIANOMAN         943537606 /* key parts = 2620.70.10.256 438 */
#define EJOHN_BLUEMOV_MCAD2    945683178 /* key parts = 2626.67.10.228 402 */
#define EJOHN_BLUEMOV_REMD2    946259178 /* key parts = 2628.37.10.228 404 */
#define RWRIGHT_WETDREAM       947511984 /* key parts = 2631.73.10.234 296 */
#define BDYLAN_WORLDGONE       949811187 /* key parts = 2638.27.10.237 164 */
#define FLASHN_FLASHNPAN       951241611 /* key parts = 2642.25.10.261 396 */
#define APP_INSTRUMEN          951495988 /* key parts = 2643.03.10.238 220 */
#define EJOHN_GREATEST_MCA     952441591 /* key parts = 2645.50.10.241 235 */
#define EJOHN_2LOW4ZERO_GEF    953497611 /* key parts = 2648.45.10.261 214 */
#define EJOHN_2LOW4ZERO_MCA    953881611 /* key parts = 2649.50.10.261 213 */
#define MGAR_IMAGES_A          958119998 /* key parts = 2661.33.10.248 320 */
#define QUEEN_DAYATRACES_UDII  961763240 /* key parts = 2671.42.10.290 355 */
#define PSIMON_RHYTHMSAINTS    965377600 /* key parts = 2681.45.10.250 251 */


void filltoc10_43(tocPtr, cdKey)
struct cd_toc *tocPtr;
u_int cdKey;
{

    if ( cdKey == APP_INSTRUMEN ) { /* 0:44:03-03 */
	tocPtr->discPerformer = "Alan Parsons Project";
	tocPtr->discTitle = "The Instrumental Works";
#     if !defined(SKIPSONGS_Alan_Parsons_Project)
	SET_CDtt( 1, 03.58, "Pipeline");
	SET_CDtt( 2, 07.25, "Where's The Walrus?");
	SET_CDtt( 3, 06.03, "I Robot");
	SET_CDtt( 4, 03.35, "Mammagamma");
	SET_CDtt( 5, 03.49, "Hawkeye");
	SET_CDtt( 6, 02.16, "Voyager");
	SET_CDtt( 7, 03.46, "Paseo De Gracia");
	SET_CDtt( 8, 04.59, "Urbania");
	SET_CDtt( 9, 04.30, "The Gold Bug");
	SET_CDtt(10, 03.40, "Genesis Ch. 1, V. 32");
#     endif
	}
    if ( cdKey == BENATAR_LIVEEARTH ) { /* 0:43:08-00 */
	tocPtr->discPerformer = "Pat Benatar";
	tocPtr->discTitle = "Live From Earth";
#     if !defined(SKIPSONGS_Pat_Benatar)
	SET_CDtt( 1, 03.46, "Fire And Ice");
	SET_CDtt( 2, 03.29, "Lookin' For A Stranger");
	SET_CDtt( 3, 04.05, "I Want Out");
	SET_CDtt( 4, 03.40, "We Live For Love");
	SET_CDtt( 5, 06.06, "Hell Is For Children");
	SET_CDtt( 6, 03.07, "Hit Me With Your Best Shot");
	SET_CDtt( 7, 05.15, "Promises In The Dark");
	SET_CDtt( 8, 04.21, "Heartbreaker");
	SET_CDtt( 9, 05.25, "Love Is A Battlefield");
	SET_CDtt(10, 03.52, "Lipstick Lies");
#     endif
	}
    if ( cdKey == AXDG_GETTINGLOUD ) { /* 0:43:18-33 */
	tocPtr->discPerformer = "Alex DeGrassi";
	tocPtr->discTitle = "The World's Getting Loud";
	SET_CDtt( 1, 04.19, "Bright Sky");
	SET_CDtt( 2, 05.52, "Facing South");
	SET_CDtt( 3, 03.37, "The World's Getting Loud");
	SET_CDtt( 4, 05.44, "McCoy");
	SET_CDtt( 5, 03.04, "Goodbye Pork Pie Hat");
	SET_CDtt( 6, 05.21, "Bigfoot");
	SET_CDtt( 7, 05.07, "Roundabout");
	SET_CDtt( 8, 03.50, "Viajes");
	SET_CDtt( 9, 02.08, "Doorman Blues");
	SET_CDtt(10, 04.14, "The Monkulator");
	}
    if ( cdKey == TDOLBY_GOLDENAGE ) { /* 0:43:29-45 */
	tocPtr->discPerformer = "Thomas Dolby";
	tocPtr->discTitle = "Golden Age of Wireless";
	SET_CDtt( 1, 03.42, "She Blinded Me with Science");
	SET_CDtt( 2, 03.47, "Radio Silence");
	SET_CDtt( 3, 05.17, "Airwaves");
	SET_CDtt( 4, 03.54, "Flying North");
	SET_CDtt( 5, 03.47, "Weightless");
	SET_CDtt( 6, 03.21, "Europa and the Pirate Twins");
	SET_CDtt( 7, 04.21, "Windpower");
	SET_CDtt( 8, 04.19, "Commercial Breakup");
	SET_CDtt( 9, 05.14, "One of our Submarines");
	SET_CDtt(10, 05.45, "Cloudburst at Shingle Street");
	}
    if ( cdKey == BDYLAN_WORLDGONE ) { /* 0:43:58-27 */
	tocPtr->discPerformer = "Bob Dylan";
	tocPtr->discTitle = "World Gone Wrong";
#     if !defined(SKIPSONGS_Bob_Dylan)
	SET_CDtt( 1, 03.57, "World Gone Wrong");
	SET_CDtt( 2, 04.24, "Love Henry");
	SET_CDtt( 3, 04.10, "Ragged & Dirty");
	SET_CDtt( 4, 05.04, "Blood in My Eyes");
	SET_CDtt( 5, 03.23, "Broke Down Engine");
	SET_CDtt( 6, 05.42, "Delia");
	SET_CDtt( 7, 03.51, "Stack a Lee");
	SET_CDtt( 8, 05.45, "Two Soldiers");
	SET_CDtt( 9, 04.56, "JackARoe");
	SET_CDtt(10, 02.44, "Lone Pilgrim");
#     endif
	}
    if ( cdKey == EAGLES_GREATESTHITS1 ) { /* 0:43:10-52 */
	tocPtr->discPerformer = "Eagles";
	tocPtr->discTitle = "Their Greatest Hits, 1971-1975";
	tocPtr->discCatNum = "007559001052400";
#     if !defined(SKIPSONGS_Eagles)
	SET_CDtt( 1, 03.28, "Take It Easy");
	SET_CDtt( 2, 04.11, "Witchy Woman");
	SET_CDtt( 3, 06.23, "Lyin' Eyes");
	SET_CDtt( 4, 04.12, "Already Gone");
	SET_CDtt( 5, 03.34, "Desperado");
	SET_CDtt( 6, 04.52, "One of These Nights");
	SET_CDtt( 7, 02.52, "Tequila Sunrise");
	SET_CDtt( 8, 04.48, "Take It To The Limit");
	SET_CDtt( 9, 04.16, "Peaceful, Easy Feeling");
	SET_CDtt(10, 04.32, "Best of My Love");
#     endif
	}
    if ( cdKey == FLASHN_FLASHNPAN ) { /* 0:44:02-25 */
	tocPtr->discPerformer = "Flash and the Pan";
	tocPtr->discTitle = "Flash and the Pan";
	SET_CDtt( 1, 04.21, "Hey St. Peter");
	SET_CDtt( 2, 03.15, "Man in the Middle");
	SET_CDtt( 3, 03.28, "Walking in the Rain");
	SET_CDtt( 4, 04.26, "The African Shuffle");
	SET_CDtt( 5, 04.16, "California");
	SET_CDtt( 6, 04.11, "Lady Killer");
	SET_CDtt( 7, 04.23, "The Man Who Knew the Answer");
	SET_CDtt( 8, 04.16, "Hole in the Middle");
	SET_CDtt( 9, 04.48, "Down Among the Dead Men");
	SET_CDtt(10, 06.36, "First and Last");
	}
    if ( cdKey == MGAR_IMAGES_A ) { /* 0:44:21-33 */
	tocPtr->discPerformer = "Michael Garrison";
	tocPtr->discTitle = "Images  [Ariola]";
#     if !defined(SKIPSONGS_Michael_Garrison)
	SET_CDtt( 1, 04.08, "Synthation Flow");
	SET_CDtt( 2, 02.52, "Release");
	SET_CDtt( 3, 02.18, "Spectrum Phase: Part 1");
	SET_CDtt( 4, 04.09, "Spectrum Phase: Part 2");
	SET_CDtt( 5, 03.56, "Under the Orangish Sky");
	SET_CDtt( 6, 04.32, "For Illusions Far");
	SET_CDtt( 7, 04.29, "Distant Island Stars");
	SET_CDtt( 8, 08.48, "Visions of the Aquasun");
	SET_CDtt( 9, 03.47, "Transition");
	SET_CDtt(10, 05.20, "The Nebula Dream");
#     endif
	}
    if ( cdKey == AGRANT_UNGUARDED ) { /* 0:43:25-00 */
	tocPtr->discPerformer = "Amy Grant";
	tocPtr->discTitle = "Unguarded";
#     if !defined(SKIPSONGS_Amy_Grant)
	SET_CDtt( 1, 03.22, "Love of Another Kind");
	SET_CDtt( 2, 03.31, "Find a Way");
	SET_CDtt( 3, 04.16, "Everywhere I Go");
	SET_CDtt( 4, 04.27, "I Love You");
	SET_CDtt( 5, 04.40, "Stepping in Your Shoes");
	SET_CDtt( 6, 04.43, "Fight");
	SET_CDtt( 7, 03.54, "Wise Up");
	SET_CDtt( 8, 04.23, "Who To Listen To");
	SET_CDtt( 9, 04.56, "Sharayah");
	SET_CDtt(10, 05.11, "The Prodigal");
#     endif
	}
    if ( cdKey == BJOEL_PIANOMAN ) { /* 0:43:40-70 */
	tocPtr->discPerformer = "Billy Joel";
	tocPtr->discTitle = "Piano Man";
#     if !defined(SKIPSONGS_Billy_Joel)
	SET_CDtt( 1, 04.16, "Travelin' Prayer");
	SET_CDtt( 2, 05.39, "Piano Man");
	SET_CDtt( 3, 03.19, "Ain't No Crime");
	SET_CDtt( 4, 03.14, "You're My Home");
	SET_CDtt( 5, 05.45, "The Ballad of Billy the Kid");
	SET_CDtt( 6, 03.16, "Worse Comes to Worst");
	SET_CDtt( 7, 03.56, "Stop in Nevada");
	SET_CDtt( 8, 03.34, "If I Only Had the Words (To Tell You)");
	SET_CDtt( 9, 03.21, "Somewhere Along the Line");
	SET_CDtt(10, 07.18, "Captain Jack");
#     endif
	}
    if ( cdKey == EJOHN_GREATEST_MCA ) { /* 0:44:05-50 */
	tocPtr->discPerformer = "Elton John";
	tocPtr->discTitle = "Greatest Hits  [MCA]";
#     if !defined(SKIPSONGS_Elton_John)
	SET_CDtt( 1, 04.01, "Your Song");
	SET_CDtt( 2, 03.53, "Daniel");
	SET_CDtt( 3, 05.13, "Honky Cat");
	SET_CDtt( 4, 03.15, "Goodbye Yellow Brick Road");
	SET_CDtt( 5, 04.53, "Saturday Night's Alright for Fighting");
	SET_CDtt( 6, 04.42, "Rocket Man");
	SET_CDtt( 7, 05.11, "Bennie and the Jets");
	SET_CDtt( 8, 05.38, "Don't Let the Sun Go Down on Me");
	SET_CDtt( 9, 03.22, "Border Song");
	SET_CDtt(10, 03.55, "Crocodile Rock");
#     endif
	}
    if ( cdKey == EJOHN_BLUEMOV_REMD2 ) { /* 0:43:48-37 */
	tocPtr->discPerformer = "Elton John";
	tocPtr->discTitle = "Blue Moves  [remastered, disc 2]";
	tocPtr->discCatNum = "073145325552400";
#     if !defined(SKIPSONGS_Elton_John)
	SET_CDtt( 1, 03.48, "Sorry Seems to Be the Hardest Word");
	SET_CDtt( 2, 06.15, "Out of the Blue");
	SET_CDtt( 3, 05.18, "Between Seventeen and Twenty");
	SET_CDtt( 4, 03.28, "The Wide-Eyed and Laughing");
	SET_CDtt( 5, 04.11, "Someone's Final Song");
	SET_CDtt( 6, 04.09, "Where's the Shoorah?");
	SET_CDtt( 7, 04.25, "If There's a God in Heaven (What's He Waiting For?)");
	SET_CDtt( 8, 04.09, "Idol");
	SET_CDtt( 9, 01.19, "Theme from a Non-Existent TV Series");
	SET_CDtt(10, 06.44, "Bite Your Lip (Get Up and Dance)");
#     endif
	}
    if ( cdKey == EJOHN_BLUEMOV_MCAD2 ) { /* 0:43:46-67 */
	tocPtr->discPerformer = "Elton John";
	tocPtr->discTitle = "Blue Moves  [MCA, disc 2]";
#     if !defined(SKIPSONGS_Elton_John)
	SET_CDtt( 1, 03.48, "Sorry Seems to Be the Hardest Word");
	SET_CDtt( 2, 06.15, "Out of the Blue");
	SET_CDtt( 3, 05.17, "Between Seventeen and Twenty");
	SET_CDtt( 4, 03.28, "The Wide-Eyed and Laughing");
	SET_CDtt( 5, 04.11, "Someone's Final Song");
	SET_CDtt( 6, 04.10, "Where's the Shoorah?");
	SET_CDtt( 7, 04.25, "If There's a God in Heaven (What's He Waiting For?)");
	SET_CDtt( 8, 04.08, "Idol");
	SET_CDtt( 9, 01.20, "Theme from a Non-Existent TV Series");
	SET_CDtt(10, 06.42, "Bite Your Lip (Get Up and Dance)");
#     endif
	}
    if ( cdKey == EJOHN_2LOW4ZERO_GEF ) { /* 0:44:08-45 */
	tocPtr->discPerformer = "Elton John";
	tocPtr->discTitle = "Too Low For Zero  [Geffen]";
	tocPtr->discCatNum = "004228110522700";
#     if !defined(SKIPSONGS_Elton_John)
	SET_CDtt( 1, 04.21, "Cold As Christmas (In the Middle Of the Year)");
	SET_CDtt( 2, 03.03, "I'm Still Standing");
	SET_CDtt( 3, 05.48, "Too Low For Zero");
	SET_CDtt( 4, 04.06, "Religion");
	SET_CDtt( 5, 04.42, "I Guess That's Why They Call It The Blues");
	SET_CDtt( 6, 05.05, "Crystal");
	SET_CDtt( 7, 04.23, "Kiss the Bride");
	SET_CDtt( 8, 03.44, "Whipping Boy");
	SET_CDtt( 9, 05.20, "Saint");
	SET_CDtt(10, 03.34, "One More Arrow");
#     endif
	}
    if ( cdKey == EJOHN_2LOW4ZERO_MCA ) { /* 0:44:09-50 */
	tocPtr->discPerformer = "Elton John";
	tocPtr->discTitle = "Too Low For Zero  [MCA]";
#     if !defined(SKIPSONGS_Elton_John)
	SET_CDtt( 1, 04.21, "Cold As Christmas (In the Middle Of the Year)");
	SET_CDtt( 2, 03.03, "I'm Still Standing");
	SET_CDtt( 3, 05.47, "Too Low For Zero");
	SET_CDtt( 4, 04.07, "Religion");
	SET_CDtt( 5, 04.44, "I Guess That's Why They Call It The Blues");
	SET_CDtt( 6, 05.05, "Crystal");
	SET_CDtt( 7, 04.23, "Kiss the Bride");
	SET_CDtt( 8, 03.43, "Whipping Boy");
	SET_CDtt( 9, 05.21, "Saint");
	SET_CDtt(10, 03.33, "One More Arrow");
#     endif
	}
    if ( cdKey == LEDZEP_III ) { /* 0:43:01-07 */
	tocPtr->discPerformer = "Led Zeppelin";
	tocPtr->discTitle = "III";
#     if !defined(SKIPSONGS_Led_Zeppelin)
	SET_CDtt( 1, 02.24, "Immigrant Song");
	SET_CDtt( 2, 03.54, "Friends");
	SET_CDtt( 3, 03.29, "Celebration Day");
	SET_CDtt( 4, 07.24, "Since I've Been Loving You");
	SET_CDtt( 5, 04.06, "Out on the Tiles");
	SET_CDtt( 6, 04.56, "Gallows Pole");
	SET_CDtt( 7, 03.10, "Tangerine");
	SET_CDtt( 8, 05.37, "That's The Way");
	SET_CDtt( 9, 04.19, "BronYAur Stomp");
	SET_CDtt(10, 03.40, "Hats Off to (Roy) Harper");
#     endif
	}
    if ( cdKey == LEDZEP_III_STUDBOX ) { /* 0:43:04-12 */
	tocPtr->discPerformer = "Led Zeppelin";
	tocPtr->discTitle = "III  [studio box]";
	tocPtr->discCatNum = "007567825262400";
#     if !defined(SKIPSONGS_Led_Zeppelin)
	SET_CDtt( 1, 02.25, "Immigrant Song");
	SET_CDtt( 2, 03.54, "Friends");
	SET_CDtt( 3, 03.30, "Celebration Day");
	SET_CDtt( 4, 07.23, "Since I've Been Loving You");
	SET_CDtt( 5, 04.07, "Out on the Tiles");
	SET_CDtt( 6, 04.56, "Gallows Pole");
	SET_CDtt( 7, 03.11, "Tangerine");
	SET_CDtt( 8, 05.37, "That's The Way");
	SET_CDtt( 9, 04.16, "BronYAur Stomp");
	SET_CDtt(10, 03.43, "Hats Off to (Roy) Harper");
#     endif
	}
    if ( cdKey == ORCHMAN_JUNKCULTURE ) { /* 0:43:15-45 */
	tocPtr->discPerformer = "Orchestral Manoeuvres in the Dark";
	tocPtr->discTitle = "Junk Culture";
#     if !defined(SKIPSONGS_Orchestral_Manoeuvres_in_the_Dark)
	SET_CDtt( 1, 04.08, "Junk Culture");
	SET_CDtt( 2, 03.51, "Tesla Girls");
	SET_CDtt( 3, 03.54, "Locomotion");
	SET_CDtt( 4, 03.39, "Apollo");
	SET_CDtt( 5, 03.57, "Never Turn Away");
	SET_CDtt( 6, 04.41, "Love and Violence");
	SET_CDtt( 7, 05.41, "Hard Day");
	SET_CDtt( 8, 04.23, "All Wrapped Up");
	SET_CDtt( 9, 04.36, "White Trash");
	SET_CDtt(10, 04.23, "Talking Loud and Clear");
#     endif
	}
    if ( cdKey == PINKF_DSOTM_UDII ) { /* 0:43:01-57 */
	tocPtr->discPerformer = "Pink Floyd";
	tocPtr->discTitle = "Dark Side of the Moon  [UltraDisc II]";
#     if !defined(SKIPSONGS_Pink_Floyd)
	SET_CDtt( 1, 01.13, "Speak to Me");
	SET_CDtt( 2, 02.46, "Breathe in the Air");
	SET_CDtt( 3, 03.35, "On the Run");
	SET_CDtt( 4, 07.04, "Time");
	SET_CDtt( 5, 04.48, "The Great Gig in the Sky");
	SET_CDtt( 6, 06.24, "Money");
	SET_CDtt( 7, 07.49, "Us and Them");
	SET_CDtt( 8, 03.26, "Any Colour You Like");
	SET_CDtt( 9, 03.50, "Brain Damage");
	SET_CDtt(10, 02.04, "Eclipse");
#     endif
	}
    if ( cdKey == QUEEN_DAYATRACES_UDII ) { /* 0:44:31-42 */
	tocPtr->discPerformer = "Queen";
	tocPtr->discTitle = "A Day at the Races  [UltraDisc II]";
#     if !defined(SKIPSONGS_Queen)
	SET_CDtt( 1, 04.50, "Tie Your Mother Down");
	SET_CDtt( 2, 05.08, "You Take My Breath Away");
	SET_CDtt( 3, 03.34, "Long Away");
	SET_CDtt( 4, 04.56, "The Millonaire Waltz");
	SET_CDtt( 5, 03.28, "You and I");
	SET_CDtt( 6, 04.59, "Somebody To Love");
	SET_CDtt( 7, 04.59, "White Man");
	SET_CDtt( 8, 02.54, "Good Old-Fashioned Lover Boy");
	SET_CDtt( 9, 03.46, "Drowse");
	SET_CDtt(10, 05.55, "Teo Torriatte (Let Us Cling Together)");
#     endif
	}
    if ( cdKey == RENAIS_AZUREDOR ) { /* 0:43:21-00 */
	tocPtr->discPerformer = "Renaissance";
	tocPtr->discTitle = "Azure D'or";
	tocPtr->discCatNum = "509988231452200";
#     if !defined(SKIPSONGS_Renaissance)
	SET_CDtt( 1, 04.40, "Jekyll and Hyde");
	SET_CDtt( 2, 03.04, "The Winter Tree");
	SET_CDtt( 3, 03.44, "Only Angels Have Wings");
	SET_CDtt( 4, 05.15, "Golden Key");
	SET_CDtt( 5, 04.50, "Forever Changing");
	SET_CDtt( 6, 05.03, "Secret Mission");
	SET_CDtt( 7, 03.44, "Kalynda (a magical isle)");
	SET_CDtt( 8, 04.27, "The Discovery  [instrumental]");
	SET_CDtt( 9, 03.35, "Friends");
	SET_CDtt(10, 04.57, "The Flood at Lyons");
#     endif
	}
#define PSIMON_RHYTHMSAINTS    965377600 /* key parts = 2681.45.10.250 251 */
    if ( cdKey == PSIMON_RHYTHMSAINTS ) { /* 0:44:41-45 */
	tocPtr->discPerformer = "Paul Simon";
	tocPtr->discTitle = "The Rhythm of the Saints";
	tocPtr->discCatNum = "007599260982100";
#     if !defined(SKIPSONGS_Paul_Simon)
	SET_CDtt( 1, 04.10, "The Obvious Child");
	SET_CDtt( 2, 03.37, "Can't Run But");
	SET_CDtt( 3, 05.03, "The Coast");
	SET_CDtt( 4, 04.40, "Proof");
	SET_CDtt( 5, 05.39, "Further To Fly");
	SET_CDtt( 6, 05.03, "She Moves On");
	SET_CDtt( 7, 03.48, "Born At The Right Time");
	SET_CDtt( 8, 04.32, "The Cool, Cool River");
	SET_CDtt( 9, 03.56, "Spirit Voices");
	SET_CDtt(10, 04.11, "The Rhythm of the Saints");
#     endif
	}
    if ( cdKey == BSPRING_DARKNESS ) { /* 0:43:09-00 */
	tocPtr->discPerformer = "Bruce Springsteen";
	tocPtr->discTitle = "Darkness on the Edge of Town";
#     if !defined(SKIPSONGS_Bruce_Springsteen)
	SET_CDtt( 1, 04.04, "Badlands");
	SET_CDtt( 2, 04.34, "Adam Raised a Cain");
	SET_CDtt( 3, 05.15, "Something In The Night");
	SET_CDtt( 4, 02.48, "Candy's Room");
	SET_CDtt( 5, 06.59, "Racing in the Street");
	SET_CDtt( 6, 04.29, "The Promised Land");
	SET_CDtt( 7, 02.20, "Factory");
	SET_CDtt( 8, 04.04, "Streets of Fire");
	SET_CDtt( 9, 04.01, "Prove It All Night");
	SET_CDtt(10, 04.33, "Darkness on the Edge of Town");
#     endif
	}
    if ( cdKey == RWRIGHT_WETDREAM ) { /* 0:43:51-73 */
	tocPtr->discPerformer = "Rick Wright";
	tocPtr->discTitle = "Wet Dream";
	SET_CDtt( 1, 03.54, "Mediterranean C");
	SET_CDtt( 2, 04.00, "Against the Odds");
	SET_CDtt( 3, 05.16, "Cat Cruise");
	SET_CDtt( 4, 04.55, "Summer Elegy");
	SET_CDtt( 5, 04.21, "Waves");
	SET_CDtt( 6, 06.12, "Holiday");
	SET_CDtt( 7, 03.19, "Mad Yannis Dance");
	SET_CDtt( 8, 03.26, "Drop in From the Top");
	SET_CDtt( 9, 03.30, "Pink's Song");
	SET_CDtt(10, 04.56, "Funky Deux");
	}
}
