#import <sys/types.h>
#import <stddef.h>
#import "CD_DBaseSubs.h"

    /* This subroutine has information for CD's with 12 tracks, and
     * which have 60 or more minutes of music on them.
     */

#define APARSONS_TRYONCE_G    1296352252 /* key parts = 3600.73.12.352 393 */
#define APARSONS_TRYONCE      1296424252 /* key parts = 3601.13.12.352 393 */
#define EJOHN_TUMBLEWEED_TCY  1300753949 /* key parts = 3613.15.12.299 533 */
#define U2_POP                1300849819 /* key parts = 3613.35.12.319 293 */
#define DIREST_EVERYSTREET    1304219487 /* key parts = 3622.62.12.387 229 */
#define BARCLAYJ_FACETOFACE   1313248326 /* key parts = 3647.68.12.276 356 */
#define PNAMKSCH_DARKMOOG2    1319041800 /* key parts = 3664.00.12.300 362 */
#define NYOUNG_FREEDOM        1319233870 /* key parts = 3664.40.12.220 282 */
#define PSIMON_CONCERTCP_D2   1335193925 /* key parts = 3708.65.12.425 344 */
#define PORCUP_SIGNIFY        1340833902 /* key parts = 3724.40.12.102 539 */
#define NYOUNG_SWANGELS       1357561814 /* key parts = 3771.00.12.164 330 */
#define STEELYD_GOLD_EX       1369537805 /* key parts = 3804.20.12.305 461 */
#define MOODY_GREATEST        1382233941 /* key parts = 3839.40.12.291 345 */
#define WISHB_ILLUMINATIONS   1411427461 /* key parts = 3920.47.12.361 197 */
#define DIREST_MONEYFORNOT    1434913846 /* key parts = 3985.65.12.346 289 */
#define APICKF_DYSTOPIA       1445032235 /* key parts = 4013.73.12.485 269 */
#define ANIMO_OBSESSION       1470409837 /* key parts = 4084.35.12.337 658 */
#define MSHREEVE_COLLIDE      1474585935 /* key parts = 4096.05.12.135 418 */
#define EJOHN_HERENTHER_TCYD1 1475593840 /* key parts = 4098.65.12.340 428 */
#define GMALKIN_MUSICSMOKIES  1495907440 /* key parts = 4155.22.12.340 227 */
#define SUPERT_SOMETHINGS     1514027536 /* key parts = 4205.47.12.586 335 */
#define APICKF_TERRAFORMER    1515755523 /* key parts = 4210.32.12.423 315 */
#define BARCLAYJ_GLASNOST     1521880342 /* key parts = 4227.33.12.442 324 */
#define VANGEL_INSPACE        1534115493 /* key parts = 4261.32.12.543 634 */
#define GENESIS_CANTDANCE     1547353899 /* key parts = 4298.15.12.399 617 */
#define GENESIS_CALLINGALL    1551621043 /* key parts = 4310.04.12.343 94 */
#define ELO_AFTERGLOW_D1      1560059433 /* key parts = 4333.37.12.333 347 */
#define RENAIS_INBEGINNING    1598531437 /* key parts = 4440.27.12.337 571 */
#define PINKF_LIVEBELL_D1     1624585889 /* key parts = 4512.55.12.239 424 */
#define SHAMALL_SEARCHOFPREC  1638467530 /* key parts = 4551.22.12.580 287 */
#define PINKF_ABSENCE_BD7     1666955480 /* key parts = 4630.32.12.380 609 */
#define BJOEL_COMPLETEHITS_D4 1689275418 /* key parts = 4692.32.12.618 392 */
#define RENAIS_DACAPO_D1      1695601858 /* key parts = 4710.00.12.658 284 */
#define PINKF_ABSENCE_BD4     1721675507 /* key parts = 4782.32.12.1457 585 */


void filltoc12_60(tocPtr, cdKey)
struct cd_toc *tocPtr;
u_int cdKey;
{

    if ( cdKey == ANIMO_OBSESSION ) { /* 1:08:04-35 */
	tocPtr->discPerformer = "Animotion";
	tocPtr->discTitle = "Obsession";
	tocPtr->discCatNum = "073145323192400";
	SET_CDtt( 1, 05.37, "Obsession");
	SET_CDtt( 2, 04.28, "Let Him Go");
	SET_CDtt( 3, 04.37, "I Want You");
	SET_CDtt( 4, 04.16, "I Engineer");
	SET_CDtt( 5, 03.58, "Strange Behavior");
	SET_CDtt( 6, 04.15, "Anxiety");
	SET_CDtt( 7, 04.37, "Room to Move");
	SET_CDtt( 8, 04.50, "Calling It Love");
	SET_CDtt( 9, 07.32, "Obsession  [12-inch remix]");
	SET_CDtt(10, 06.05, "Let Him Go  [12-inch remix]");
	SET_CDtt(11, 06.49, "I Want You  [12-inch remix]");
	SET_CDtt(12, 10.58, "I Engineer  [12-inch remix]");
	}
    if ( cdKey == BARCLAYJ_FACETOFACE ) { /* 1:00:47-68 */
	tocPtr->discPerformer = "Barclay James Harvest";
	tocPtr->discTitle = "Face to Face";
	tocPtr->discCatNum = "004228314832100";
#     if !defined(SKIPSONGS_Barclay_James_Harvest)
	SET_CDtt( 1, 04.36, "Prisoner Of Your Love");
	SET_CDtt( 2, 05.05, "He Said Love");
	SET_CDtt( 3, 05.07, "Alone in the Night");
	SET_CDtt( 4, 04.48, "Turn the Key");
	SET_CDtt( 5, 04.10, "You Need Love");
	SET_CDtt( 6, 05.27, "Kiev");
	SET_CDtt( 7, 05.52, "African");
	SET_CDtt( 8, 04.23, "Following Me");
	SET_CDtt( 9, 05.32, "All My Life");
	SET_CDtt(10, 04.30, "Panic");
	SET_CDtt(11, 05.19, "Guitar Blues");
	SET_CDtt(12, 05.56, "On The Wings Of Love");
#     endif
	}
    if ( cdKey == BARCLAYJ_GLASNOST ) { /* 1:10:27-33 */
	tocPtr->discPerformer = "Barclay James Harvest";
	tocPtr->discTitle = "Glasnost";
	tocPtr->discCatNum = "004228355902800";
#     if !defined(SKIPSONGS_Barclay_James_Harvest)
	SET_CDtt( 1, 07.22, "Poor Man's Moody Blues");
	SET_CDtt( 2, 05.35, "Alone in the Night");
	SET_CDtt( 3, 05.14, "Hold On");
	SET_CDtt( 4, 06.37, "African");
	SET_CDtt( 5, 06.20, "On The Wings Of Love");
	SET_CDtt( 6, 04.31, "Love On the Line");
	SET_CDtt( 7, 06.08, "Berlin");
	SET_CDtt( 8, 06.15, "Medicine Man");
	SET_CDtt( 9, 06.32, "Kiev");
	SET_CDtt(10, 05.21, "Hymn");
	SET_CDtt(11, 05.06, "Turn the Key");
	SET_CDtt(12, 05.24, "He Said Love");
#     endif
	}
    if ( cdKey == DIREST_MONEYFORNOT ) { /* 1:06:25-65 */
	tocPtr->discPerformer = "Dire Straits";
	tocPtr->discTitle = "Money for Nothing";
	tocPtr->discCatNum = "007599257942100";
#     if !defined(SKIPSONGS_Dire_Straits)
	SET_CDtt( 1, 05.46, "Sultans of Swing");
	SET_CDtt( 2, 04.01, "Down to the Waterline");
	SET_CDtt( 3, 04.34, "Portobello Belle  [live]");
	SET_CDtt( 4, 03.31, "Twisting by the Pool  [remix]");
	SET_CDtt( 5, 08.11, "Tunnel of Love");
	SET_CDtt( 6, 05.56, "Romeo and Juliet");
	SET_CDtt( 7, 03.31, "Where Do You Think You're Going");
	SET_CDtt( 8, 04.08, "Walk of Life");
	SET_CDtt( 9, 05.51, "Private Investigations");
	SET_CDtt(10, 11.59, "Telegraph Road  [live - remix]");
	SET_CDtt(11, 04.06, "Money for Nothing");
	SET_CDtt(12, 04.49, "Brothers in Arms");
#     endif
	}
    if ( cdKey == DIREST_EVERYSTREET ) { /* 1:00:22-62 */
	tocPtr->discPerformer = "Dire Straits";
	tocPtr->discTitle = "On Every Street";
	tocPtr->discCatNum = "007599266802600";
#     if !defined(SKIPSONGS_Dire_Straits)
	SET_CDtt( 1, 06.27, "Calling Elvis");
	SET_CDtt( 2, 05.04, "On Every Street");
	SET_CDtt( 3, 05.01, "When It Comes to You");
	SET_CDtt( 4, 03.50, "Fade To Black");
	SET_CDtt( 5, 04.17, "The Bug");
	SET_CDtt( 6, 05.59, "You And Your Friend");
	SET_CDtt( 7, 04.56, "Heavy Fuel");
	SET_CDtt( 8, 03.10, "Iron Hand");
	SET_CDtt( 9, 04.26, "Ticket To Heaven");
	SET_CDtt(10, 05.33, "My Parties");
	SET_CDtt(11, 07.48, "Planet of New Orleans");
	SET_CDtt(12, 03.49, "How Long");
#     endif
	}
    if ( cdKey == ELO_AFTERGLOW_D1 ) { /* 1:12:13-37 */
	tocPtr->discPerformer = "Electric Light Orchestra";
	tocPtr->discTitle = "Afterglow  [disc 1]";
#     if !defined(SKIPSONGS_Electric_Light_Orchestra)
	SET_CDtt( 1, 05.33, "10538 Overture");
	SET_CDtt( 2, 05.06, "Mr. Radio");
	SET_CDtt( 3, 11.20, "Kuiama");
	SET_CDtt( 4, 06.55, "In Old England Town (Boogie #2)");
	SET_CDtt( 5, 07.05, "Mama");
	SET_CDtt( 6, 08.10, "Roll Over Beethoven");
	SET_CDtt( 7, 04.25, "Bluebird is Dead");
	SET_CDtt( 8, 03.52, "Ma-Ma-Ma Belle");
	SET_CDtt( 9, 04.09, "Showdown");
	SET_CDtt(10, 04.26, "Can't Get It Out of My Head");
	SET_CDtt(11, 05.23, "Boy Blue");
	SET_CDtt(12, 05.47, "One Summer Dream");
#     endif
	}
    if ( cdKey == GENESIS_CANTDANCE ) { /* 1:11:38-15 */
	tocPtr->discPerformer = "Genesis";
	tocPtr->discTitle = "We Can't Dance";
	tocPtr->discCatNum = "007567823442200";
#     if !defined(SKIPSONGS_Genesis)
	SET_CDtt( 1, 06.39, "No Son of Mine");
	SET_CDtt( 2, 04.17, "Jesus He Knows Me");
	SET_CDtt( 3, 10.08, "Driving the Last Spike");
	SET_CDtt( 4, 04.01, "I Can't Dance");
	SET_CDtt( 5, 03.51, "Never a Time");
	SET_CDtt( 6, 07.17, "Dreaming While You Sleep");
	SET_CDtt( 7, 04.59, "Tell Me Why");
	SET_CDtt( 8, 05.41, "Living Forever");
	SET_CDtt( 9, 04.38, "Hold On My Heart");
	SET_CDtt(10, 05.39, "Way of the World");
	SET_CDtt(11, 04.09, "Since I Lost You");
	SET_CDtt(12, 10.17, "Fading Lights");
#     endif
	}
    if ( cdKey == GENESIS_CALLINGALL ) { /* 1:11:50-04 */
	tocPtr->discPerformer = "Genesis";
	tocPtr->discTitle = "...Calling All Stations...";
#     if !defined(SKIPSONGS_Genesis)
	SET_CDtt( 1, 05.43, "Calling All Stations");
	SET_CDtt( 2, 04.52, "Congo");
	SET_CDtt( 3, 04.24, "Shipwrecked");
	SET_CDtt( 4, 07.53, "Alien Afternoon");
	SET_CDtt( 5, 04.40, "Not About Us");
	SET_CDtt( 6, 05.12, "If That's What You Need");
	SET_CDtt( 7, 07.45, "The Dividing Line");
	SET_CDtt( 8, 05.30, "Uncertain Weather");
	SET_CDtt( 9, 05.02, "Small Talk");
	SET_CDtt(10, 07.55, "There Must Be Some Other Way");
	SET_CDtt(11, 11.18, "One Man's Fool");
	SET_CDtt(12, 01.34, "[data track]");
#     endif
	}
    if ( cdKey == BJOEL_COMPLETEHITS_D4 ) { /* 1:18:12-32 */
	tocPtr->discPerformer = "Billy Joel";
	tocPtr->discTitle = "The Complete Hits Collection: 1973-1997  [disc 4]";
#     if !defined(SKIPSONGS_Billy_Joel)
	SET_CDtt( 1, 10.18, "[Billy Joel Spoken Intro/ Music Concepts]");
	SET_CDtt( 2, 07.51, "Scenes From An Italian Restaurant  [live]");
	SET_CDtt( 3, 05.19, "[Beatles Influence]");
	SET_CDtt( 4, 02.53, "Hard Day's Night  [live]");
	SET_CDtt( 5, 09.29, "[Why Vienna?]");
	SET_CDtt( 6, 03.41, "Vienna  [live]");
	SET_CDtt( 7, 04.32, "[History Through Music]");
	SET_CDtt( 8, 05.13, "We Didn't Start the Fire  [live]");
	SET_CDtt( 9, 09.14, "[Music Source]");
	SET_CDtt(10, 05.21, "The River of Dreams  [original studio]");
	SET_CDtt(11, 07.47, "[Piano Bar]");
	SET_CDtt(12, 06.32, "Piano Man");
#     endif
	}
    if ( cdKey == EJOHN_TUMBLEWEED_TCY ) { /* 1:00:13-15 */
	tocPtr->discPerformer = "Elton John";
	tocPtr->discTitle = "Tumbleweed Connection  [The Classic Years]";
	tocPtr->discCatNum = "073145281552100";
#     if !defined(SKIPSONGS_Elton_John)
	SET_CDtt( 1, 04.59, "Ballad of a WellKnown Gun");
	SET_CDtt( 2, 03.25, "Come Down in Time");
	SET_CDtt( 3, 05.07, "Country Comfort");
	SET_CDtt( 4, 03.49, "Son Of Your Father");
	SET_CDtt( 5, 06.21, "My Father's Gun");
	SET_CDtt( 6, 04.11, "Where to Now St. Peter?");
	SET_CDtt( 7, 03.42, "Love Song");
	SET_CDtt( 8, 05.00, "Amoreena");
	SET_CDtt( 9, 04.06, "Talking Old Soldiers");
	SET_CDtt(10, 06.36, "Burn Down The Mission");
	SET_CDtt(11, 04.02, "Into the Old Man's Shoes");
	SET_CDtt(12, 08.53, "Madman Across the Water  [original version]");
#     endif
	}
    if ( cdKey == EJOHN_HERENTHER_TCYD1 ) { /* 1:08:18-65 */
	tocPtr->discPerformer = "Elton John";
	tocPtr->discTitle = "Here and There  [The Classic Years]  [disc 1]";
	tocPtr->discCatNum = "073145284492700";
#     if !defined(SKIPSONGS_Elton_John)
	SET_CDtt( 1, 05.40, "Skyline Pigeon");
	SET_CDtt( 2, 03.28, "Border Song");
	SET_CDtt( 3, 04.34, "Take Me To The Pilot");
	SET_CDtt( 4, 06.44, "Country Comfort");
	SET_CDtt( 5, 05.04, "Love Song");
	SET_CDtt( 6, 07.54, "Bad Side of the Moon");
	SET_CDtt( 7, 08.26, "Burn Down the Mission");
	SET_CDtt( 8, 07.04, "Honky Cat");
	SET_CDtt( 9, 04.09, "Crocodile Rock");
	SET_CDtt(10, 03.57, "Candle in the Wind");
	SET_CDtt(11, 04.08, "Your Song");
	SET_CDtt(12, 07.08, "Saturday's Alright for Fighting");
#     endif
	}
    if ( cdKey == GMALKIN_MUSICSMOKIES ) { /* 1:09:15-22 */
	tocPtr->discPerformer = "Gary Remal Malkin";
	tocPtr->discTitle = "The Music of the Great Smoky Mountains";
	SET_CDtt( 1, 05.40, "The Journey");
	SET_CDtt( 2, 05.34, "Mountain Majesty");
	SET_CDtt( 3, 06.37, "Flight of the Hawk");
	SET_CDtt( 4, 06.33, "Appalachian Sunrise");
	SET_CDtt( 5, 05.45, "A Time Ago");
	SET_CDtt( 6, 05.33, "Ghost on an Old Settler's Trail");
	SET_CDtt( 7, 08.11, "Trail of Tears");
	SET_CDtt( 8, 07.32, "The Innocent Land");
	SET_CDtt( 9, 03.45, "Through the Veil of Time");
	SET_CDtt(10, 03.48, "Settler's Waltz");
	SET_CDtt(11, 06.28, "The Courage To Dream");
	SET_CDtt(12, 03.47, "Napolean's Retreat");
	}
    if ( cdKey == MOODY_GREATEST ) { /* 1:03:59-40 */
	tocPtr->discPerformer = "Moody Blues";
	tocPtr->discTitle = "Greatest Hits";
#     if !defined(SKIPSONGS_Moody_Blues)
	SET_CDtt( 1, 04.51, "Your Wildest Dreams");
	SET_CDtt( 2, 05.17, "The Voice");
	SET_CDtt( 3, 04.09, "Gemini Dream");
	SET_CDtt( 4, 03.06, "The Story In Your Eyes");
	SET_CDtt( 5, 04.52, "Tuesday Afternoon");
	SET_CDtt( 6, 06.41, "Isn't Life Strange");
	SET_CDtt( 7, 07.39, "Nights in White Satin");
	SET_CDtt( 8, 06.39, "I Know You're Out There Somewhere");
	SET_CDtt( 9, 06.52, "The Other Side of Life");
	SET_CDtt(10, 03.47, "Ride My See-Saw");
	SET_CDtt(11, 04.19, "I'm Just a Singer (In A Rock and Roll Band)");
	SET_CDtt(12, 05.45, "Question");
#     endif
	}
    if ( cdKey == PNAMKSCH_DARKMOOG2 ) { /* 1:01:04-00 */
	tocPtr->discPerformer = "Pete Namlook & Klaus Schulze";
	tocPtr->discTitle = "Dark Side of the Moog 2";
	SET_CDtt( 1, 05.00, "A Saucerful of Ambience: Part 1");
	SET_CDtt( 2, 05.00, "A Saucerful of Ambience: Part 2");
	SET_CDtt( 3, 05.00, "A Saucerful of Ambience: Part 3");
	SET_CDtt( 4, 05.00, "A Saucerful of Ambience: Part 4");
	SET_CDtt( 5, 05.01, "A Saucerful of Ambience: Part 5");
	SET_CDtt( 6, 04.59, "A Saucerful of Ambience: Part 6");
	SET_CDtt( 7, 05.00, "A Saucerful of Ambience: Part 7");
	SET_CDtt( 8, 05.00, "A Saucerful of Ambience: Part 8");
	SET_CDtt( 9, 05.00, "A Saucerful of Ambience: Part 9");
	SET_CDtt(10, 05.01, "A Saucerful of Ambience: Part 10");
	SET_CDtt(11, 04.59, "A Saucerful of Ambience: Part 11");
	SET_CDtt(12, 06.02, "A Saucerful of Ambience: Part 12");
	}
    if ( cdKey == APARSONS_TRYONCE ) { /* 1:00:01-13 */
	tocPtr->discPerformer = "Alan Parsons";
	tocPtr->discTitle = "Try Anything Once";
	tocPtr->discCatNum = "000782218741200";
#     if !defined(SKIPSONGS_Alan_Parsons_Project)
	SET_CDtt( 1, 05.52, "The Three of Me");
	SET_CDtt( 2, 06.13, "Turn It Up");
	SET_CDtt( 3, 05.44, "Wine from the Water");
	SET_CDtt( 4, 04.07, "Breakaway  [instrumental]");
	SET_CDtt( 5, 08.18, "Mr. Time");
	SET_CDtt( 6, 03.24, "Jigue  [instrumental]");
	SET_CDtt( 7, 04.38, "I'm Talkin' To You");
	SET_CDtt( 8, 05.02, "Siren Song");
	SET_CDtt( 9, 03.01, "Dreamscape  [instrumental]");
	SET_CDtt(10, 04.38, "Back Against the Wall");
	SET_CDtt(11, 02.29, "ReJigue  [instrumental]");
	SET_CDtt(12, 06.33, "Oh Life (There Must Be More)");
#     endif
	}
    if ( cdKey == APARSONS_TRYONCE_G ) { /* 1:00:00-73 */
	tocPtr->discPerformer = "Alan Parsons";
	tocPtr->discTitle = "Try Anything Once  [gold]";
#     if !defined(SKIPSONGS_Alan_Parsons_Project)
	SET_CDtt( 1, 05.52, "The Three of Me");
	SET_CDtt( 2, 06.13, "Turn It Up");
	SET_CDtt( 3, 05.44, "Wine from the Water");
	SET_CDtt( 4, 04.07, "Breakaway  [instrumental]");
	SET_CDtt( 5, 08.17, "Mr. Time");
	SET_CDtt( 6, 03.25, "Jigue  [instrumental]");
	SET_CDtt( 7, 04.38, "I'm Talkin' To You");
	SET_CDtt( 8, 05.02, "Siren Song");
	SET_CDtt( 9, 03.01, "Dreamscape  [instrumental]");
	SET_CDtt(10, 04.38, "Back Against the Wall");
	SET_CDtt(11, 02.28, "ReJigue  [instrumental]");
	SET_CDtt(12, 06.33, "Oh Life (There Must Be More)");
#     endif
	}
    if ( cdKey == APICKF_TERRAFORMER ) { /* 1:10:10-32 */
	tocPtr->discPerformer = "Andy Pickford";
	tocPtr->discTitle = "Terraformer";
#     if !defined(SKIPSONGS_Andy_Pickford)
	SET_CDtt( 1, 07.03, "Terraformer");
	SET_CDtt( 2, 04.43, "Mesmereyes");
	SET_CDtt( 3, 05.56, "Summers Past");
	SET_CDtt( 4, 07.01, "Akira");
	SET_CDtt( 5, 05.21, "Djangotron");
	SET_CDtt( 6, 04.00, "Out of the Darkness");
	SET_CDtt( 7, 06.31, "Get Dyson");
	SET_CDtt( 8, 07.05, "Darklands (Don't be Afraid)");
	SET_CDtt( 9, 05.31, "Asgard");
	SET_CDtt(10, 05.58, "Twilight in Valhalla");
	SET_CDtt(11, 05.44, "The Furnace");
	SET_CDtt(12, 05.15, "Still Waters (Run Deep)");
#     endif
	}
    if ( cdKey == APICKF_DYSTOPIA ) { /* 1:06:53-73 */
	tocPtr->discPerformer = "Andy Pickford";
	tocPtr->discTitle = "Dystopia";
#     if !defined(SKIPSONGS_Andy_Pickford)
	SET_CDtt( 1, 08.05, "Cephaloastral");
	SET_CDtt( 2, 05.35, "Dreifarbig Bomber");
	SET_CDtt( 3, 06.28, "Angstrom");
	SET_CDtt( 4, 05.03, "The Girl from Planet X");
	SET_CDtt( 5, 05.14, "Overlander");
	SET_CDtt( 6, 03.49, "May");
	SET_CDtt( 7, 07.32, "The Furnace (Anvil Remix)");
	SET_CDtt( 8, 04.38, "The Last Sundown");
	SET_CDtt( 9, 05.15, "The Chase");
	SET_CDtt(10, 04.43, "Belvedere");
	SET_CDtt(11, 06.00, "Sundance");
	SET_CDtt(12, 04.29, "Sayonara '83");
#     endif
	}
    if ( cdKey == PINKF_LIVEBELL_D1 ) { /* 1:15:12-55 */
	tocPtr->discPerformer = "Pink Floyd";
	tocPtr->discTitle = "The Live Bell  [disc 1]";
#     if !defined(SKIPSONGS_Pink_Floyd)
	SET_CDtt( 1, 03.59, "Astronomy Domine");
	SET_CDtt( 2, 05.14, "Learning to Fly");
	SET_CDtt( 3, 04.17, "What Do You Want From Me");
	SET_CDtt( 4, 06.11, "Take it Back");
	SET_CDtt( 5, 06.08, "Lost for Words");
	SET_CDtt( 6, 09.49, "Sorrow");
	SET_CDtt( 7, 05.00, "A Great Day for Freedom");
	SET_CDtt( 8, 06.57, "Keep Talking");
	SET_CDtt( 9, 06.09, "One of These Days");
	SET_CDtt(10, 11.31, "Shine On You Crazy Diamond");
	SET_CDtt(11, 02.51, "Breath in the Air");
	SET_CDtt(12, 07.04, "Time");
#     endif
	}
    if ( cdKey == PINKF_ABSENCE_BD4 ) { /* 1:19:42-32 */
	tocPtr->discPerformer = "Pink Floyd";
	tocPtr->discTitle = "Variations on a Theme of Absence  [disc 4]";
#     if !defined(SKIPSONGS_Pink_Floyd)
	SET_CDtt( 1, 24.17, "Echoes");
	SET_CDtt( 2, 02.54, "Speak to Me/ Breathe");
	SET_CDtt( 3, 06.10, "On the Run");
	SET_CDtt( 4, 06.33, "Time");
	SET_CDtt( 5, 01.03, "Breathe (reprise)");
	SET_CDtt( 6, 04.24, "The Great Gig in the Sky");
	SET_CDtt( 7, 07.42, "Money");
	SET_CDtt( 8, 07.16, "Us and Them");
	SET_CDtt( 9, 04.45, "Any Colour You Like");
	SET_CDtt(10, 01.57, "Brain Damage");
	SET_CDtt(11, 02.54, "Eclipse");
	SET_CDtt(12, 09.45, "A Saucerful of Secrets");
#     endif
	}
    if ( cdKey == PINKF_ABSENCE_BD7 ) { /* 1:17:10-32 */
	tocPtr->discPerformer = "Pink Floyd";
	tocPtr->discTitle = "Variations on a Theme of Absence  [disc 7]";
#     if !defined(SKIPSONGS_Pink_Floyd)
	SET_CDtt( 1, 06.20, "Until We Sleep  [Dave Gilmour Band]");
	SET_CDtt( 2, 04.51, "All Lovers Are Deranged  [Dave Gilmour Band]");
	SET_CDtt( 3, 06.02, "Love on the Air  [Dave Gilmour Band]");
	SET_CDtt( 4, 07.55, "Short and Sweet  [Dave Gilmour Band]");
	SET_CDtt( 5, 07.30, "You Know I'm Right  [Dave Gilmour Band]");
	SET_CDtt( 6, 03.56, "Signs of Life");
	SET_CDtt( 7, 07.36, "Yet Another Movie");
	SET_CDtt( 8, 01.41, "A New Machine: Part 1");
	SET_CDtt( 9, 06.50, "Terminal Frost");
	SET_CDtt(10, 10.08, "A New Machine: Part 2");
	SET_CDtt(11, 04.10, "Powers That Be  [Roger Waters & the Bleeding Heart Band]");
	SET_CDtt(12, 10.09, "Another Brick in the Wall  [Roger Waters & the Bleeding Heart Band]");
#     endif
	}
    if ( cdKey == PORCUP_SIGNIFY ) { /* 1:02:04-40 */
	tocPtr->discPerformer = "Porcupine Tree";
	tocPtr->discTitle = "Signify";
#     if !defined(SKIPSONGS_Porcupine_Tree)
	SET_CDtt( 1, 01.42, "Bornlivedie");
	SET_CDtt( 2, 03.26, "Signify");
	SET_CDtt( 3, 05.25, "Sleep of No Dreaming");
	SET_CDtt( 4, 01.34, "Pagan");
	SET_CDtt( 5, 04.25, "Waiting Phase One");
	SET_CDtt( 6, 06.16, "Waiting Phase Two");
	SET_CDtt( 7, 05.30, "Sever");
	SET_CDtt( 8, 07.38, "Idiot Prayer");
	SET_CDtt( 9, 05.09, "Every Home is Wired");
	SET_CDtt(10, 07.29, "Intermediate Jesus");
	SET_CDtt(11, 04.29, "Light Mass Prayers");
	SET_CDtt(12, 08.59, "Dark Matter");
#     endif
	}
    if ( cdKey == RENAIS_INBEGINNING ) { /* 1:14:00-27 */
	tocPtr->discPerformer = "Renaissance";
	tocPtr->discTitle = "In the Beginning...";
#     if !defined(SKIPSONGS_Renaissance)
	SET_CDtt( 1, 05.37, "Prologue");
	SET_CDtt( 2, 07.38, "Kiev");
	SET_CDtt( 3, 06.52, "Sounds Of The Sea");
	SET_CDtt( 4, 05.10, "Spare Some Love");
	SET_CDtt( 5, 04.20, "Bound For Infinity");
	SET_CDtt( 6, 08.58, "Rajah Khan");
	SET_CDtt( 7, 09.52, "Can You Understand?");
	SET_CDtt( 8, 04.14, "Let It Grow");
	SET_CDtt( 9, 04.56, "On The Frontier");
	SET_CDtt(10, 03.35, "Carpet Of The Sun");
	SET_CDtt(11, 03.15, "At The Harbour");
	SET_CDtt(12, 09.31, "Ashes Are Burning");
#     endif
	}
    if ( cdKey == RENAIS_DACAPO_D1 ) { /* 1:18:30-00 */
	tocPtr->discPerformer = "Renaissance";
	tocPtr->discTitle = "Da Capo  [disc 1]";
#     if !defined(SKIPSONGS_Renaissance)
	SET_CDtt( 1, 10.58, "Kings & Queens");
	SET_CDtt( 2, 05.59, "Island");
	SET_CDtt( 3, 02.49, "Love Goes On");
	SET_CDtt( 4, 03.39, "Love is All");
	SET_CDtt( 5, 05.37, "Prologue");
	SET_CDtt( 6, 04.23, "Bound for Infinity");
	SET_CDtt( 7, 03.34, "Carpet of the Sun");
	SET_CDtt( 8, 11.21, "Ashes are Burning");
	SET_CDtt( 9, 06.28, "Black Flame");
	SET_CDtt(10, 09.35, "Running Hard");
	SET_CDtt(11, 09.21, "Mother Russia");
	SET_CDtt(12, 04.44, "Africa");
#     endif
	}
    if ( cdKey == SHAMALL_SEARCHOFPREC ) { /* 1:15:51-22 */
	tocPtr->discPerformer = "Shamall";
	tocPtr->discTitle = "In Search of Precision";
#     if !defined(SKIPSONGS_Shamall)
	SET_CDtt( 1, 09.40, "In Search of Precision");
	SET_CDtt( 2, 09.47, "Horizons");
	SET_CDtt( 3, 02.01, "Dream of a Better World");
	SET_CDtt( 4, 07.42, "Heartland");
	SET_CDtt( 5, 03.11, "Landscape");
	SET_CDtt( 6, 08.55, "Ambrosia");
	SET_CDtt( 7, 10.34, "Time Machine");
	SET_CDtt( 8, 05.05, "Roll the Dice");
	SET_CDtt( 9, 05.00, "McArthur's Homecoming");
	SET_CDtt(10, 04.47, "Theme of a Broken Romance");
	SET_CDtt(11, 04.20, "Tell Me Why");
	SET_CDtt(12, 04.47, "China Nights");
#     endif
	}
    if ( cdKey == MSHREEVE_COLLIDE ) { /* 1:08:16-05 */
	tocPtr->discPerformer = "Mark Shreeve";
	tocPtr->discTitle = "Collide: Live at EMMA 1994";
#     if !defined(SKIPSONGS_Mark_Shreeve)
	SET_CDtt( 1, 02.15, "Balles de Cosmique");
	SET_CDtt( 2, 04.54, "Graveraver");
	SET_CDtt( 3, 07.13, "Flagg");
	SET_CDtt( 4, 05.30, "It");
	SET_CDtt( 5, 06.06, "Storm Column");
	SET_CDtt( 6, 08.24, "Wardance");
	SET_CDtt( 7, 03.16, "Pan-Galactic Anorak");
	SET_CDtt( 8, 08.08, "Darkness Comes");
	SET_CDtt( 9, 05.22, "The Stand");
	SET_CDtt(10, 04.43, "Meateater");
	SET_CDtt(11, 05.25, "Crash Head");
	SET_CDtt(12, 06.58, "Assassin");
#     endif
	}
    if ( cdKey == PSIMON_CONCERTCP_D2 ) { /* 1:01:48-65 */
	tocPtr->discPerformer = "Paul Simon";
	tocPtr->discTitle = "Concert In The Park  [disc 2]";
	tocPtr->discCatNum = "007599267372300";
#     if !defined(SKIPSONGS_Paul_Simon)
	SET_CDtt( 1, 07.05, "The Coast");
	SET_CDtt( 2, 05.31, "Graceland");
	SET_CDtt( 3, 05.10, "You Can Call Me Al");
	SET_CDtt( 4, 03.43, "Still Crazy After All These Years");
	SET_CDtt( 5, 02.53, "Loves Me Like a Rock");
	SET_CDtt( 6, 09.31, "Diamonds In the Soles of Her Shoes");
	SET_CDtt( 7, 06.18, "Hearts And Bones");
	SET_CDtt( 8, 04.45, "Late In the Evening");
	SET_CDtt( 9, 03.23, "America");
	SET_CDtt(10, 04.19, "The Boxer");
	SET_CDtt(11, 03.24, "Cecilia");
	SET_CDtt(12, 05.44, "The Sound Of Silence");
#     endif
	}
    if ( cdKey == STEELYD_GOLD_EX ) { /* 1:03:24-20 */
	tocPtr->discPerformer = "Steely Dan";
	tocPtr->discTitle = "Gold  [expanded edition]";
#     if !defined(SKIPSONGS_Steely_Dan)
	SET_CDtt( 1, 05.05, "Hey Nineteen");
	SET_CDtt( 2, 04.08, "Green Earrings");
	SET_CDtt( 3, 07.32, "Deacon Blues");
	SET_CDtt( 4, 03.01, "Chain Lightning");
	SET_CDtt( 5, 05.06, "FM");
	SET_CDtt( 6, 05.09, "Black Cow");
	SET_CDtt( 7, 05.03, "King of the World");
	SET_CDtt( 8, 05.52, "Babylon Sisters");
	SET_CDtt( 9, 04.03, "Here at the Western World");
	SET_CDtt(10, 05.32, "Century's End  [by Donald Fagen]");
	SET_CDtt(11, 05.10, "True Companion  [by Donald Fagen]");
	SET_CDtt(12, 07.41, "Bodhisattva  [live]");
#     endif
	}
    if ( cdKey == SUPERT_SOMETHINGS ) { /* 1:10:05-47 */
	tocPtr->discPerformer = "Supertramp";
	tocPtr->discTitle = "Some Things Never Change";
#     if !defined(SKIPSONGS_Supertramp)
	SET_CDtt( 1, 09.46, "It's a Hard World");
	SET_CDtt( 2, 04.31, "You Win, I Lose");
	SET_CDtt( 3, 04.48, "Get Your Act Together");
	SET_CDtt( 4, 05.19, "Live to Love You");
	SET_CDtt( 5, 06.27, "Some Things Never Change");
	SET_CDtt( 6, 04.46, "Listen To Me Please");
	SET_CDtt( 7, 06.52, "Sooner or Later");
	SET_CDtt( 8, 04.37, "Help Me Down that Road");
	SET_CDtt( 9, 04.41, "And the Light");
	SET_CDtt(10, 04.24, "Give Me a Chance");
	SET_CDtt(11, 08.17, "C'est What?");
	SET_CDtt(12, 05.35, "Where There's a Will");
#     endif
	}
    if ( cdKey == U2_POP ) { /* 1:00:13-35 */
	tocPtr->discPerformer = "U2";
	tocPtr->discTitle = "Pop";
#     if !defined(SKIPSONGS_U2)
	SET_CDtt( 1, 05.19, "Discothque");
	SET_CDtt( 2, 05.07, "Do You Feel Loved");
	SET_CDtt( 3, 05.50, "Mofo");
	SET_CDtt( 4, 05.22, "If God Will Send His Angels");
	SET_CDtt( 5, 04.37, "Staring at the Sun");
	SET_CDtt( 6, 04.45, "Last Night on Earth");
	SET_CDtt( 7, 04.27, "Gone");
	SET_CDtt( 8, 04.53, "Miami");
	SET_CDtt( 9, 04.41, "The Playboy Mansion");
	SET_CDtt(10, 05.15, "If You Wear That Velvet Dress");
	SET_CDtt(11, 05.02, "Please");
	SET_CDtt(12, 04.53, "Wake Up Dead Man");
#     endif
	}
    if ( cdKey == VANGEL_INSPACE ) { /* 1:11:01-32 */
	tocPtr->discPerformer = "Vangelis";
	tocPtr->discTitle = "Best in Space";
	SET_CDtt( 1, 09.03, "To The Unknown Man");
	SET_CDtt( 2, 05.48, "Pulstar");
	SET_CDtt( 3, 01.58, "Sword of Orion");
	SET_CDtt( 4, 05.21, "12 O'Clock");
	SET_CDtt( 5, 06.59, "Spiral");
	SET_CDtt( 6, 05.45, "Alpha");
	SET_CDtt( 7, 03.31, "A Way");
	SET_CDtt( 8, 04.05, "Theme from the TV series COSMOS");
	SET_CDtt( 9, 05.04, "So Long Ago, So Clear");
	SET_CDtt(10, 08.28, "Ballad");
	SET_CDtt(11, 04.23, "Albedo 0.39");
	SET_CDtt(12, 10.34, "Beaubourg  [excerpt]");
	}
    if ( cdKey == WISHB_ILLUMINATIONS ) { /* 1:05:20-47 */
	tocPtr->discPerformer = "Wishbone Ash";
	tocPtr->discTitle = "Illuminations";
	SET_CDtt( 1, 06.01, "Mountainside");
	SET_CDtt( 2, 05.33, "On Your Own");
	SET_CDtt( 3, 06.39, "Top of the World");
	SET_CDtt( 4, 06.48, "No Joke");
	SET_CDtt( 5, 10.04, "Tales of the Wise");
	SET_CDtt( 6, 05.26, "Another Time");
	SET_CDtt( 7, 04.07, "A Thousand Years");
	SET_CDtt( 8, 04.38, "The Ring");
	SET_CDtt( 9, 04.28, "Comfort Zone");
	SET_CDtt(10, 04.30, "Mystery Man");
	SET_CDtt(11, 03.47, "Wait Out the Storm");
	SET_CDtt(12, 03.17, "The Crack of Dawn");
	}
    if ( cdKey == NYOUNG_FREEDOM ) { /* 1:01:04-40 */
	tocPtr->discPerformer = "Neil Young";
	tocPtr->discTitle = "Freedom";
	tocPtr->discCatNum = "007599258992500";
#     if !defined(SKIPSONGS_Neil_Young)
	SET_CDtt( 1, 03.40, "Rockin' in the Free World");
	SET_CDtt( 2, 08.45, "Crime in the City (Sixty to Zero Part 1)");
	SET_CDtt( 3, 04.15, "Don't Cry");
	SET_CDtt( 4, 04.20, "Hangin' on a Limb");
	SET_CDtt( 5, 06.05, "Eldorado");
	SET_CDtt( 6, 04.29, "The Ways of Love");
	SET_CDtt( 7, 05.42, "Someday");
	SET_CDtt( 8, 04.59, "On Broadway");
	SET_CDtt( 9, 05.10, "Wrecking Ball");
	SET_CDtt(10, 06.07, "No More");
	SET_CDtt(11, 02.48, "Too Far Gone");
	SET_CDtt(12, 04.42, "Rockin' in the Free World");
#     endif
	}
    if ( cdKey == NYOUNG_SWANGELS ) { /* 1:02:51-00 */
	tocPtr->discPerformer = "Neil Young";
	tocPtr->discTitle = "Sleeps With Angels";
#     if !defined(SKIPSONGS_Neil_Young)
	SET_CDtt( 1, 02.44, "My Heart");
	SET_CDtt( 2, 04.05, "Prime of Life");
	SET_CDtt( 3, 04.45, "Driveby");
	SET_CDtt( 4, 02.46, "Sleeps With Angels");
	SET_CDtt( 5, 04.00, "Western Hero");
	SET_CDtt( 6, 14.40, "Change Your Mind");
	SET_CDtt( 7, 06.23, "Blue Eden");
	SET_CDtt( 8, 06.33, "Safeway Cart");
	SET_CDtt( 9, 04.00, "Train of Love");
	SET_CDtt(10, 04.07, "Trans Am");
	SET_CDtt(11, 03.16, "Piece of Crap");
	SET_CDtt(12, 05.30, "A Dream That Can Last");
#     endif
	}
}
