#import <sys/types.h>
#import <stddef.h>
#import "CD_DBaseSubs.h"

    /*
    /* This subroutine has information for CD's with 13 tracks, and
     * which have 50 or more, but under 60 minutes of music on them.
     */

#define CHAG_CHAGALL          1099010028 /* key parts = 3052.60.13.228 214 */
#define EJOHN_ELTONJOHN_TCY   1099355644 /* key parts = 3053.57.13.244 257 */
#define HEART_DESIREWALKS     1107275567 /* key parts = 3075.57.13.17 304 */
#define COWBJ_LAYITDOWN       1109186056 /* key parts = 3081.05.13.256 140 */
#define SWINGO_SHAPESANDPAT   1119563625 /* key parts = 3109.67.13.225 83 */
#define EJOHN_EMPTYSKY_TCY    1194482009 /* key parts = 3318.00.13.509 225 */
#define SPINDOC_TURNITUP      1194506055 /* key parts = 3318.05.13.255 275 */
#define BDYLAN_GOODASIBEEN    1200040430 /* key parts = 3333.33.13.230 383 */
#define MCCARPEN_STONES       1207984412 /* key parts = 3355.38.13.212 372 */
#define BENATAR_INNAMORATA    1224913973 /* key parts = 3402.40.13.23 22 */
#define SCROW_SHERYLCROW      1225403694 /* key parts = 3403.67.13.294 235 */
#define VAR_B_COMMONTHREAD    1240547614 /* key parts = 3445.72.13.214 285 */
#define SNICKS_STREETANGEL    1243619664 /* key parts = 3454.37.13.264 299 */
#define ELO_STRANGEMAGIC_D1   1285993982 /* key parts = 3572.15.13.332 194 */

void filltoc13_50(tocPtr, cdKey)
struct cd_toc *tocPtr;
u_int cdKey;
{

    if ( cdKey == BENATAR_INNAMORATA ) { /* 0:56:42-40 */
	tocPtr->discPerformer = "Pat Benatar";
	tocPtr->discTitle = "Innamorata";
#     if !defined(SKIPSONGS_Pat_Benatar)
	SET_CDtt( 1, 00.23, "Guitar Intro");
	SET_CDtt( 2, 06.05, "Only You");
	SET_CDtt( 3, 05.17, "River of Love");
	SET_CDtt( 4, 05.10, "I Don't Want to Be Your Friend");
	SET_CDtt( 5, 05.53, "Strawberry Wine");
	SET_CDtt( 6, 04.54, "Purgatory");
	SET_CDtt( 7, 04.20, "Papa's Roses");
	SET_CDtt( 8, 04.37, "At This Time");
	SET_CDtt( 9, 05.18, "Dirty Little Secrets");
	SET_CDtt(10, 04.09, "Angry");
	SET_CDtt(11, 06.48, "In These Times");
	SET_CDtt(12, 03.24, "Innamorata");
	SET_CDtt(13, 00.22, "Gina's Song");
#     endif
	}
    if ( cdKey == MCCARPEN_STONES ) { /* 0:55:55-38 */
	tocPtr->discPerformer = "Mary Chapin Carpenter";
	tocPtr->discTitle = "Stones in the Road";
#     if !defined(SKIPSONGS_Mary_Chapin_Carpenter)
	SET_CDtt( 1, 03.32, "Why Walk When You Can Fly");
	SET_CDtt( 2, 03.45, "House of Cards");
	SET_CDtt( 3, 04.33, "Stones in the Road");
	SET_CDtt( 4, 03.47, "A Keeper for Every Flame");
	SET_CDtt( 5, 02.55, "Tender When I Want To Be");
	SET_CDtt( 6, 03.43, "Shut Up and Kiss Me");
	SET_CDtt( 7, 03.37, "The Last Word");
	SET_CDtt( 8, 05.02, "The End of My Pirate Days");
	SET_CDtt( 9, 05.46, "John Doe No. 24");
	SET_CDtt(10, 04.36, "Jubilee");
	SET_CDtt(11, 04.44, "Outside Looking In");
	SET_CDtt(12, 03.41, "Where Time Stands Still");
	SET_CDtt(13, 06.12, "This is Love");
#     endif
	}
    if ( cdKey == CHAG_CHAGALL ) { /* 0:50:52-60 */
	tocPtr->discPerformer = "Chagall Guevara";
	tocPtr->discTitle = "Chagall Guevara";
	SET_CDtt( 1, 03.48, "Murder in the Big House");
	SET_CDtt( 2, 04.14, "Escher's World");
	SET_CDtt( 3, 03.42, "Play God");
	SET_CDtt( 4, 07.00, "Monkey Grinder");
	SET_CDtt( 5, 03.09, "Can't You Feel the Chains");
	SET_CDtt( 6, 04.03, "Violent Blue");
	SET_CDtt( 7, 04.10, "Love is a Dead Language");
	SET_CDtt( 8, 03.18, "Take Me Back to Love Canal");
	SET_CDtt( 9, 01.59, "The Wrong George");
	SET_CDtt(10, 04.07, "Candy Guru");
	SET_CDtt(11, 03.33, "I Need Somebody");
	SET_CDtt(12, 04.13, "The Rub of Love");
	SET_CDtt(13, 03.34, "If It All Comes True");
	}
    if ( cdKey == COWBJ_LAYITDOWN ) { /* 0:51:21-05 */
	tocPtr->discPerformer = "Cowboy Junkies";
	tocPtr->discTitle = "Lay It Down";
	SET_CDtt( 1, 04.16, "Something More Besides You");
	SET_CDtt( 2, 03.22, "A Common Disaster");
	SET_CDtt( 3, 04.24, "Lay It Down");
	SET_CDtt( 4, 03.23, "Hold On To Me");
	SET_CDtt( 5, 03.34, "Come Calling (his song)");
	SET_CDtt( 6, 04.25, "Just Want to See");
	SET_CDtt( 7, 04.24, "Lonely Sinking Feeling");
	SET_CDtt( 8, 04.01, "Angel Mine");
	SET_CDtt( 9, 03.35, "Bea's Song (River Song Trilogy: Part II)");
	SET_CDtt(10, 03.59, "Musical Key");
	SET_CDtt(11, 04.29, "Speaking Confidentially");
	SET_CDtt(12, 05.07, "Come Calling (Her Song)");
	SET_CDtt(13, 02.20, "Now I Know");
	}
    if ( cdKey == SCROW_SHERYLCROW ) { /* 0:56:43-67 */
	tocPtr->discPerformer = "Sheryl Crow";
	tocPtr->discTitle = "Sheryl Crow";
	SET_CDtt( 1, 04.54, "Maybe Angels");
	SET_CDtt( 2, 03.50, "A Change");
	SET_CDtt( 3, 04.50, "Home");
	SET_CDtt( 4, 04.00, "Sweet Rosalyn");
	SET_CDtt( 5, 05.24, "If It Makes You Happy");
	SET_CDtt( 6, 04.26, "Redemption Day");
	SET_CDtt( 7, 03.08, "Hard to Make a Stand");
	SET_CDtt( 8, 04.17, "Everyday is a Winding Road");
	SET_CDtt( 9, 04.43, "Love is a Good Thing");
	SET_CDtt(10, 03.32, "Oh Marie");
	SET_CDtt(11, 04.57, "Superstar");
	SET_CDtt(12, 04.45, "The Book");
	SET_CDtt(13, 03.55, "Ordinary Morning");
	}
    if ( cdKey == BDYLAN_GOODASIBEEN ) { /* 0:55:33-33 */
	tocPtr->discPerformer = "Bob Dylan";
	tocPtr->discTitle = "Good as I Been to You";
#     if !defined(SKIPSONGS_Bob_Dylan)
	SET_CDtt( 1, 03.50, "Frankie & Albert");
	SET_CDtt( 2, 03.55, "Jim Jones");
	SET_CDtt( 3, 05.50, "Blackjack Davey");
	SET_CDtt( 4, 04.24, "Canadee-i-o");
	SET_CDtt( 5, 04.31, "Sittin' on Top of the World");
	SET_CDtt( 6, 02.55, "Little Maggie");
	SET_CDtt( 7, 04.34, "Hard Times");
	SET_CDtt( 8, 02.58, "Step It Up and Go");
	SET_CDtt( 9, 03.43, "Tomorrow Night");
	SET_CDtt(10, 06.22, "Arthur McBride");
	SET_CDtt(11, 02.48, "You're Gonna Quit Me");
	SET_CDtt(12, 03.18, "Diamond Joe");
	SET_CDtt(13, 06.23, "Froggie Went a Courtin'");
#     endif
	}
    if ( cdKey == ELO_STRANGEMAGIC_D1 ) { /* 0:59:32-15 */
	tocPtr->discPerformer = "Electric Light Orchestra";
	tocPtr->discTitle = "Strange Magic: The Best of Electric Light Orchestra  [disc 1]";
#     if !defined(SKIPSONGS_Electric_Light_Orchestra)
	SET_CDtt( 1, 05.32, "10538 Overture");
	SET_CDtt( 2, 08.10, "Roll Over Beethoven");
	SET_CDtt( 3, 04.12, "Showdown");
	SET_CDtt( 4, 03.31, "Daybreaker");
	SET_CDtt( 5, 04.12, "Ma-Ma-Ma Belle");
	SET_CDtt( 6, 04.22, "Can't Get It Out of My Head");
	SET_CDtt( 7, 05.21, "Boy Blue");
	SET_CDtt( 8, 04.21, "Evil Woman");
	SET_CDtt( 9, 04.32, "Strange Magic");
	SET_CDtt(10, 03.34, "Livin' Thing");
	SET_CDtt(11, 03.47, "Do Ya");
	SET_CDtt(12, 04.42, "Telephone Line");
	SET_CDtt(13, 03.14, "Rockaria!");
#     endif
	}
    if ( cdKey == HEART_DESIREWALKS ) { /* 0:51:15-57 */
	tocPtr->discPerformer = "Heart";
	tocPtr->discTitle = "Desire Walks On";
#     if !defined(SKIPSONGS_Heart)
	SET_CDtt( 1, 00.17, "Desire");
	SET_CDtt( 2, 03.51, "Black on Black II");
	SET_CDtt( 3, 03.42, "Back to Avalon");
	SET_CDtt( 4, 04.00, "The Woman in Me");
	SET_CDtt( 5, 05.02, "Rage");
	SET_CDtt( 6, 06.02, "In Walks the Night");
	SET_CDtt( 7, 04.31, "My Crazy Head");
	SET_CDtt( 8, 03.50, "Ring Them Bells");
	SET_CDtt( 9, 04.30, "Will You Be There (In the Morning)");
	SET_CDtt(10, 04.52, "Voodoo Doll");
	SET_CDtt(11, 05.01, "Anything is Possible");
	SET_CDtt(12, 00.31, "Avalon  [reprise]");
	SET_CDtt(13, 05.04, "Desire Walks On");
#     endif
	}
    if ( cdKey == EJOHN_EMPTYSKY_TCY ) { /* 0:55:18-00 */
	tocPtr->discPerformer = "Elton John";
	tocPtr->discTitle = "Empty Sky  [The Classic Years]";
	tocPtr->discCatNum = "073145281572900";
#     if !defined(SKIPSONGS_Elton_John)
	SET_CDtt( 1, 08.29, "Empty Sky");
	SET_CDtt( 2, 04.12, "ValHala");
	SET_CDtt( 3, 03.16, "Western Ford Gateway");
	SET_CDtt( 4, 04.29, "Hymn 2000");
	SET_CDtt( 5, 03.09, "Lady What's Tomorrow");
	SET_CDtt( 6, 03.46, "Sails");
	SET_CDtt( 7, 03.18, "The Scaffold");
	SET_CDtt( 8, 03.38, "Skyline Pigeon");
	SET_CDtt( 9, 07.13, "Gulliver/ It's Hay Chewed/ Reprise");
	SET_CDtt(10, 03.04, "Lady Samantha");
	SET_CDtt(11, 02.53, "All Across the Havens");
	SET_CDtt(12, 04.04, "It's Me That You Need");
	SET_CDtt(13, 03.45, "Just Like Strange Rain");
#     endif
	}
    if ( cdKey == EJOHN_ELTONJOHN_TCY ) { /* 0:50:53-57 */
	tocPtr->discPerformer = "Elton John";
	tocPtr->discTitle = "Elton John  [The Classic Years]";
	tocPtr->discCatNum = "073145281562000";
#     if !defined(SKIPSONGS_Elton_John)
	SET_CDtt( 1, 04.04, "Your Song");
	SET_CDtt( 2, 02.33, "I Need You To Turn To");
	SET_CDtt( 3, 03.46, "Take Me To The Pilot");
	SET_CDtt( 4, 03.32, "No Shoe Strings on Louise");
	SET_CDtt( 5, 04.48, "First Episode at Hienton");
	SET_CDtt( 6, 04.35, "Sixty Years On");
	SET_CDtt( 7, 03.22, "Border Song");
	SET_CDtt( 8, 04.13, "The Greatest Discovery");
	SET_CDtt( 9, 03.28, "The Cage");
	SET_CDtt(10, 05.21, "The King Must Die");
	SET_CDtt(11, 03.16, "Bad Side of the Moon");
	SET_CDtt(12, 03.36, "Grey Seal");
	SET_CDtt(13, 04.17, "Rock n Roll Madonna");
#     endif
	}
    if ( cdKey == SNICKS_STREETANGEL ) { /* 0:57:34-37 */
	tocPtr->discPerformer = "Stevie Nicks";
	tocPtr->discTitle = "Street Angel";
	tocPtr->discCatNum = "007567922462800";
	SET_CDtt( 1, 04.24, "Blue Denim");
	SET_CDtt( 2, 04.21, "Greta");
	SET_CDtt( 3, 04.11, "Street Angel");
	SET_CDtt( 4, 04.48, "Docklands");
	SET_CDtt( 5, 04.34, "Listen to the Rain");
	SET_CDtt( 6, 05.02, "Destiny");
	SET_CDtt( 7, 03.23, "Unconditional Love");
	SET_CDtt( 8, 04.45, "Love is Like a River");
	SET_CDtt( 9, 04.29, "Rose Garden");
	SET_CDtt(10, 04.19, "Maybe Love Will Change Your Mind");
	SET_CDtt(11, 03.52, "Just Like a Woman");
	SET_CDtt(12, 04.25, "Kick It");
	SET_CDtt(13, 04.59, "Jane");
	}
    if ( cdKey == SPINDOC_TURNITUP ) { /* 0:55:18-05 */
	tocPtr->discPerformer = "Spin Doctors";
	tocPtr->discTitle = "Turn It Upside Down";
	SET_CDtt( 1, 04.15, "Big Fat Funky Booty");
	SET_CDtt( 2, 03.49, "You Let Your Heart Go Too Fast");
	SET_CDtt( 3, 04.04, "Cleopatra's Cat");
	SET_CDtt( 4, 05.12, "Hungry Hamed's");
	SET_CDtt( 5, 04.19, "Biscuit Head");
	SET_CDtt( 6, 04.23, "Indifference");
	SET_CDtt( 7, 04.48, "Bags of Dirt");
	SET_CDtt( 8, 03.41, "Mary Jane");
	SET_CDtt( 9, 03.55, "More Than Meets the Ear");
	SET_CDtt(10, 03.39, "Larby's Gang");
	SET_CDtt(11, 03.54, "At This Hour");
	SET_CDtt(12, 04.42, "Someday All This Will Be Road");
	SET_CDtt(13, 04.35, "Beasts in the Woods");
	}
    if ( cdKey == SWINGO_SHAPESANDPAT ) { /* 0:51:49-67 */
	tocPtr->discPerformer = "Swing Out Sister";
	tocPtr->discTitle = "Shapes and Patterns";
#     if !defined(SKIPSONGS_Swing_Out_Sister)
	SET_CDtt( 1, 03.45, "Somewhere in the World");
	SET_CDtt( 2, 05.07, "Here and Now");
	SET_CDtt( 3, 05.12, "We Could Make It Happen");
	SET_CDtt( 4, 00.53, "Shapes and Patterns");
	SET_CDtt( 5, 05.23, "Better Make It Better");
	SET_CDtt( 6, 05.03, "Something Out of This World");
	SET_CDtt( 7, 00.23, "Joe Meek's Cat");
	SET_CDtt( 8, 05.08, "Stoned Soul Picnic");
	SET_CDtt( 9, 04.35, "You Already Know");
	SET_CDtt(10, 05.06, "Always");
	SET_CDtt(11, 04.36, "Now You're Not Here");
	SET_CDtt(12, 05.13, "Icy Cold as Winter");
	SET_CDtt(13, 01.23, "Shapes and Patterns (reprise)");
#     endif
	}
    if ( cdKey == VAR_B_COMMONTHREAD ) { /* 0:57:25-72 */
	tocPtr->discPerformer = "Various Artists/ Benefits";
	tocPtr->discTitle = "Common Thread: The Songs of the Eagles";
	tocPtr->discCatNum = "007599245312700";
	SET_CDtt( 1, 03.34, "Take It Easy  [Travis Tritt]");
	SET_CDtt( 2, 04.22, "Peaceful Easy Feeling  [Little Texas]");
	SET_CDtt( 3, 03.51, "Desperado  [Clint Black]");
	SET_CDtt( 4, 04.26, "Heartache Tonight  [John Anderson]");
	SET_CDtt( 5, 02.56, "Tequila Sunrise  [Alan Jackson]");
	SET_CDtt( 6, 04.35, "Take it to the Limit  [Suzy Bogguss]");
	SET_CDtt( 7, 04.06, "I Can't Tell You Why  [Vince Gill]");
	SET_CDtt( 8, 06.31, "Lyin' Eyes  [Diamond Rio]");
	SET_CDtt( 9, 05.09, "New Kid in Town  [Trisha Yearwood]");
	SET_CDtt(10, 03.27, "Saturday Night  [Billy Dean]");
	SET_CDtt(11, 05.02, "Already Gone  [Tanya Tucker]");
	SET_CDtt(12, 04.39, "Best of My Love  [Brooks and Dunn]");
	SET_CDtt(13, 04.45, "The Sad Cafe  [Lorrie Morgan]");
	}
}
