#import <sys/types.h>
#import <stddef.h>
#import "CD_DBaseSubs.h"

    /* This subroutine has information for CD's with 14 tracks, and
     * which have 60 or more minutes of music on them.
     */

#define DBOWIE_SCARYMONSTERS  1314395806 /* key parts = 3651.07.14.256 232 */
#define EJOHN_CARIBOU_TCY     1387802174 /* key parts = 3855.00.14.224 273 */
#define SNICKS_TIMESPACE      1433200629 /* key parts = 3981.08.14.279 322 */
#define EJOHN_VERYBEST_D1     1456802193 /* key parts = 4046.50.14.243 226 */
#define ELP_ELPKB_D1          1457930174 /* key parts = 4049.60.14.224 430 */
#define EJOHN_BLUEMOVES_MCA   1473635782 /* key parts = 4093.32.14.82 403 */
#define BSPRING_LIVE75_D2     1508882240 /* key parts = 4191.25.14.290 314 */
#define MKNOPF_GOLDENHEART    1521194221 /* key parts = 4225.40.14.271 355 */
#define GMOORE_BALLADSBLUES   1536554185 /* key parts = 4268.15.14.235 192 */
#define SOFTW_ELECTRICU_P2    1548722226 /* key parts = 4302.00.14.426 74 */
#define MOLDFIELD_ELEMENTS_D3 1552394133 /* key parts = 4312.15.14.483 234 */
#define BARCLAYJ_ANOTHERARAB  1556488612 /* key parts = 4323.43.14.262 353 */
#define LEDZEP_BOX1_D4        1565450210 /* key parts = 4348.35.14.410 351 */
#define TPHEART_PLANTATION    1566299767 /* key parts = 4350.62.14.217 228 */
#define WATERS_AMUSED_GOLD    1568930209 /* key parts = 4358.10.14.259 549 */
#define WATERS_AMUSED_ORIG    1569122209 /* key parts = 4358.50.14.259 547 */
#define BDYLAN_BLONDEON_GOLD  1582955828 /* key parts = 4397.07.14.278 676 */
#define ECLAP_RAINBOWCONCERT  1598003785 /* key parts = 4438.67.14.385 260 */
#define EJOHN_LIVEAUSTRALIA   1598027741 /* key parts = 4438.72.14.341 365 */
#define ROLLINGST_STRIPPED    1616954171 /* key parts = 4491.40.14.221 240 */
#define VAR_T_DYLANTRIB_BD1   1622800603 /* key parts = 4507.58.14.403 268 */
#define PFRAMP_COMESALIVE2    1627043774 /* key parts = 4519.42.14.74 225 */
#define EFROESE_BEYONDTS_D1   1638683737 /* key parts = 4551.67.14.337 286 */
#define EFROESE_BEYONDTS_D2   1651178226 /* key parts = 4586.45.14.276 306 */
#define TDREAM_MYSTERYTRACKS  1663120606 /* key parts = 4619.58.14.256 175 */
#define BDYLAN_GREATEST3      1672643742 /* key parts = 4646.17.14.342 151 */
#define VAR_T_SUPPERSREADY    1673795810 /* key parts = 4649.32.14.410 247 */


void filltoc14_60(tocPtr, cdKey)
struct cd_toc *tocPtr;
u_int cdKey;
{

    if ( cdKey == BARCLAYJ_ANOTHERARAB ) { /* 1:12:03-43 */
	tocPtr->discPerformer = "Barclay James Harvest";
	tocPtr->discTitle = "Another Arable Parable";
#     if !defined(SKIPSONGS_Barclay_James_Harvest)
	SET_CDtt( 1, 04.22, "Song With No Meaning");
	SET_CDtt( 2, 06.39, "Mocking Bird");
	SET_CDtt( 3, 03.16, "Rock and Roll Woman");
	SET_CDtt( 4, 03.13, "Galadriel");
	SET_CDtt( 5, 03.22, "Child of Man");
	SET_CDtt( 6, 08.20, "She Said");
	SET_CDtt( 7, 04.49, "Ball and Chain");
	SET_CDtt( 8, 10.26, "Summer Soldier");
	SET_CDtt( 9, 03.46, "Vanessa Simmons");
	SET_CDtt(10, 06.27, "Child of the Universe");
	SET_CDtt(11, 04.26, "Medicine Man");
	SET_CDtt(12, 03.19, "Mother Dear");
	SET_CDtt(13, 03.43, "The Poet");
	SET_CDtt(14, 05.53, "After the Day");
#     endif
	}
    if ( cdKey == DBOWIE_SCARYMONSTERS ) { /* 1:00:51-07 */
	tocPtr->discPerformer = "David Bowie";
	tocPtr->discTitle = "Scary Monsters";
#     if !defined(SKIPSONGS_David_Bowie)
	SET_CDtt( 1, 04.16, "It's No Game (Part 1)");
	SET_CDtt( 2, 03.15, "Up The Hill Backwards");
	SET_CDtt( 3, 05.15, "Scary Monsters (And Super Creeps)");
	SET_CDtt( 4, 04.27, "Ashes To Ashes");
	SET_CDtt( 5, 04.52, "Fashion");
	SET_CDtt( 6, 06.56, "Teenage Wildlife");
	SET_CDtt( 7, 03.35, "Scream Like A Baby");
	SET_CDtt( 8, 03.46, "Kingdom Come");
	SET_CDtt( 9, 04.54, "Because You're Young");
	SET_CDtt(10, 04.28, "It's No Game (Part 2)");
	SET_CDtt(11, 05.00, "Space Oddity  [1979]");
	SET_CDtt(12, 03.02, "Panic In Detroit");
	SET_CDtt(13, 03.11, "Crystal Japan");
	SET_CDtt(14, 03.52, "Alabama Song");
#     endif
	}
    if ( cdKey == ECLAP_RAINBOWCONCERT ) { /* 1:13:58-67 */
	tocPtr->discPerformer = "Eric Clapton";
	tocPtr->discTitle = "Rainbow Concert";
	tocPtr->discCatNum = "073145274722800";
#     if !defined(SKIPSONGS_Eric_Clapton)
	SET_CDtt( 1, 06.25, "Layla");
	SET_CDtt( 2, 03.18, "Badge");
	SET_CDtt( 3, 06.04, "Blues Power");
	SET_CDtt( 4, 04.38, "Roll it Over");
	SET_CDtt( 5, 04.37, "Little Wing");
	SET_CDtt( 6, 03.51, "Bottle of Red Wine");
	SET_CDtt( 7, 04.26, "After Midnight");
	SET_CDtt( 8, 06.26, "Bell Bottom Blues");
	SET_CDtt( 9, 05.18, "Presence of the Lord");
	SET_CDtt(10, 06.04, "Tell the Truth");
	SET_CDtt(11, 04.56, "Pearly Queen");
	SET_CDtt(12, 05.47, "Key to the Highway");
	SET_CDtt(13, 07.46, "Let It Rain");
	SET_CDtt(14, 04.20, "Crossroads");
#     endif
	}
    if ( cdKey == BDYLAN_BLONDEON_GOLD ) { /* 1:13:17-07 */
	tocPtr->discPerformer = "Bob Dylan";
	tocPtr->discTitle = "Blonde on Blonde  [gold]";
#     if !defined(SKIPSONGS_Bob_Dylan)
	SET_CDtt( 1, 04.38, "Rainy Day Women #12 & 35");
	SET_CDtt( 2, 03.49, "Pledging My Time");
	SET_CDtt( 3, 07.32, "Visions of Johanna");
	SET_CDtt( 4, 04.59, "One of Us Must Know (Sooner or Later)");
	SET_CDtt( 5, 03.09, "I Want You");
	SET_CDtt( 6, 07.08, "Stuck Inside of Mobile with the Memphis Blues Again");
	SET_CDtt( 7, 04.00, "LeopardSkin PillBox Hat");
	SET_CDtt( 8, 04.56, "Just Like a Woman");
	SET_CDtt( 9, 03.29, "Most Likely You Go Your Way and I'll Go Mine");
	SET_CDtt(10, 05.04, "Temporary Like Achilles");
	SET_CDtt(11, 04.59, "Absolutely Sweet Marie");
	SET_CDtt(12, 04.39, "4th Time Around");
	SET_CDtt(13, 03.37, "Obviously 5 Believers");
	SET_CDtt(14, 11.16, "Sad Eyed Lady of the Lowlands");
#     endif
	}
    if ( cdKey == BDYLAN_GREATEST3 ) { /* 1:17:26-17 */
	tocPtr->discPerformer = "Bob Dylan";
	tocPtr->discTitle = "Greatest Hits, Volume 3";
#     if !defined(SKIPSONGS_Bob_Dylan)
	SET_CDtt( 1, 05.42, "Tangled Up in Blue");
	SET_CDtt( 2, 06.37, "Changing of the Guards");
	SET_CDtt( 3, 04.03, "The Groom's Still Waiting at the Altar");
	SET_CDtt( 4, 08.35, "Hurricane");
	SET_CDtt( 5, 04.58, "Forever Young");
	SET_CDtt( 6, 06.17, "Jokerman");
	SET_CDtt( 7, 05.58, "Dignity");
	SET_CDtt( 8, 03.08, "Silvio");
	SET_CDtt( 9, 03.02, "Ring Them Bells");
	SET_CDtt(10, 05.26, "Gotta Serve Somebody");
	SET_CDtt(11, 05.53, "Series of Dreams");
	SET_CDtt(12, 11.04, "Brownsville Girl");
	SET_CDtt(13, 04.10, "Under the Red Sky");
	SET_CDtt(14, 02.31, "Knockin' on Heaven's Door");
#     endif
	}
    if ( cdKey == ELP_ELPKB_D1 ) { /* 1:07:29-60 */
	tocPtr->discPerformer = "Emerson, Lake & Palmer";
	tocPtr->discTitle = "ELP on King Biscuit  [disc 1]";
	SET_CDtt( 1, 03.44, "Peter Gunn Theme");
	SET_CDtt( 2, 04.23, "Tiger in a Spotlight");
	SET_CDtt( 3, 04.21, "C'Est La Vie");
	SET_CDtt( 4, 05.40, "Piano Improvisation");
	SET_CDtt( 5, 01.17, "Maple Leaf Rag");
	SET_CDtt( 6, 01.26, "Drum Solo");
	SET_CDtt( 7, 02.46, "The Enemy God");
	SET_CDtt( 8, 04.14, "Watching Over You");
	SET_CDtt( 9, 13.29, "Pirates");
	SET_CDtt(10, 08.21, "Fanfare for the Common Man");
	SET_CDtt(11, 04.24, "Hoe Down");
	SET_CDtt(12, 03.03, "Still, You Turn Me On");
	SET_CDtt(13, 03.09, "Lucky Man");
	SET_CDtt(14, 07.10, "Piano Improvisation");
	}
    if ( cdKey == PFRAMP_COMESALIVE2 ) { /* 1:15:19-42 */
	tocPtr->discPerformer = "Peter Frampton";
	tocPtr->discTitle = "Comes Alive II";
	SET_CDtt( 1, 01.14, "Introduction  [by Jerry Pompili]");
	SET_CDtt( 2, 04.54, "Day In the Sun");
	SET_CDtt( 3, 05.06, "Lying");
	SET_CDtt( 4, 06.09, "For Now");
	SET_CDtt( 5, 07.52, "Most Of All");
	SET_CDtt( 6, 06.00, "You");
	SET_CDtt( 7, 07.29, "Waiting for Your Love");
	SET_CDtt( 8, 04.53, "I'm In You");
	SET_CDtt( 9, 03.50, "Talk To Me");
	SET_CDtt(10, 03.13, "Hang On To a Dream");
	SET_CDtt(11, 10.21, "Can't Take That Away");
	SET_CDtt(12, 05.31, "More Ways Than One");
	SET_CDtt(13, 05.00, "Almost Said Goodbye");
	SET_CDtt(14, 03.45, "Off the Hook");
	}
    if ( cdKey == EFROESE_BEYONDTS_D1 ) { /* 1:15:51-67 */
	tocPtr->discPerformer = "Edgar Froese";
	tocPtr->discTitle = "Beyond the Storm  [disc 1]";
	SET_CDtt( 1, 05.37, "Heatwave City");
	SET_CDtt( 2, 05.12, "Dome of the Yelloe Turtles");
	SET_CDtt( 3, 05.09, "One Fine Day in Siberia");
	SET_CDtt( 4, 05.05, "Magic Lantern");
	SET_CDtt( 5, 07.12, "Walkabout");
	SET_CDtt( 6, 03.42, "Genesta in the Afternoon Glow");
	SET_CDtt( 7, 04.04, "Moonlight on a Crawler Lane");
	SET_CDtt( 8, 04.55, "Scarlet Score for Mescalero");
	SET_CDtt( 9, 04.16, "Upland");
	SET_CDtt(10, 07.40, "Santa Elena Marisal");
	SET_CDtt(11, 03.23, "Macula Transfer");
	SET_CDtt(12, 09.36, "Drunken Mozart");
	SET_CDtt(13, 05.12, "Descent Like a Hawk");
	SET_CDtt(14, 04.46, "Carneol");
	}
    if ( cdKey == EFROESE_BEYONDTS_D2 ) { /* 1:16:26-45 */
	tocPtr->discPerformer = "Edgar Froese";
	tocPtr->discTitle = "Beyond the Storm  [disc 2]";
	SET_CDtt( 1, 04.36, "The Light Cone");
	SET_CDtt( 2, 06.37, "Detroit Snackbar Dreamer");
	SET_CDtt( 3, 05.31, "Epsilon in Malaysian Pale");
	SET_CDtt( 4, 04.23, "Tierra Del Fuego");
	SET_CDtt( 5, 05.31, "Bobcats in the Sun");
	SET_CDtt( 6, 05.43, "Metropolis");
	SET_CDtt( 7, 05.44, "Year of the Falcon");
	SET_CDtt( 8, 04.28, "Juniper Mascara");
	SET_CDtt( 9, 05.07, "Shores of Guam");
	SET_CDtt(10, 08.01, "Pinnacles");
	SET_CDtt(11, 04.16, "Stuntman");
	SET_CDtt(12, 06.09, "Days of Camouflage");
	SET_CDtt(13, 05.12, "Tropic of Capricorn");
	SET_CDtt(14, 05.06, "Vault of the Heavens");
	}
    if ( cdKey == EJOHN_CARIBOU_TCY ) { /* 1:04:15-00 */
	tocPtr->discPerformer = "Elton John";
	tocPtr->discTitle = "Caribou  [The Classic Years]";
	tocPtr->discCatNum = "073145281582800";
#     if !defined(SKIPSONGS_Elton_John)
	SET_CDtt( 1, 03.44, "The Bitch is Back");
	SET_CDtt( 2, 03.55, "Pinky");
	SET_CDtt( 3, 03.47, "Grimsby");
	SET_CDtt( 4, 02.56, "Dixie Lily");
	SET_CDtt( 5, 02.52, "Solar Prestige A Gammon");
	SET_CDtt( 6, 04.53, "You're So Static");
	SET_CDtt( 7, 04.49, "I've Seen the Saucers");
	SET_CDtt( 8, 05.20, "Stinker");
	SET_CDtt( 9, 05.37, "Don't Let The Sun Go Down On Me");
	SET_CDtt(10, 07.49, "Ticking");
	SET_CDtt(11, 05.09, "Pinball Wizard");
	SET_CDtt(12, 05.24, "Sick City");
	SET_CDtt(13, 03.25, "Cold Highway");
	SET_CDtt(14, 04.33, "Step Into Christmas");
#     endif
	}
    if ( cdKey == EJOHN_BLUEMOVES_MCA ) { /* 1:08:13-32 */
	tocPtr->discPerformer = "Elton John";
	tocPtr->discTitle = "Blue Moves  [MCA]";
#     if !defined(SKIPSONGS_Elton_John)
	SET_CDtt( 1, 01.22, "Your Starter For...");
	SET_CDtt( 2, 07.51, "Tonight");
	SET_CDtt( 3, 05.55, "One Horse Town");
	SET_CDtt( 4, 05.26, "Chameleon");
	SET_CDtt( 5, 06.04, "Boogie Pilgrim");
	SET_CDtt( 6, 05.41, "Crazy Water");
	SET_CDtt( 7, 03.47, "Sorry Seems to be the Hardest Word");
	SET_CDtt( 8, 06.12, "Out of the Blue");
	SET_CDtt( 9, 05.12, "Between Seventeen and Twenty");
	SET_CDtt(10, 04.08, "Someone's Final Song");
	SET_CDtt(11, 04.22, "If There's a God in Heaven (What's He Waiting For?)");
	SET_CDtt(12, 04.09, "Idol");
	SET_CDtt(13, 01.19, "Theme from a Nonexistent T.V. Series");
	SET_CDtt(14, 06.43, "Bite Your Lip (Get Up and Dance!)");
#     endif
	}
    if ( cdKey == EJOHN_LIVEAUSTRALIA ) { /* 1:13:58-72 */
	tocPtr->discPerformer = "Elton John";
	tocPtr->discTitle = "Live in Australia";
#     if !defined(SKIPSONGS_Elton_John)
	SET_CDtt( 1, 05.41, "Sixty Years On");
	SET_CDtt( 2, 02.49, "I Need You To Turn To");
	SET_CDtt( 3, 04.27, "The Greatest Discovery");
	SET_CDtt( 4, 08.04, "Tonight");
	SET_CDtt( 5, 03.51, "Sorry Seems To Be The Hardest Word");
	SET_CDtt( 6, 05.29, "The King Must Die");
	SET_CDtt( 7, 04.21, "Take Me To The Pilot");
	SET_CDtt( 8, 06.27, "Tiny Dancer");
	SET_CDtt( 9, 06.09, "Have Mercy On The Criminal");
	SET_CDtt(10, 06.38, "Madman Across The Water");
	SET_CDtt(11, 04.00, "Candle In The Wind");
	SET_CDtt(12, 05.50, "Burn Down The Mission");
	SET_CDtt(13, 04.05, "Your Song");
	SET_CDtt(14, 06.05, "Don't Let The Sun Go Down On Me");
#     endif
	}
    if ( cdKey == EJOHN_VERYBEST_D1 ) { /* 1:07:26-50 */
	tocPtr->discPerformer = "Elton John";
	tocPtr->discTitle = "The Very Best of Elton John  [disc 1]";
#     if !defined(SKIPSONGS_Elton_John)
	SET_CDtt( 1, 04.03, "Your Song");
	SET_CDtt( 2, 04.42, "Rocket Man (I Think It's Going To Be A Long, Long Time)");
	SET_CDtt( 3, 05.15, "Honky Cat");
	SET_CDtt( 4, 03.58, "Crocodile Rock");
	SET_CDtt( 5, 03.56, "Daniel");
	SET_CDtt( 6, 03.17, "Goodbye Yellow Brick Road");
	SET_CDtt( 7, 04.56, "Saturday's Alright For Fighting");
	SET_CDtt( 8, 03.51, "Candle In The Wind");
	SET_CDtt( 9, 05.39, "Don't Let The Sun Go Down On Me");
	SET_CDtt(10, 06.16, "Lucy In The Sky With Diamonds");
	SET_CDtt(11, 05.43, "Philidelphia Freedom");
	SET_CDtt(12, 06.47, "Someone Saved My Life Tonight");
	SET_CDtt(13, 05.15, "Pinball Wizard");
	SET_CDtt(14, 03.46, "The Bitch Is Back");
#     endif
	}
    if ( cdKey == MKNOPF_GOLDENHEART ) { /* 1:10:25-40 */
	tocPtr->discPerformer = "Mark Knopfler";
	tocPtr->discTitle = "Golden Heart";
	tocPtr->discCatNum = "007599460262200";
	SET_CDtt( 1, 04.31, "Darling Pretty");
	SET_CDtt( 2, 05.26, "Imelda");
	SET_CDtt( 3, 05.01, "Golden Heart");
	SET_CDtt( 4, 04.55, "No Can Do");
	SET_CDtt( 5, 04.36, "Vic and Ray");
	SET_CDtt( 6, 05.17, "Don't You Get It");
	SET_CDtt( 7, 04.43, "A Night in Summer Long Ago");
	SET_CDtt( 8, 03.41, "Cannibals");
	SET_CDtt( 9, 04.28, "I'm the Fool");
	SET_CDtt(10, 05.15, "Je Suis Dsol");
	SET_CDtt(11, 06.03, "Rdiger");
	SET_CDtt(12, 05.26, "Nobody's Got the Gun");
	SET_CDtt(13, 05.06, "Done with Bonaparte");
	SET_CDtt(14, 05.55, "Are We in Trouble Now");
	}
    if ( cdKey == LEDZEP_BOX1_D4 ) { /* 1:12:28-35 */
	tocPtr->discPerformer = "Led Zeppelin";
	tocPtr->discTitle = "Led Zeppelin [disc 4]";
	tocPtr->discCatNum = "007567821442400";
#     if !defined(SKIPSONGS_Led_Zeppelin)
	SET_CDtt( 1, 06.50, "In The Evening");
	SET_CDtt( 2, 04.08, "Candy Store Rock");
	SET_CDtt( 3, 04.31, "The Ocean");
	SET_CDtt( 4, 03.36, "Ozone Baby");
	SET_CDtt( 5, 04.03, "Houses of the Holy");
	SET_CDtt( 6, 05.29, "Wearing and Tearing");
	SET_CDtt( 7, 03.02, "Poor Tom");
	SET_CDtt( 8, 06.28, "Nobody's Fault But Mine");
	SET_CDtt( 9, 06.13, "Fool In The Rain");
	SET_CDtt(10, 08.46, "In the Light");
	SET_CDtt(11, 04.07, "The Wanton Song");
	SET_CDtt(12, 03.50, "Moby Dick/ Bonzo's Montreux");
	SET_CDtt(13, 05.32, "I'm Gonna Crawl");
	SET_CDtt(14, 05.51, "All My Love");
#     endif
	}
    if ( cdKey == GMOORE_BALLADSBLUES ) { /* 1:11:08-15 */
	tocPtr->discPerformer = "Gary Moore";
	tocPtr->discTitle = "Ballads & Blues: 1982-1994";
	SET_CDtt( 1, 03.55, "Always Gonna Love You");
	SET_CDtt( 2, 04.10, "Still Got the Blues");
	SET_CDtt( 3, 04.15, "Empty Rooms");
	SET_CDtt( 4, 06.48, "Parisienne Walkways");
	SET_CDtt( 5, 04.01, "One Day");
	SET_CDtt( 6, 04.54, "Separate Ways");
	SET_CDtt( 7, 06.39, "Story of the Blues");
	SET_CDtt( 8, 05.00, "Crying in the Shadows");
	SET_CDtt( 9, 07.06, "With Love (Remember)");
	SET_CDtt(10, 04.58, "Midnight Blues");
	SET_CDtt(11, 04.06, "Falling in Love with You");
	SET_CDtt(12, 04.21, "Jumpin' at Shadows");
	SET_CDtt(13, 07.41, "Blues for Narada");
	SET_CDtt(14, 03.12, "Johnny Boy");
	}
    if ( cdKey == SNICKS_TIMESPACE ) { /* 1:06:21-08 */
	tocPtr->discPerformer = "Stevie Nicks";
	tocPtr->discTitle = "Timespace: The Best of Stevie Nicks";
	tocPtr->discCatNum = "007567917112200";
	SET_CDtt( 1, 04.39, "Sometimes It's A Bitch");
	SET_CDtt( 2, 04.05, "Stop Draggin' My Heart Around");
	SET_CDtt( 3, 04.31, "Whole Lotta Trouble");
	SET_CDtt( 4, 04.13, "Talk To Me");
	SET_CDtt( 5, 04.57, "Stand Back");
	SET_CDtt( 6, 06.05, "Beauty and the Beast");
	SET_CDtt( 7, 04.08, "If Anyone Falls");
	SET_CDtt( 8, 04.40, "Rooms on Fire");
	SET_CDtt( 9, 05.04, "Love's a Hard Game to Play");
	SET_CDtt(10, 05.28, "Edge of Seventeen");
	SET_CDtt(11, 03.50, "Leather and Lace");
	SET_CDtt(12, 04.37, "I Can't Wait");
	SET_CDtt(13, 04.40, "Has Anyone Ever Written Anything For You?");
	SET_CDtt(14, 05.22, "Desert Angel");
	}
    if ( cdKey == MOLDFIELD_ELEMENTS_D3 ) { /* 1:11:52-15 */
	tocPtr->discPerformer = "Mike Oldfield";
	tocPtr->discTitle = "Elements  [disc 3]";
#     if !defined(SKIPSONGS_Mike_Oldfield)
	SET_CDtt( 1, 08.03, "Platinum 3 & 4");
	SET_CDtt( 2, 02.46, "Arrival");
	SET_CDtt( 3, 10.19, "Taurus");
	SET_CDtt( 4, 07.38, "QE2");
	SET_CDtt( 5, 02.52, "Wonderful Land");
	SET_CDtt( 6, 03.33, "Sheba");
	SET_CDtt( 7, 04.18, "Five Miles Out");
	SET_CDtt( 8, 08.00, "Taurus II");
	SET_CDtt( 9, 03.46, "Family Man");
	SET_CDtt(10, 04.13, "Mount Teidi");
	SET_CDtt(11, 03.25, "The Peak");
	SET_CDtt(12, 05.26, "Crises");
	SET_CDtt(13, 03.37, "Moonlight Shadow");
	SET_CDtt(14, 03.54, "Foreign Affair");
#     endif
	}
    if ( cdKey == TPHEART_PLANTATION ) { /* 1:12:30-62 */
	tocPtr->discPerformer = "Tom Petty and the HeartBreakers";
	tocPtr->discTitle = "Pack up the Plantation - LIVE!";
#     if !defined(SKIPSONGS_Tom_Petty)
	SET_CDtt( 1, 03.37, "So You Want To Be A Rock & Roll Star");
	SET_CDtt( 2, 02.26, "Needles And Pins");
	SET_CDtt( 3, 05.18, "The Waiting");
	SET_CDtt( 4, 07.42, "Breakdown");
	SET_CDtt( 5, 04.02, "Refugee");
	SET_CDtt( 6, 06.14, "Southern Accents");
	SET_CDtt( 7, 05.27, "Rebels");
	SET_CDtt( 8, 03.24, "American Girl");
	SET_CDtt( 9, 05.24, "It Ain't Nothing To Me");
	SET_CDtt(10, 05.23, "Insider");
	SET_CDtt(11, 06.14, "Rockin' Around (With You)");
	SET_CDtt(12, 03.54, "Don't Bring Me Down");
	SET_CDtt(13, 09.35, "Shout");
	SET_CDtt(14, 03.48, "Stories We Could Tell");
#     endif
	}
    if ( cdKey == ROLLINGST_STRIPPED ) { /* 1:14:51-40 */
	tocPtr->discPerformer = "Rolling Stones";
	tocPtr->discTitle = "Stripped";
	SET_CDtt( 1, 03.41, "Street Fighting Man");
	SET_CDtt( 2, 05.39, "Like a Rolling Stone");
	SET_CDtt( 3, 03.06, "Not Fade Away");
	SET_CDtt( 4, 04.38, "Shine a Light");
	SET_CDtt( 5, 03.29, "The Spider and the Fly");
	SET_CDtt( 6, 03.12, "I'm Free");
	SET_CDtt( 7, 05.10, "Wild Horses");
	SET_CDtt( 8, 04.15, "Let It Bleed");
	SET_CDtt( 9, 04.13, "Dead Flowers");
	SET_CDtt(10, 04.55, "Slipping Away");
	SET_CDtt(11, 03.29, "Angie");
	SET_CDtt(12, 05.31, "Love in Vain");
	SET_CDtt(13, 04.16, "Sweet Virginia");
	SET_CDtt(14, 04.00, "Little Baby");
	}
    if ( cdKey == SOFTW_ELECTRICU_P2 ) { /* 1:11:42-00 */
	tocPtr->discPerformer = "Software";
	tocPtr->discTitle = "Electronic Universe  [Part II]";
#     if !defined(SKIPSONGS_Software)
	SET_CDtt( 1, 07.06, "ElectronicUniverse");
	SET_CDtt( 2, 02.18, "PowerofGalaxy");
	SET_CDtt( 3, 07.39, "BeautyofVenus");
	SET_CDtt( 4, 10.22, "CosmicExcursion");
	SET_CDtt( 5, 05.17, "SpiritofSpace");
	SET_CDtt( 6, 07.40, "Blue Planet");
	SET_CDtt( 7, 05.24, "EnergyasMatter");
	SET_CDtt( 8, 04.03, "InterstellarAdventure");
	SET_CDtt( 9, 05.04, "PhotonsDrive");
	SET_CDtt(10, 00.11, "StepontheMoon");
	SET_CDtt(11, 04.33, "SolarWinds");
	SET_CDtt(12, 02.28, "MessageofMars");
	SET_CDtt(13, 08.21, "TheAimofallSearching");
	SET_CDtt(14, 01.14, "VisionsVoice");
#     endif
	}
    if ( cdKey == BSPRING_LIVE75_D2 ) { /* 1:09:51-25 */
	tocPtr->discPerformer = "Bruce Springsteen & The E Street Band";
	tocPtr->discTitle = "Live/1975-1985  [disc 2]";
#     if !defined(SKIPSONGS_Bruce_Springsteen)
	SET_CDtt( 1, 04.50, "Cadillac Ranch");
	SET_CDtt( 2, 03.51, "You Can Look (But You Better Not Touch)");
	SET_CDtt( 3, 05.10, "Independence Day");
	SET_CDtt( 4, 05.16, "Badlands");
	SET_CDtt( 5, 05.19, "Because The Night");
	SET_CDtt( 6, 03.09, "Candy's Room");
	SET_CDtt( 7, 04.24, "Darkness on the Edge of Town");
	SET_CDtt( 8, 08.13, "Racing in the Street");
	SET_CDtt( 9, 04.18, "This Land Is Your Land");
	SET_CDtt(10, 04.16, "Nebraska");
	SET_CDtt(11, 04.22, "Johnny 99");
	SET_CDtt(12, 05.20, "Reason To Believe");
	SET_CDtt(13, 06.07, "Born in the U.S.A.");
	SET_CDtt(14, 05.14, "Seeds");
#     endif
	}
    if ( cdKey == TDREAM_MYSTERYTRACKS ) { /* 1:16:59-58 */
	tocPtr->discPerformer = "Tangerine Dream";
	tocPtr->discTitle = "Mystery Tracks";
#     if !defined(SKIPSONGS_Tangerine_Dream)
	SET_CDtt( 1, 04.16, "Going West");
	SET_CDtt( 2, 03.38, "Afternoon in the Desert");
	SET_CDtt( 3, 03.39, "Plane Ride");
	SET_CDtt( 4, 03.18, "Mystery Tracks");
	SET_CDtt( 5, 02.45, "Lost in the Dunes");
	SET_CDtt( 6, 04.14, "Highway Patrol");
	SET_CDtt( 7, 03.44, "Love Fantasy");
	SET_CDtt( 8, 04.02, "Mad Cap Story");
	SET_CDtt( 9, 04.27, "Dirty Cross Roads");
	SET_CDtt(10, 28.31, "Quinoa");
	SET_CDtt(11, 03.45, "One Night in Medina");
	SET_CDtt(12, 03.30, "I Just Want to Live My Own Life Without You");
	SET_CDtt(13, 04.13, "Dr. Destructo");
	SET_CDtt(14, 02.55, "Rumplestiltskin");
#     endif
	}
    if ( cdKey == VAR_T_DYLANTRIB_BD1 ) { /* 1:15:07-58 */
	tocPtr->discPerformer = "Various Artists/ Tributes";
	tocPtr->discTitle = "Bob Dylan & Friends Tribute  [disc 1]";
#     if !defined(SKIPSONGS_Bob_Dylan)
	SET_CDtt( 1, 06.43, "Like a Rolling Stone  [John Mellencamp]");
	SET_CDtt( 2, 04.18, "Leopard Skin Pill Box Hat  [John Mellencamp]");
	SET_CDtt( 3, 08.40, "Blowin' in the Wind  [Stevie Wonder]");
	SET_CDtt( 4, 03.00, "Wanted Man  [George Thorogood]");
	SET_CDtt( 5, 08.45, "Foot of Pride  [Lou Reed]");
	SET_CDtt( 6, 06.36, "I Want You  [Sophie B. Hawkins]");
	SET_CDtt( 7, 05.08, "Masters of War  [Eddie Vedder & Mike McCready]");
	SET_CDtt( 8, 02.58, "The Times They Are A'Changing  [Tracy Chapman]");
	SET_CDtt( 9, 05.46, "What Was It You Wanted  [Willie Nelson]");
	SET_CDtt(10, 03.05, "I'll Be Your Baby Tonight  [Kris Kristofferson]");
	SET_CDtt(11, 04.43, "Highway 61 Revisited  [Johnny Winter]");
	SET_CDtt(12, 05.17, "Seven Days  [Ron Wood]");
	SET_CDtt(13, 05.38, "Just Like a Woman  [Richie Havens]");
	SET_CDtt(14, 04.28, "I Shall Be Released  [Chrissie Hynde]");
#     endif
	}
    if ( cdKey == VAR_T_SUPPERSREADY ) { /* 1:17:29-32 */
	tocPtr->discPerformer = "Various Artists/ Tributes";
	tocPtr->discTitle = "Supper's Ready";
	SET_CDtt( 1, 06.50, "Watcher of the Skies  [Robert Berry and Hush]");
	SET_CDtt( 2, 09.26, "Firth of Fifth  [Over The Garden Wall]");
	SET_CDtt( 3, 04.42, "Undertow  [David Hentschel with Jay Tausig]");
	SET_CDtt( 4, 04.49, "Ripples  [Annie Haslam]");
	SET_CDtt( 5, 06.38, "Back in N.Y.C.  [Kevin Gilbert]");
	SET_CDtt( 6, 03.12, "For Absent Friends  [Richard Sinclair]");
	SET_CDtt( 7, 06.51, "Mama  [Magellan]");
	SET_CDtt( 8, 05.37, "Man of Our Times  [Enchant]");
	SET_CDtt( 9, 02.59, "Many Too Many  [Pete Barden's Mirage]");
	SET_CDtt(10, 06.19, "Entangled  [Shadow Gallery]");
	SET_CDtt(11, 06.29, "Squonk  [Cairo]");
	SET_CDtt(12, 04.04, "I Know What I Like (In Your Wardrobe)  [Crack the Sky]");
	SET_CDtt(13, 05.24, "Carpet Crawlers  [John Goodall with Michael Zentner]");
	SET_CDtt(14, 04.07, "Keep It Dark  [World Trade]");
	}
    if ( cdKey == WATERS_AMUSED_ORIG ) { /* 1:12:38-50 */
	tocPtr->discPerformer = "Roger Waters";
	tocPtr->discTitle = "Amused to Death";
	SET_CDtt( 1, 04.19, "The Ballad of Bill Hubbard");
	SET_CDtt( 2, 06.00, "What God Wants, Part I");
	SET_CDtt( 3, 04.16, "Perfect Sense, Part I");
	SET_CDtt( 4, 02.51, "Perfect Sense, Part II");
	SET_CDtt( 5, 04.43, "The Bravery of Being Out of Range");
	SET_CDtt( 6, 04.01, "Late Home Tonight, Part I");
	SET_CDtt( 7, 02.13, "Late Home Tonight, Part II");
	SET_CDtt( 8, 05.48, "Too Much Rope");
	SET_CDtt( 9, 03.41, "What God Wants, Part II");
	SET_CDtt(10, 04.08, "What God Wants, Part III");
	SET_CDtt(11, 06.08, "Watching TV");
	SET_CDtt(12, 06.50, "Three Wishes");
	SET_CDtt(13, 08.31, "It's A Miracle");
	SET_CDtt(14, 09.07, "Amused to Death");
	}
    if ( cdKey == WATERS_AMUSED_GOLD ) { /* 1:12:38-10 */
	tocPtr->discPerformer = "Roger Waters";
	tocPtr->discTitle = "Amused to Death  [Gold]";
	SET_CDtt( 1, 04.19, "The Ballad of Bill Hubbard");
	SET_CDtt( 2, 06.00, "What God Wants, Part I");
	SET_CDtt( 3, 04.17, "Perfect Sense, Part I");
	SET_CDtt( 4, 02.50, "Perfect Sense, Part II");
	SET_CDtt( 5, 04.43, "The Bravery of Being Out of Range");
	SET_CDtt( 6, 04.01, "Late Home Tonight, Part I");
	SET_CDtt( 7, 02.14, "Late Home Tonight, Part II");
	SET_CDtt( 8, 05.47, "Too Much Rope");
	SET_CDtt( 9, 03.40, "What God Wants, Part II");
	SET_CDtt(10, 04.08, "What God Wants, Part III");
	SET_CDtt(11, 06.08, "Watching TV");
	SET_CDtt(12, 06.50, "Three Wishes");
	SET_CDtt(13, 08.30, "It's A Miracle");
	SET_CDtt(14, 09.09, "Amused to Death");
	}

}
