#import <sys/types.h>
#import <stddef.h>
#import "CD_DBaseSubs.h"

    /*
     * This subroutine has information for CD's with 20 tracks
     */

#define JHORTON_ROCKINROLLIN   959883125 /* key parts = 2666.25.20.125 114 */
#define VAR_X_YULECOOL_D2      992964746 /* key parts = 2758.17.20.146 134 */
#define HOMERJETHRO_WEIRDWOR  1056588607 /* key parts = 2934.72.20.157 123 */
#define HOMERJETHRO_BESTOF    1094643017 /* key parts = 3040.50.20.167 170 */
#define EJOHN_REGSPIANOPOP    1231356615 /* key parts = 3420.32.20.165 154 */
#define GBSHEA_PRECIOUSMEM_D1 1250796618 /* key parts = 3474.32.20.168 136 */
#define GBSHEA_PRECIOUSMEM_D2 1261779035 /* key parts = 3504.70.20.185 174 */
#define BEAT_ANTHOLOGY2_D2    1390164702 /* key parts = 3861.42.20.102 208 */
#define JEGARDINER_SOLOMON_D2 1460321513 /* key parts = 4056.33.20.113 279 */
#define FLEETW_TUSK           1565033525 /* key parts = 4347.23.20.275 214 */
#define NDIAM_HOTAUG2         1579428717 /* key parts = 4387.22.20.117 245 */
#define JDENVER_ROCKYCOLL_D1  1591131070 /* key parts = 4419.60.20.220 168 */
#define MOODY_TIMET_D1        1607883024 /* key parts = 4466.25.20.174 159 */
#define JFAH_NEWPOSXMAS       1612179115 /* key parts = 4478.20.20.115 746 */
#define CARS_JUSTWHAT_D2      1639116748 /* key parts = 4553.07.20.298 168 */
#define YARDB_GIORGIO_D1      1641459109 /* key parts = 4559.45.20.409 139 */
#define PINKF_ABSENCE_BD1     1642476718 /* key parts = 4562.32.20.268 352 */
#define CARS_JUSTWHAT_D1      1643508677 /* key parts = 4565.22.20.227 244 */
#define CRICHARD_76_94        1647492670 /* key parts = 4576.27.20.220 245 */
#define BDYLAN_BOOTLEG_D2     1659027078 /* key parts = 4608.30.20.228 532 */
#define MOODY_TIMET_D2        1671747089 /* key parts = 4643.55.20.239 378 */
#define DBOWIE_ESSENTIAL      1679868698 /* key parts = 4666.22.20.248 252 */
#define PINKF_ABSENCE_BD6     1683156661 /* key parts = 4675.32.20.211 303 */


void filltoc20(tocPtr, cdKey)
struct cd_toc *tocPtr;
u_int cdKey;
{

    if ( cdKey == BEAT_ANTHOLOGY2_D2 ) { /* 1:04:21-42 */
	tocPtr->discPerformer = "The Beatles";
	tocPtr->discTitle = "Anthology 2  [disc 2]";
	tocPtr->discCatNum = "072438344502800";
#     if !defined(SKIPSONGS_The_Beatles)
	SET_CDtt( 1, 01.42, "Strawberry Fields Forever  [demo sequence]");
	SET_CDtt( 2, 02.34, "Strawberry Fields Forever  [take 1]");
	SET_CDtt( 3, 04.14, "Strawberry Fields Forever  [take 7 & edit piece]");
	SET_CDtt( 4, 03.13, "Penny Lane");
	SET_CDtt( 5, 05.04, "A Day in the Life");
	SET_CDtt( 6, 02.40, "Good Morning Good Morning");
	SET_CDtt( 7, 02.44, "Only a Northern Song");
	SET_CDtt( 8, 01.06, "Being for the Benefit of Mr Kite!  [takes 1 and 2]");
	SET_CDtt( 9, 02.33, "Being for the Benefit of Mr Kite!  [take 7]");
	SET_CDtt(10, 03.06, "Lucy In the Sky with Diamonds");
	SET_CDtt(11, 05.27, "Within You Without You  [instrumental]");
	SET_CDtt(12, 01.27, "Sgt. Pepper's Lonely Hearts Club Band  [reprise]");
	SET_CDtt(13, 05.44, "You Know My Name (Look Up the Number)");
	SET_CDtt(14, 04.02, "I Am the Walrus");
	SET_CDtt(15, 02.48, "The Fool on the Hill  [demo]");
	SET_CDtt(16, 03.02, "Your Mother Should Know");
	SET_CDtt(17, 03.45, "The Fool on the Hill  [take 4]");
	SET_CDtt(18, 03.18, "Hello, Goodbye");
	SET_CDtt(19, 02.22, "Lady Madonna");
	SET_CDtt(20, 03.28, "Across the Universe");
#     endif
	}
    if ( cdKey == DBOWIE_ESSENTIAL ) { /* 1:17:46-22 */
	tocPtr->discPerformer = "David Bowie";
	tocPtr->discTitle = "Essential David Bowie: Best of 1969-1974";
	tocPtr->discCatNum = "072438218492800";
#     if !defined(SKIPSONGS_David_Bowie)
	SET_CDtt( 1, 04.08, "The Jean Genie");
	SET_CDtt( 2, 05.16, "Space Oddity");
	SET_CDtt( 3, 04.18, "Starman");
	SET_CDtt( 4, 03.16, "Ziggy Stardust");
	SET_CDtt( 5, 02.43, "John, I'm Only Dancing  [saxaphone version]");
	SET_CDtt( 6, 04.31, "Rebel, Rebel");
	SET_CDtt( 7, 03.08, "Let's Spend the Night Together");
	SET_CDtt( 8, 03.27, "Suffragette City");
	SET_CDtt( 9, 03.14, "Oh! You Pretty Things");
	SET_CDtt(10, 03.12, "Velvet Goldmine");
	SET_CDtt(11, 04.30, "Drive-In Saturday");
	SET_CDtt(12, 06.06, "Diamond Dogs");
	SET_CDtt(13, 03.34, "Changes");
	SET_CDtt(14, 02.56, "Sorrow");
	SET_CDtt(15, 03.14, "The Prettiest Star");
	SET_CDtt(16, 03.52, "Life On Mars?");
	SET_CDtt(17, 05.10, "Aladdin Sane");
	SET_CDtt(18, 03.57, "The Man Who Sold the World");
	SET_CDtt(19, 03.00, "Rock 'N' Roll Suicide");
	SET_CDtt(20, 04.12, "All The Young Dudes");
#     endif
	}
    if ( cdKey == CARS_JUSTWHAT_D1 ) { /* 1:16:05-22 */
	tocPtr->discPerformer = "The Cars";
	tocPtr->discTitle = "Just What I Needed  [disc 1]";
	tocPtr->discCatNum = "007567735062800";
#     if !defined(SKIPSONGS_The_Cars)
	SET_CDtt( 1, 03.47, "Just What I Needed");
	SET_CDtt( 2, 03.47, "My Best Friend's Girl");
	SET_CDtt( 3, 03.48, "Good Times Roll");
	SET_CDtt( 4, 04.17, "You're All I've Got Tonight");
	SET_CDtt( 5, 03.05, "Don't Cha Stop");
	SET_CDtt( 6, 04.47, "Moving in Stereo");
	SET_CDtt( 7, 04.02, "Take Me Now");
	SET_CDtt( 8, 02.42, "Cool Fool");
	SET_CDtt( 9, 03.37, "Let's Go");
	SET_CDtt(10, 02.40, "Candy-o");
	SET_CDtt(11, 04.32, "Dangerous Type");
	SET_CDtt(12, 04.27, "Double Life");
	SET_CDtt(13, 03.02, "Got a Lot on My Head");
	SET_CDtt(14, 03.48, "It's All I Can Do");
	SET_CDtt(15, 03.09, "Nightspots  [early version]");
	SET_CDtt(16, 03.44, "Slipaway");
	SET_CDtt(17, 03.24, "That's It");
	SET_CDtt(18, 05.46, "Panorama");
	SET_CDtt(19, 03.35, "Gimme Some Slack");
	SET_CDtt(20, 04.04, "Don't Go to Pieces");
#     endif
	}
    if ( cdKey == CARS_JUSTWHAT_D2 ) { /* 1:15:53-07 */
	tocPtr->discPerformer = "The Cars";
	tocPtr->discTitle = "Just What I Needed  [disc 2]";
	tocPtr->discCatNum = "007567735062800";
#     if !defined(SKIPSONGS_The_Cars)
	SET_CDtt( 1, 04.58, "Touch and Go");
	SET_CDtt( 2, 04.03, "Don't Tell Me No");
	SET_CDtt( 3, 03.36, "Shake It Up");
	SET_CDtt( 4, 03.33, "Since You're Gone");
	SET_CDtt( 5, 04.16, "I'm Not the One");
	SET_CDtt( 6, 04.58, "Cruiser");
	SET_CDtt( 7, 02.55, "The Little Black Egg");
	SET_CDtt( 8, 03.11, "Funtime");
	SET_CDtt( 9, 03.08, "You Might Think");
	SET_CDtt(10, 03.58, "Drive");
	SET_CDtt(11, 04.01, "Magic");
	SET_CDtt(12, 03.49, "Hello Again");
	SET_CDtt(13, 04.06, "Why Can't I Have You");
	SET_CDtt(14, 03.48, "Breakaway");
	SET_CDtt(15, 03.57, "Tonight She Comes");
	SET_CDtt(16, 03.56, "You Are the Girl");
	SET_CDtt(17, 04.26, "Strap Me In");
	SET_CDtt(18, 03.21, "Door to Door");
	SET_CDtt(19, 03.03, "Leave or Stay  [1977 demo version]");
	SET_CDtt(20, 02.48, "Tata Wayo Wayo  [1977 demo version]");
#     endif
	}
    if ( cdKey == JDENVER_ROCKYCOLL_D1 ) { /* 1:13:39-60 */
	tocPtr->discPerformer = "John Denver";
	tocPtr->discTitle = "The Rocky Mountain Collection  [disc 1]";
	SET_CDtt( 1, 03.40, "Leaving on a Jet Plane");
	SET_CDtt( 2, 03.17, "Rhymes and Reasons");
	SET_CDtt( 3, 02.29, "Follow Me");
	SET_CDtt( 4, 02.12, "Aspen Glow");
	SET_CDtt( 5, 05.15, "Sunshine on My Shoulders");
	SET_CDtt( 6, 04.28, "My Sweet Lady");
	SET_CDtt( 7, 03.11, "Take Me Home, Country Roads");
	SET_CDtt( 8, 04.08, "Poems, Prayers and Promises");
	SET_CDtt( 9, 02.11, "The Eagle and the Hawk");
	SET_CDtt(10, 03.07, "Starwood in Aspen");
	SET_CDtt(11, 03.25, "Friends With You");
	SET_CDtt(12, 03.40, "Goodbye Again");
	SET_CDtt(13, 04.47, "Rocky Mountain High");
	SET_CDtt(14, 04.26, "I'd Rather Be a Cowboy (Lady's Chains)");
	SET_CDtt(15, 04.05, "Farewell Andromeda (Welcome to My Morning)");
	SET_CDtt(16, 04.47, "Back Home Again");
	SET_CDtt(17, 03.01, "Annie's Song");
	SET_CDtt(18, 03.10, "Thank God I'm a Country Boy");
	SET_CDtt(19, 05.30, "Sweet Surrender");
	SET_CDtt(20, 02.48, "This Old Guitar");
	}
    if ( cdKey == BDYLAN_BOOTLEG_D2 ) { /* 1:16:48-30 */
	tocPtr->discPerformer = "Bob Dylan";
	tocPtr->discTitle = "The Bootleg Series - 1961-1991  [disc 2]";
#     if !defined(SKIPSONGS_Bob_Dylan)
	SET_CDtt( 1, 03.48, "Seven Curses");
	SET_CDtt( 2, 02.39, "Eternal Circle");
	SET_CDtt( 3, 01.59, "Suze (The Cough Song)");
	SET_CDtt( 4, 02.57, "Mama, You Been On My Mind");
	SET_CDtt( 5, 05.27, "Farewell, Angelina");
	SET_CDtt( 6, 02.58, "Subterranean Homesick Blues");
	SET_CDtt( 7, 02.55, "If You Gotta Go, Go Now (Or Else You Stay All Night)");
	SET_CDtt( 8, 03.53, "Siting On A Barbed Wire Fence");
	SET_CDtt( 9, 01.37, "Like A Rolling Stone");
	SET_CDtt(10, 03.22, "It Takes A Lot To Laugh, It Takes A Train To Cry");
	SET_CDtt(11, 03.40, "I'll Keep It With Mine");
	SET_CDtt(12, 06.10, "She's Your Lover Now");
	SET_CDtt(13, 03.56, "I Shall Be Released");
	SET_CDtt(14, 02.10, "SantaFe");
	SET_CDtt(15, 03.34, "If Not For You");
	SET_CDtt(16, 02.50, "Wallflower");
	SET_CDtt(17, 02.40, "Nobody 'Cept You");
	SET_CDtt(18, 06.52, "Tangled Up In Blue");
	SET_CDtt(19, 04.27, "Call Letter Blues");
	SET_CDtt(20, 08.52, "Idiot Wind");
#     endif
	}
    if ( cdKey == NDIAM_HOTAUG2 ) { /* 1:13:07-22 */
	tocPtr->discPerformer = "Neil Diamond";
	tocPtr->discTitle = "Hot August Night II";
#     if !defined(SKIPSONGS_Neil_Diamond)
	SET_CDtt( 1, 01.57, "Song of the Whales (Fanfare)");
	SET_CDtt( 2, 04.10, "Headed for the Future");
	SET_CDtt( 3, 04.00, "September Morn");
	SET_CDtt( 4, 03.26, "Thank the Lord for the Night Time");
	SET_CDtt( 5, 03.15, "Cherry, Cherry");
	SET_CDtt( 6, 03.49, "Sweet Caroline");
	SET_CDtt( 7, 03.33, "Hello Again");
	SET_CDtt( 8, 03.13, "Love on the Rocks");
	SET_CDtt( 9, 03.54, "America");
	SET_CDtt(10, 03.29, "Forever in Blue Jeans");
	SET_CDtt(11, 04.43, "You Don't Bring Me Flowers");
	SET_CDtt(12, 04.35, "I Dreamed a Dream");
	SET_CDtt(13, 02.27, "Back in L.A.");
	SET_CDtt(14, 02.52, "Song Sung Blue");
	SET_CDtt(15, 02.54, "Crackin' Rosie");
	SET_CDtt(16, 05.11, "I Am ... I Said");
	SET_CDtt(17, 04.36, "Holly Holy");
	SET_CDtt(18, 01.22, "Soolaimon");
	SET_CDtt(19, 05.34, "Brother Love's Traveling Salvation Show");
	SET_CDtt(20, 04.05, "Heartlight");
#     endif
	}
    if ( cdKey == JFAH_NEWPOSXMAS ) { /* 1:14:38-20 */
	tocPtr->discPerformer = "John Fahey";
	tocPtr->discTitle = "The New Possibility: John Fahey's Guitar Soli Christmas Album/ Christmas with John Fahey Vol. II";
	tocPtr->discCatNum = "007567714372500";
#     if !defined(SKIPSONGS_John_Fahey)
	SET_CDtt( 1, 01.55, "Joy To The World");
	SET_CDtt( 2, 03.05, "What Child is This?");
	SET_CDtt( 3, 03.13, "Medley: Hark, the Herald Angels Sing/ O Come All Ye Faithful");
	SET_CDtt( 4, 02.05, "Auld Lang Syne");
	SET_CDtt( 5, 02.13, "The Bells of St. Mary's");
	SET_CDtt( 6, 01.13, "Good King Wenceslas");
	SET_CDtt( 7, 01.53, "We Three Kings of Orient Are");
	SET_CDtt( 8, 02.44, "God Rest Ye Merry Gentlemen Fantasy");
	SET_CDtt( 9, 02.15, "The First Noel");
	SET_CDtt(10, 10.17, "Christ's Saints of God Fantasy");
	SET_CDtt(11, 01.30, "It Came Upon a Midnight Clear");
	SET_CDtt(12, 03.02, "Go I Will Send Thee");
	SET_CDtt(13, 03.50, "Lo How a Rose E'er Blooming");
	SET_CDtt(14, 01.16, "Silent Night, Holy Night");
	SET_CDtt(15, 03.32, "Oh Holy Night  [with Richard Ruskin]");
	SET_CDtt(16, 03.34, "Christmas Medley: Oh Tannenbaum/ Angels We Have Heard On High/ Jingle Bells  [with Richard Ruskin]");
	SET_CDtt(17, 06.49, "Russian Christmas Overture  [with Richard Ruskin]");
	SET_CDtt(18, 05.03, "White Christmas");
	SET_CDtt(19, 02.41, "Carol of the Bells  [with Richard Ruskin]");
	SET_CDtt(20, 12.26, "Christmas FantasyPart II");
#     endif
	}
    if ( cdKey == FLEETW_TUSK ) { /* 1:12:27-23 */
	tocPtr->discPerformer = "Fleetwood Mac";
	tocPtr->discTitle = "Tusk";
	tocPtr->discCatNum = "007599033502900";
#     if !defined(SKIPSONGS_Fleetwood_Mac)
	SET_CDtt( 1, 04.35, "Over & Over");
	SET_CDtt( 2, 02.08, "The Ledge");
	SET_CDtt( 3, 02.44, "Think About Me");
	SET_CDtt( 4, 02.42, "Save Me a Place");
	SET_CDtt( 5, 04.40, "Sara  [edit]");
	SET_CDtt( 6, 03.32, "What Makes You Think You're the One");
	SET_CDtt( 7, 05.31, "Storms");
	SET_CDtt( 8, 03.03, "That's All For Everyone");
	SET_CDtt( 9, 03.11, "Not That Funny");
	SET_CDtt(10, 04.43, "Sisters of the Moon");
	SET_CDtt(11, 04.54, "Angel");
	SET_CDtt(12, 01.51, "That's Enough for Me");
	SET_CDtt(13, 04.27, "Brown Eyes");
	SET_CDtt(14, 02.18, "Never Make Me Cry");
	SET_CDtt(15, 03.06, "I Know I'm Not Wrong");
	SET_CDtt(16, 02.41, "Honey Hi");
	SET_CDtt(17, 05.21, "Beautiful Child");
	SET_CDtt(18, 03.47, "Walk a Thin Line");
	SET_CDtt(19, 03.37, "Tusk");
	SET_CDtt(20, 03.34, "Never Forget");
#     endif
	}
    if ( cdKey == JEGARDINER_SOLOMON_D2 ) { /* 1:07:36-33 */
	tocPtr->discPerformer = "John Eliot Gardiner";
	tocPtr->discTitle = "Solomon  [disc 2]";
	tocPtr->discCatNum = "002894162692900";
	/*	ACT II:   Scene 2: */
	SET_CDtt( 1, 01.53, "My sovereign liege");
	/*	ACT II:   Scene 3: */
	SET_CDtt( 2, 05.35, "Thou son of David - Words are weak");
	SET_CDtt( 3, 03.28, "What says the other - Thy sentance, great king");
	SET_CDtt( 4, 04.24, "Withhold, withhold the executing hand - Can I see my infant gor'd");
	SET_CDtt( 5, 01.18, "Israel, attend");
	SET_CDtt( 6, 03.59, "Thrice bless'd be the king");
	SET_CDtt( 7, 02.28, "From the east unto the west");
	SET_CDtt( 8, 06.24, "No more shall armed bands - Beneath the vine");
	SET_CDtt( 9, 02.46, "Swell, swell, the full chorus");
	/*	ACT III: */
	SET_CDtt(10, 03.01, "The Arrival of the Queen of Sheba");
	SET_CDtt(11, 01.25, "From Arabia's Spicy Shores");
	SET_CDtt(12, 03.35, "Sweep, sweep the string - Music, spread thy voice");
	SET_CDtt(13, 01.47, "Now a diff'rent measure - Shake the dome");
	SET_CDtt(14, 03.20, "Then at once from rage - Draw the tear from hopeless love");
	SET_CDtt(15, 03.39, "Next the tortur'd soul - Thus rolling surges rise");
	SET_CDtt(16, 00.59, "Thy harmony's divine");
	SET_CDtt(17, 03.58, "Thrice happy king - Golden columns");
	SET_CDtt(18, 05.55, "May peace in Salem ever dwell - Will the sun forget to streak");
	SET_CDtt(19, 03.01, "Adieu, fair queen - Ev'ry joy that wisdom knows");
	SET_CDtt(20, 04.39, "Praise the Lord");
	}
    if ( cdKey == HOMERJETHRO_BESTOF ) { /* 0:50:40-50 */
	tocPtr->discPerformer = "Homer & Jethro";
	tocPtr->discTitle = "The Best of Homer & Jethro";
	SET_CDtt( 1, 02.47, "Nashville Cats");
	SET_CDtt( 2, 02.39, "Act Naturally");
	SET_CDtt( 3, 02.17, "Sixteen Tons");
	SET_CDtt( 4, 02.24, "King of the Camp");
	SET_CDtt( 5, 02.41, "The Battle of Kookamonga");
	SET_CDtt( 6, 02.22, "Settin' the Woods on Fire No. 2");
	SET_CDtt( 7, 02.17, "Gone");
	SET_CDtt( 8, 02.48, "Cold Cold Heart No. 2");
	SET_CDtt( 9, 02.36, "D-I-V-O-R-C-E (B-A-C-O-N & E-G-G-S)");
	SET_CDtt(10, 02.29, "Oh Lonesome Me");
	SET_CDtt(11, 02.42, "Hey Good Lookin' No. 2");
	SET_CDtt(12, 02.04, "Tiger By the Tail");
	SET_CDtt(13, 03.04, "El Paso");
	SET_CDtt(14, 02.31, "Your Clobbered Heart");
	SET_CDtt(15, 02.31, "He'll Have To Go");
	SET_CDtt(16, 03.11, "I Really Don't Want To Know");
	SET_CDtt(17, 02.09, "Lying Time (Crying Time)");
	SET_CDtt(18, 02.07, "I Want To Go With You");
	SET_CDtt(19, 02.09, "The Chase is On");
	SET_CDtt(20, 02.50, "(How Much Is) That Hound Dog in the Window");
	}
    if ( cdKey == HOMERJETHRO_WEIRDWOR ) { /* 0:48:54-72 */
	tocPtr->discPerformer = "Homer & Jethro";
	tocPtr->discTitle = "America's Song Butchers: The Weird World of Homer & Jethro";
	SET_CDtt( 1, 02.37, "Tennessee Border No. 2");
	SET_CDtt( 2, 02.58, "Baby, It's Cold Outside");
	SET_CDtt( 3, 02.47, "Tennessee, Tennessee");
	SET_CDtt( 4, 02.43, "I'm Movin' On No. 2");
	SET_CDtt( 5, 02.05, "Li'l Ole Kiss of Fire");
	SET_CDtt( 6, 02.19, "The Billboard Song");
	SET_CDtt( 7, 02.41, "JamBowlLiar");
	SET_CDtt( 8, 02.16, "You Belong To Me No. 2");
	SET_CDtt( 9, 02.23, "Don't Let The Stars Get In Your Eyeballs");
	SET_CDtt(10, 02.46, "(How Much) Is That Hound Dog in the Window?");
	SET_CDtt(11, 02.28, "She Was Bitten on the Udder by an Adder");
	SET_CDtt(12, 02.34, "Hernado's Hideaway");
	SET_CDtt(13, 02.24, "Let Me Go, Blubber");
	SET_CDtt(14, 02.04, "Mister Sandman");
	SET_CDtt(15, 02.03, "Yaller Rose of Texas, You All");
	SET_CDtt(16, 02.14, "Sixteen Tons");
	SET_CDtt(17, 02.16, "Hart-Brake Motel");
	SET_CDtt(18, 02.40, "The Battle of Kookamonga");
	SET_CDtt(19, 02.31, "I Want To Hold Your Hand");
	SET_CDtt(20, 02.03, "Misty");
	}
    if ( cdKey == JHORTON_ROCKINROLLIN ) { /* 0:44:26-25 */
	tocPtr->discPerformer = "Johnny Horton";
	tocPtr->discTitle = "Rockin' Rollin' Johnny Horton";
#     if !defined(SKIPSONGS_Johnny_Horton)
	SET_CDtt( 1, 02.05, "Ole Slew Foot");
	SET_CDtt( 2, 01.58, "Sal's Got a Sugarlip");
	SET_CDtt( 3, 02.29, "Cherokee Boogie");
	SET_CDtt( 4, 02.21, "The First Train Headin' South");
	SET_CDtt( 5, 02.36, "Sleepy Eyed John");
	SET_CDtt( 6, 01.55, "All Grown Up");
	SET_CDtt( 7, 01.55, "Got the Bull By the Horns");
	SET_CDtt( 8, 02.25, "The Electrified Donkey");
	SET_CDtt( 9, 02.14, "Honky Tonk Man");
	SET_CDtt(10, 02.29, "I'm Ready if You're Willing");
	SET_CDtt(11, 02.00, "I'm a One Woman Man");
	SET_CDtt(12, 02.15, "Sugar Coated Baby");
	SET_CDtt(13, 02.11, "I Don't Like I Did");
	SET_CDtt(14, 02.06, "I'm Coming Home");
	SET_CDtt(15, 02.14, "Honky Tonk Mind (The Woman I Need)");
	SET_CDtt(16, 02.12, "Tell My Baby I Love Her");
	SET_CDtt(17, 02.09, "Let's Take the Long Way Home");
	SET_CDtt(18, 02.35, "Lover's Rock");
	SET_CDtt(19, 02.21, "Honky Tonk Hardwood Floor");
	SET_CDtt(20, 01.54, "The Wild One");
#     endif
	}
    if ( cdKey == EJOHN_REGSPIANOPOP ) { /* 0:57:00-32 */
	tocPtr->discPerformer = "Elton John";
	tocPtr->discTitle = "Reg Dwight's Piano Goes Pop";
#     if !defined(SKIPSONGS_Elton_John)
	SET_CDtt( 1, 02.45, "My Baby Loves Lovin'");
	SET_CDtt( 2, 02.48, "Cottonfields");
	SET_CDtt( 3, 03.41, "Lady D'Arbanville");
	SET_CDtt( 4, 02.49, "Natural Sinner");
	SET_CDtt( 5, 02.49, "United We Stand");
	SET_CDtt( 6, 03.36, "Spirit in the Sky");
	SET_CDtt( 7, 02.16, "Travellin' Band");
	SET_CDtt( 8, 03.47, "I Can't Tell the Bottom from the Top");
	SET_CDtt( 9, 03.07, "Good Morning Freedom");
	SET_CDtt(10, 03.02, "Young, Gifted & Black");
	SET_CDtt(11, 02.51, "In the Summertime");
	SET_CDtt(12, 02.38, "Up Around the Bend");
	SET_CDtt(13, 03.02, "Snake in the Grass");
	SET_CDtt(14, 03.35, "Neanderthal Man");
	SET_CDtt(15, 01.57, "She Sold Me Magic");
	SET_CDtt(16, 02.12, "Come and Get It");
	SET_CDtt(17, 02.33, "Love of the Common People");
	SET_CDtt(18, 02.32, "Signed, Sealed, Delivered");
	SET_CDtt(19, 02.24, "It's All in the Game");
	SET_CDtt(20, 02.34, "Yellow River");
#     endif
	}
    if ( cdKey == MOODY_TIMET_D1 ) { /* 1:14:26-25 */
	tocPtr->discPerformer = "Moody Blues";
	tocPtr->discTitle = "Time Traveller  [disc 1]";
#     if !defined(SKIPSONGS_Moody_Blues)
	SET_CDtt( 1, 02.54, "Fly Me High");
	SET_CDtt( 2, 02.25, "Love and Beauty");
	SET_CDtt( 3, 02.22, "Cities");
	SET_CDtt( 4, 04.47, "Tuesday Afternoon (Forever Afternoon)");
	SET_CDtt( 5, 07.41, "Nights in White Satin");
	SET_CDtt( 6, 04.23, "Ride My See-Saw");
	SET_CDtt( 7, 06.36, "Legend of a Mind");
	SET_CDtt( 8, 06.00, "House of Four Doors");
	SET_CDtt( 9, 03.30, "Voices in the Sky");
	SET_CDtt(10, 03.13, "The Best Way to Travel");
	SET_CDtt(11, 04.41, "The Actor");
	SET_CDtt(12, 02.08, "In the Beginning");
	SET_CDtt(13, 02.34, "Lovely to See You");
	SET_CDtt(14, 03.57, "Dear Diary");
	SET_CDtt(15, 04.40, "Never Comes the Day");
	SET_CDtt(16, 03.29, "Are You Sitting Comfortably");
	SET_CDtt(17, 00.53, "The Dream");
	SET_CDtt(18, 02.20, "Have You Heard, Part 1");
	SET_CDtt(19, 03.12, "The Voyage");
	SET_CDtt(20, 02.39, "Have You Heard, Part 2");
#     endif
	}
    if ( cdKey == MOODY_TIMET_D2 ) { /* 1:17:23-55 */
	tocPtr->discPerformer = "Moody Blues";
	tocPtr->discTitle = "Time Traveller  [disc 2]";
#     if !defined(SKIPSONGS_Moody_Blues)
	SET_CDtt( 1, 03.59, "Higher and Higher");
	SET_CDtt( 2, 03.31, "Gypsy (of a Strange and Distant Time)");
	SET_CDtt( 3, 03.11, "Eyes of a Child");
	SET_CDtt( 4, 01.06, "Never Thought I'd Live to be a Hundred");
	SET_CDtt( 5, 02.59, "Beyond");
	SET_CDtt( 6, 03.41, "Out and In");
	SET_CDtt( 7, 04.13, "Candle of Life");
	SET_CDtt( 8, 00.33, "Never Thought I'd Live to be a Million");
	SET_CDtt( 9, 04.15, "Watching and Waiting");
	SET_CDtt(10, 05.40, "Question");
	SET_CDtt(11, 02.36, "Don't You Feel Small");
	SET_CDtt(12, 03.11, "It's Up To You");
	SET_CDtt(13, 04.25, "Minstrel's Song");
	SET_CDtt(14, 04.24, "Dawning is the Day");
	SET_CDtt(15, 05.51, "Melancholy Man");
	SET_CDtt(16, 04.41, "Procession");
	SET_CDtt(17, 02.53, "The Story in Your Eyes");
	SET_CDtt(18, 05.40, "One More Time to Live");
	SET_CDtt(19, 04.14, "You Can Never Go Home");
	SET_CDtt(20, 06.18, "My Song");
#     endif
	}
    if ( cdKey == PINKF_ABSENCE_BD1 ) { /* 1:16:02-32 */
	tocPtr->discPerformer = "Pink Floyd";
	tocPtr->discTitle = "Variations on a Theme of Absence  [disc 1]";
#     if !defined(SKIPSONGS_Pink_Floyd)
	SET_CDtt( 1, 04.28, "Remember a Day");
	SET_CDtt( 2, 04.02, "Astronomy Domine");
	SET_CDtt( 3, 03.05, "Interstellar Overdrive");
	SET_CDtt( 4, 03.01, "Apples & Oranges");
	SET_CDtt( 5, 03.41, "It Would Be So Nice");
	SET_CDtt( 6, 02.43, "Candy and a Currant Bun");
	SET_CDtt( 7, 04.44, "Scream Thy Last Scream");
	SET_CDtt( 8, 02.53, "See Emily Play");
	SET_CDtt( 9, 02.49, "Flaming");
	SET_CDtt(10, 03.29, "Paintbox");
	SET_CDtt(11, 03.10, "Heart Beat, Pig Meat");
	SET_CDtt(12, 04.11, "Crumbling Land");
	SET_CDtt(13, 04.57, "Careful with that Axe, Eugene");
	SET_CDtt(14, 03.37, "Point Me at the Sky");
	SET_CDtt(15, 05.15, "Biding My Time");
	SET_CDtt(16, 04.36, "Embryo");
	SET_CDtt(17, 01.51, "Mademoiselle Knobs");
	SET_CDtt(18, 02.37, "Julia Dream");
	SET_CDtt(19, 04.59, "Come In Number 51, Your Time Is Up");
	SET_CDtt(20, 05.52, "Oenone");
#     endif
	}
    if ( cdKey == PINKF_ABSENCE_BD6 ) { /* 1:17:55-32 */
	tocPtr->discPerformer = "Pink Floyd";
	tocPtr->discTitle = "Variations on a Theme of Absence  [disc 6]";
#     if !defined(SKIPSONGS_Pink_Floyd)
	SET_CDtt( 1, 03.31, "In the Flesh");
	SET_CDtt( 2, 02.50, "The Thin Ice");
	SET_CDtt( 3, 04.59, "Another Brick in the Wall: Part 1");
	SET_CDtt( 4, 01.23, "The Happiest Days of Our Lives");
	SET_CDtt( 5, 06.27, "Another Brick in the Wall: Part 2");
	SET_CDtt( 6, 08.27, "Mother");
	SET_CDtt( 7, 04.00, "Goodbye Blue Sky");
	SET_CDtt( 8, 05.03, "What Shall We Do?");
	SET_CDtt( 9, 05.00, "Young Lust");
	SET_CDtt(10, 04.09, "One of My Turns");
	SET_CDtt(11, 03.18, "Don't Leave Me Now");
	SET_CDtt(12, 01.00, "Empty Spaces");
	SET_CDtt(13, 06.02, "Another Brick in the Wall: Part 3");
	SET_CDtt(14, 01.01, "Goodbye Cruel World");
	SET_CDtt(15, 04.57, "Hey You");
	SET_CDtt(16, 03.16, "Is There Anybody Out There?");
	SET_CDtt(17, 03.39, "Nobody Home");
	SET_CDtt(18, 02.05, "Vera");
	SET_CDtt(19, 01.43, "Bring The Boys Back Home");
	SET_CDtt(20, 05.03, "Waiting for the Worms");
#     endif
	}
    if ( cdKey == CRICHARD_76_94 ) { /* 1:16:16-27 */
	tocPtr->discPerformer = "Cliff Richard";
	tocPtr->discTitle = "The Cliff Richard Collection, 1976-1994";
	SET_CDtt( 1, 03.40, "Wired for Sound");
	SET_CDtt( 2, 03.39, "Dreamin'");
	SET_CDtt( 3, 03.46, "I Still Believe in You");
	SET_CDtt( 4, 03.41, "Carrie");
	SET_CDtt( 5, 03.51, "Some People");
	SET_CDtt( 6, 03.18, "The Only Way Out");
	SET_CDtt( 7, 03.11, "Slow Rivers  [with Elton John]");
	SET_CDtt( 8, 03.16, "True Love Ways");
	SET_CDtt( 9, 03.25, "A Little in Love");
	SET_CDtt(10, 02.59, "Daddy's Home");
	SET_CDtt(11, 03.39, "Never Say Die (Give a Little Bit More)");
	SET_CDtt(12, 04.15, "We Don't Talk Anymore");
	SET_CDtt(13, 04.11, "All I Ask of You  [with Sarah Brightman]");
	SET_CDtt(14, 03.37, "Devil Woman");
	SET_CDtt(15, 05.17, "Ocean Deep");
	SET_CDtt(16, 04.15, "Love is the Strongest Emotion");
	SET_CDtt(17, 04.12, "She's So Beautiful");
	SET_CDtt(18, 03.57, "My Pretty One");
	SET_CDtt(19, 04.00, "Suddenly  [with Oliva Newton-John]");
	SET_CDtt(20, 04.05, "Mistletoe and Wine");
	}
    if ( cdKey == GBSHEA_PRECIOUSMEM_D1 ) { /* 0:57:54-32 */
	tocPtr->discPerformer = "George Beverly Shea";
	tocPtr->discTitle = "Precious Memories  [disc 1]";
#     if !defined(SKIPSONGS_George_Beverly_Shea)
	SET_CDtt( 1, 02.48, "How Great Thou Art");
	SET_CDtt( 2, 02.44, "Blessed Assurance");
	SET_CDtt( 3, 02.32, "Beyond the Sunset");
	SET_CDtt( 4, 02.46, "Rock of Ages");
	SET_CDtt( 5, 02.26, "Sweet By and By");
	SET_CDtt( 6, 03.12, "I'd Rather Have Jesus");
	SET_CDtt( 7, 02.54, "Tell Me the Old, Old Story");
	SET_CDtt( 8, 02.50, "Will the Circle Be Unbroken");
	SET_CDtt( 9, 03.12, "Day by Day");
	SET_CDtt(10, 03.28, "Amazing Grace");
	SET_CDtt(11, 03.27, "Precious Memories");
	SET_CDtt(12, 02.40, "Faith of Our Fathers");
	SET_CDtt(13, 02.44, "In the Garden");
	SET_CDtt(14, 03.14, "Oh How He Loves You and Me");
	SET_CDtt(15, 03.04, "The Old Rugged Cross");
	SET_CDtt(16, 03.07, "Just a Closer Walk With Thee");
	SET_CDtt(17, 02.41, "What a Friend We Have in Jesus");
	SET_CDtt(18, 03.02, "The Lord's My Shepherd");
	SET_CDtt(19, 02.45, "Almost Persuaded");
	SET_CDtt(20, 02.16, "Battle Hymn of the Republic");
#endif
	}
    if ( cdKey == GBSHEA_PRECIOUSMEM_D2 ) { /* 0:58:24-70 */
	tocPtr->discPerformer = "George Beverly Shea";
	tocPtr->discTitle = "Precious Memories  [disc 2]";
#     if !defined(SKIPSONGS_George_Beverly_Shea)
	SET_CDtt( 1, 03.05, "Early in the Morning");
	SET_CDtt( 2, 03.19, "Bring Back the Springtime");
	SET_CDtt( 3, 03.15, "When They Ring the Golden Bells");
	SET_CDtt( 4, 02.12, "Bringing in the Sheaves");
	SET_CDtt( 5, 02.45, "Sweet Hour of Prayer");
	SET_CDtt( 6, 02.37, "Deep River");
	SET_CDtt( 7, 03.26, "It Is No Secret");
	SET_CDtt( 8, 03.51, "Oh Happy Day");
	SET_CDtt( 9, 01.58, "America the Beautiful");
	SET_CDtt(10, 02.35, "Bless This House");
	SET_CDtt(11, 02.59, "Shall We Gather at the River");
	SET_CDtt(12, 03.26, "Whispering Hope");
	SET_CDtt(13, 02.58, "Peace in the Valley");
	SET_CDtt(14, 02.54, "Holy, Holy, Holy");
	SET_CDtt(15, 03.27, "Have Thine Own Way, Lord");
	SET_CDtt(16, 02.51, "The Wayfaring Stranger");
	SET_CDtt(17, 02.50, "Did You Think To Pray?");
	SET_CDtt(18, 02.44, "He's Got the Whole Wide World In His Hands");
	SET_CDtt(19, 02.16, "The Ninety and Nine");
	SET_CDtt(20, 02.54, "The Lord's Prayer");
#endif
	}
    if ( cdKey == VAR_X_YULECOOL_D2 ) { /* 0:45:58-17 */
	tocPtr->discPerformer = "Various Artists/ Christmas";
	tocPtr->discTitle = "Yule Cool  [disc 2]";
	SET_CDtt( 1, 02.26, "Happy Holiday  [Bing Crosby]");
	SET_CDtt( 2, 02.13, "A Holly Jolly Christmas  [Burl Ives]");
	SET_CDtt( 3, 03.06, "Silent Night, Holy Night  [Josef Locke]");
	SET_CDtt( 4, 02.31, "Jingle Bell Rock  [Hollyridge Singers]");
	SET_CDtt( 5, 01.46, "A Lonely Pup (In a Christmas Shop)  [Adam Faith]");
	SET_CDtt( 6, 01.53, "Rockin' Around the Christmas Tree  [Ace Cannon]");
	SET_CDtt( 7, 03.16, "The Christmas Waltz  [David Rose]");
	SET_CDtt( 8, 01.58, "I Want Elvis for Christmas  [Eddie Cochran]");
	SET_CDtt( 9, 02.51, "White Christmas  [Felix Slatkin]");
	SET_CDtt(10, 02.27, "Baby's First Christmas  [Connie Francis]");
	SET_CDtt(11, 02.22, "Deck the Halls  [The Crickets]");
	SET_CDtt(12, 02.03, "Snow Coach  [Russ Conway]");
	SET_CDtt(13, 02.24, "Senor Santa Claus  [Jim Reeves]");
	SET_CDtt(14, 01.51, "Silver Bells  [Eddie Dunstedter]");
	SET_CDtt(15, 02.16, "Sleigh Ride  [Ferrante and Teicher]");
	SET_CDtt(16, 01.56, "Warm December  [Julie London]");
	SET_CDtt(17, 02.25, "O' Holy Night  [Jimmy Rodgers]");
	SET_CDtt(18, 01.35, "Jingle Bells  [Les Paul]");
	SET_CDtt(19, 02.23, "The Holly and the Ivy  [Steeleye Span]");
	SET_CDtt(20, 02.14, "Auld Lang Syne  [Van Alexander]");
	}
    if ( cdKey == YARDB_GIORGIO_D1 ) { /* 1:15:59-45 */
	tocPtr->discPerformer = "The Yardbirds";
	tocPtr->discTitle = "Train Kept A-Rollin' - The Complete Giorgio Gomelsky Productions  [disc 1]";
#     if !defined(SKIPSONGS_The_Yardbirds)
	SET_CDtt( 1, 06.49, "Smokestack Lightning");
	SET_CDtt( 2, 02.56, "You Can't Judge a Book by Looking at the Cover");
	SET_CDtt( 3, 02.18, "Let It Rock");
	SET_CDtt( 4, 05.54, "I Wish You Would");
	SET_CDtt( 5, 04.10, "Who Do You Love");
	SET_CDtt( 6, 02.32, "Honey in Your Hips");
	SET_CDtt( 7, 03.38, "Bye Bye Bird");
	SET_CDtt( 8, 03.56, "Mister Downchild");
	SET_CDtt( 9, 05.22, "The River Rhine");
	SET_CDtt(10, 05.08, "23 Hours Too Long");
	SET_CDtt(11, 02.17, "A Lost Care");
	SET_CDtt(12, 03.49, "Pontiac Blues");
	SET_CDtt(13, 05.41, "Take It Easy Baby (Version One)");
	SET_CDtt(14, 03.08, "Out on the Water Coast");
	SET_CDtt(15, 03.43, "I Don't Care No More");
	SET_CDtt(16, 03.01, "Western Arizona");
	SET_CDtt(17, 04.13, "Take it Easy Baby (Version Two)");
	SET_CDtt(18, 02.38, "Baby What's Wrong");
	SET_CDtt(19, 02.25, "Boom Boom");
	SET_CDtt(20, 02.19, "Honey in Your Hips");
#     endif
	}

}
