#import <sys/types.h>
#import <stddef.h>
#import "CD_DBaseSubs.h"

    /*
     * This subroutine has information for CD's with 22 to 25 tracks
     */

#define SIMNGARF_COLLECTED_D2 1254315641 /* key parts = 3484.15.24.191 143 */
#define CFRANKE_NEWFILMS      1292029202 /* key parts = 3588.72.24.152 117 */
#define ECOST_MYAIM_B         1304739384 /* key parts = 3624.20.22.84 115 */
#define SIMNGARF_COLLECTED_D1 1318923465 /* key parts = 3663.50.23.165 171 */
#define SOUNDTM_PINOCCHIO     1336837395 /* key parts = 3713.32.25.195 102 */
#define STATLER_GOSPELFAVOR   1372899308 /* key parts = 3813.45.22.158 129 */
#define BEAT_ANTHOLOGY2_D1    1374267834 /* key parts = 3817.30.25.234 175 */
#define VAR_X_YULECOOL_D1     1459203491 /* key parts = 4053.25.23.191 186 */
#define KINGTRIO_CAPYEARS_D1  1498357204 /* key parts = 4162.07.24.154 123 */
#define BEAT_ANTHOLOGY3_D2    1544499469 /* key parts = 4290.20.23.169 171 */
#define GLIGHT_UACOL_D2       1596037073 /* key parts = 4433.32.23.173 243 */
#define YARDB_GIORGIO_D2      1607787417 /* key parts = 4466.05.22.117 119 */
#define BEEGS_TALES_D1        1654674281 /* key parts = 4596.23.25.131 267 */
#define BDYLAN_BOOTLEG_D1     1667125039 /* key parts = 4630.67.22.139 427 */
#define PMCCART_ISALIVE       1671411603 /* key parts = 4642.60.24.153 378 */


void filltoc22(tocPtr, cdKey)
struct cd_toc *tocPtr;
u_int cdKey;
{

    if ( cdKey == BEAT_ANTHOLOGY2_D1 ) { /* 1:03:37-30 */
	tocPtr->discPerformer = "The Beatles";
	tocPtr->discTitle = "Anthology 2  [disc 1]";
	tocPtr->discCatNum = "072438344492200";
#     if !defined(SKIPSONGS_The_Beatles)
	SET_CDtt( 1, 03.54, "Real Love");
	SET_CDtt( 2, 01.50, "Yes It Is");
	SET_CDtt( 3, 02.54, "I'm Down");
	SET_CDtt( 4, 02.45, "You've Got To Hide Your Love Away");
	SET_CDtt( 5, 02.48, "If You've Got Trouble");
	SET_CDtt( 6, 02.26, "That Means a Lot");
	SET_CDtt( 7, 02.34, "Yesterday");
	SET_CDtt( 8, 01.59, "It's Only Love");
	SET_CDtt( 9, 02.15, "I Feel Fine");
	SET_CDtt(10, 02.45, "Ticket to Ride");
	SET_CDtt(11, 02.43, "Yesterday");
	SET_CDtt(12, 02.54, "Help");
	SET_CDtt(13, 02.46, "Everybody's Trying to Be My Baby");
	SET_CDtt(14, 01.59, "Norwegian Wood (This Bird has Flown)");
	SET_CDtt(15, 02.54, "I'm Looking Through You");
	SET_CDtt(16, 02.55, "12-Bar Original");
	SET_CDtt(17, 03.14, "Tomorrow Never Knows");
	SET_CDtt(18, 02.54, "Got To Get You Into My Life");
	SET_CDtt(19, 02.14, "And Your Bird Can Sing");
	SET_CDtt(20, 02.32, "Taxman");
	SET_CDtt(21, 02.06, "Eleanor Rigby  [strings only]");
	SET_CDtt(22, 00.41, "I'm Only Sleeping  [rehearsal]");
	SET_CDtt(23, 02.59, "I'm Only Sleeping  [take 1]");
	SET_CDtt(24, 01.39, "Rock and Roll Music");
	SET_CDtt(25, 02.55, "She's a Woman");
#     endif
	}
    if ( cdKey == BEAT_ANTHOLOGY3_D2 ) { /* 1:11:30-20 */
	tocPtr->discPerformer = "The Beatles";
	tocPtr->discTitle = "Anthology 3  [disc 2]";
	tocPtr->discCatNum = "072438344532500";
#     if !defined(SKIPSONGS_The_Beatles)
	SET_CDtt( 1, 02.49, "I've Got a Feeling");
	SET_CDtt( 2, 03.37, "She Came In Through the Bathroom Window");
	SET_CDtt( 3, 04.18, "Dig a Pony");
	SET_CDtt( 4, 03.27, "Two of Us");
	SET_CDtt( 5, 02.23, "For You Blue");
	SET_CDtt( 6, 03.18, "Teddy Boy");
	SET_CDtt( 7, 03.11, "Medley: Rip It Up/ Shake, Rattle, and Roll/ Blue Suede Shoes");
	SET_CDtt( 8, 03.41, "The Long and Winding Road");
	SET_CDtt( 9, 04.08, "Oh! Darling");
	SET_CDtt(10, 03.05, "All Things Must Pass");
	SET_CDtt(11, 01.56, "Mailman, Bring Me No More Blues");
	SET_CDtt(12, 03.08, "Get Back");
	SET_CDtt(13, 03.03, "Old Brown Shoe");
	SET_CDtt(14, 02.49, "Octopus's Garden");
	SET_CDtt(15, 03.50, "Maxwell's Silver Hammer");
	SET_CDtt(16, 03.19, "Something");
	SET_CDtt(17, 03.40, "Come Together");
	SET_CDtt(18, 02.30, "Come and Get It");
	SET_CDtt(19, 02.09, "Ain't She Sweet");
	SET_CDtt(20, 02.23, "Because");
	SET_CDtt(21, 04.06, "Let It Be");
	SET_CDtt(22, 01.47, "I Me Mine");
	SET_CDtt(23, 02.51, "The End");
#     endif
	}
    if ( cdKey == BEEGS_TALES_D1 ) { /* 1:16:36-23 */
	tocPtr->discPerformer = "Bee Gees";
	tocPtr->discTitle = "Tales from the Brothers Gibb - A History in Song 1967-1990  [disc 1]";
#     if !defined(SKIPSONGS_Bee_Gees)
	SET_CDtt( 1, 02.11, "New York Mining Disaster 1941");
	SET_CDtt( 2, 03.45, "I Can't See Nobody");
	SET_CDtt( 3, 03.03, "To Love Somebody");
	SET_CDtt( 4, 02.54, "Holiday");
	SET_CDtt( 5, 02.25, "Massachusetts");
	SET_CDtt( 6, 01.53, "Barker of the UFO");
	SET_CDtt( 7, 03.14, "World");
	SET_CDtt( 8, 02.18, "Sir Geoffrey Saved the World");
	SET_CDtt( 9, 03.32, "And the Sun Will Shine");
	SET_CDtt(10, 03.16, "Words");
	SET_CDtt(11, 02.24, "Sinking Ships");
	SET_CDtt(12, 02.10, "Jumbo");
	SET_CDtt(13, 03.20, "The Singer Sang His Song");
	SET_CDtt(14, 03.08, "I've Got To Get a Message To You");
	SET_CDtt(15, 03.08, "I Started a Joke");
	SET_CDtt(16, 02.49, "First of May");
	SET_CDtt(17, 03.49, "Melody Fair");
	SET_CDtt(18, 04.08, "Tomorrow Tomorrow");
	SET_CDtt(19, 02.57, "Sun in My Morning");
	SET_CDtt(20, 03.06, "Saved by the Bell");
	SET_CDtt(21, 03.29, "Don't Forget to Remember");
	SET_CDtt(22, 02.34, "If I Only Had My Mind On Something Else");
	SET_CDtt(23, 02.53, "I.O.I.O.");
	SET_CDtt(24, 03.41, "Railroad");
	SET_CDtt(25, 04.27, "I'll Kiss Your Memory");
#     endif
	}
    if ( cdKey == ECOST_MYAIM_B ) { /* 1:00:24-20 */
	tocPtr->discPerformer = "Elvis Costello";
	tocPtr->discTitle = "My Aim is True  [box]";
#     if !defined(SKIPSONGS_Elvis_Costello)
	SET_CDtt( 1, 01.24, "Welcome to the Working Week");
	SET_CDtt( 2, 03.33, "Miracle Man");
	SET_CDtt( 3, 02.44, "No Dancing");
	SET_CDtt( 4, 02.49, "Blame It on Cain");
	SET_CDtt( 5, 03.25, "Alison");
	SET_CDtt( 6, 02.14, "Sneaky Feelings");
	SET_CDtt( 7, 02.51, "(The Angels Wanna Wear My) Red Shoes");
	SET_CDtt( 8, 03.18, "Less Than Zero");
	SET_CDtt( 9, 01.39, "Mystery Dance");
	SET_CDtt(10, 02.34, "Pay It Back");
	SET_CDtt(11, 03.01, "I'm Not Angry");
	SET_CDtt(12, 03.26, "Waiting for the End of the World");
	SET_CDtt(13, 03.58, "Watching the Detectives");
	SET_CDtt(14, 02.28, "Radio Sweetheart");
	SET_CDtt(15, 03.07, "Stranger in the House");
	SET_CDtt(16, 03.40, "Imagination (Is a Powerful Deceiver)");
	SET_CDtt(17, 02.19, "Mystery Dance");
	SET_CDtt(18, 02.19, "Cheap Reward");
	SET_CDtt(19, 02.09, "Jump Up");
	SET_CDtt(20, 01.56, "Wave a White Flag");
	SET_CDtt(21, 03.33, "Blame It on Cain");
	SET_CDtt(22, 01.55, "Poison Moon");
#     endif
	}
    if ( cdKey == BDYLAN_BOOTLEG_D1 ) { /* 1:17:10-67 */
	tocPtr->discPerformer = "Bob Dylan";
	tocPtr->discTitle = "The Bootleg Series - 1961-1991  [disc 1]";
#     if !defined(SKIPSONGS_Bob_Dylan)
	SET_CDtt( 1, 02.19, "Hard Times In New York Town");
	SET_CDtt( 2, 04.03, "He Was A Friend Of Mine");
	SET_CDtt( 3, 01.56, "Man On The Street");
	SET_CDtt( 4, 03.04, "No More Auction Block");
	SET_CDtt( 5, 04.10, "House Carpenter");
	SET_CDtt( 6, 03.45, "Talkin' Bear Mountain Picnic Massacre Blues");
	SET_CDtt( 7, 03.33, "Let Me Die In My Footsteps");
	SET_CDtt( 8, 04.13, "Rambling, Gambling Willie");
	SET_CDtt( 9, 00.52, "Talkin' Hava Negeilah Blues");
	SET_CDtt(10, 02.38, "Quit Your Low Down Ways");
	SET_CDtt(11, 02.39, "Worried Blues");
	SET_CDtt(12, 03.28, "Kingsport Town");
	SET_CDtt(13, 02.53, "Walkin' Down The Line");
	SET_CDtt(14, 05.03, "Walls Of Red Wing");
	SET_CDtt(15, 03.17, "Paths Of Victory");
	SET_CDtt(16, 04.25, "Talkin' John Birch Paranoid Blues");
	SET_CDtt(17, 03.09, "Who Killed Davey Moore?");
	SET_CDtt(18, 03.30, "Only A Hobo");
	SET_CDtt(19, 05.07, "Moonshiner");
	SET_CDtt(20, 02.56, "When The Ship Comes In");
	SET_CDtt(21, 03.01, "The Times They Are AChangin'");
	SET_CDtt(22, 07.07, "Last Thoughts On Woodie Guthrie");
#     endif
	}
    if ( cdKey == CFRANKE_NEWFILMS ) { /* 0:59:48-72 */
	tocPtr->discPerformer = "Christopher Franke";
	tocPtr->discTitle = "New Music for Films";
#     if !defined(SKIPSONGS_Christopher_Franke)
	SET_CDtt( 1, 02.32, "Main Title");
	SET_CDtt( 2, 02.58, "Big Country");
	SET_CDtt( 3, 02.09, "Dramatic Ride");
	SET_CDtt( 4, 00.36, "The Run");
	SET_CDtt( 5, 02.26, "Getting Ready to Attack");
	SET_CDtt( 6, 01.42, "Memories of Maria");
	SET_CDtt( 7, 02.23, "The Attack");
	SET_CDtt( 8, 01.37, "Will He Return?");
	SET_CDtt( 9, 01.10, "Quiet Ocean");
	SET_CDtt(10, 00.30, "The Battle Begins");
	SET_CDtt(11, 02.14, "The Victory");
	SET_CDtt(12, 01.24, "Hidden Tears");
	SET_CDtt(13, 01.20, "The Fight");
	SET_CDtt(14, 04.00, "Romance Became Pain");
	SET_CDtt(15, 02.21, "The Battle Continues");
	SET_CDtt(16, 01.25, "Mysterious Discovery");
	SET_CDtt(17, 06.02, "Lurking Shadow");
	SET_CDtt(18, 07.40, "The Shock");
	SET_CDtt(19, 01.01, "Dream Sequence");
	SET_CDtt(20, 04.15, "Doomed");
	SET_CDtt(21, 03.22, "Threatening");
	SET_CDtt(22, 01.11, "Quiet Ocean  Reprise");
	SET_CDtt(23, 03.31, "Creepy");
	SET_CDtt(24, 01.57, "Steven Stole It");
#     endif
	}
    if ( cdKey == KINGTRIO_CAPYEARS_D1 ) { /* 1:09:22-07 */
	tocPtr->discPerformer = "The Kingston Trio";
	tocPtr->discTitle = "The Capitol Years  [disc 1]";
	tocPtr->discCatNum = "072438284992600";
#     if !defined(SKIPSONGS_Kingston_Trio)
	SET_CDtt( 1, 02.34, "Run Joe  [Dave Guard and the Calypsonians]");
	SET_CDtt( 2, 05.15, "Fast Freight  [Dave Guard and the Calypsonians]");
	SET_CDtt( 3, 03.04, "Tom Dooley");
	SET_CDtt( 4, 03.32, "Sloop John B");
	SET_CDtt( 5, 02.13, "Dodi Lii");
	SET_CDtt( 6, 02.33, "New York Girls");
	SET_CDtt( 7, 04.32, "They Call the Wind Maria");
	SET_CDtt( 8, 03.17, "Shady Grove/ Lonesome Traveler");
	SET_CDtt( 9, 02.27, "Little Maggie");
	SET_CDtt(10, 03.34, "Bay of Mexico");
	SET_CDtt(11, 03.54, "Across the Wide Missouri");
	SET_CDtt(12, 02.16, "Scotch and Soda");
	SET_CDtt(13, 02.21, "Pay Me My Money Down");
	SET_CDtt(14, 02.51, "Tijuana Jail");
	SET_CDtt(15, 03.16, "M.T.A.");
	SET_CDtt(16, 02.48, "All My Sorrows");
	SET_CDtt(17, 02.01, "Good News");
	SET_CDtt(18, 03.01, "Remember the Alamo");
	SET_CDtt(19, 01.46, "Molly Dee");
	SET_CDtt(20, 02.10, "The Unfortunate Miss Bailey");
	SET_CDtt(21, 02.30, "Sail Away Ladies");
	SET_CDtt(22, 02.55, "A Worried Man");
	SET_CDtt(23, 02.27, "The Kingston Trio Sings for 7-Up, Spot #1");
	SET_CDtt(24, 02.03, "The Kingston Trio Sings for 7-Up, Spot #2");
#     endif
	}
    if ( cdKey == GLIGHT_UACOL_D2 ) { /* 1:13:53-32 */
	tocPtr->discPerformer = "Gordon Lightfoot";
	tocPtr->discTitle = "The United Artists Collection  [disc 2]";
	tocPtr->discCatNum = "007777270172900";
#     if !defined(SKIPSONGS_Gordon_Lightfoot)
	SET_CDtt( 1, 02.53, "Wherefor & Why");
	SET_CDtt( 2, 05.13, "The Last Time I Saw Her");
	SET_CDtt( 3, 04.13, "Black Day in July");
	SET_CDtt( 4, 02.22, "May I");
	SET_CDtt( 5, 02.22, "Magnificent Outpouring");
	SET_CDtt( 6, 03.37, "Does Your Mother Know");
	SET_CDtt( 7, 03.38, "The Mountain and Maryann");
	SET_CDtt( 8, 02.50, "Pussywillows, CatTails");
	SET_CDtt( 9, 02.26, "I Want to Hear it From You");
	SET_CDtt(10, 03.22, "Something Very Special");
	SET_CDtt(11, 02.13, "Boss Man");
	SET_CDtt(12, 02.33, "Did She Mention My Name");
	SET_CDtt(13, 03.05, "Long Way Back Home");
	SET_CDtt(14, 01.55, "Unsettled Ways");
	SET_CDtt(15, 03.00, "Long Thin Dawn");
	SET_CDtt(16, 02.45, "Bitter Green");
	SET_CDtt(17, 03.29, "The Circle Is Small (I Can See It In Your Eyes)");
	SET_CDtt(18, 02.57, "Marie Christine");
	SET_CDtt(19, 05.19, "Cold Hands from New York");
	SET_CDtt(20, 03.28, "Affair on 8th Avenue");
	SET_CDtt(21, 03.21, "Don't Beat Me Down");
	SET_CDtt(22, 02.47, "The Gypsy");
	SET_CDtt(23, 04.03, "If I Could");
#     endif
	}
    if ( cdKey == PMCCART_ISALIVE ) { /* 1:17:22-60 */
	tocPtr->discPerformer = "Paul McCartney";
	tocPtr->discTitle = "Paul Is Live";
#     if !defined(SKIPSONGS_Paul_McCartney)
	SET_CDtt( 1, 02.33, "Drive My Car");
	SET_CDtt( 2, 04.12, "Let Me Roll It");
	SET_CDtt( 3, 02.41, "Looking for Changes");
	SET_CDtt( 4, 04.54, "Peace in the Neighborhood");
	SET_CDtt( 5, 02.18, "All My Loving");
	SET_CDtt( 6, 01.56, "Robbie's Bit (Thanks Chet)");
	SET_CDtt( 7, 02.52, "Good Rocking Tonight");
	SET_CDtt( 8, 02.40, "We Can Work It Out");
	SET_CDtt( 9, 03.33, "Hope Of Deliverance");
	SET_CDtt(10, 02.57, "Michelle");
	SET_CDtt(11, 03.40, "Biker Like an Icon");
	SET_CDtt(12, 02.30, "Here, There and Everywhere");
	SET_CDtt(13, 04.07, "My Love");
	SET_CDtt(14, 03.15, "Magical Mystery Tour");
	SET_CDtt(15, 05.39, "C'mon People");
	SET_CDtt(16, 02.31, "Lady Madonna");
	SET_CDtt(17, 02.37, "Paperback Writer");
	SET_CDtt(18, 03.03, "Penny Lane");
	SET_CDtt(19, 03.51, "Live and Let Die");
	SET_CDtt(20, 03.54, "Kansas City");
	SET_CDtt(21, 00.42, "Welcome to the Soundcheck");
	SET_CDtt(22, 02.00, "Hotel in Benidorm");
	SET_CDtt(23, 02.37, "I Wanna Be Your Man");
	SET_CDtt(24, 06.18, "A Fine Day");
#     endif
	}
    if ( cdKey == SIMNGARF_COLLECTED_D1 ) { /* 1:01:03-50 */
	tocPtr->discPerformer = "Simon and Garfunkel";
	tocPtr->discTitle = "Collected Works  [disc 1]";
#     if !defined(SKIPSONGS_Simon_and_Garfunkel)
	SET_CDtt( 1, 02.45, "You Can Tell The World");
	SET_CDtt( 2, 02.12, "Last Night I Had the Strangest Dream");
	SET_CDtt( 3, 02.46, "Bleeker Street");
	SET_CDtt( 4, 02.50, "Sparrow");
	SET_CDtt( 5, 02.41, "Benedictus");
	SET_CDtt( 6, 03.07, "The Sound of Silence");
	SET_CDtt( 7, 02.50, "He Was My Brother");
	SET_CDtt( 8, 02.25, "Peggyo");
	SET_CDtt( 9, 02.07, "Go Tell It On the Mountain");
	SET_CDtt(10, 02.49, "The Sun is Burning");
	SET_CDtt(11, 02.54, "The Times They are AChangin'");
	SET_CDtt(12, 02.17, "Wednesday Morning, 3 A.M.");
	SET_CDtt(13, 03.08, "The Sound of Silence");
	SET_CDtt(14, 02.24, "Leaves that are Green");
	SET_CDtt(15, 03.16, "Blessed");
	SET_CDtt(16, 03.21, "Kathy's Song");
	SET_CDtt(17, 02.37, "Somewhere They Can't Find Me");
	SET_CDtt(18, 02.17, "Anji");
	SET_CDtt(19, 02.58, "Richard Cory");
	SET_CDtt(20, 02.34, "A Most Peculiar  Man");
	SET_CDtt(21, 01.52, "April Come She Will");
	SET_CDtt(22, 02.00, "We've Got a Groovy Thing Goin'");
	SET_CDtt(23, 02.51, "I Am a Rock");
#     endif
	}
    if ( cdKey == SIMNGARF_COLLECTED_D2 ) { /* 0:58:04-15 */
	tocPtr->discPerformer = "Simon and Garfunkel";
	tocPtr->discTitle = "Collected Works  [disc 2]";
#     if !defined(SKIPSONGS_Simon_and_Garfunkel)
	SET_CDtt( 1, 03.11, "Scarborough Fair/ Canticle");
	SET_CDtt( 2, 02.45, "Patterns");
	SET_CDtt( 3, 02.15, "Cloudy");
	SET_CDtt( 4, 02.30, "Homeward Bound");
	SET_CDtt( 5, 02.45, "The Big Bright Green Pleasure Machine");
	SET_CDtt( 6, 01.42, "The 59th Street Bridge Song (Feelin' Groovy)");
	SET_CDtt( 7, 02.41, "The Dangling Conversation");
	SET_CDtt( 8, 02.14, "Flowers Never Bend with the Rainfall");
	SET_CDtt( 9, 02.13, "A Simple Desultory Philippic (or How I Was Robert McNamara'd Into Submission)");
	SET_CDtt(10, 02.05, "For Emily, Whenever I May Find Her");
	SET_CDtt(11, 01.57, "A Poem on the Underground Wall");
	SET_CDtt(12, 02.00, "7 O'Clock News/ Silent Night");
	SET_CDtt(13, 00.32, "Bookends Theme");
	SET_CDtt(14, 02.49, "Save the Life of my Child");
	SET_CDtt(15, 03.41, "America");
	SET_CDtt(16, 02.13, "Overs");
	SET_CDtt(17, 02.07, "Voices of Old People");
	SET_CDtt(18, 02.35, "Old Friends");
	SET_CDtt(19, 01.24, "Bookends Theme");
	SET_CDtt(20, 03.19, "Fakin' It");
	SET_CDtt(21, 02.18, "Punky's Dilemma");
	SET_CDtt(22, 04.05, "Mrs. Robinson (from The Graduate)");
	SET_CDtt(23, 02.18, "A Hazy Shade of Winter");
	SET_CDtt(24, 02.23, "At The Zoo");
#     endif
	}
    if ( cdKey == SOUNDTM_PINOCCHIO ) { /* 1:01:53-32 */
	tocPtr->discPerformer = "Soundtracks (movie)";
	tocPtr->discTitle = "Walt Disney's Pinocchio";
	SET_CDtt( 1, 03.15, "When You Wish Upon a Star");
	SET_CDtt( 2, 05.45, "Little Wooden Head");
	SET_CDtt( 3, 00.55, "Clock Sequence");
	SET_CDtt( 4, 00.40, "Kitten Theme");
	SET_CDtt( 5, 03.28, "The Blue Fairy");
	SET_CDtt( 6, 01.38, "Give a Little Whistle");
	SET_CDtt( 7, 04.44, "Old Geppetto");
	SET_CDtt( 8, 04.18, "Off to School");
	SET_CDtt( 9, 01.41, "Hi-Diddle-Dee-Dee (an Actor's Life for Me)");
	SET_CDtt(10, 01.36, "So Sorry");
	SET_CDtt(11, 02.23, "I've Got No Strings");
	SET_CDtt(12, 02.28, "Sinister Stromboli");
	SET_CDtt(13, 03.22, "Sad Reunion");
	SET_CDtt(14, 02.32, "Lesson in Lies");
	SET_CDtt(15, 00.50, "Turn on the Old Music Box");
	SET_CDtt(16, 04.45, "Coach to Pleasure Island");
	SET_CDtt(17, 01.20, "Angry Cricket");
	SET_CDtt(18, 03.51, "Transformation");
	SET_CDtt(19, 01.30, "Message from the Blue Fairy");
	SET_CDtt(20, 00.35, "To the Rescue");
	SET_CDtt(21, 01.29, "Deep Ripples");
	SET_CDtt(22, 01.42, "Desolation Theme");
	SET_CDtt(23, 02.04, "Monstro Awakens");
	SET_CDtt(24, 03.18, "Whale Chase");
	SET_CDtt(25, 01.42, "A Real Boy");
	}
    if ( cdKey == STATLER_GOSPELFAVOR ) { /* 1:03:33-45 */
	tocPtr->discPerformer = "The Statler Brothers";
	tocPtr->discTitle = "Gospel Favorites";
#     if !defined(SKIPSONGS_Statler_Brothers)
	SET_CDtt( 1, 02.38, "When The Roll is Called Up Yonder");
	SET_CDtt( 2, 03.56, "Rock of Ages");
	SET_CDtt( 3, 02.28, "Noah Found Grace in the Eyes of the Lord");
	SET_CDtt( 4, 03.08, "The Old Rugged Cross");
	SET_CDtt( 5, 02.39, "Blessed Be");
	SET_CDtt( 6, 02.29, "One Size Fits All");
	SET_CDtt( 7, 02.47, "Sweet By and By");
	SET_CDtt( 8, 02.33, "Turn Your Radio On");
	SET_CDtt( 9, 05.13, "Amazing Grace");
	SET_CDtt(10, 02.59, "Love Lifted Me");
	SET_CDtt(11, 02.01, "There is Power in the Blood");
	SET_CDtt(12, 01.44, "This Ole House");
	SET_CDtt(13, 03.08, "Precious Memories");
	SET_CDtt(14, 03.20, "How Great Thou Art");
	SET_CDtt(15, 02.33, "Jesus is the Answer Everytime");
	SET_CDtt(16, 02.48, "Over the Sunset Mountains");
	SET_CDtt(17, 02.41, "I Believe I'll Live for Him");
	SET_CDtt(18, 03.11, "In The Garden");
	SET_CDtt(19, 03.12, "A Different Song");
	SET_CDtt(20, 02.35, "Just a Little Talk with Jesus");
	SET_CDtt(21, 03.19, "A Beautiful Life");
	SET_CDtt(22, 02.09, "I'll Fly Away, I'll Fly Away");
#endif
	}
    if ( cdKey == VAR_X_YULECOOL_D1 ) { /* 1:07:33-25 */
	tocPtr->discPerformer = "Various Artists/ Christmas";
	tocPtr->discTitle = "Yule Cool  [disc 1]";
	SET_CDtt( 1, 03.11, "I Wish It Could Be Christmas Forever  [Perry Como]");
	SET_CDtt( 2, 02.04, "Rockin' Around the Christmas Tree  [Brenda Lee]");
	SET_CDtt( 3, 02.01, "Wonderful Land  [The Shadows]");
	SET_CDtt( 4, 03.47, "Christmas is Paintin' the Town  [Oak Ridge Boys]");
	SET_CDtt( 5, 03.45, "What Christmas Means to Me  [Al Brown]");
	SET_CDtt( 6, 03.30, "The Christmas Song (Chestnuts Roasting on an Open Fire)  [Henry Mancini, his orchestra and chorus]");
	SET_CDtt( 7, 02.12, "Never Do a Tango with an Eskimo  [Alma Cogan]");
	SET_CDtt( 8, 02.56, "White Christmas  [Pat Boone]");
	SET_CDtt( 9, 02.47, "Christmas Trumpets  [Ray Anthony]");
	SET_CDtt(10, 03.20, "It Came Upon a Midnight Clear  [Ella Fitzgerald]");
	SET_CDtt(11, 02.32, "The Little Boy that Santa Claus Forgot  [Nat King Cole]");
	SET_CDtt(12, 02.47, "O Holy Night  [Danny and the Juniors]");
	SET_CDtt(13, 02.25, "Must Be Santa  [Tommy Steele]");
	SET_CDtt(14, 02.53, "Christmas Waltz  [Peggy Lee]");
	SET_CDtt(15, 02.15, "Parade of the Wooden Soldiers  [Jan Garber]");
	SET_CDtt(16, 01.55, "Let It Snow, Let It Snow, Let It Snow  [Dean Martin]");
	SET_CDtt(17, 05.57, "Baby It's Cold Outside  [Jimmie Smith & Wes Mongomery]");
	SET_CDtt(18, 02.30, "Christmas on the Range  [Bob Wills]");
	SET_CDtt(19, 02.02, "Frosty the Snowman  [The Ventures]");
	SET_CDtt(20, 03.32, "The Song Angels Sing  [Mario Lanza]");
	SET_CDtt(21, 03.19, "Mary's Boy Child  [Matt Monro]");
	SET_CDtt(22, 02.45, "The Bells of St. Mary's  [Aaron Neville]");
	SET_CDtt(23, 03.06, "I Saw Mommie Kissing Santa Claus  [Jackie Gleason]");
	}
    if ( cdKey == YARDB_GIORGIO_D2 ) { /* 1:14:26-05 */
	tocPtr->discPerformer = "The Yardbirds";
	tocPtr->discTitle = "Train Kept A-Rollin' - The Complete Giorgio Gomelsky Productions  [disc 2]";
#     if !defined(SKIPSONGS_The_Yardbirds)
	SET_CDtt( 1, 01.57, "Talkin' 'Bout You");
	SET_CDtt( 2, 04.16, "I Wish You Would  [alternate take, long version]");
	SET_CDtt( 3, 02.20, "A Certain Girl  [alternate take]");
	SET_CDtt( 4, 01.04, "Slow Walk");
	SET_CDtt( 5, 03.18, "Highway 69");
	SET_CDtt( 6, 03.47, "My Little Cabin");
	SET_CDtt( 7, 04.50, "Too Much Monkey Business");
	SET_CDtt( 8, 01.37, "Got Love If You Want It");
	SET_CDtt( 9, 05.34, "Smokestack Lightning");
	SET_CDtt(10, 02.41, "Good Morning Little Schoolgirl");
	SET_CDtt(11, 05.30, "Respectable");
	SET_CDtt(12, 05.16, "Five Long Years");
	SET_CDtt(13, 03.03, "Pretty Girl");
	SET_CDtt(14, 03.42, "Louise");
	SET_CDtt(15, 04.31, "I'm a Man");
	SET_CDtt(16, 05.09, "Here 'Tis");
	SET_CDtt(17, 02.19, "I Wish You Would");
	SET_CDtt(18, 02.17, "A Certain Girl");
	SET_CDtt(19, 03.24, "Good Morning Little Schoolgirl  [backing track]");
	SET_CDtt(20, 02.57, "Good Morning Little Schoolgirl  [backing track & harmonica]");
	SET_CDtt(21, 02.53, "Good Morning Little Schoolgirl  [master]");
	SET_CDtt(22, 01.59, "I Ain't Got You");
#     endif
	}

}
