#import <sys/types.h>
#import <stddef.h>
#import "CD_DBaseSubs.h"

    /* This subroutine has information for CD's with 8 tracks, and
     * which have 45 or more minutes of music on them.
     */


#define FLASHN_LIGHTSNIGHT     974641255 /* key parts = 2707.25.08.355 363 */
#define GENESIS_3SIDESLIVE_D2  975529296 /* key parts = 2709.60.08.246 245 */
#define NDIAM_HOTAUG_D2        983818935 /* key parts = 2732.62.08.285 573 */
#define ECLAP_TIMEPIECES_V2    985623691 /* key parts = 2737.63.08.241 455 */
#define GENESIS_INVISIBLETO    988954860 /* key parts = 2747.07.08.210 290 */
#define DIREST_LIVEATBBC       994057299 /* key parts = 2761.20.08.249 715 */
#define NYOUNG_BROKENARROW    1016785347 /* key parts = 2824.30.08.447 489 */
#define VALLEYF_LEAVING2NOT   1022790111 /* key parts = 2841.06.08.861 41 */
#define OZRIC_ARBOR           1065154821 /* key parts = 2958.57.08.321 384 */
#define CFRANKE_LONDONCONCERT 1111825205 /* key parts = 3088.30.08.305 216 */
#define MGAR_TRANQCOVE        1163113290 /* key parts = 3230.65.08.690 303 */
#define PINKF_DELICATETHUN_D2 1193737275 /* key parts = 3315.70.08.375 432 */
#define TDREAM_GOBLINS_SEQ    1210057279 /* key parts = 3361.20.08.379 653 */
#define TDREAM_GOBLINS_TD     1211002880 /* key parts = 3363.67.08.380 652 */
#define PMERGEN_PASSAGETIME   1230562830 /* key parts = 3418.17.08.330 552 */
#define SOFTW_PASTPF_V2       1238041262 /* key parts = 3439.00.08.212 390 */
#define SOFTW_CHIPMED         1241281234 /* key parts = 3448.00.08.484 185 */
#define SOFTW_OCEAN           1310761255 /* key parts = 3641.00.08.505 382 */
#define YES_EVENINGPLUS_D1    1334473302 /* key parts = 3706.65.08.102 768 */
#define PERU_PROPHECIES       1375321320 /* key parts = 3820.25.08.870 246 */
#define SOFTW_3DIMENSIONLIVE  1469521295 /* key parts = 4082.00.08.95 532 */
#define APICKF_MAELSTROM      1542514874 /* key parts = 4284.57.08.374 676 */
#define EVDHEIJ_UTIMEZONE     1588623681 /* key parts = 4412.63.08.681 478 */
#define MINDOV_PALACEOFWINDS  1593634855 /* key parts = 4426.57.08.1105 328 */
#define SHAMALL_COLLECT86_D2  1599841301 /* key parts = 4444.00.08.401 708 */
#define RENAIS_TALES1001_V2   1634449275 /* key parts = 4540.10.08.825 1434 */
#define PINKF_ABSENCE_BD5     1714834876 /* key parts = 4763.32.08.826 401 */


void filltoc08_45(tocPtr, cdKey)
struct cd_toc *tocPtr;
u_int cdKey;
{

    if ( cdKey == ECLAP_TIMEPIECES_V2 ) { /* 0:45:37-63 */
	tocPtr->discPerformer = "Eric Clapton";
	tocPtr->discTitle = "Timepieces Volume II: `Live' In The Seventies";
	tocPtr->discCatNum = "004228118352200";
#     if !defined(SKIPSONGS_Eric_Clapton)
	SET_CDtt( 1, 04.01, "Tulsa Time");
	SET_CDtt( 2, 06.21, "Knockin' On Heaven's Door");
	SET_CDtt( 3, 04.07, "If I Don't Be There By Morning");
	SET_CDtt( 4, 08.41, "Rambling On My Mind");
	SET_CDtt( 5, 06.06, "Presence of the Lord");
	SET_CDtt( 6, 05.10, "Can't Find My Way Home");
	SET_CDtt( 7, 03.34, "Smile");
	SET_CDtt( 8, 07.35, "Blues Power");
#     endif
	}
    if ( cdKey == NDIAM_HOTAUG_D2 ) { /* 0:45:32-62 */
	tocPtr->discPerformer = "Neil Diamond";
	tocPtr->discTitle = "Hot August Night  [disc 2] [UltraDisc II]";
#     if !defined(SKIPSONGS_Neil_Diamond)
	SET_CDtt( 1, 04.45, "Play Me");
	SET_CDtt( 2, 05.27, "Canta Libre");
	SET_CDtt( 3, 05.35, "Morningside");
	SET_CDtt( 4, 04.51, "Song Sung Blue");
	SET_CDtt( 5, 02.51, "Cracklin' Rosie");
	SET_CDtt( 6, 06.17, "Holly Holy");
	SET_CDtt( 7, 06.11, "I Am... I Said");
	SET_CDtt( 8, 09.33, "Soolaimon/ Brother Love's Traveling Salvation Show/ [closing theme - instrumental]");
#     endif
	}
    if ( cdKey == DIREST_LIVEATBBC ) { /* 0:46:01-20 */
	tocPtr->discPerformer = "Dire Straits";
	tocPtr->discTitle = "Live at the BBC";
#     if !defined(SKIPSONGS_Dire_Straits)
	SET_CDtt( 1, 04.09, "Down to the Waterline");
	SET_CDtt( 2, 03.48, "Six Blade Knife");
	SET_CDtt( 3, 05.29, "Water of Love");
	SET_CDtt( 4, 05.12, "Wild West End");
	SET_CDtt( 5, 06.39, "Sultans of Swing");
	SET_CDtt( 6, 05.27, "Lions");
	SET_CDtt( 7, 03.20, "What's the Matter Baby?");
	SET_CDtt( 8, 11.55, "Tunnel of Love");
#     endif
	}
    if ( cdKey == FLASHN_LIGHTSNIGHT ) { /* 0:45:07-25 */
	tocPtr->discPerformer = "Flash and the Pan";
	tocPtr->discTitle = "Lights in the Night";
	SET_CDtt( 1, 05.55, "Media Man");
	SET_CDtt( 2, 05.52, "Headhunter");
	SET_CDtt( 3, 03.49, "Restless");
	SET_CDtt( 4, 08.45, "Welcome to the Universe");
	SET_CDtt( 5, 05.27, "Make Your Own Cross");
	SET_CDtt( 6, 04.36, "Lights in the Night");
	SET_CDtt( 7, 04.38, "Captain Beware");
	SET_CDtt( 8, 06.03, "Atlantis Calling");
	}
    if ( cdKey == CFRANKE_LONDONCONCERT ) { /* 0:51:28-30 */
	tocPtr->discPerformer = "Christopher Franke";
	tocPtr->discTitle = "The London Concert";
#     if !defined(SKIPSONGS_Christopher_Franke)
	SET_CDtt( 1, 05.05, "Circular Signs Suite: Part 1: Empire of Light");
	SET_CDtt( 2, 16.37, "Part 2: Purple Waves");
	SET_CDtt( 3, 05.56, "Part 3: Cloudburst Flight");
	SET_CDtt( 4, 05.34, "Part 4: Black Garden View");
	SET_CDtt( 5, 05.52, "Part 5: Vermilion Sands");
	SET_CDtt( 6, 04.09, "Mountain Heights");
	SET_CDtt( 7, 04.37, "Dolphin Dance");
	SET_CDtt( 8, 03.36, "Private Diaries");
#     endif
	}
    if ( cdKey == MGAR_TRANQCOVE ) { /* 0:53:50-65 */
	tocPtr->discPerformer = "Michael Garrison";
	tocPtr->discTitle = "Tranquility Cove";
#     if !defined(SKIPSONGS_Michael_Garrison)
	SET_CDtt( 1, 11.30, "Infinity Dream");
	SET_CDtt( 2, 04.04, "Under the Orangish Sky");
	SET_CDtt( 3, 06.10, "Invisible Sun");
	SET_CDtt( 4, 05.28, "The Nebula Dream");
	SET_CDtt( 5, 06.16, "Beyond the Cosmic Horizon");
	SET_CDtt( 6, 06.16, "The Distance from Here");
	SET_CDtt( 7, 09.01, "Visions of the Aquasun");
	SET_CDtt( 8, 05.03, "Moonrise");
#     endif
	}
    if ( cdKey == GENESIS_3SIDESLIVE_D2 ) { /* 0:45:09-60 */
	tocPtr->discPerformer = "Genesis";
	tocPtr->discTitle = "Three Sides Live  [disc 2]";
	tocPtr->discCatNum = "004228100082900";
#     if !defined(SKIPSONGS_Genesis)
	SET_CDtt( 1, 04.06, "Misunderstanding");
	SET_CDtt( 2, 11.52, "In the Cage");
	SET_CDtt( 3, 05.03, "Afterglow");
	SET_CDtt( 4, 03.16, "Paperlate");
	SET_CDtt( 5, 05.28, "You Might Recall");
	SET_CDtt( 6, 06.19, "Me and Virgil");
	SET_CDtt( 7, 04.58, "Evidence of Autumn");
	SET_CDtt( 8, 04.05, "Open Door");
#     endif
	}
    if ( cdKey == GENESIS_INVISIBLETO ) { /* 0:45:47-07 */
	tocPtr->discPerformer = "Genesis";
	tocPtr->discTitle = "Invisible Touch";
	tocPtr->discCatNum = "007567816412500";
#     if !defined(SKIPSONGS_Genesis)
	SET_CDtt( 1, 03.30, "Invisible Touch");
	SET_CDtt( 2, 08.54, "Tonight, Tonight, Tonight");
	SET_CDtt( 3, 04.46, "Land of Confusion");
	SET_CDtt( 4, 04.59, "In Too Deep");
	SET_CDtt( 5, 04.09, "Anything She Does");
	SET_CDtt( 6, 10.45, "Domino");
	SET_CDtt( 7, 03.52, "Throwing It All Away");
	SET_CDtt( 8, 04.50, "The Brazilian");
#     endif
	}
    if ( cdKey == PMERGEN_PASSAGETIME ) { /* 0:56:58-17 */
	tocPtr->discPerformer = "Peter Mergener";
	tocPtr->discTitle = "Passage in Time";
#     if !defined(SKIPSONGS_Peter_Mergener)
	SET_CDtt( 1, 05.30, "Voices of the Earth");
	SET_CDtt( 2, 06.35, "Passage in Time");
	SET_CDtt( 3, 07.05, "Mechanical World");
	SET_CDtt( 4, 07.36, "Military World");
	SET_CDtt( 5, 08.40, "Lost Paradise");
	SET_CDtt( 6, 03.03, "Patience Nature");
	SET_CDtt( 7, 09.15, "Harmonie with Nature");
	SET_CDtt( 8, 09.12, "Praise");
#     endif
	}
    if ( cdKey == MINDOV_PALACEOFWINDS ) { /* 1:13:46-57 */
	tocPtr->discPerformer = "Mind Over Matter";
	tocPtr->discTitle = "Palace of the Winds";
	SET_CDtt( 1, 18.25, "Shangri-La");
	SET_CDtt( 2, 10.36, "In a Mogul's Garden");
	SET_CDtt( 3, 04.58, "Air India");
	SET_CDtt( 4, 10.36, "Rainy Kathmandu");
	SET_CDtt( 5, 06.51, "Sri Ram");
	SET_CDtt( 6, 05.59, "Roof of the World");
	SET_CDtt( 7, 10.51, "Himalaya  [live version]");
	SET_CDtt( 8, 05.28, "Shangri-La  [short version]");
	}
    if ( cdKey == OZRIC_ARBOR ) { /* 0:49:18-57 */
	tocPtr->discPerformer = "Ozric Tentacles";
	tocPtr->discTitle = "Arborescence";
	SET_CDtt( 1, 05.21, "Astro Cortex");
	SET_CDtt( 2, 09.40, "YogBarOg");
	SET_CDtt( 3, 04.54, "Arborescence");
	SET_CDtt( 4, 05.03, "AlSalooq");
	SET_CDtt( 5, 05.15, "Dance of the Loomi");
	SET_CDtt( 6, 05.59, "Myriapod");
	SET_CDtt( 7, 06.40, "There's a Planet Here");
	SET_CDtt( 8, 06.24, "Shima Koto");
	}
    if ( cdKey == PERU_PROPHECIES ) { /* 1:03:40-25 */
	tocPtr->discPerformer = "Peru";
	tocPtr->discTitle = "Prophecies";
	SET_CDtt( 1, 14.30, "Book of Revelation");
	SET_CDtt( 2, 07.57, "666 (The Beast)");
	SET_CDtt( 3, 07.34, "Guru");
	SET_CDtt( 4, 08.18, "Nostradamus");
	SET_CDtt( 5, 07.09, "Not Consequent");
	SET_CDtt( 6, 09.34, "The Prophet");
	SET_CDtt( 7, 04.30, "Nostradamus  [club version]");
	SET_CDtt( 8, 04.06, "Book of Revelation  [radio version]");
	}
    if ( cdKey == APICKF_MAELSTROM ) { /* 1:11:24-57 */
	tocPtr->discPerformer = "Andy Pickford";
	tocPtr->discTitle = "Maelstrom";
#     if !defined(SKIPSONGS_Andy_Pickford)
	SET_CDtt( 1, 06.14, "Voyager");
	SET_CDtt( 2, 04.47, "Cathedral");
	SET_CDtt( 3, 09.05, "Blue World");
	SET_CDtt( 4, 07.27, "Tetsuo");
	SET_CDtt( 5, 15.32, "Symbiosis");
	SET_CDtt( 6, 05.42, "Raumfhre");
	SET_CDtt( 7, 11.19, "Oblivion");
	SET_CDtt( 8, 11.16, "Hellsgate");
#     endif
	}
    if ( cdKey == PINKF_DELICATETHUN_D2 ) { /* 0:55:15-70 */
	tocPtr->discPerformer = "Pink Floyd";
	tocPtr->discTitle = "Delicate Sound of Thunder  [disc 2]";
#     if !defined(SKIPSONGS_Pink_Floyd)
	SET_CDtt( 1, 06.15, "One Of These Days");
	SET_CDtt( 2, 05.17, "Time");
	SET_CDtt( 3, 04.49, "Wish You Were Here");
	SET_CDtt( 4, 07.22, "Us & Them");
	SET_CDtt( 5, 09.52, "Money");
	SET_CDtt( 6, 05.29, "Another Brick In The Wall, Part II");
	SET_CDtt( 7, 08.57, "Comfortably Numb");
	SET_CDtt( 8, 07.12, "Run Like Hell");
#     endif
	}
    if ( cdKey == PINKF_ABSENCE_BD5 ) { /* 1:19:23-32 */
	tocPtr->discPerformer = "Pink Floyd";
	tocPtr->discTitle = "Variations on a Theme of Absence  [disc 5]";
#     if !defined(SKIPSONGS_Pink_Floyd)
	SET_CDtt( 1, 13.46, "Shine On You Crazy Diamond: parts 1-5");
	SET_CDtt( 2, 08.07, "Welcome to the Machine");
	SET_CDtt( 3, 10.49, "Sheep");
	SET_CDtt( 4, 02.14, "Pigs on the Wing: Part 1");
	SET_CDtt( 5, 18.26, "Dogs");
	SET_CDtt( 6, 02.14, "Pigs on the Wing: Part 2");
	SET_CDtt( 7, 17.04, "Pigs (Three Different Ones)");
	SET_CDtt( 8, 06.41, "Have a Cigar");
#     endif
	}
    if ( cdKey == RENAIS_TALES1001_V2 ) { /* 1:15:40-10 */
	tocPtr->discPerformer = "Renaissance";
	tocPtr->discTitle = "Tales of 1001 Nights, Volume II";
	tocPtr->discCatNum = "007599261432000";
#     if !defined(SKIPSONGS_Renaissance)
	SET_CDtt( 1, 13.45, "Can You Hear Me?");
	SET_CDtt( 2, 09.28, "Touching Once (is so Hard to Keep)");
	SET_CDtt( 3, 05.41, "Midas Man");
	SET_CDtt( 4, 04.06, "Northern Lights");
	SET_CDtt( 5, 10.58, "A Song For All Seasons");
	SET_CDtt( 6, 04.41, "Jekyll and Hyde");
	SET_CDtt( 7, 03.05, "The Winter Tree");
	SET_CDtt( 8, 23.54, "Ashes Are Burning");
#     endif
	}
    if ( cdKey == SHAMALL_COLLECT86_D2 ) { /* 1:14:04-00 */
	tocPtr->discPerformer = "Shamall";
	tocPtr->discTitle = "Collector's Items (1986-1993)  [disc 2]";
#     if !defined(SKIPSONGS_Shamall)
	SET_CDtt( 1, 06.41, "My Dream");
	SET_CDtt( 2, 07.49, "Caligula 2009");
	SET_CDtt( 3, 06.19, "Karin");
	SET_CDtt( 4, 09.24, "Melodies  [original demo]");
	SET_CDtt( 5, 10.06, "No Idea  [original demo]");
	SET_CDtt( 6, 09.08, "Machismo  [original demo]");
	SET_CDtt( 7, 12.47, "The Beggar  [original demo]");
	SET_CDtt( 8, 11.48, "Cocaine  [original demo]");
#     endif
	}
    if ( cdKey == SOFTW_CHIPMED ) { /* 0:57:28-00 */
	tocPtr->discPerformer = "Software";
	tocPtr->discTitle = "Chip-Meditation";
#     if !defined(SKIPSONGS_Software)
	SET_CDtt( 1, 08.04, "Julias-Dream");
	SET_CDtt( 2, 11.19, "Self-Similarity-Life");
	SET_CDtt( 3, 05.55, "Frontiers-of-Chaos");
	SET_CDtt( 4, 13.22, "Chip-Meditation");
	SET_CDtt( 5, 01.03, "Voice-Bit");
	SET_CDtt( 6, 07.14, "Byte-by-Bite");
	SET_CDtt( 7, 07.24, "Winds-of-Time");
	SET_CDtt( 8, 03.05, "Short-Wave");
#     endif
	}
    if ( cdKey == SOFTW_PASTPF_V2 ) { /* 0:57:19-00 */
	tocPtr->discPerformer = "Software";
	tocPtr->discTitle = "Past, Present, Future  [volume 2]";
#     if !defined(SKIPSONGS_Software)
	SET_CDtt( 1, 03.32, "Love-Potion-Of-Artificial-Life");
	SET_CDtt( 2, 05.35, "Add-Space-To-Time");
	SET_CDtt( 3, 12.46, "Sunny-ROM-Rise");
	SET_CDtt( 4, 05.56, "Moonly-Twigs");
	SET_CDtt( 5, 10.40, "Fencing-Clouds");
	SET_CDtt( 6, 03.26, "Syn-Code-Power-Part");
	SET_CDtt( 7, 08.52, "Timber-Wave-Reflections");
	SET_CDtt( 8, 06.30, "Night-Light");
#     endif
	}
    if ( cdKey == SOFTW_3DIMENSIONLIVE ) { /* 1:08:02-00 */
	tocPtr->discPerformer = "Software";
	tocPtr->discTitle = "The Third Dimension - Live in Concert";
#     if !defined(SKIPSONGS_Software)
	SET_CDtt( 1, 01.35, "Software-Live: Intro");
	SET_CDtt( 2, 05.07, "See you Soon");
	SET_CDtt( 3, 03.48, "Meet the Sax");
	SET_CDtt( 4, 13.22, "Touch the Flute");
	SET_CDtt( 5, 14.32, "Face the Future");
	SET_CDtt( 6, 10.23, "Cry for More");
	SET_CDtt( 7, 10.21, "World of Secrets");
	SET_CDtt( 8, 08.52, "The Final Song");
#     endif
	}
    if ( cdKey == SOFTW_OCEAN ) { /* 1:00:41-00 */
	tocPtr->discPerformer = "Software";
	tocPtr->discTitle = "Ocean";
#     if !defined(SKIPSONGS_Software)
	SET_CDtt( 1, 08.25, "DeaAlba");
	SET_CDtt( 2, 14.12, "LoveIsMoreThickerThanForget");
	SET_CDtt( 3, 06.34, "SeaGullsAudience");
	SET_CDtt( 4, 09.37, "PresentVoice");
	SET_CDtt( 5, 04.34, "SoftwareVisions");
	SET_CDtt( 6, 05.59, "LandOfFantasy");
	SET_CDtt( 7, 04.56, "LookingForAFuture");
	SET_CDtt( 8, 06.22, "TheVoiceOfCave");
#     endif
	}
    if ( cdKey == TDREAM_GOBLINS_TD ) { /* 0:56:03-67 */
	tocPtr->discPerformer = "Tangerine Dream";
	tocPtr->discTitle = "Goblins' Club  [Tadream]";
#     if !defined(SKIPSONGS_Tangerine_Dream)
	SET_CDtt( 1, 06.20, "Towards the Evening Star");
	SET_CDtt( 2, 07.26, "At Darwin's Motel");
	SET_CDtt( 3, 04.32, "On Cranes' Passage");
	SET_CDtt( 4, 07.36, "Rising Haul in Silence");
	SET_CDtt( 5, 05.48, "United Goblins' Parade");
	SET_CDtt( 6, 08.43, "Lamb with Radar Eyes");
	SET_CDtt( 7, 04.44, "Elf June and the Midnight Patrol");
	SET_CDtt( 8, 10.52, "Sad Merlin's Sunday");
#     endif
	}
    if ( cdKey == TDREAM_GOBLINS_SEQ ) { /* 0:56:01-20 */
	tocPtr->discPerformer = "Tangerine Dream";
	tocPtr->discTitle = "Goblins' Club  [Sequel]";
#     if !defined(SKIPSONGS_Tangerine_Dream)
	SET_CDtt( 1, 06.19, "Towards the Evening Star");
	SET_CDtt( 2, 07.26, "At Darwin's Motel");
	SET_CDtt( 3, 04.31, "On Cranes' Passage");
	SET_CDtt( 4, 07.37, "Rising Haul in Silence");
	SET_CDtt( 5, 05.47, "United Goblins' Parade");
	SET_CDtt( 6, 08.43, "Lamb with Radar Eyes");
	SET_CDtt( 7, 04.43, "Elf June and the Midnight Patrol");
	SET_CDtt( 8, 10.53, "Sad Merlin's Sunday");
#     endif
	}
    if ( cdKey == VALLEYF_LEAVING2NOT ) { /* 0:47:21-06 */
	tocPtr->discPerformer = "Valley Forge";
	tocPtr->discTitle = "Leaving to Nothing";
	SET_CDtt( 1, 14.21, "The Entrance  [parts 1-4]");
	SET_CDtt( 2, 03.20, "Dogs Around");
	SET_CDtt( 3, 07.00, "What a Spacious World!");
	SET_CDtt( 4, 04.19, "Coloured Flowers are Destroyed Before Time-Expansion (observed by scrambled eggs in geostationary orbit)");
	SET_CDtt( 5, 05.37, "Spiral Shine");
	SET_CDtt( 6, 05.13, "Me and Marks Over Seven Meadows");
	SET_CDtt( 7, 06.48, "Leaving to Nothing");
	SET_CDtt( 8, 00.41, "The Exit");
	}
    if ( cdKey == EVDHEIJ_UTIMEZONE ) { /* 1:13:32-63 */
	tocPtr->discPerformer = "Eric Van Der Heijden";
	tocPtr->discTitle = "Universal Time Zone";
	SET_CDtt( 1, 11.21, "Time Barrier");
	SET_CDtt( 2, 10.15, "Timeless Dreams");
	SET_CDtt( 3, 11.19, "Universal Time Zone");
	SET_CDtt( 4, 08.05, "Quiet Times");
	SET_CDtt( 5, 10.04, "Lightning Times");
	SET_CDtt( 6, 06.52, "Time is Running");
	SET_CDtt( 7, 07.36, "Running out of Time");
	SET_CDtt( 8, 07.58, "The Last Time");
	}
    if ( cdKey == YES_EVENINGPLUS_D1 ) { /* 1:01:46-65 */
	tocPtr->discPerformer = "Yes";
	tocPtr->discTitle = "An Evening of YES Music Plus  [disc 1]";
#     if !defined(SKIPSONGS_Yes)
	SET_CDtt( 1, 01.42, "Benjamin Britten's Young Person's Guide to the Orchestra");
	SET_CDtt( 2, 07.32, "Time and a Word/ Owner of a Lonely Heart/ Teakbois");
	SET_CDtt( 3, 09.36, "The Clap/ Mood For a Day");
	SET_CDtt( 4, 05.37, "Gone But Not Forgotten/ Catherine Parr/ Merlin the Magician");
	SET_CDtt( 5, 07.11, "Long Distance Runaround");
	SET_CDtt( 6, 07.24, "Birthright");
	SET_CDtt( 7, 09.54, "And You And I");
	SET_CDtt( 8, 12.48, "Starship Trooper");
#     endif
	}
    if ( cdKey == NYOUNG_BROKENARROW ) { /* 0:47:04-30 */
	tocPtr->discPerformer = "Neil Young";
	tocPtr->discTitle = "Broken Arrow";
	tocPtr->discCatNum = "007599462912400";
#     if !defined(SKIPSONGS_Neil_Young)
	SET_CDtt( 1, 07.27, "Big Time");
	SET_CDtt( 2, 09.10, "Loose Change");
	SET_CDtt( 3, 08.36, "Slip Away");
	SET_CDtt( 4, 02.24, "Changing Highways");
	SET_CDtt( 5, 04.13, "Scattered (Let's Think About Livin')");
	SET_CDtt( 6, 03.02, "This Town");
	SET_CDtt( 7, 04.01, "Music Arcade");
	SET_CDtt( 8, 08.09, "Baby What You Want Me To Do");
#     endif
	}
}
