#import <sys/types.h>
#import <stddef.h>
#import "CD_DBaseSubs.h"

    /* This subroutine has information for CD's with 9 tracks, and
     * which have 45 or more, but under 55 minutes of music on them.
     */

#define EJOHN_MADMAN_POLY      979153426 /* key parts = 2719.65.09.376 105 */
#define EJOHN_MADMAN_MCA       979811026 /* key parts = 2721.52.09.376 107 */
#define EJOHN_MADMAN_UD        979825429 /* key parts = 2721.55.09.379 105 */
#define EJOHN_MADMAN_TCY       980075027 /* key parts = 2722.32.09.377 109 */
#define JJACKSON_BODYNSOUL     984903783 /* key parts = 2735.63.09.333 414 */
#define MOODY_TIMET_D5         985465484 /* key parts = 2737.30.09.284 267 */
#define RENAIS_CAMERACAMERA    990673414 /* key parts = 2751.65.09.364 385 */
#define GENESIS_GENESIS        995161459 /* key parts = 2764.25.09.409 301 */
#define DGILMOUR_GILMOUR      1002385396 /* key parts = 2784.30.09.346 185 */
#define EJOHN_CAPTFAN_DJM     1010137396 /* key parts = 2805.70.09.346 630 */
#define BDYLAN_SLOWTRAIN      1010530975 /* key parts = 2807.02.09.325 271 */
#define SUPERT_FAMOUSLAST     1039561486 /* key parts = 2887.50.09.286 386 */
#define BARCLAYJ_RINGOFCHANG  1041299058 /* key parts = 2892.37.09.258 438 */
#define STYX_RETURNTOPARA_D1  1050433352 /* key parts = 2917.65.09.302 356 */
#define ICEHOU_CIRCLE_D1      1052602951 /* key parts = 2923.67.09.301 269 */
#define MGAR_ECLIPSE          1053073436 /* key parts = 2925.15.09.236 76 */
#define BDYLAN_STREETLEGAL    1078067045 /* key parts = 2994.47.09.395 378 */
#define MSHREEVE_LEGION       1082674979 /* key parts = 3007.32.09.329 232 */
#define JONVAN_BESTOF         1100842974 /* key parts = 3057.67.09.174 288 */
#define BDYLAN_HIGHWAY61_DCC  1115809423 /* key parts = 3099.35.09.373 680 */
#define TDREAM_DREAMROOTS_D2  1117993369 /* key parts = 3105.40.09.319 430 */
#define GANDALF_MAGICTHEATRE  1118617398 /* key parts = 3107.20.09.348 216 */
#define BARCLAYJ_BERLINCON    1120945391 /* key parts = 3113.55.09.341 327 */
#define SWONDER_KEYOFLIFE_D2  1143179044 /* key parts = 3175.37.09.394 236 */
#define JSCHMO_SONGSNOWORDS   1146601352 /* key parts = 3185.00.09.302 368 */
#define COPAG_REHEAR93_BD1    1157689415 /* key parts = 3215.60.09.365 612 */
#define EJOHN_HERENTHERE_MCA  1169483083 /* key parts = 3248.42.09.283 354 */
#define VANGEL_VOICES         1182683071 /* key parts = 3285.17.09.421 357 */


void filltoc09_45(tocPtr, cdKey)
struct cd_toc *tocPtr;
u_int cdKey;
{

    if ( cdKey == BARCLAYJ_BERLINCON ) { /* 0:51:53-55 */
	tocPtr->discPerformer = "Barclay James Harvest";
	tocPtr->discTitle = "Berlin: A Concert for the People";
	tocPtr->discCatNum = "325918000262600";
#     if !defined(SKIPSONGS_Barclay_James_Harvest)
	SET_CDtt( 1, 05.41, "Berlin");
	SET_CDtt( 2, 04.41, "Loving Is Easy");
	SET_CDtt( 3, 07.29, "Mockingbird");
	SET_CDtt( 4, 04.45, "Sip of Wine");
	SET_CDtt( 5, 06.06, "Nova Lepidoptera");
	SET_CDtt( 6, 07.45, "In Memory of the Martyrs");
	SET_CDtt( 7, 04.07, "Life is For Living");
	SET_CDtt( 8, 05.50, "Child of the Universe");
	SET_CDtt( 9, 05.27, "Hymn");
#     endif
	}
    if ( cdKey == BARCLAYJ_RINGOFCHANG ) { /* 0:48:12-37 */
	tocPtr->discPerformer = "Barclay James Harvest";
	tocPtr->discTitle = "Ring of Changes";
	tocPtr->discCatNum = "004228116382100";
#     if !defined(SKIPSONGS_Barclay_James_Harvest)
	SET_CDtt( 1, 04.18, "Fifties Child");
	SET_CDtt( 2, 05.18, "Looking From the Outside");
	SET_CDtt( 3, 04.31, "Teenage Heart");
	SET_CDtt( 4, 05.04, "High Wire");
	SET_CDtt( 5, 05.16, "Midnight Drug");
	SET_CDtt( 6, 06.19, "Waiting For the Right Time");
	SET_CDtt( 7, 04.13, "Just A Day Away (Forever Tomorrow)");
	SET_CDtt( 8, 05.53, "Paraiso Dos Cavalos");
	SET_CDtt( 9, 07.18, "Ring of Changes");
#     endif
	}
    if ( cdKey == COPAG_REHEAR93_BD1 ) { /* 0:53:35-60 */
	tocPtr->discPerformer = "Coverdale/Page";
	tocPtr->discTitle = "Rehearsals 1993  [disc 1]";
	SET_CDtt( 1, 06.05, "Absolution Blues");
	SET_CDtt( 2, 02.45, "Slide It In");
	SET_CDtt( 3, 04.24, "Rock and Roll");
	SET_CDtt( 4, 05.01, "Over Now");
	SET_CDtt( 5, 08.30, "Kashmir");
	SET_CDtt( 6, 05.47, "Pride 'n' Joy");
	SET_CDtt( 7, 04.44, "Take a Look At Yourself");
	SET_CDtt( 8, 06.05, "Take Me for a Little While");
	SET_CDtt( 9, 10.12, "In My Time of Dying");
	}
    if ( cdKey == BDYLAN_HIGHWAY61_DCC ) { /* 0:51:39-35 */
	tocPtr->discPerformer = "Bob Dylan";
	tocPtr->discTitle = "Highway 61 Revisited  [DCC-gold]";
#     if !defined(SKIPSONGS_Bob_Dylan)
	SET_CDtt( 1, 06.13, "Like a Rolling Stone");
	SET_CDtt( 2, 06.01, "Tombstone Blues");
	SET_CDtt( 3, 04.10, "It Takes a Lot to Laugh, It Takes a Train to Cry");
	SET_CDtt( 4, 03.19, "From a Buick 6");
	SET_CDtt( 5, 06.00, "Ballad of a Thin Man");
	SET_CDtt( 6, 05.32, "Queen Jane Approximately");
	SET_CDtt( 7, 03.30, "Highway 61 Revisited");
	SET_CDtt( 8, 05.32, "Just Like Tom Thumb's Blues");
	SET_CDtt( 9, 11.20, "Desolation Row");
#     endif
	}
    if ( cdKey == BDYLAN_STREETLEGAL ) { /* 0:49:54-47 */
	tocPtr->discPerformer = "Bob Dylan";
	tocPtr->discTitle = "Street Legal";
#     if !defined(SKIPSONGS_Bob_Dylan)
	SET_CDtt( 1, 06.35, "Changing of the Guards");
	SET_CDtt( 2, 04.31, "New Pony");
	SET_CDtt( 3, 08.23, "No Time To Think");
	SET_CDtt( 4, 05.21, "Baby Stop Crying");
	SET_CDtt( 5, 04.33, "Is Your Love In Vain?");
	SET_CDtt( 6, 05.44, "Seor (Tales of Yankee Power)");
	SET_CDtt( 7, 04.19, "True Love Tends to Forget");
	SET_CDtt( 8, 04.08, "We Better Talk This Over");
	SET_CDtt( 9, 06.18, "Where Are You Tonight (Journey Through Dark Heat)");
#     endif
	}
    if ( cdKey == BDYLAN_SLOWTRAIN ) { /* 0:46:47-02 */
	tocPtr->discPerformer = "Bob Dylan";
	tocPtr->discTitle = "Slow Train Coming";
#     if !defined(SKIPSONGS_Bob_Dylan)
	SET_CDtt( 1, 05.25, "Gotta Serve Somebody");
	SET_CDtt( 2, 06.30, "Precious Angel");
	SET_CDtt( 3, 05.05, "I Believe in You");
	SET_CDtt( 4, 05.59, "Slow Train");
	SET_CDtt( 5, 05.28, "Gonna Change My Way of Thinking");
	SET_CDtt( 6, 03.53, "Do Right To Me Baby (Do Unto Others)");
	SET_CDtt( 7, 05.28, "When You Gonna Wake Up");
	SET_CDtt( 8, 04.26, "Man Gave Names to All The Animals");
	SET_CDtt( 9, 04.31, "When He Returns");
#     endif
	}
    if ( cdKey == GANDALF_MAGICTHEATRE ) { /* 0:51:47-20 */
	tocPtr->discPerformer = "Gandalf";
	tocPtr->discTitle = "Magic Theatre";
	tocPtr->discCatNum = "229240293020900";
#     if !defined(SKIPSONGS_Gandalf)
	SET_CDtt( 1, 05.48, "Entrance/ The corridor of the seven doors");
	SET_CDtt( 2, 04.05, "1st door/ Reflections From Childhood");
	SET_CDtt( 3, 13.13, "2cd door/ Castles Of Sand");
	SET_CDtt( 4, 03.15, "3rd door/ Loss of identity in the labyrinth of delusions");
	SET_CDtt( 5, 03.52, "4th door/ The magic mirror");
	SET_CDtt( 6, 07.31, "5th door/ Beyond the wall of ignorance");
	SET_CDtt( 7, 04.52, "6th door/ Peace of mind");
	SET_CDtt( 8, 05.33, "7th door/ The fountain of real joy");
	SET_CDtt( 9, 03.36, "Exit");
#     endif
	}
    if ( cdKey == MGAR_ECLIPSE ) { /* 0:48:45-15 */
	tocPtr->discPerformer = "Michael Garrison";
	tocPtr->discTitle = "Eclipse";
#     if !defined(SKIPSONGS_Michael_Garrison)
	SET_CDtt( 1, 03.56, "Departure");
	SET_CDtt( 2, 11.29, "Airborn");
	SET_CDtt( 3, 02.41, "Celestial Nights");
	SET_CDtt( 4, 02.14, "Daydreams");
	SET_CDtt( 5, 04.37, "The Elliptical Sun");
	SET_CDtt( 6, 06.15, "Interstellar Romance");
	SET_CDtt( 7, 11.08, "Dimensions");
	SET_CDtt( 8, 05.07, "The Awakening");
	SET_CDtt( 9, 01.16, "Cloud Burst 2001");
#     endif
	}
    if ( cdKey == GENESIS_GENESIS ) { /* 0:46:04-25 */
	tocPtr->discPerformer = "Genesis";
	tocPtr->discTitle = "Genesis";
	tocPtr->discCatNum = "004228142872200";
#     if !defined(SKIPSONGS_Genesis)
	SET_CDtt( 1, 06.49, "Mama");
	SET_CDtt( 2, 04.26, "That's All");
	SET_CDtt( 3, 05.07, "Home By The Sea");
	SET_CDtt( 4, 06.09, "Second Home By the Sea");
	SET_CDtt( 5, 05.15, "Illegal Alien");
	SET_CDtt( 6, 03.58, "Taking it All Too Hard");
	SET_CDtt( 7, 04.48, "Just a Job to Do");
	SET_CDtt( 8, 04.29, "Silver Rainbow");
	SET_CDtt( 9, 05.01, "It's Gonna Get Better");
#     endif
	}
    if ( cdKey == DGILMOUR_GILMOUR ) { /* 0:46:24-30 */
	tocPtr->discPerformer = "David Gilmour";
	tocPtr->discTitle = "David Gilmour";
	SET_CDtt( 1, 05.46, "Mihalis");
	SET_CDtt( 2, 05.08, "There's No Way Out Of Here");
	SET_CDtt( 3, 05.14, "Cry From The Street");
	SET_CDtt( 4, 06.04, "So Far Away");
	SET_CDtt( 5, 05.31, "Short And Sweet");
	SET_CDtt( 6, 05.34, "Raise My Rent");
	SET_CDtt( 7, 05.32, "No Way");
	SET_CDtt( 8, 04.28, "Deafinitely");
	SET_CDtt( 9, 03.05, "I Can't Breathe Anymore");
	}
    if ( cdKey == ICEHOU_CIRCLE_D1 ) { /* 0:48:43-67 */
	tocPtr->discPerformer = "Icehouse";
	tocPtr->discTitle = "Full Circle  [disc 1]";
#     if !defined(SKIPSONGS_Icehouse)
	SET_CDtt( 1, 05.01, "Shakin' The Cage  [techno]");
	SET_CDtt( 2, 06.59, "Colours");
	SET_CDtt( 3, 04.01, "Desdemona");
	SET_CDtt( 4, 03.54, "Mercy");
	SET_CDtt( 5, 06.22, "Yo, Micro Babe");
	SET_CDtt( 6, 05.34, "MLK");
	SET_CDtt( 7, 05.29, "She Comes");
	SET_CDtt( 8, 06.52, "Wild");
	SET_CDtt( 9, 04.29, "Dedicated to Glam");
#     endif
	}
    if ( cdKey == JJACKSON_BODYNSOUL ) { /* 0:45:35-63 */
	tocPtr->discPerformer = "Joe Jackson";
	tocPtr->discTitle = "Body and Soul";
	SET_CDtt( 1, 05.33, "The Verdict");
	SET_CDtt( 2, 04.46, "Cha Cha Loco");
	SET_CDtt( 3, 05.30, "Not Here, Not Now");
	SET_CDtt( 4, 04.54, "You Can't Get What You Want (Till You Know What You Want)");
	SET_CDtt( 5, 04.19, "Go For It");
	SET_CDtt( 6, 05.36, "Loisaida");
	SET_CDtt( 7, 03.39, "Happy Ending");
	SET_CDtt( 8, 04.22, "Be My Number Two");
	SET_CDtt( 9, 06.54, "Heart of Ice");
	}
    if ( cdKey == EJOHN_MADMAN_MCA ) { /* 0:45:21-52 */
	tocPtr->discPerformer = "Elton John";
	tocPtr->discTitle = "Madman Across the Water  [MCA]";
#     if !defined(SKIPSONGS_Elton_John)
	SET_CDtt( 1, 06.16, "Tiny Dancer");
	SET_CDtt( 2, 05.22, "Levon");
	SET_CDtt( 3, 04.44, "Razor Face");
	SET_CDtt( 4, 05.58, "Madman Across The Water");
	SET_CDtt( 5, 06.47, "Indian Sunset");
	SET_CDtt( 6, 04.17, "Holiday Inn");
	SET_CDtt( 7, 04.59, "Rotten Peaches");
	SET_CDtt( 8, 05.09, "All the Nasties");
	SET_CDtt( 9, 01.47, "Goodbye");
#     endif
	}
    if ( cdKey == EJOHN_MADMAN_UD ) { /* 0:45:21-55 */
	tocPtr->discPerformer = "Elton John";
	tocPtr->discTitle = "Madman Across the Water  [UltraDisc]";
#     if !defined(SKIPSONGS_Elton_John)
	SET_CDtt( 1, 06.19, "Tiny Dancer");
	SET_CDtt( 2, 05.21, "Levon");
	SET_CDtt( 3, 04.44, "Razor Face");
	SET_CDtt( 4, 05.59, "Madman Across The Water");
	SET_CDtt( 5, 06.46, "Indian Sunset");
	SET_CDtt( 6, 04.18, "Holiday Inn");
	SET_CDtt( 7, 04.58, "Rotten Peaches");
	SET_CDtt( 8, 05.09, "All the Nasties");
	SET_CDtt( 9, 01.45, "Goodbye");
#     endif
	}
    if ( cdKey == EJOHN_MADMAN_POLY ) { /* 0:45:19-65 */
	tocPtr->discPerformer = "Elton John";
	tocPtr->discTitle = "Madman Across the Water  [Polydor]";
#     if !defined(SKIPSONGS_Elton_John)
	SET_CDtt( 1, 06.16, "Tiny Dancer");
	SET_CDtt( 2, 05.22, "Levon");
	SET_CDtt( 3, 04.44, "Razor Face");
	SET_CDtt( 4, 05.58, "Madman Across The Water");
	SET_CDtt( 5, 06.46, "Indian Sunset");
	SET_CDtt( 6, 04.18, "Holiday Inn");
	SET_CDtt( 7, 04.59, "Rotten Peaches");
	SET_CDtt( 8, 05.09, "All the Nasties");
	SET_CDtt( 9, 01.45, "Goodbye");
#     endif
	}
    if ( cdKey == EJOHN_MADMAN_TCY ) { /* 0:45:22-32 */
	tocPtr->discPerformer = "Elton John";
	tocPtr->discTitle = "Madman Across the Water  [The Classic Years]";
	tocPtr->discCatNum = "073145281612200";
#     if !defined(SKIPSONGS_Elton_John)
	SET_CDtt( 1, 06.17, "Tiny Dancer");
	SET_CDtt( 2, 05.22, "Levon");
	SET_CDtt( 3, 04.44, "Razor Face");
	SET_CDtt( 4, 05.58, "Madman Across The Water");
	SET_CDtt( 5, 06.46, "Indian Sunset");
	SET_CDtt( 6, 04.17, "Holiday Inn");
	SET_CDtt( 7, 04.58, "Rotten Peaches");
	SET_CDtt( 8, 05.09, "All the Nasties");
	SET_CDtt( 9, 01.49, "Goodbye");
#     endif
	}
    if ( cdKey == EJOHN_CAPTFAN_DJM ) { /* 0:46:45-70 */
	tocPtr->discPerformer = "Elton John";
	tocPtr->discTitle = "Captain Fantastic and the Brown Dirt Cowboy  [DJM]";
	tocPtr->discCatNum = "004228217462800";
#     if !defined(SKIPSONGS_Elton_John)
	SET_CDtt( 1, 05.46, "Captain Fantastic and the Brown Dirt Cowboy");
	SET_CDtt( 2, 04.28, "Tower of Babel");
	SET_CDtt( 3, 04.34, "Bitter Fingers");
	SET_CDtt( 4, 04.20, "Tell Me When the Whistle Blows");
	SET_CDtt( 5, 06.46, "Someone Saved My Life Tonight");
	SET_CDtt( 6, 04.01, "(Gotta Get A) Meal Ticket");
	SET_CDtt( 7, 02.38, "Better Off Dead");
	SET_CDtt( 8, 03.40, "Writing");
	SET_CDtt( 9, 10.30, "We All Fall In Love Sometimes/ Curtains");
#     endif
	}
    if ( cdKey == EJOHN_HERENTHERE_MCA ) { /* 0:54:08-42 */
	tocPtr->discPerformer = "Elton John";
	tocPtr->discTitle = "Here and There  [MCA]";
#     if !defined(SKIPSONGS_Elton_John)
	SET_CDtt( 1, 04.43, "Skyline Pigeon");
	SET_CDtt( 2, 03.23, "Border Song");
	SET_CDtt( 3, 07.33, "Honky Cat");
	SET_CDtt( 4, 05.40, "Love Song");
	SET_CDtt( 5, 03.56, "Crocodile Rock");
	SET_CDtt( 6, 11.37, "Funeral for a Friend/ Love Lies Bleeing");
	SET_CDtt( 7, 05.03, "Rocket Man");
	SET_CDtt( 8, 06.17, "Bennie and the Jets");
	SET_CDtt( 9, 05.54, "Take Me To the Pilot");
#     endif
	}
    if ( cdKey == JONVAN_BESTOF ) { /* 0:50:57-67 */
	tocPtr->discPerformer = "Jon and Vangelis";
	tocPtr->discTitle = "The Best of Jon & Vangelis";
	tocPtr->discCatNum = "004228219292900";
	SET_CDtt( 1, 02.54, "Italian Song");
	SET_CDtt( 2, 04.30, "I'll Find My Way Home");
	SET_CDtt( 3, 04.22, "State of Independence");
	SET_CDtt( 4, 06.16, "One More Time");
	SET_CDtt( 5, 07.01, "Play Within a Play");
	SET_CDtt( 6, 11.50, "The Friends of Mr. Cairo");
	SET_CDtt( 7, 05.03, "Outside of This (Inside of That)");
	SET_CDtt( 8, 04.11, "He Is Sailing");
	SET_CDtt( 9, 04.48, "I Hear You Now");
	}
    if ( cdKey == MOODY_TIMET_D5 ) { /* 0:45:37-30 */
	tocPtr->discPerformer = "Moody Blues";
	tocPtr->discTitle = "Time Traveller  [disc 5]";
#     if !defined(SKIPSONGS_Moody_Blues)
	SET_CDtt( 1, 04.44, "This Is the Moment");
	SET_CDtt( 2, 03.44, "The Story In Your Eyes  [live]");
	SET_CDtt( 3, 04.02, "Voices in the Sky  [live]");
	SET_CDtt( 4, 05.57, "New Horizons  [live]");
	SET_CDtt( 5, 04.31, "Emily's Song  [live]");
	SET_CDtt( 6, 04.16, "Bless the Wings (That Bring You Back)  [live]");
	SET_CDtt( 7, 04.53, "Say It With Love  [live]");
	SET_CDtt( 8, 09.01, "Legend of a Mind  [live]");
	SET_CDtt( 9, 04.27, "Gemini Dream  [live]");
#     endif
	}
    if ( cdKey == RENAIS_CAMERACAMERA ) { /* 0:45:51-65 */
	tocPtr->discPerformer = "Renaissance";
	tocPtr->discTitle = "Camera Camera";
#     if !defined(SKIPSONGS_Renaissance)
	SET_CDtt( 1, 06.04, "Camera Camera");
	SET_CDtt( 2, 04.02, "Faeries (Living At the Bottom of the Garden)");
	SET_CDtt( 3, 04.35, "Remember");
	SET_CDtt( 4, 03.40, "Bonjour Swansong");
	SET_CDtt( 5, 06.03, "TyrantTula");
	SET_CDtt( 6, 05.59, "OkichiSan");
	SET_CDtt( 7, 05.07, "Jigsaw");
	SET_CDtt( 8, 03.54, "Running Away From You");
	SET_CDtt( 9, 06.25, "Ukrainer Ways");
#     endif
	}
    if ( cdKey == JSCHMO_SONGSNOWORDS ) { /* 0:53:05-00 */
	tocPtr->discPerformer = "Johannes Schmoelling";
	tocPtr->discTitle = "Songs No Words";
	SET_CDtt( 1, 05.02, "Nursery Rhyme");
	SET_CDtt( 2, 04.32, "Gondola Song");
	SET_CDtt( 3, 05.52, "Spinning Wheel");
	SET_CDtt( 4, 05.47, "Jester's Nightwatch");
	SET_CDtt( 5, 06.41, "Autumn Song");
	SET_CDtt( 6, 03.37, "Huntsman's Song");
	SET_CDtt( 7, 08.29, "Hymnus");
	SET_CDtt( 8, 06.55, "Maypole Song");
	SET_CDtt( 9, 06.08, "Funeral March");
	}
    if ( cdKey == MSHREEVE_LEGION ) { /* 0:50:07-32 */
	tocPtr->discPerformer = "Mark Shreeve";
	tocPtr->discTitle = "Legion";
#     if !defined(SKIPSONGS_Mark_Shreeve)
	SET_CDtt( 1, 05.29, "Legion");
	SET_CDtt( 2, 05.08, "Storm Column");
	SET_CDtt( 3, 08.25, "Flagg");
	SET_CDtt( 4, 05.19, "Sybex Factor");
	SET_CDtt( 5, 06.29, "Domain 7");
	SET_CDtt( 6, 03.56, "Icon");
	SET_CDtt( 7, 05.37, "The Stand");
	SET_CDtt( 8, 05.50, "Legion  [space mix]");
	SET_CDtt( 9, 03.52, "Hammer and Cross");
#     endif
	}
    if ( cdKey == STYX_RETURNTOPARA_D1 ) { /* 0:48:37-65 */
	tocPtr->discPerformer = "Styx";
	tocPtr->discTitle = "Return to Paradise  [disc 1]";
	SET_CDtt( 1, 05.02, "On My Way");
	SET_CDtt( 2, 04.29, "Paradise");
	SET_CDtt( 3, 05.23, "Rockin' the Paradise");
	SET_CDtt( 4, 04.35, "Blue Collar Man");
	SET_CDtt( 5, 03.29, "Lady");
	SET_CDtt( 6, 05.43, "Too Much Time On My Hands");
	SET_CDtt( 7, 05.26, "Snow Blind");
	SET_CDtt( 8, 08.32, "Suite Madame Blue");
	SET_CDtt( 9, 05.56, "Crystal Ball");
	}
    if ( cdKey == SUPERT_FAMOUSLAST ) { /* 0:48:07-50 */
	tocPtr->discPerformer = "Supertramp";
	tocPtr->discTitle = "...famous last words...";
#     if !defined(SKIPSONGS_Supertramp)
	SET_CDtt( 1, 04.46, "Crazy");
	SET_CDtt( 2, 04.20, "Put on Your Old Brown Shoes");
	SET_CDtt( 3, 04.26, "It's Raining Again");
	SET_CDtt( 4, 05.39, "Bonnie");
	SET_CDtt( 5, 05.02, "Know Who You Are");
	SET_CDtt( 6, 05.17, "My Kind of Lady");
	SET_CDtt( 7, 05.34, "C'est le Bon");
	SET_CDtt( 8, 06.35, "Waiting So Long");
	SET_CDtt( 9, 06.26, "Don't Leave Me Now");
#     endif
	}
    if ( cdKey == TDREAM_DREAMROOTS_D2 ) { /* 0:51:45-40 */
	tocPtr->discPerformer = "Tangerine Dream";
	tocPtr->discTitle = "Dream Roots Collection  [disc 2]";
#     if !defined(SKIPSONGS_Tangerine_Dream)
	SET_CDtt( 1, 05.19, "Ride on a Ray");
	SET_CDtt( 2, 07.59, "Livemiles (Albuquerque concert)");
	SET_CDtt( 3, 05.23, "Tangent (Poland Concert)");
	SET_CDtt( 4, 05.45, "Smile");
	SET_CDtt( 5, 07.03, "Livemiles (Berlin Concert #1)");
	SET_CDtt( 6, 04.38, "Vigour (Tyger Bonus)");
	SET_CDtt( 7, 03.39, "Central Park");
	SET_CDtt( 8, 04.47, "Zen Garden");
	SET_CDtt( 9, 07.10, "Livemiles (Berlin Concert #2)");
#     endif
	}
    if ( cdKey == VANGEL_VOICES ) { /* 0:54:45-17 */
	tocPtr->discPerformer = "Vangelis";
	tocPtr->discTitle = "Voices";
	tocPtr->discCatNum = "007567828532500";
	SET_CDtt( 1, 07.01, "Voices");
	SET_CDtt( 2, 08.25, "Echoes");
	SET_CDtt( 3, 04.34, "Come to Me");
	SET_CDtt( 4, 02.06, "P.S.");
	SET_CDtt( 5, 07.53, "Ask the Mountains");
	SET_CDtt( 6, 04.25, "Prelude");
	SET_CDtt( 7, 06.42, "Losing Sleep (Still, My Heart)");
	SET_CDtt( 8, 07.40, "Messages");
	SET_CDtt( 9, 05.57, "Dream in an Open Place");
	}
    if ( cdKey == SWONDER_KEYOFLIFE_D2 ) { /* 0:52:55-37 */
	tocPtr->discPerformer = "Stevie Wonder";
	tocPtr->discTitle = "Songs in the Key of Life  [disc 2]";
#     if !defined(SKIPSONGS_Stevie_Wonder)
	SET_CDtt( 1, 06.34, "Isn't She Lovely");
	SET_CDtt( 2, 06.30, "Joy Inside My Tears");
	SET_CDtt( 3, 08.28, "Black Man");
	SET_CDtt( 4, 03.49, "Ngiculela/ Es Una Historia/ I Am Singing");
	SET_CDtt( 5, 03.12, "If It's Magic");
	SET_CDtt( 6, 07.09, "As");
	SET_CDtt( 7, 08.09, "Another Star");
	SET_CDtt( 8, 05.06, "All Day Sucker");
	SET_CDtt( 9, 03.56, "Easy Goin' Evening (My Mama's Call)");
#     endif
	}
}
