#import <sys/types.h>
#import <stddef.h>
#import "CD_DBaseSubs.h"

    /* This subroutine has information for CD's with 10 tracks, and
     * which have 35 or more, but under 38 minutes of music on them.
     */

#define PSIMON_STILLCRAZY      761055956 /* key parts = 2114.03.10.206 243 */
#define BJOEL_GLASSHOUSES      762601607 /* key parts = 2118.25.10.257 167 */
#define VARZL_LIVING_WATERS    762995138 /* key parts = 2119.32.10.188 233 */
#define BDYLAN_UNDERREDSKY     767987229 /* key parts = 2133.22.10.129 201 */
#define QUEEN_THEGAME_UDII     771299162 /* key parts = 2142.37.10.212 229 */
#define GLIGHT_ENDLESSWIRE     778547210 /* key parts = 2162.47.10.260 244 */
#define GLIGHT_WAITING4YOU     783841566 /* key parts = 2177.25.10.216 197 */
#define DMCLEAN_AMERICANPIE    785891166 /* key parts = 2183.02.10.516 102 */
#define AGRANT_AGETOAGE        789587213 /* key parts = 2193.22.10.263 202 */
#define NYOUNG_OLDWAYS         798059142 /* key parts = 2216.62.10.192 192 */
#define ILLUS_ENCHANTED_PRO    800929543 /* key parts = 2224.60.10.193 326 */
#define ILLUS_ENCHANTED_REN    801299143 /* key parts = 2225.62.10.193 327 */
#define NYOUNG_COMESATIME      805081632 /* key parts = 2236.25.10.282 245 */
#define TDREAM_FLASHPOINT_OW   807697602 /* key parts = 2243.45.10.252 228 */
#define ICEHOU_ICEHOUSE        808019202 /* key parts = 2244.37.10.252 216 */
#define BENATAR_CRIMESOP       809819155 /* key parts = 2249.37.10.205 259 */
#define TPHEART_LONGAFTER      810001533 /* key parts = 2250.00.10.183 272 */
#define EAGLES_EAGLES          810611165 /* key parts = 2251.52.10.215 174 */
#define NYOUNG_HARVEST         812977626 /* key parts = 2258.20.10.276 403 */
#define ORCHMAN_ORCHMAN        815257525 /* key parts = 2264.45.10.175 229 */
#define FIXX_CALMANIMALS       815737549 /* key parts = 2265.70.10.199 227 */
#define BJOEL_STREETLIFESER    818027119 /* key parts = 2272.22.10.319 217 */
#define GLIGHT_SUMMERTDREAM    818617551 /* key parts = 2273.70.10.201 289 */


void filltoc10_35(tocPtr, cdKey)
struct cd_toc *tocPtr;
u_int cdKey;
{

    if ( cdKey == BENATAR_CRIMESOP ) { /* 0:37:29-37 */
	tocPtr->discPerformer = "Pat Benatar";
	tocPtr->discTitle = "Crimes of Passion";
#     if !defined(SKIPSONGS_Pat_Benatar)
	SET_CDtt( 1, 03.25, "Treat Me Right");
	SET_CDtt( 2, 03.05, "You Better Run");
	SET_CDtt( 3, 03.11, "Never Wanna Leave You");
	SET_CDtt( 4, 02.51, "Hit Me With Your Best Shot");
	SET_CDtt( 5, 04.56, "Hell Is For Children");
	SET_CDtt( 6, 03.33, "Little Paradise");
	SET_CDtt( 7, 04.30, "I'm Gonna Follow You");
	SET_CDtt( 8, 04.29, "Wuthering Heights");
	SET_CDtt( 9, 03.08, "Prisoner Of Love");
	SET_CDtt(10, 04.19, "OutATouch");
#     endif
	}
    if ( cdKey == BDYLAN_UNDERREDSKY ) { /* 0:35:33-22 */
	tocPtr->discPerformer = "Bob Dylan";
	tocPtr->discTitle = "Under The Red Sky";
#     if !defined(SKIPSONGS_Bob_Dylan)
	SET_CDtt( 1, 02.09, "Wiggle Wiggle");
	SET_CDtt( 2, 04.09, "Under the Red Sky");
	SET_CDtt( 3, 04.07, "Unbelievable");
	SET_CDtt( 4, 03.39, "Born In Time");
	SET_CDtt( 5, 03.03, "TV Talkin' Song");
	SET_CDtt( 6, 04.21, "10,000 Men");
	SET_CDtt( 7, 03.37, "2 x 2");
	SET_CDtt( 8, 03.02, "God Knows");
	SET_CDtt( 9, 04.03, "Handy Dandy");
	SET_CDtt(10, 03.21, "Cat's In The Well");
#     endif
	}
    if ( cdKey == EAGLES_EAGLES ) { /* 0:37:31-52 */
	tocPtr->discPerformer = "Eagles";
	tocPtr->discTitle = "Eagles";
	tocPtr->discCatNum = "007559050542200";
#     if !defined(SKIPSONGS_Eagles)
	SET_CDtt( 1, 03.35, "Take It Easy");
	SET_CDtt( 2, 04.13, "Witchy Woman");
	SET_CDtt( 3, 03.19, "Chug All Night");
	SET_CDtt( 4, 03.38, "Most of Us Are Sad");
	SET_CDtt( 5, 04.08, "Nightingale");
	SET_CDtt( 6, 04.14, "Train Leaves Here This Morning");
	SET_CDtt( 7, 04.04, "Take the Devil");
	SET_CDtt( 8, 03.03, "Earlybird");
	SET_CDtt( 9, 04.21, "Peaceful Easy Feeling");
	SET_CDtt(10, 02.54, "Tryin'");
#     endif
	}
    if ( cdKey == AGRANT_AGETOAGE ) { /* 0:36:33-22 */
	tocPtr->discPerformer = "Amy Grant";
	tocPtr->discTitle = "Age to Age";
#     if !defined(SKIPSONGS_Amy_Grant)
	SET_CDtt( 1, 04.23, "In a Little While");
	SET_CDtt( 2, 03.16, "I Have Decided");
	SET_CDtt( 3, 04.05, "I Love a Lonely Day");
	SET_CDtt( 4, 03.33, "Don't Run Away");
	SET_CDtt( 5, 02.13, "Fat Baby");
	SET_CDtt( 6, 03.17, "Sing Your Praise to the Lord");
	SET_CDtt( 7, 04.10, "El Shaddai");
	SET_CDtt( 8, 04.12, "Raining on the Inside");
	SET_CDtt( 9, 04.00, "Got to Let It Go");
	SET_CDtt(10, 03.22, "Arms of Love");
#     endif
	}
    if ( cdKey == ICEHOU_ICEHOUSE ) { /* 0:37:24-37 */
	tocPtr->discPerformer = "Icehouse";
	tocPtr->discTitle = "Icehouse";
#     if !defined(SKIPSONGS_Icehouse)
	SET_CDtt( 1, 04.12, "Icehouse");
	SET_CDtt( 2, 03.52, "Can't Help Myself");
	SET_CDtt( 3, 03.28, "Sister");
	SET_CDtt( 4, 04.02, "Walls");
	SET_CDtt( 5, 04.35, "Sons");
	SET_CDtt( 6, 03.41, "We Can Get Together");
	SET_CDtt( 7, 03.17, "Boulevarde");
	SET_CDtt( 8, 03.52, "Fatman");
	SET_CDtt( 9, 02.47, "Skin");
	SET_CDtt(10, 03.36, "Not My Kind");
#     endif
	}
    if ( cdKey == ILLUS_ENCHANTED_PRO ) { /* 0:37:04-60 */
	tocPtr->discPerformer = "Illusion";
	tocPtr->discTitle = "Enchanted Caress";
	SET_CDtt( 1, 03.13, "Nights in Paris");
	SET_CDtt( 2, 03.59, "Walking Space");
	SET_CDtt( 3, 03.28, "The Man Who Loved The Trees");
	SET_CDtt( 4, 03.33, "Getting Into Love Again");
	SET_CDtt( 5, 03.42, "As Long As We're Together");
	SET_CDtt( 6, 03.28, "Slaughter On Tenth Avenue");
	SET_CDtt( 7, 02.54, "Living Above Your Head");
	SET_CDtt( 8, 03.18, "Crossed Lines");
	SET_CDtt( 9, 04.01, "You Are The One");
	SET_CDtt(10, 05.26, "All the Falling Angels");
	}
    if ( cdKey == ILLUS_ENCHANTED_REN ) { /* 0:37:05-62 */
	tocPtr->discPerformer = "Illusion";
	tocPtr->discTitle = "Enchanted Caress";
	SET_CDtt( 1, 03.13, "Nights in Paris");
	SET_CDtt( 2, 03.58, "Walking Space");
	SET_CDtt( 3, 03.28, "The Man Who Loved The Trees");
	SET_CDtt( 4, 03.33, "Getting Into Love Again");
	SET_CDtt( 5, 03.42, "As Long As We're Together");
	SET_CDtt( 6, 03.30, "Slaughter On Tenth Avenue");
	SET_CDtt( 7, 02.53, "Living Above Your Head");
	SET_CDtt( 8, 03.19, "Crossed Lines");
	SET_CDtt( 9, 04.00, "You Are The One");
	SET_CDtt(10, 05.27, "All the Falling Angels");
	}
    if ( cdKey == BJOEL_STREETLIFESER ) { /* 0:37:52-22 */
	tocPtr->discPerformer = "Billy Joel";
	tocPtr->discTitle = "Streetlife Serenade";
#     if !defined(SKIPSONGS_Billy_Joel)
	SET_CDtt( 1, 05.19, "Streetlife Serenade");
	SET_CDtt( 2, 03.42, "Lost Angelenos");
	SET_CDtt( 3, 03.46, "The Great Suburban Showdown");
	SET_CDtt( 4, 03.04, "Root Beer Rag");
	SET_CDtt( 5, 04.34, "Roberta");
	SET_CDtt( 6, 03.40, "The Entertainer");
	SET_CDtt( 7, 04.36, "Last of the Big Spenders");
	SET_CDtt( 8, 03.32, "Weekend Song");
	SET_CDtt( 9, 02.00, "Souvenir");
	SET_CDtt(10, 03.37, "The Mexican Connection");
#     endif
	}
    if ( cdKey == BJOEL_GLASSHOUSES ) { /* 0:35:18-25 */
	tocPtr->discPerformer = "Billy Joel";
	tocPtr->discTitle = "Glass Houses";
#     if !defined(SKIPSONGS_Billy_Joel)
	SET_CDtt( 1, 04.17, "You May Be Right");
	SET_CDtt( 2, 03.43, "Sometimes a Fantasy");
	SET_CDtt( 3, 03.00, "Don't Ask Me Why");
	SET_CDtt( 4, 02.58, "It's Still Rock 'n' Roll To Me");
	SET_CDtt( 5, 04.14, "All For Leyna");
	SET_CDtt( 6, 03.59, "I Don't Want to Be Alone");
	SET_CDtt( 7, 03.03, "Sleeping With the Television On");
	SET_CDtt( 8, 03.27, "C'etait Toi (You Were The One)");
	SET_CDtt( 9, 03.48, "Close To The Borderline");
	SET_CDtt(10, 02.47, "Through The Long Night");
#     endif
	}
    if ( cdKey == GLIGHT_SUMMERTDREAM ) { /* 0:37:53-70 */
	tocPtr->discPerformer = "Gordon Lightfoot";
	tocPtr->discTitle = "Summertime Dream";
	tocPtr->discCatNum = "007599022462000";
#     if !defined(SKIPSONGS_Gordon_Lightfoot)
	SET_CDtt( 1, 03.21, "Race Among the Ruins");
	SET_CDtt( 2, 06.32, "The Wreck of the Edmund Fitzgerald");
	SET_CDtt( 3, 03.31, "I'm Not Supposed to Care");
	SET_CDtt( 4, 03.14, "I'd Do It Again");
	SET_CDtt( 5, 03.05, "Never Too Close");
	SET_CDtt( 6, 04.02, "Protocol");
	SET_CDtt( 7, 02.56, "The House You Live In");
	SET_CDtt( 8, 02.30, "Summertime Dream");
	SET_CDtt( 9, 03.51, "Spanish Moss");
	SET_CDtt(10, 04.49, "Too Many Clues in this Room");
#     endif
	}
    if ( cdKey == GLIGHT_ENDLESSWIRE ) { /* 0:36:02-47 */
	tocPtr->discPerformer = "Gordon Lightfoot";
	tocPtr->discTitle = "Endless Wire";
	tocPtr->discCatNum = "007599031492500";
#     if !defined(SKIPSONGS_Gordon_Lightfoot)
	SET_CDtt( 1, 04.20, "Daylight Katy");
	SET_CDtt( 2, 03.19, "Sweet Guinevere");
	SET_CDtt( 3, 02.40, "Hangdog Hotel Room");
	SET_CDtt( 4, 04.55, "If There's a Reason");
	SET_CDtt( 5, 04.10, "Endless Wire");
	SET_CDtt( 6, 02.55, "Dreamland");
	SET_CDtt( 7, 02.50, "Songs the Minstrel Sang");
	SET_CDtt( 8, 02.55, "Sometimes I Don't Mind");
	SET_CDtt( 9, 03.52, "If Children Had Wings");
	SET_CDtt(10, 04.04, "The Circle is Small");
#     endif
	}
    if ( cdKey == GLIGHT_WAITING4YOU ) { /* 0:36:17-25 */
	tocPtr->discPerformer = "Gordon Lightfoot";
	tocPtr->discTitle = "Waiting For You";
	tocPtr->discCatNum = "007599452082700";
#     if !defined(SKIPSONGS_Gordon_Lightfoot)
	SET_CDtt( 1, 03.36, "Restless");
	SET_CDtt( 2, 02.58, "Ring Them Bells");
	SET_CDtt( 3, 03.12, "Fading Away");
	SET_CDtt( 4, 04.20, "Only Love Would Know");
	SET_CDtt( 5, 04.04, "Welcome to Try");
	SET_CDtt( 6, 03.10, "I'll Prove My Love");
	SET_CDtt( 7, 03.36, "Waiting for You");
	SET_CDtt( 8, 04.18, "Wild Strawberries");
	SET_CDtt( 9, 03.44, "I'd Rather Press On");
	SET_CDtt(10, 03.17, "Drink Yer Glasses Empty");
#     endif
	}
    if ( cdKey == DMCLEAN_AMERICANPIE ) { /* 0:36:23-02 */
	tocPtr->discPerformer = "Don McLean";
	tocPtr->discTitle = "American Pie";
	SET_CDtt( 1, 08.36, "American Pie");
	SET_CDtt( 2, 02.15, "Till Tomorrow");
	SET_CDtt( 3, 04.04, "Vincent");
	SET_CDtt( 4, 03.40, "Crossroads");
	SET_CDtt( 5, 03.10, "Winterwood");
	SET_CDtt( 6, 03.28, "Empty Chairs");
	SET_CDtt( 7, 03.37, "Everybody Loves Me, Baby");
	SET_CDtt( 8, 02.35, "Sister Fatima");
	SET_CDtt( 9, 03.14, "The Grave");
	SET_CDtt(10, 01.42, "Babylon");
	}
    if ( cdKey == ORCHMAN_ORCHMAN ) { /* 0:37:44-45 */
	tocPtr->discPerformer = "Orchestral Manoeuvres in the Dark";
	tocPtr->discTitle = "Orchestral Manoeuvres in the Dark";
#     if !defined(SKIPSONGS_Orchestral_Manoeuvres_in_the_Dark)
	SET_CDtt( 1, 02.55, "Bunker Soldiers");
	SET_CDtt( 2, 03.45, "Almost");
	SET_CDtt( 3, 02.46, "Mystereality");
	SET_CDtt( 4, 03.39, "Electricity");
	SET_CDtt( 5, 05.42, "The Messerschmitt Twins");
	SET_CDtt( 6, 04.13, "Messages");
	SET_CDtt( 7, 04.41, "Julia's Song");
	SET_CDtt( 8, 03.13, "Red Frame/ White Light");
	SET_CDtt( 9, 02.59, "Dancing");
	SET_CDtt(10, 03.49, "Pretending to See the Future");
#     endif
	}
    if ( cdKey == TPHEART_LONGAFTER ) { /* 0:37:30-00 */
	tocPtr->discPerformer = "Tom Petty and the HeartBreakers";
	tocPtr->discTitle = "Long After Dark";
#     if !defined(SKIPSONGS_Tom_Petty)
	SET_CDtt( 1, 03.03, "A One Story Town");
	SET_CDtt( 2, 03.32, "You Got Lucky");
	SET_CDtt( 3, 03.25, "Deliver Me");
	SET_CDtt( 4, 03.17, "Change Of Heart");
	SET_CDtt( 5, 03.34, "Finding Out");
	SET_CDtt( 6, 03.35, "We Stand A Chance");
	SET_CDtt( 7, 03.47, "Straight Into Darkness");
	SET_CDtt( 8, 03.30, "The Same Old You");
	SET_CDtt( 9, 05.13, "Between Two Worlds");
	SET_CDtt(10, 04.32, "A Wasted Life");
#     endif
	}
    if ( cdKey == QUEEN_THEGAME_UDII ) { /* 0:35:42-37 */
	tocPtr->discPerformer = "Queen";
	tocPtr->discTitle = "The Game  [UltraDisc II]";
#     if !defined(SKIPSONGS_Queen)
	SET_CDtt( 1, 03.32, "Play the Game");
	SET_CDtt( 2, 04.18, "Dragon Attack");
	SET_CDtt( 3, 03.38, "Another One Bites the Dust");
	SET_CDtt( 4, 02.49, "Need Your Loving Tonight");
	SET_CDtt( 5, 02.46, "Crazy Little Thing Called Love");
	SET_CDtt( 6, 04.33, "Rock It (Prime Jive)");
	SET_CDtt( 7, 03.52, "Don't Try Suicide");
	SET_CDtt( 8, 03.33, "Sail Away Sweet Sister");
	SET_CDtt( 9, 02.50, "Coming Soon");
	SET_CDtt(10, 03.49, "Save Me");
#     endif
	}
    if ( cdKey == FIXX_CALMANIMALS ) { /* 0:37:45-70 */
	tocPtr->discPerformer = "The Fixx";
	tocPtr->discTitle = "Calm Animals";
#     if !defined(SKIPSONGS_The_Fixx)
	SET_CDtt( 1, 03.19, "I'm Life");
	SET_CDtt( 2, 03.59, "Driven Out");
	SET_CDtt( 3, 03.46, "Subterranean");
	SET_CDtt( 4, 03.11, "Precious Stone");
	SET_CDtt( 5, 04.04, "Gypsy Feet");
	SET_CDtt( 6, 04.14, "Calm Animals");
	SET_CDtt( 7, 03.42, "Shred of Evidence");
	SET_CDtt( 8, 03.02, "The Flow");
	SET_CDtt( 9, 04.39, "World Weary");
	SET_CDtt(10, 03.47, "Cause to Be Alarmed");
#     endif
	}
    if ( cdKey == PSIMON_STILLCRAZY ) { /* 0:35:14-03 */
	tocPtr->discPerformer = "Paul Simon";
	tocPtr->discTitle = "Still Crazy After All These Years";
	tocPtr->discCatNum = "007599255912600";
#     if !defined(SKIPSONGS_Paul_Simon)
	SET_CDtt( 1, 03.26, "Still Crazy After All These Years");
	SET_CDtt( 2, 03.52, "My Little Town");
	SET_CDtt( 3, 03.35, "I Do It For Your Love");
	SET_CDtt( 4, 03.38, "50 Ways to Leave Your Lover");
	SET_CDtt( 5, 02.57, "Night Game");
	SET_CDtt( 6, 03.41, "Gone At Last");
	SET_CDtt( 7, 03.14, "Some Folks' Lives Roll Easy");
	SET_CDtt( 8, 03.26, "Have a Good Time");
	SET_CDtt( 9, 03.20, "You're Kind");
	SET_CDtt(10, 04.03, "Silent Eyes");
#     endif
	}
    if ( cdKey == TDREAM_FLASHPOINT_OW ) { /* 0:37:23-45 */
	tocPtr->discPerformer = "Tangerine Dream";
	tocPtr->discTitle = "Flashpoint  [One Way]";
#     if !defined(SKIPSONGS_Tangerine_Dream)
	SET_CDtt( 1, 04.12, "Going West");
	SET_CDtt( 2, 03.36, "Afternoon in the Desert");
	SET_CDtt( 3, 03.36, "Plane Ride");
	SET_CDtt( 4, 03.12, "Mystery Tracks");
	SET_CDtt( 5, 02.42, "Lost in the Dunes");
	SET_CDtt( 6, 04.11, "Highway Patrol");
	SET_CDtt( 7, 03.41, "Love Phantasy");
	SET_CDtt( 8, 03.59, "Mad Cap Story");
	SET_CDtt( 9, 04.24, "Dirty Cross Roads");
	SET_CDtt(10, 03.48, "Flashpoint  [The Gems]");
#     endif
	}
    if ( cdKey == VARZL_LIVING_WATERS ) { /* 0:35:19-32 */
	tocPtr->discPerformer = "Various Artists/ Zola Levitt Presents";
	tocPtr->discTitle = "Living Waters";
	SET_CDtt( 1, 03.08, "At The Feast");
	SET_CDtt( 2, 02.49, "Theme from Living Waters");
	SET_CDtt( 3, 03.00, "Rebecca at the Well");
	SET_CDtt( 4, 04.00, "In the Bulrushes");
	SET_CDtt( 5, 04.44, "Peace Be Still");
	SET_CDtt( 6, 02.21, "At the Oasis");
	SET_CDtt( 7, 03.28, "Beside the Still Waters");
	SET_CDtt( 8, 04.42, "This Land is Mine");
	SET_CDtt( 9, 03.12, "Wishes");
	SET_CDtt(10, 03.53, "The Marketplace");
	}
    if ( cdKey == NYOUNG_HARVEST ) { /* 0:37:38-20 */
	tocPtr->discPerformer = "Neil Young";
	tocPtr->discTitle = "Harvest";
	tocPtr->discCatNum = "007599022772000";
#     if !defined(SKIPSONGS_Neil_Young)
	SET_CDtt( 1, 04.36, "Out on the Weekend");
	SET_CDtt( 2, 03.13, "Harvest");
	SET_CDtt( 3, 04.04, "A Man Needs a Maid");
	SET_CDtt( 4, 03.07, "Heart of Gold");
	SET_CDtt( 5, 03.24, "Are You Ready for the Country?");
	SET_CDtt( 6, 03.24, "Old Man");
	SET_CDtt( 7, 03.00, "There's a World");
	SET_CDtt( 8, 04.02, "Alabama");
	SET_CDtt( 9, 02.03, "The Needle and the Damage Done");
	SET_CDtt(10, 06.43, "Words (Between the Lines of Age)");
#     endif
	}
    if ( cdKey == NYOUNG_COMESATIME ) { /* 0:37:16-25 */
	tocPtr->discPerformer = "Neil Young";
	tocPtr->discTitle = "Comes a Time";
	tocPtr->discCatNum = "007599022662400";
#     if !defined(SKIPSONGS_Neil_Young)
	SET_CDtt( 1, 04.42, "Goin' Back");
	SET_CDtt( 2, 03.06, "Comes a Time");
	SET_CDtt( 3, 04.06, "Look Out for My Love  [with Crazy Horse]");
	SET_CDtt( 4, 02.38, "Lotta Love  [with Crazy Horse]");
	SET_CDtt( 5, 04.11, "Peace of Mind");
	SET_CDtt( 6, 03.10, "Human Highway");
	SET_CDtt( 7, 04.54, "Already One");
	SET_CDtt( 8, 03.10, "Field of Opportunity");
	SET_CDtt( 9, 03.12, "Motorcycle Mama");
	SET_CDtt(10, 04.05, "Four Strong Winds");
#     endif
	}
    if ( cdKey == NYOUNG_OLDWAYS ) { /* 0:36:56-62 */
	tocPtr->discPerformer = "Neil Young";
	tocPtr->discTitle = "Old Ways";
#     if !defined(SKIPSONGS_Neil_Young)
	SET_CDtt( 1, 03.12, "The Wayward Wind");
	SET_CDtt( 2, 02.51, "Get Back to the Country");
	SET_CDtt( 3, 03.04, "Are There Any More Real Cowboys?");
	SET_CDtt( 4, 03.55, "Once an Angel");
	SET_CDtt( 5, 05.09, "Misfits");
	SET_CDtt( 6, 02.56, "California Sunset");
	SET_CDtt( 7, 03.08, "Old Ways");
	SET_CDtt( 8, 03.38, "My Boy");
	SET_CDtt( 9, 05.49, "Bound for Glory");
	SET_CDtt(10, 03.12, "Where is the Highway Tonight?");
#     endif
	}
}
