#import <sys/types.h>
#import <stddef.h>
#import "CD_DBaseSubs.h"

    /* This subroutine has information for CD's with 10 tracks, and
     * which have 38 or more, but under 40 minutes of music on them.
     */

#define NGRIFFITH_STORMS       820897599 /* key parts = 2280.20.10.249 337 */
#define AGRANT_STRAIGHTAHEAD   834361589 /* key parts = 2317.50.10.239 218 */
#define BENATAR_HEATOFNIGHT    834683159 /* key parts = 2318.42.10.209 213 */
#define MOODY_QUESTIONOB       837207948 /* key parts = 2325.43.10.348 213 */
#define FIXX_SHUTTERED_MCA     839915168 /* key parts = 2333.07.10.218 322 */
#define JMELLEN_WHENEVER       839953583 /* key parts = 2333.15.10.233 199 */
#define ORCHMAN_CRUSH          840601561 /* key parts = 2335.00.10.211 238 */
#define BENATAR_TROPICO        842195152 /* key parts = 2339.32.10.202 247 */
#define BDYLAN_OHMERCY         842401577 /* key parts = 2340.00.10.227 193 */
#define ACOOPER_FROMTHEINSIDE  844863984 /* key parts = 2346.63.10.234 303 */
#define ELO_ELDORADO           847729634 /* key parts = 2354.60.10.134 90 */
#define GHARR_33THIRD          848785549 /* key parts = 2357.55.10.199 253 */
#define HEART_LQUEEN           849419212 /* key parts = 2359.37.10.262 355 */
#define CALL_REDMOON           849841604 /* key parts = 2360.50.10.254 252 */
#define NYOUNG_THISNOTE4YOU    851353589 /* key parts = 2364.65.10.389 361 */
#define SBOG_CATK_SIMPATICO    851435142 /* key parts = 2365.07.10.192 313 */
#define EJOHN_ELTONJOHN_DJM    853619194 /* key parts = 2371.12.10.244 306 */
#define EJOHN_ELTONJOHN_POLY   853887994 /* key parts = 2371.68.10.244 306 */
#define LRONST_FEELSLIKEHOME   854257589 /* key parts = 2372.70.10.239 241 */
#define CHICAGO_VIII           854401569 /* key parts = 2373.25.10.219 211 */
#define HEART_HEART            855985574 /* key parts = 2377.55.10.224 225 */
#define BSPRING_LUCKYTOWN      857223998 /* key parts = 2381.13.10.248 236 */
#define VAR_X_WINTERSOL1       858841614 /* key parts = 2385.50.10.264 349 */
#define JMELLEN_LONEJUBIL      859441582 /* key parts = 2387.25.10.232 209 */
#define CUSCO_COOLISLE         860041546 /* key parts = 2389.00.10.196 306 */
#define EJOHN_ELTONJOHN_MCA    860353594 /* key parts = 2389.65.10.244 309 */
#define JMELLEN_LONEJUB_UDII   860363182 /* key parts = 2389.67.10.232 213 */
#define BENATAR_GETNERVOUS     861241611 /* key parts = 2392.25.10.261 227 */
#define HEART_DREAMBOATANNIE   863665529 /* key parts = 2399.05.10.329 230 */


void filltoc10_38(tocPtr, cdKey)
struct cd_toc *tocPtr;
u_int cdKey;
{

    if ( cdKey == BENATAR_HEATOFNIGHT ) { /* 0:38:38-42 */
	tocPtr->discPerformer = "Pat Benatar";
	tocPtr->discTitle = "In the Heat of the Night";
#     if !defined(SKIPSONGS_Pat_Benatar)
	SET_CDtt( 1, 03.29, "Heartbreaker");
	SET_CDtt( 2, 03.31, "I Need a Lover");
	SET_CDtt( 3, 04.23, "If You Think You Know How to Love Me");
	SET_CDtt( 4, 05.25, "In the Heat of the Night");
	SET_CDtt( 5, 03.36, "My Clone Sleeps Alone");
	SET_CDtt( 6, 03.57, "We Live for Love");
	SET_CDtt( 7, 03.18, "Rated X");
	SET_CDtt( 8, 04.04, "Don't Let It Show");
	SET_CDtt( 9, 03.20, "No You Don't");
	SET_CDtt(10, 03.33, "So Sincere");
#     endif
	}
    if ( cdKey == BENATAR_GETNERVOUS ) { /* 0:39:52-25 */
	tocPtr->discPerformer = "Pat Benatar";
	tocPtr->discTitle = "Get Nervous";
#     if !defined(SKIPSONGS_Pat_Benatar)
	SET_CDtt( 1, 04.21, "Shadows Of The Night");
	SET_CDtt( 2, 03.27, "Looking For A Stranger");
	SET_CDtt( 3, 03.43, "Anxiety (Get Nervous)");
	SET_CDtt( 4, 03.58, "Fight It Out");
	SET_CDtt( 5, 04.47, "The Victim");
	SET_CDtt( 6, 04.09, "Little Too Late");
	SET_CDtt( 7, 04.10, "I'll Do It");
	SET_CDtt( 8, 03.43, "I Want Out");
	SET_CDtt( 9, 03.45, "Tell It To Her");
	SET_CDtt(10, 03.47, "Silent Partner");
#     endif
	}
    if ( cdKey == BENATAR_TROPICO ) { /* 0:38:59-32 */
	tocPtr->discPerformer = "Pat Benatar";
	tocPtr->discTitle = "Tropico";
#     if !defined(SKIPSONGS_Pat_Benatar)
	SET_CDtt( 1, 03.22, "Diamond Field");
	SET_CDtt( 2, 03.41, "We Belong");
	SET_CDtt( 3, 05.27, "Painted Desert");
	SET_CDtt( 4, 04.25, "Temporary Heroes");
	SET_CDtt( 5, 04.06, "Love In The Ice Age");
	SET_CDtt( 6, 04.08, "Ooh Ooh Song");
	SET_CDtt( 7, 03.48, "The Outlaw Blues");
	SET_CDtt( 8, 01.48, "Suburban King");
	SET_CDtt( 9, 04.05, "A Crazy World Like This");
	SET_CDtt(10, 04.07, "Takin' It Back");
#     endif
	}
    if ( cdKey == SBOG_CATK_SIMPATICO ) { /* 0:39:25-07 */
	tocPtr->discPerformer = "Suzy Bogguss & Chet Atkins";
	tocPtr->discTitle = "Simpatico";
#     if !defined(SKIPSONGS_Chet_Atkins)
	SET_CDtt( 1, 03.12, "In the Jailhouse Now");
	SET_CDtt( 2, 03.09, "When She Smiled at Him");
	SET_CDtt( 3, 04.23, "Forget About It");
	SET_CDtt( 4, 04.13, "Wives Don't Like Old Girlfriends");
	SET_CDtt( 5, 04.00, "Sorry Seems to be the Hardest Word");
	SET_CDtt( 6, 03.27, "Two Shades of Blue");
	SET_CDtt( 7, 04.28, "One More for the Road");
	SET_CDtt( 8, 03.42, "I Still Miss Someone");
	SET_CDtt( 9, 03.36, "You Bring Out the Best in Me");
	SET_CDtt(10, 05.13, "This is the Beginning");
#     endif
	}
    if ( cdKey == CALL_REDMOON ) { /* 0:39:20-50 */
	tocPtr->discPerformer = "The Call";
	tocPtr->discTitle = "Red Moon";
#     if !defined(SKIPSONGS_The_Call)
	SET_CDtt( 1, 04.14, "What's Happened To You");
	SET_CDtt( 2, 03.46, "Red Moon");
	SET_CDtt( 3, 04.06, "You Were There");
	SET_CDtt( 4, 03.23, "Floating Back");
	SET_CDtt( 5, 03.53, "A Swim In The Ocean");
	SET_CDtt( 6, 04.13, "Like You've Never Been Loved");
	SET_CDtt( 7, 03.43, "Family");
	SET_CDtt( 8, 04.09, "This Is Your Life");
	SET_CDtt( 9, 03.39, "The Hand That Feeds You");
	SET_CDtt(10, 04.12, "What A Day");
#     endif
	}
    if ( cdKey == CHICAGO_VIII ) { /* 0:39:33-25 */
	tocPtr->discPerformer = "Chicago";
	tocPtr->discTitle = "VIII";
#     if !defined(SKIPSONGS_Chicago)
	SET_CDtt( 1, 03.39, "Anyway You Want");
	SET_CDtt( 2, 04.31, "Brand New Love Affair - Parts I & II");
	SET_CDtt( 3, 04.13, "Never Been in Love Before");
	SET_CDtt( 4, 04.47, "Hideaway");
	SET_CDtt( 5, 02.05, "Till We Meet Again");
	SET_CDtt( 6, 03.04, "Harry Truman");
	SET_CDtt( 7, 07.21, "Oh, Thank You Great Spirit");
	SET_CDtt( 8, 02.49, "Long Time No See");
	SET_CDtt( 9, 03.31, "Ain't It Blue?");
	SET_CDtt(10, 03.31, "Old Days");
#     endif
	}
    if ( cdKey == ACOOPER_FROMTHEINSIDE ) { /* 0:39:06-63 */
	tocPtr->discPerformer = "Alice Cooper";
	tocPtr->discTitle = "From the Inside";
	tocPtr->discCatNum = "007599264452500";
	SET_CDtt( 1, 03.54, "From the Inside");
	SET_CDtt( 2, 03.39, "Wish I Were Born in Beverly Hills");
	SET_CDtt( 3, 03.53, "The Quiet Room");
	SET_CDtt( 4, 04.16, "Nurse Rozetta");
	SET_CDtt( 5, 04.13, "Millie and Billie");
	SET_CDtt( 6, 02.45, "Serious");
	SET_CDtt( 7, 03.58, "How You Gonna See Me Now");
	SET_CDtt( 8, 03.37, "For Veronica's Sake");
	SET_CDtt( 9, 03.46, "Jackknife Johnny");
	SET_CDtt(10, 05.03, "Inmates (We're All Crazy)");
	}
    if ( cdKey == CUSCO_COOLISLE ) { /* 0:39:49-00 */
	tocPtr->discPerformer = "Cusco";
	tocPtr->discTitle = "Cool Islands";
	SET_CDtt( 1, 03.16, "Aurora");
	SET_CDtt( 2, 03.26, "Antarctic Continent");
	SET_CDtt( 3, 03.14, "Penguin Dance");
	SET_CDtt( 4, 05.10, "North Easter");
	SET_CDtt( 5, 04.27, "Whale");
	SET_CDtt( 6, 03.37, "Walrus");
	SET_CDtt( 7, 03.41, "North Pole");
	SET_CDtt( 8, 04.23, "Iceberg");
	SET_CDtt( 9, 03.27, "Blizzard");
	SET_CDtt(10, 05.06, "Tundra");
	}
    if ( cdKey == BDYLAN_OHMERCY ) { /* 0:39:00-00 */
	tocPtr->discPerformer = "Bob Dylan";
	tocPtr->discTitle = "Oh Mercy";
#     if !defined(SKIPSONGS_Bob_Dylan)
	SET_CDtt( 1, 03.47, "Political World");
	SET_CDtt( 2, 02.33, "Where Teardrops Fall");
	SET_CDtt( 3, 03.15, "Everything Is Broken");
	SET_CDtt( 4, 03.01, "Ring Them Bells");
	SET_CDtt( 5, 04.34, "Man In The Long Black Coat");
	SET_CDtt( 6, 05.04, "Most of the Time");
	SET_CDtt( 7, 04.45, "What Good Am I?");
	SET_CDtt( 8, 03.44, "Disease of Conceit");
	SET_CDtt( 9, 05.02, "What Was It You Wanted");
	SET_CDtt(10, 03.13, "Shooting Star");
#     endif
	}
    if ( cdKey == ELO_ELDORADO ) { /* 0:39:14-60 */
	tocPtr->discPerformer = "Electric Light Orchestra";
	tocPtr->discTitle = "Eldorado";
#     if !defined(SKIPSONGS_Electric_Light_Orchestra)
	SET_CDtt( 1, 02.14, "Eldorado Overture");
	SET_CDtt( 2, 04.21, "Can't Get It Out of My Head");
	SET_CDtt( 3, 05.20, "Boy Blue");
	SET_CDtt( 4, 05.30, "Laredo Tornado");
	SET_CDtt( 5, 02.55, "Poorboy (The Greenwood)");
	SET_CDtt( 6, 05.30, "Mister Kingdom");
	SET_CDtt( 7, 03.57, "Nobody's Child");
	SET_CDtt( 8, 02.37, "Illusions in G Major");
	SET_CDtt( 9, 05.18, "Eldorado");
	SET_CDtt(10, 01.30, "Eldorado - Finale");
#     endif
	}
    if ( cdKey == AGRANT_STRAIGHTAHEAD ) { /* 0:38:37-50 */
	tocPtr->discPerformer = "Amy Grant";
	tocPtr->discTitle = "Straight Ahead";
#     if !defined(SKIPSONGS_Amy_Grant)
	SET_CDtt( 1, 03.59, "Where Do You Hide Your Heart");
	SET_CDtt( 2, 05.59, "Jehovah");
	SET_CDtt( 3, 04.13, "Angels");
	SET_CDtt( 4, 03.50, "Straight Ahead");
	SET_CDtt( 5, 03.21, "Thy Word");
	SET_CDtt( 6, 03.28, "It's Not a Song");
	SET_CDtt( 7, 03.25, "Open Arms");
	SET_CDtt( 8, 03.16, "Doubly Good To You");
	SET_CDtt( 9, 03.26, "Tomorrow");
	SET_CDtt(10, 03.38, "The Now and the Not Yet");
#     endif
	}
    if ( cdKey == NGRIFFITH_STORMS ) { /* 0:38:00-20 */
	tocPtr->discPerformer = "Nanci Griffith";
	tocPtr->discTitle = "Storms";
#     if !defined(SKIPSONGS_Nanci_Griffith)
	SET_CDtt( 1, 04.09, "I Don't Wanna Talk About Love Now");
	SET_CDtt( 2, 03.15, "Drive-In Movies and Dashboard Lights");
	SET_CDtt( 3, 03.13, "You Made This Love a Teardrop");
	SET_CDtt( 4, 03.20, "Brave Companion of the Road");
	SET_CDtt( 5, 03.12, "Storms");
	SET_CDtt( 6, 04.02, "It's a Hard Life Wherever You Go");
	SET_CDtt( 7, 03.49, "If Wishes Were Changes");
	SET_CDtt( 8, 03.50, "Listen to the Radio");
	SET_CDtt( 9, 03.31, "Leaving the Harbor");
	SET_CDtt(10, 05.37, "Radio Fragile");
#     endif
	}
    if ( cdKey == GHARR_33THIRD ) { /* 0:39:17-55 */
	tocPtr->discPerformer = "George Harrison";
	tocPtr->discTitle = "Thirty Three and 1/3";
	tocPtr->discCatNum = "007599266122500";
#     if !defined(SKIPSONGS_George_Harrison)
	SET_CDtt( 1, 03.19, "Woman Don't You Cry For Me");
	SET_CDtt( 2, 05.08, "Dear One");
	SET_CDtt( 3, 03.42, "Beautiful Girl");
	SET_CDtt( 4, 04.14, "This Song");
	SET_CDtt( 5, 02.52, "See Yourself");
	SET_CDtt( 6, 05.09, "It's What You Value");
	SET_CDtt( 7, 02.44, "True Love");
	SET_CDtt( 8, 03.56, "Pure Smokey");
	SET_CDtt( 9, 03.58, "Crackerbox Palace");
	SET_CDtt(10, 04.13, "Learning How To Love You");
#     endif
	}
    if ( cdKey == HEART_DREAMBOATANNIE ) { /* 0:39:59-05 */
	tocPtr->discPerformer = "Heart";
	tocPtr->discTitle = "Dreamboat Annie";
#     if !defined(SKIPSONGS_Heart)
	SET_CDtt( 1, 05.29, "Magic Man");
	SET_CDtt( 2, 01.10, "Dreamboat Annie (Fantasy Child)");
	SET_CDtt( 3, 04.54, "Crazy On You");
	SET_CDtt( 4, 06.33, "Soul of the Sea");
	SET_CDtt( 5, 02.02, "Dreamboat Annie");
	SET_CDtt( 6, 03.53, "White Lightning & Wine");
	SET_CDtt( 7, 03.21, "(Love Me Like Music) I'll Be Your Song");
	SET_CDtt( 8, 04.55, "Sing Child");
	SET_CDtt( 9, 03.50, "How Deep It Goes");
	SET_CDtt(10, 03.50, "Dreamboat Annie (reprise)");
#     endif
	}
    if ( cdKey == HEART_LQUEEN ) { /* 0:39:19-37 */
	tocPtr->discPerformer = "Heart";
	tocPtr->discTitle = "Little Queen";
#     if !defined(SKIPSONGS_Heart)
	SET_CDtt( 1, 04.22, "Barracuda");
	SET_CDtt( 2, 04.16, "Love Alive");
	SET_CDtt( 3, 02.19, "Sylvan Song");
	SET_CDtt( 4, 04.31, "Dream of the Archer");
	SET_CDtt( 5, 02.48, "Kick It Out");
	SET_CDtt( 6, 05.14, "Little Queen");
	SET_CDtt( 7, 03.24, "Treat Me Well");
	SET_CDtt( 8, 03.36, "Say Hello");
	SET_CDtt( 9, 02.52, "Cry To Me");
	SET_CDtt(10, 05.55, "Go On Cry");
#     endif
	}
    if ( cdKey == HEART_HEART ) { /* 0:39:37-55 */
	tocPtr->discPerformer = "Heart";
	tocPtr->discTitle = "Heart";
#     if !defined(SKIPSONGS_Heart)
	SET_CDtt( 1, 03.44, "If Looks Could Kill");
	SET_CDtt( 2, 03.41, "What About Love");
	SET_CDtt( 3, 04.07, "Never");
	SET_CDtt( 4, 04.15, "These Dreams");
	SET_CDtt( 5, 04.04, "The Wolf");
	SET_CDtt( 6, 03.57, "All Eyes");
	SET_CDtt( 7, 04.07, "Nobody Home");
	SET_CDtt( 8, 04.14, "Nothin' At All");
	SET_CDtt( 9, 03.41, "What He Don't Know");
	SET_CDtt(10, 03.45, "Shell Shock");
#     endif
	}
    if ( cdKey == EJOHN_ELTONJOHN_DJM ) { /* 0:39:31-12 */
	tocPtr->discPerformer = "Elton John";
	tocPtr->discTitle = "Elton John  [DJM]";
#     if !defined(SKIPSONGS_Elton_John)
	SET_CDtt( 1, 04.04, "Your Song");
	SET_CDtt( 2, 02.33, "I Need You To Turn To");
	SET_CDtt( 3, 03.47, "Take Me To The Pilot");
	SET_CDtt( 4, 03.31, "No Shoe Strings on Louise");
	SET_CDtt( 5, 04.47, "First Episode at Hienton");
	SET_CDtt( 6, 04.36, "Sixty Years On");
	SET_CDtt( 7, 03.22, "Border Song");
	SET_CDtt( 8, 04.13, "The Greatest Discovery");
	SET_CDtt( 9, 03.30, "The Cage");
	SET_CDtt(10, 05.06, "The King Must Die");
#     endif
	}
    if ( cdKey == EJOHN_ELTONJOHN_MCA ) { /* 0:39:49-65 */
	tocPtr->discPerformer = "Elton John";
	tocPtr->discTitle = "Elton John  [MCA]";
#     if !defined(SKIPSONGS_Elton_John)
	SET_CDtt( 1, 04.04, "Your Song");
	SET_CDtt( 2, 02.34, "I Need You To Turn To");
	SET_CDtt( 3, 03.50, "Take Me To The Pilot");
	SET_CDtt( 4, 03.33, "No Shoe Strings on Louise");
	SET_CDtt( 5, 04.51, "First Episode at Hienton");
	SET_CDtt( 6, 04.36, "Sixty Years On");
	SET_CDtt( 7, 03.23, "Border Song");
	SET_CDtt( 8, 04.15, "The Greatest Discovery");
	SET_CDtt( 9, 03.32, "The Cage");
	SET_CDtt(10, 05.09, "The King Must Die");
#     endif
	}
    if ( cdKey == EJOHN_ELTONJOHN_POLY ) { /* 0:39:31-68 */
	tocPtr->discPerformer = "Elton John";
	tocPtr->discTitle = "Elton John  [Polydor]";
#     if !defined(SKIPSONGS_Elton_John)
	SET_CDtt( 1, 04.04, "Your Song");
	SET_CDtt( 2, 02.33, "I Need You To Turn To");
	SET_CDtt( 3, 03.47, "Take Me To The Pilot");
	SET_CDtt( 4, 03.31, "No Shoe Strings on Louise");
	SET_CDtt( 5, 04.49, "First Episode at Hienton");
	SET_CDtt( 6, 04.35, "Sixty Years On");
	SET_CDtt( 7, 03.22, "Border Song");
	SET_CDtt( 8, 04.12, "The Greatest Discovery");
	SET_CDtt( 9, 03.30, "The Cage");
	SET_CDtt(10, 05.06, "The King Must Die");
#     endif
	}
    if ( cdKey == JMELLEN_LONEJUBIL ) { /* 0:39:47-25 */
	tocPtr->discPerformer = "John Mellencamp";
	tocPtr->discTitle = "The Lonesome Jubilee";
#     if !defined(SKIPSONGS_John_Mellencamp)
	SET_CDtt( 1, 03.52, "Paper in Fire");
	SET_CDtt( 2, 03.38, "Down and Out in Paradise");
	SET_CDtt( 3, 04.22, "Check It Out");
	SET_CDtt( 4, 03.59, "The Real Life");
	SET_CDtt( 5, 04.49, "Cherry Bomb");
	SET_CDtt( 6, 04.17, "We Are the People");
	SET_CDtt( 7, 03.45, "Empty Hands");
	SET_CDtt( 8, 03.28, "Hard Times for an Honest Man");
	SET_CDtt( 9, 04.06, "Hot Dogs and Hamburgers");
	SET_CDtt(10, 03.29, "Rooty Toot Toot");
#     endif
	}
    if ( cdKey == JMELLEN_LONEJUB_UDII ) { /* 0:39:49-67 */
	tocPtr->discPerformer = "John Mellencamp";
	tocPtr->discTitle = "The Lonesome Jubilee  [UltraDisc II]";
#     if !defined(SKIPSONGS_John_Mellencamp)
	SET_CDtt( 1, 03.52, "Paper in Fire");
	SET_CDtt( 2, 03.38, "Down and Out in Paradise");
	SET_CDtt( 3, 04.22, "Check It Out");
	SET_CDtt( 4, 03.58, "The Real Life");
	SET_CDtt( 5, 04.49, "Cherry Bomb");
	SET_CDtt( 6, 04.17, "We Are the People");
	SET_CDtt( 7, 03.45, "Empty Hands");
	SET_CDtt( 8, 03.28, "Hard Times for an Honest Man");
	SET_CDtt( 9, 04.05, "Hot Dogs and Hamburgers");
	SET_CDtt(10, 03.33, "Rooty Toot Toot");
#     endif
	}
    if ( cdKey == JMELLEN_WHENEVER ) { /* 0:38:53-15 */
	tocPtr->discPerformer = "John Mellencamp";
	tocPtr->discTitle = "Whenever We Wanted";
#     if !defined(SKIPSONGS_John_Mellencamp)
	SET_CDtt( 1, 03.53, "Love and Happiness");
	SET_CDtt( 2, 03.43, "Now More Than Ever");
	SET_CDtt( 3, 03.37, "I Ain't Ever Satisfied");
	SET_CDtt( 4, 03.47, "Get A Leg Up");
	SET_CDtt( 5, 04.02, "Crazy Ones");
	SET_CDtt( 6, 03.40, "Last Chance");
	SET_CDtt( 7, 04.17, "They're So Tough");
	SET_CDtt( 8, 04.49, "Melting Pot");
	SET_CDtt( 9, 03.44, "Whenever We Wanted");
	SET_CDtt(10, 03.19, "Again Tonight");
#     endif
	}
    if ( cdKey == MOODY_QUESTIONOB ) { /* 0:38:45-43 */
	tocPtr->discPerformer = "Moody Blues";
	tocPtr->discTitle = "A Question of Balance";
	tocPtr->discCatNum = "004228202112000";
#     if !defined(SKIPSONGS_Moody_Blues)
	SET_CDtt( 1, 05.48, "Question");
	SET_CDtt( 2, 02.46, "How Is It (we are here)");
	SET_CDtt( 3, 02.56, "And the Tide Rushes In");
	SET_CDtt( 4, 02.38, "Don't You Feel Small");
	SET_CDtt( 5, 03.17, "Tortoise and the Hare");
	SET_CDtt( 6, 03.11, "It's Up To You");
	SET_CDtt( 7, 04.27, "Minstrel's Song");
	SET_CDtt( 8, 04.22, "Dawning Is The Day");
	SET_CDtt( 9, 05.45, "Melancholy Man");
	SET_CDtt(10, 03.33, "The Balance");
#     endif
	}
    if ( cdKey == ORCHMAN_CRUSH ) { /* 0:38:55-00 */
	tocPtr->discPerformer = "Orchestral Manoeuvres in the Dark";
	tocPtr->discTitle = "Crush";
#     if !defined(SKIPSONGS_Orchestral_Manoeuvres_in_the_Dark)
	SET_CDtt( 1, 03.31, "So In Love");
	SET_CDtt( 2, 03.56, "Secret");
	SET_CDtt( 3, 03.29, "Bloc Bloc Bloc");
	SET_CDtt( 4, 04.26, "Women III");
	SET_CDtt( 5, 04.28, "Crush");
	SET_CDtt( 6, 04.16, "88 Seconds in Greensboro");
	SET_CDtt( 7, 03.58, "The Native Daughters of the Golden West");
	SET_CDtt( 8, 02.50, "La Femme Accident");
	SET_CDtt( 9, 04.01, "Hold You");
	SET_CDtt(10, 03.58, "The Lights Are Going Out");
#     endif
	}
    if ( cdKey == FIXX_SHUTTERED_MCA ) { /* 0:38:53-07 */
	tocPtr->discPerformer = "The Fixx";
	tocPtr->discTitle = "Shuttered Room  [MCA]";
#     if !defined(SKIPSONGS_The_Fixx)
	SET_CDtt( 1, 03.38, "I Found You");
	SET_CDtt( 2, 03.01, "Some People");
	SET_CDtt( 3, 04.01, "Stand or Fall");
	SET_CDtt( 4, 03.33, "The Strain");
	SET_CDtt( 5, 04.20, "Red Skies");
	SET_CDtt( 6, 03.20, "Lost Planes");
	SET_CDtt( 7, 03.58, "Cameras In Paris");
	SET_CDtt( 8, 04.53, "I Live");
	SET_CDtt( 9, 02.45, "Shuttered Room");
	SET_CDtt(10, 05.22, "The Fool");
#     endif
	}
    if ( cdKey == LRONST_FEELSLIKEHOME ) { /* 0:39:32-70 */
	tocPtr->discPerformer = "Linda Ronstadt";
	tocPtr->discTitle = "Feels Like Home";
	tocPtr->discCatNum = "007559617032100";
#     if !defined(SKIPSONGS_Linda_Ronstadt)
	SET_CDtt( 1, 03.59, "The Waiting");
	SET_CDtt( 2, 02.58, "Walk On");
	SET_CDtt( 3, 04.24, "High Sierra");
	SET_CDtt( 4, 03.33, "After the Gold Rush");
	SET_CDtt( 5, 05.05, "The Blue Train");
	SET_CDtt( 6, 04.50, "Feels Like Home");
	SET_CDtt( 7, 03.09, "Teardrops Will Fall");
	SET_CDtt( 8, 03.57, "Morning Blues");
	SET_CDtt( 9, 03.34, "Women Cross the River");
	SET_CDtt(10, 04.01, "Lover's Return");
#     endif
	}
    if ( cdKey == BSPRING_LUCKYTOWN ) { /* 0:39:41-13 */
	tocPtr->discPerformer = "Bruce Springsteen";
	tocPtr->discTitle = "Lucky Town";
#     if !defined(SKIPSONGS_Bruce_Springsteen)
	SET_CDtt( 1, 04.08, "Better Days");
	SET_CDtt( 2, 03.27, "Lucky Town");
	SET_CDtt( 3, 04.05, "Local Hero");
	SET_CDtt( 4, 02.58, "If I Should Fall Behind");
	SET_CDtt( 5, 03.27, "Leap of Faith");
	SET_CDtt( 6, 04.06, "The Big Muddy");
	SET_CDtt( 7, 04.49, "Living Proof");
	SET_CDtt( 8, 04.25, "Book of Dreams");
	SET_CDtt( 9, 04.18, "Souls of the Departed");
	SET_CDtt(10, 03.56, "My Beautiful Reward");
#     endif
	}
    if ( cdKey == VAR_X_WINTERSOL1 ) { /* 0:39:45-50 */
	tocPtr->discPerformer = "Various Artists/ Christmas";
	tocPtr->discTitle = "A Winter's Solstice";
	SET_CDtt( 1, 04.24, "Jesu, Joy of Man's Desiring  [David Qualey]");
	SET_CDtt( 2, 04.01, "Engravings II  [Ira Stein & Russel Walder]");
	SET_CDtt( 3, 04.02, "New England Morning  [William Ackerman]");
	SET_CDtt( 4, 03.36, "High Plains (Christmas on the High Line)  [Philip Aaberg]");
	SET_CDtt( 5, 03.37, "Nollaig  [Bill Oskay & Michael O Domhnail]");
	SET_CDtt( 6, 03.29, "Greensleeves  [Liz Story]");
	SET_CDtt( 7, 03.07, "Bach Bourie (from the French Suite)  [Darol Anger & Mike Marshall]");
	SET_CDtt( 8, 04.48, "Northumbrian Lullabye  [Malcolm Dalglish]");
	SET_CDtt( 9, 02.50, "Petite Aubade  [Shadowfax]");
	SET_CDtt(10, 05.49, "A Tale of Two Cities  [Mark Isham]");
	}
    if ( cdKey == NYOUNG_THISNOTE4YOU ) { /* 0:39:24-65 */
	tocPtr->discPerformer = "Neil Young";
	tocPtr->discTitle = "This Note's For You";
	tocPtr->discCatNum = "007599257192000";
#     if !defined(SKIPSONGS_Neil_Young)
	SET_CDtt( 1, 06.29, "Ten Men Workin'");
	SET_CDtt( 2, 02.06, "This Note's For You");
	SET_CDtt( 3, 04.18, "Couple De Ville");
	SET_CDtt( 4, 03.13, "Life in the City");
	SET_CDtt( 5, 05.55, "Twilight");
	SET_CDtt( 6, 02.39, "Married Man");
	SET_CDtt( 7, 02.37, "Sunny Inside");
	SET_CDtt( 8, 02.59, "Can't Believe Your Lyin'");
	SET_CDtt( 9, 03.05, "Hey Hey");
	SET_CDtt(10, 06.01, "One Thing");
#     endif
	}
}
