#import <sys/types.h>
#import <stddef.h>
#import "CD_DBaseSubs.h"

    /* This subroutine has information for CD's with 10 tracks, and
     * which have 40 or more, but under 43 minutes of music on them.
     */

#define NYOUNG_LANDINGWATER    866367972 /* key parts = 2406.43.10.222 305 */
#define TPHEART_HARDPROM_MCA   867419186 /* key parts = 2409.37.10.236 258 */
#define ORCHMAN_PACIFICAGE     871321612 /* key parts = 2420.25.10.262 252 */
#define TPHEART_HARDPROM_UD    871561591 /* key parts = 2421.00.10.241 257 */
#define EAGLES_ONTHEBORDER     873251205 /* key parts = 2425.52.10.255 272 */
#define BJOEL_ANINNOCENTMAN    873361595 /* key parts = 2426.00.10.245 282 */
#define PINKF_OBSCURED         873491135 /* key parts = 2426.27.10.185 352 */
#define BSPRING_NEBRASKA       873635215 /* key parts = 2426.57.10.265 245 */
#define APP_TURNOFCARD         876025648 /* key parts = 2433.30.10.298 202 */
#define PINKF_OBSCURED_REM     876083135 /* key parts = 2433.42.10.185 351 */
#define HEART_BADANIMALS       881761596 /* key parts = 2449.25.10.246 219 */
#define WOVOO_CALLWEST         885625534 /* key parts = 2460.05.10.184 359 */
#define APP_IROBOT             888745563 /* key parts = 2468.55.10.363 208 */
#define JBROWNE_FOREVERYMAN    888769581 /* key parts = 2468.60.10.231 371 */
#define ACOOPER_BILLIONDOLLAR  889427206 /* key parts = 2470.47.10.256 308 */
#define APP_IROBOT_MFSL        890593561 /* key parts = 2473.65.10.361 233 */
#define JBROWNE_SATURATEB4     890977556 /* key parts = 2474.70.10.206 284 */
#define FIXX_REACHTHEBEACH     891611149 /* key parts = 2476.52.10.199 322 */
#define ECARMEN_BESTOF         905843246 /* key parts = 2516.17.10.296 263 */

#define PINKF_WORKS            907825561 /* key parts = 2521.55.10.361 281 */
#define SNICKS_BELLADONNA      908377522 /* key parts = 2523.20.10.322 289 */
#define U2_BOY                 913571167 /* key parts = 2537.52.10.217 275 */
#define U2_WAR                 914051227 /* key parts = 2539.02.10.277 158 */
#define CAMEL_STATIONTRAVELR   914737631 /* key parts = 2540.70.10.131 314 */
#define GHARR_LIVEJAPAN_D1     915539225 /* key parts = 2543.12.10.275 275 */
#define APP_EYEINSKY           920555213 /* key parts = 2557.07.10.113 295 */
#define EAGLES_LONGRUN         920771174 /* key parts = 2557.52.10.224 332 */
#define PBARDENS_SPEEDOFLIGHT  921419211 /* key parts = 2559.37.10.261 106 */
#define FOREI_4_GOLD           922599980 /* key parts = 2562.58.10.230 231 */
#define EJOHN_GREATEST_BRIT    922993590 /* key parts = 2563.65.10.240 235 */
#define ICEHOU_PRIMITIVEMAN    923137604 /* key parts = 2564.20.10.254 239 */
#define U2_WAR_UD2             923459230 /* key parts = 2565.12.10.280 158 */
#define U2_UNFORGETTABLEFIRE   924563129 /* key parts = 2568.17.10.329 154 */
#define EJOHN_DONTSHOOT_POLY   926281584 /* key parts = 2573.00.10.234 252 */
#define EJOHN_DONTSHOOT_MCA    926699184 /* key parts = 2574.12.10.234 253 */
#define MCCARPEN_HOMETOWNGIRL  927673627 /* key parts = 2576.65.10.277 286 */
#define PINKF_DSOTM_SO         927721573 /* key parts = 2577.00.10.73 123 */
#define PINKF_DSOTM_UD         928177570 /* key parts = 2578.20.10.70 125 */


void filltoc10_40(tocPtr, cdKey)
struct cd_toc *tocPtr;
u_int cdKey;
{

    if ( cdKey == APP_IROBOT ) { /* 0:41:08-55 */
	tocPtr->discPerformer = "Alan Parsons Project";
	tocPtr->discTitle = "I Robot";
#     if !defined(SKIPSONGS_Alan_Parsons_Project)
	SET_CDtt( 1, 06.03, "I Robot");
	SET_CDtt( 2, 03.23, "I Wouldn't Want to be Like You");
	SET_CDtt( 3, 04.06, "Some Other Time");
	SET_CDtt( 4, 03.52, "Breakdown");
	SET_CDtt( 5, 04.22, "Don't Let It Show");
	SET_CDtt( 6, 05.23, "The Voice");
	SET_CDtt( 7, 03.31, "Nucleus");
	SET_CDtt( 8, 03.49, "Day After Day (The Show Must Go On)");
	SET_CDtt( 9, 03.09, "Total Eclipse");
	SET_CDtt(10, 03.28, "Genesis Ch. 1, v. 32");
#     endif
	}
    if ( cdKey == APP_IROBOT_MFSL ) { /* 0:41:13-65 */
	tocPtr->discPerformer = "Alan Parsons Project";
	tocPtr->discTitle = "I Robot  [MFSL]";
#     if !defined(SKIPSONGS_Alan_Parsons_Project)
	SET_CDtt( 1, 06.01, "I Robot");
	SET_CDtt( 2, 03.24, "I Wouldn't Want to be Like You");
	SET_CDtt( 3, 04.05, "Some Other Time");
	SET_CDtt( 4, 03.53, "Breakdown");
	SET_CDtt( 5, 04.23, "Don't Let It Show");
	SET_CDtt( 6, 05.07, "The Voice");
	SET_CDtt( 7, 03.46, "Nucleus");
	SET_CDtt( 8, 03.45, "Day After Day (The Show Must Go On)");
	SET_CDtt( 9, 02.54, "Total Eclipse");
	SET_CDtt(10, 03.53, "Genesis Ch. 1, v. 32");
#     endif
	}
    if ( cdKey == APP_TURNOFCARD ) { /* 0:40:33-30 */
	tocPtr->discPerformer = "Alan Parsons Project";
	tocPtr->discTitle = "Turn of a Friendly Card";
#     if !defined(SKIPSONGS_Alan_Parsons_Project)
	SET_CDtt( 1, 04.58, "May Be a Price to Pay");
	SET_CDtt( 2, 04.22, "Games People Play");
	SET_CDtt( 3, 05.04, "Time");
	SET_CDtt( 4, 05.04, "I Don't Wanna Go Home");
	SET_CDtt( 5, 04.34, "The Gold Bug");
	SET_CDtt( 6, 02.37, "The Turn of a Friendly Card (part one)");
	SET_CDtt( 7, 03.23, "Snake Eyes");
	SET_CDtt( 8, 02.59, "The Ace of Swords");
	SET_CDtt( 9, 04.08, "Nothing Left to Lose");
	SET_CDtt(10, 03.22, "The Turn of a Friendly Card (part two)");
#     endif
	}
    if ( cdKey == APP_EYEINSKY ) { /* 0:42:37-07 */
	tocPtr->discPerformer = "Alan Parsons Project";
	tocPtr->discTitle = "Eye in the Sky";
#     if !defined(SKIPSONGS_Alan_Parsons_Project)
	SET_CDtt( 1, 01.53, "Sirius  [instrumental]");
	SET_CDtt( 2, 04.37, "Eye In The Sky");
	SET_CDtt( 3, 04.51, "Children Of The Moon");
	SET_CDtt( 4, 02.11, "Gemini");
	SET_CDtt( 5, 07.24, "Silence and I");
	SET_CDtt( 6, 04.23, "You're Gonna Get Your Fingers Burned");
	SET_CDtt( 7, 04.51, "Psychobabble");
	SET_CDtt( 8, 03.36, "Mammagamma  [instrumental]");
	SET_CDtt( 9, 03.54, "Step By Step");
	SET_CDtt(10, 04.55, "Old and Wise");
#     endif
	}
    if ( cdKey == PBARDENS_SPEEDOFLIGHT ) { /* 0:42:39-37 */
	tocPtr->discPerformer = "Pete Bardens";
	tocPtr->discTitle = "Speed of Light";
	SET_CDtt( 1, 04.21, "Westward Ho!");
	SET_CDtt( 2, 05.14, "Black Elk");
	SET_CDtt( 3, 04.06, "Gold");
	SET_CDtt( 4, 04.42, "This Could Be Paradise");
	SET_CDtt( 5, 02.09, "Afterthought");
	SET_CDtt( 6, 05.04, "Speed Of Light");
	SET_CDtt( 7, 05.26, "Whisper In The Wind");
	SET_CDtt( 8, 04.32, "Heartland");
	SET_CDtt( 9, 05.17, "Columbine");
	SET_CDtt(10, 01.46, "Gold  (reprise)");
	}
    if ( cdKey == JBROWNE_SATURATEB4 ) { /* 0:41:14-70 */
	tocPtr->discPerformer = "Jackson Browne";
	tocPtr->discTitle = "Saturate Before Using";
	tocPtr->discCatNum = "007559050512100";
#     if !defined(SKIPSONGS_Jackson_Browne)
	SET_CDtt( 1, 03.26, "Jamaica Say You Will");
	SET_CDtt( 2, 04.00, "A Child In These Hills");
	SET_CDtt( 3, 05.23, "Song For Adam");
	SET_CDtt( 4, 03.17, "Doctor My Eyes");
	SET_CDtt( 5, 03.50, "From Silver Lake");
	SET_CDtt( 6, 03.49, "Something Fine");
	SET_CDtt( 7, 04.10, "Under the Falling Sky");
	SET_CDtt( 8, 04.19, "Looking Into You");
	SET_CDtt( 9, 04.14, "Rock Me On The Water");
	SET_CDtt(10, 04.44, "My Opening Farewell");
#     endif
	}
    if ( cdKey == JBROWNE_FOREVERYMAN ) { /* 0:41:08-60 */
	tocPtr->discPerformer = "Jackson Browne";
	tocPtr->discTitle = "For Everyman";
	tocPtr->discCatNum = "007559050672200";
#     if !defined(SKIPSONGS_Jackson_Browne)
	SET_CDtt( 1, 03.51, "Take it Easy");
	SET_CDtt( 2, 03.40, "Our Lady of the Well");
	SET_CDtt( 3, 04.17, "Colors of the Sun");
	SET_CDtt( 4, 03.45, "I Thought I Was a Child");
	SET_CDtt( 5, 04.43, "These Days");
	SET_CDtt( 6, 03.59, "Red Neck Friend");
	SET_CDtt( 7, 03.39, "The Times You've Come");
	SET_CDtt( 8, 03.36, "Ready or Not");
	SET_CDtt( 9, 03.25, "Sing My Songs To Me");
	SET_CDtt(10, 06.11, "For Everyman");
#     endif
	}
    if ( cdKey == CAMEL_STATIONTRAVELR ) { /* 0:42:20-70 */
	tocPtr->discPerformer = "Camel";
	tocPtr->discTitle = "Stationary Traveller";
	tocPtr->discCatNum = "004228200202400";
#     if !defined(SKIPSONGS_Camel)
	SET_CDtt( 1, 02.11, "Pressure Points");
	SET_CDtt( 2, 03.47, "Refuge");
	SET_CDtt( 3, 05.33, "Vapos");
	SET_CDtt( 4, 03.55, "Cloak and Dagger Man");
	SET_CDtt( 5, 05.35, "Stationary Traveller");
	SET_CDtt( 6, 05.10, "West Berlin");
	SET_CDtt( 7, 04.30, "Fingertips");
	SET_CDtt( 8, 04.22, "Missing");
	SET_CDtt( 9, 02.01, "After Words");
	SET_CDtt(10, 05.14, "Long Goodbyes");
#     endif
	}
    if ( cdKey == ECARMEN_BESTOF ) { /* 0:41:56-17 */
	tocPtr->discPerformer = "Eric Carmen";
	tocPtr->discTitle = "The Best of Eric Carmen";
	SET_CDtt( 1, 04.56, "All By Myself");
	SET_CDtt( 2, 03.48, "Never Gonna Fall In Love Again");
	SET_CDtt( 3, 03.13, "That's Rock 'n' Roll");
	SET_CDtt( 4, 04.31, "Hey Deanie");
	SET_CDtt( 5, 04.04, "Hungry Eyes  (from Dirty Dancing)");
	SET_CDtt( 6, 03.41, "Change Of Heart");
	SET_CDtt( 7, 03.46, "She Did It");
	SET_CDtt( 8, 04.19, "It Hurts Too Much");
	SET_CDtt( 9, 05.13, "No Hard Feelings");
	SET_CDtt(10, 04.23, "Boats Against The Current");
	}
    if ( cdKey == MCCARPEN_HOMETOWNGIRL ) { /* 0:42:56-65 */
	tocPtr->discPerformer = "Mary Chapin Carpenter";
	tocPtr->discTitle = "Hometown Girl";
#     if !defined(SKIPSONGS_Mary_Chapin_Carpenter)
	SET_CDtt( 1, 04.37, "A Lot Like Me");
	SET_CDtt( 2, 05.01, "Other Streets and Other Towns");
	SET_CDtt( 3, 04.53, "Hometown Girl");
	SET_CDtt( 4, 04.11, "Downtown Train");
	SET_CDtt( 5, 04.34, "Family Hands");
	SET_CDtt( 6, 03.12, "A Road Is Just A Road");
	SET_CDtt( 7, 03.17, "Come On Home");
	SET_CDtt( 8, 03.25, "Waltz");
	SET_CDtt( 9, 04.58, "Just Because");
	SET_CDtt(10, 04.46, "Heroes and Heroines");
#     endif
	}
    if ( cdKey == ACOOPER_BILLIONDOLLAR ) { /* 0:41:10-47 */
	tocPtr->discPerformer = "Alice Cooper";
	tocPtr->discTitle = "Billion Dollar Babies";
	tocPtr->discCatNum = "007599026852500";
	SET_CDtt( 1, 04.16, "Hello Hurray");
	SET_CDtt( 2, 03.19, "Raped and Freezing");
	SET_CDtt( 3, 04.06, "Elected");
	SET_CDtt( 4, 03.43, "Billion Dollar Babies");
	SET_CDtt( 5, 06.18, "Unfinished Sweet");
	SET_CDtt( 6, 03.07, "No More Mr. Nice Guy");
	SET_CDtt( 7, 04.32, "Generation Landslide");
	SET_CDtt( 8, 04.18, "Sick Things");
	SET_CDtt( 9, 02.21, "Mary Ann");
	SET_CDtt(10, 05.08, "I Love the Dead");
	}
    if ( cdKey == EAGLES_ONTHEBORDER ) { /* 0:40:25-52 */
	tocPtr->discPerformer = "Eagles";
	tocPtr->discTitle = "On The Border";
	tocPtr->discCatNum = "007559010042300";
#     if !defined(SKIPSONGS_Eagles)
	SET_CDtt( 1, 04.15, "Already Gone");
	SET_CDtt( 2, 04.01, "You Never Cry Like A Lover");
	SET_CDtt( 3, 03.57, "Midnight Flyer");
	SET_CDtt( 4, 03.34, "My Man");
	SET_CDtt( 5, 04.25, "On The Border");
	SET_CDtt( 6, 03.38, "James Dean");
	SET_CDtt( 7, 04.22, "Ol' 55");
	SET_CDtt( 8, 03.15, "Is It True?");
	SET_CDtt( 9, 04.24, "Good Day In Hell");
	SET_CDtt(10, 04.32, "Best Of My Love");
#     endif
	}
    if ( cdKey == EAGLES_LONGRUN ) { /* 0:42:37-52 */
	tocPtr->discPerformer = "Eagles";
	tocPtr->discTitle = "The Long Run";
	tocPtr->discCatNum = "007559521812300";
#     if !defined(SKIPSONGS_Eagles)
	SET_CDtt( 1, 03.44, "The Long Run");
	SET_CDtt( 2, 04.56, "I Can't Tell You Why");
	SET_CDtt( 3, 03.45, "In The City");
	SET_CDtt( 4, 02.44, "The Disco Strangler");
	SET_CDtt( 5, 06.28, "King Of Hollywood");
	SET_CDtt( 6, 04.25, "Heartache Tonight");
	SET_CDtt( 7, 04.56, "Those Shoes");
	SET_CDtt( 8, 03.44, "Teenage Jail");
	SET_CDtt( 9, 02.21, "The Greeks Don't Want No Freaks");
	SET_CDtt(10, 05.32, "The Sad Caf");
#     endif
	}
    if ( cdKey == FIXX_REACHTHEBEACH ) { /* 0:41:16-52 */
	tocPtr->discPerformer = "The Fixx";
	tocPtr->discTitle = "Reach the Beach";
#     if !defined(SKIPSONGS_The_Fixx)
	SET_CDtt( 1, 03.19, "One Thing Leads to Another");
	SET_CDtt( 2, 03.51, "The Sign of Fire");
	SET_CDtt( 3, 04.26, "Running");
	SET_CDtt( 4, 03.39, "Saved By Zero");
	SET_CDtt( 5, 04.47, "Opinions");
	SET_CDtt( 6, 04.28, "Reach the Beach");
	SET_CDtt( 7, 03.25, "Changing");
	SET_CDtt( 8, 03.40, "Liner");
	SET_CDtt( 9, 04.17, "Privilege");
	SET_CDtt(10, 05.22, "Outside");
#     endif
	}
    if ( cdKey == FOREI_4_GOLD ) { /* 0:42:42-58 */
	tocPtr->discPerformer = "Foreigner";
	tocPtr->discTitle = "4  [Gold]";
#     if !defined(SKIPSONGS_Foreigner)
	SET_CDtt( 1, 03.50, "Night Life");
	SET_CDtt( 2, 04.20, "Juke Box Hero");
	SET_CDtt( 3, 04.13, "Break It Up");
	SET_CDtt( 4, 04.53, "Waiting for a Girl Like You");
	SET_CDtt( 5, 03.29, "Luanne");
	SET_CDtt( 6, 04.31, "Urgent");
	SET_CDtt( 7, 04.54, "I'm Gonna Win");
	SET_CDtt( 8, 04.46, "Woman in Black");
	SET_CDtt( 9, 03.53, "Girl on the Moon");
	SET_CDtt(10, 03.51, "Don't Let Go");
#     endif
	}
    if ( cdKey == GHARR_LIVEJAPAN_D1 ) { /* 0:42:23-12 */
	tocPtr->discPerformer = "George Harrison";
	tocPtr->discTitle = "Live In Japan  [disc 1]";
	tocPtr->discCatNum = "007599269642400";
#     if !defined(SKIPSONGS_George_Harrison)
	SET_CDtt( 1, 04.35, "I Want To Tell You");
	SET_CDtt( 2, 03.56, "Old Brown Shoe");
	SET_CDtt( 3, 04.20, "Taxman");
	SET_CDtt( 4, 03.39, "Give Me Love (Give Me Peace On Earth)");
	SET_CDtt( 5, 03.50, "If I Needed Someone");
	SET_CDtt( 6, 05.21, "Something");
	SET_CDtt( 7, 04.47, "What Is Life");
	SET_CDtt( 8, 04.16, "Dark Horse");
	SET_CDtt( 9, 03.02, "Piggies");
	SET_CDtt(10, 04.35, "Got My Mind Set On You");
#     endif
	}
    if ( cdKey == HEART_BADANIMALS ) { /* 0:40:49-25 */
	tocPtr->discPerformer = "Heart";
	tocPtr->discTitle = "Bad Animals";
#     if !defined(SKIPSONGS_Heart)
	SET_CDtt( 1, 04.06, "Who Will You Run To");
	SET_CDtt( 2, 03.39, "Alone");
	SET_CDtt( 3, 03.50, "There's The Girl");
	SET_CDtt( 4, 04.22, "I Want You So Bad");
	SET_CDtt( 5, 04.31, "Wait For An Answer");
	SET_CDtt( 6, 04.54, "Bad Animals");
	SET_CDtt( 7, 04.06, "You Ain't So Tough");
	SET_CDtt( 8, 03.41, "Strangers of the Heart");
	SET_CDtt( 9, 03.59, "Easy Target");
	SET_CDtt(10, 03.39, "RSVP");
#     endif
	}
    if ( cdKey == ICEHOU_PRIMITIVEMAN ) { /* 0:42:44-20 */
	tocPtr->discPerformer = "Icehouse";
	tocPtr->discTitle = "Primitive Man";
#     if !defined(SKIPSONGS_Icehouse)
	SET_CDtt( 1, 04.14, "Uniform");
	SET_CDtt( 2, 04.13, "Street Caf");
	SET_CDtt( 3, 04.26, "Hey Little Girl");
	SET_CDtt( 4, 03.24, "Glam");
	SET_CDtt( 5, 05.18, "Great Southern Land");
	SET_CDtt( 6, 05.04, "Trojan Blue");
	SET_CDtt( 7, 03.38, "Love In Motion");
	SET_CDtt( 8, 04.25, "Mysterious Thing");
	SET_CDtt( 9, 04.01, "One By One");
	SET_CDtt(10, 03.59, "Goodnight, Mr. Matthews");
#     endif
	}
    if ( cdKey == BJOEL_ANINNOCENTMAN ) { /* 0:40:26-00 */
	tocPtr->discPerformer = "Billy Joel";
	tocPtr->discTitle = "An Innocent Man";
#     if !defined(SKIPSONGS_Billy_Joel)
	SET_CDtt( 1, 04.05, "Easy Money");
	SET_CDtt( 2, 05.19, "An Innocent Man");
	SET_CDtt( 3, 03.37, "Uptown Girl");
	SET_CDtt( 4, 04.18, "This Night");
	SET_CDtt( 5, 03.52, "Tell Her About It");
	SET_CDtt( 6, 03.17, "The Longest Time");
	SET_CDtt( 7, 03.47, "Careless Talk");
	SET_CDtt( 8, 03.30, "Christie Lee");
	SET_CDtt( 9, 03.57, "Leave a Tender Moment Alone");
	SET_CDtt(10, 04.42, "Keeping the Faith");
#     endif
	}
    if ( cdKey == EJOHN_DONTSHOOT_MCA ) { /* 0:42:54-12 */
	tocPtr->discPerformer = "Elton John";
	tocPtr->discTitle = "Don't Shoot Me, I'm Only The Piano Player  [MCA]";
#     if !defined(SKIPSONGS_Elton_John)
	SET_CDtt( 1, 03.54, "Daniel");
	SET_CDtt( 2, 04.10, "Teacher I Need You");
	SET_CDtt( 3, 03.33, "Elderberry Wine");
	SET_CDtt( 4, 05.43, "Blues for My Baby and Me");
	SET_CDtt( 5, 03.54, "Midnight Creeper");
	SET_CDtt( 6, 05.58, "Have Mercy on the Criminal");
	SET_CDtt( 7, 03.56, "I'm Gonna Be a Teenage Idol");
	SET_CDtt( 8, 03.33, "Texan Love Song");
	SET_CDtt( 9, 03.58, "Crocodile Rock");
	SET_CDtt(10, 04.13, "High Flying Bird");
#     endif
	}
    if ( cdKey == EJOHN_DONTSHOOT_POLY ) { /* 0:42:53-00 */
	tocPtr->discPerformer = "Elton John";
	tocPtr->discTitle = "Don't Shoot Me, I'm Only The Piano Player  [Polydor]";
#     if !defined(SKIPSONGS_Elton_John)
	SET_CDtt( 1, 03.54, "Daniel");
	SET_CDtt( 2, 04.10, "Teacher I Need You");
	SET_CDtt( 3, 03.33, "Elderberry Wine");
	SET_CDtt( 4, 05.43, "Blues for My Baby and Me");
	SET_CDtt( 5, 03.53, "Midnight Creeper");
	SET_CDtt( 6, 05.59, "Have Mercy on the Criminal");
	SET_CDtt( 7, 03.55, "I'm Gonna Be a Teenage Idol");
	SET_CDtt( 8, 03.34, "Texan Love Song");
	SET_CDtt( 9, 03.58, "Crocodile Rock");
	SET_CDtt(10, 04.12, "High Flying Bird");
#     endif
	}
    if ( cdKey == EJOHN_GREATEST_BRIT ) { /* 0:42:43-65 */
	tocPtr->discPerformer = "Elton John";
	tocPtr->discTitle = "Greatest Hits  [british tracks]";
#     if !defined(SKIPSONGS_Elton_John)
	SET_CDtt( 1, 04.00, "Your Song");
	SET_CDtt( 2, 03.54, "Daniel");
	SET_CDtt( 3, 05.13, "Honky Cat");
	SET_CDtt( 4, 03.15, "Goodbye Yellow Brick Road");
	SET_CDtt( 5, 04.53, "Saturday Night's Alright for Fighting");
	SET_CDtt( 6, 04.42, "Rocket Man");
	SET_CDtt( 7, 03.49, "Candle in the Wind");
	SET_CDtt( 8, 05.37, "Don't Let the Sun Go Down on Me");
	SET_CDtt( 9, 03.23, "Border Song");
	SET_CDtt(10, 03.55, "Crocodile Rock");
#     endif
	}
    if ( cdKey == SNICKS_BELLADONNA ) { /* 0:42:03-20 */
	tocPtr->discPerformer = "Stevie Nicks";
	tocPtr->discTitle = "Bella Donna";
	tocPtr->discCatNum = "007567901012400";
	SET_CDtt( 1, 05.22, "Bella Donna");
	SET_CDtt( 2, 03.12, "Kind Of Woman");
	SET_CDtt( 3, 04.04, "Stop Draggin' My Heart Around");
	SET_CDtt( 4, 03.36, "Think About It");
	SET_CDtt( 5, 03.32, "After The Glitter Fades");
	SET_CDtt( 6, 05.28, "Edge Of Seventeen");
	SET_CDtt( 7, 03.54, "How Still My Love");
	SET_CDtt( 8, 03.45, "Leather And Lace");
	SET_CDtt( 9, 04.19, "Outside The Rain");
	SET_CDtt(10, 04.49, "The Highwayman");
	}
    if ( cdKey == ORCHMAN_PACIFICAGE ) { /* 0:40:20-25 */
	tocPtr->discPerformer = "Orchestral Manoeuvres in the Dark";
	tocPtr->discTitle = "The Pacific Age";
#     if !defined(SKIPSONGS_Orchestral_Manoeuvres_in_the_Dark)
	SET_CDtt( 1, 04.22, "Stay (The Black Rose and the Universal Wheel)");
	SET_CDtt( 2, 03.38, "(Forever) Live and Die");
	SET_CDtt( 3, 03.59, "The Pacific Age");
	SET_CDtt( 4, 04.49, "The Dead Girls");
	SET_CDtt( 5, 04.15, "Shame");
	SET_CDtt( 6, 03.42, "Southern");
	SET_CDtt( 7, 02.41, "Flame of Home");
	SET_CDtt( 8, 04.30, "Goddess of Love");
	SET_CDtt( 9, 04.10, "We Love You");
	SET_CDtt(10, 04.12, "Watch Us Fall");
#     endif
	}
    if ( cdKey == TPHEART_HARDPROM_MCA ) { /* 0:40:09-37 */
	tocPtr->discPerformer = "Tom Petty and the HeartBreakers";
	tocPtr->discTitle = "Hard Promises  [MCA]";
#     if !defined(SKIPSONGS_Tom_Petty)
	SET_CDtt( 1, 03.56, "The Waiting");
	SET_CDtt( 2, 04.23, "A Woman in Love (It's Not Me)");
	SET_CDtt( 3, 04.01, "Nightwatchman");
	SET_CDtt( 4, 04.43, "Something Big");
	SET_CDtt( 5, 03.24, "Kings Road");
	SET_CDtt( 6, 03.25, "Letting You Go");
	SET_CDtt( 7, 03.33, "A Thing About You");
	SET_CDtt( 8, 04.24, "Insider");
	SET_CDtt( 9, 04.00, "The Criminal Kind");
	SET_CDtt(10, 04.18, "You Can Still Change Your Mind");
#     endif
	}
    if ( cdKey == TPHEART_HARDPROM_UD ) { /* 0:40:21-00 */
	tocPtr->discPerformer = "Tom Petty and the HeartBreakers";
	tocPtr->discTitle = "Hard Promises  [UltraDisc]";
#     if !defined(SKIPSONGS_Tom_Petty)
	SET_CDtt( 1, 04.01, "The Waiting");
	SET_CDtt( 2, 04.23, "A Woman in Love (It's Not Me)");
	SET_CDtt( 3, 04.03, "Nightwatchman");
	SET_CDtt( 4, 04.47, "Something Big");
	SET_CDtt( 5, 03.26, "Kings Road");
	SET_CDtt( 6, 03.25, "Letting You Go");
	SET_CDtt( 7, 03.33, "A Thing About You");
	SET_CDtt( 8, 04.23, "Insider");
	SET_CDtt( 9, 04.01, "The Criminal Kind");
	SET_CDtt(10, 04.17, "You Can Still Change Your Mind");
#     endif
	}
    if ( cdKey == PINKF_OBSCURED ) { /* 0:40:26-27 */
	tocPtr->discPerformer = "Pink Floyd";
	tocPtr->discTitle = "Obscured By Clouds  (music from The Valley)";
#     if !defined(SKIPSONGS_Pink_Floyd)
	SET_CDtt( 1, 03.05, "Obscured By Clouds");
	SET_CDtt( 2, 02.30, "When You're In");
	SET_CDtt( 3, 03.30, "Burning Bridges");
	SET_CDtt( 4, 03.07, "The Gold It's In The...");
	SET_CDtt( 5, 05.08, "Wots... Uh The Deal");
	SET_CDtt( 6, 04.20, "Mudmen");
	SET_CDtt( 7, 04.32, "Childhood's End");
	SET_CDtt( 8, 04.15, "Free Four");
	SET_CDtt( 9, 04.05, "Stay");
	SET_CDtt(10, 05.52, "Absolutely Curtains");
#     endif
	}
    if ( cdKey == PINKF_OBSCURED_REM ) { /* 0:40:33-42 */
	tocPtr->discPerformer = "Pink Floyd";
	tocPtr->discTitle = "Obscured By Clouds  (music from The Valley)  [remastered]";
	tocPtr->discCatNum = "072438356092900";
#     if !defined(SKIPSONGS_Pink_Floyd)
	SET_CDtt( 1, 03.05, "Obscured By Clouds");
	SET_CDtt( 2, 02.31, "When You're In");
	SET_CDtt( 3, 03.30, "Burning Bridges");
	SET_CDtt( 4, 03.08, "The Gold It's In The...");
	SET_CDtt( 5, 05.10, "Wots... Uh The Deal");
	SET_CDtt( 6, 04.18, "Mudmen");
	SET_CDtt( 7, 04.33, "Childhood's End");
	SET_CDtt( 8, 04.17, "Free Four");
	SET_CDtt( 9, 04.08, "Stay");
	SET_CDtt(10, 05.51, "Absolutely Curtains");
#     endif
	}
    if ( cdKey == PINKF_DSOTM_UD ) { /* 0:42:58-20 */
	tocPtr->discPerformer = "Pink Floyd";
	tocPtr->discTitle = "Dark Side of the Moon  [UltraDisc]";
#     if !defined(SKIPSONGS_Pink_Floyd)
	SET_CDtt( 1, 01.10, "Speak to Me");
	SET_CDtt( 2, 02.46, "Breathe in the Air");
	SET_CDtt( 3, 03.34, "On the Run");
	SET_CDtt( 4, 07.05, "Time");
	SET_CDtt( 5, 04.48, "The Great Gig in the Sky");
	SET_CDtt( 6, 06.23, "Money");
	SET_CDtt( 7, 07.50, "Us and Them");
	SET_CDtt( 8, 03.25, "Any Colour You Like");
	SET_CDtt( 9, 03.50, "Brain Damage");
	SET_CDtt(10, 02.05, "Eclipse");
#     endif
	}
    if ( cdKey == PINKF_DSOTM_SO ) { /* 0:42:57-00 */
	tocPtr->discPerformer = "Pink Floyd";
	tocPtr->discTitle = "Dark Side of the Moon  [Shine On box]";
#     if !defined(SKIPSONGS_Pink_Floyd)
	SET_CDtt( 1, 01.13, "Speak to Me");
	SET_CDtt( 2, 02.46, "Breathe in the Air");
	SET_CDtt( 3, 03.35, "On the Run");
	SET_CDtt( 4, 07.05, "Time");
	SET_CDtt( 5, 04.44, "The Great Gig in the Sky");
	SET_CDtt( 6, 06.32, "Money");
	SET_CDtt( 7, 07.41, "Us and Them");
	SET_CDtt( 8, 03.25, "Any Colour You Like");
	SET_CDtt( 9, 03.51, "Brain Damage");
	SET_CDtt(10, 02.03, "Eclipse");
#     endif
	}
    if ( cdKey == PINKF_WORKS ) { /* 0:42:01-55 */
	tocPtr->discPerformer = "Pink Floyd";
	tocPtr->discTitle = "Works";
#     if !defined(SKIPSONGS_Pink_Floyd)
	SET_CDtt( 1, 06.01, "One of These Days");
	SET_CDtt( 2, 02.53, "Arnold Layne");
	SET_CDtt( 3, 05.34, "Fearless (interpolating You'll Never Walk Alone)");
	SET_CDtt( 4, 05.19, "Brain Damage");
	SET_CDtt( 5, 00.34, "Eclipse");
	SET_CDtt( 6, 05.22, "Set The Controls For The Heart of The Sun");
	SET_CDtt( 7, 02.50, "See Emily Play");
	SET_CDtt( 8, 04.37, "Several Species of Small Furry Animals Gathered Together in a Cave and Grooving with a Pict");
	SET_CDtt( 9, 04.08, "Free Four (music from the film, The Valley)");
	SET_CDtt(10, 04.41, "Embryo");
#     endif
	}
    if ( cdKey == BSPRING_NEBRASKA ) { /* 0:40:26-57 */
	tocPtr->discPerformer = "Bruce Springsteen";
	tocPtr->discTitle = "Nebraska";
#     if !defined(SKIPSONGS_Bruce_Springsteen)
	SET_CDtt( 1, 04.25, "Nebraska");
	SET_CDtt( 2, 03.50, "Atlantic City");
	SET_CDtt( 3, 04.01, "Mansion on the Hill");
	SET_CDtt( 4, 03.41, "Johnny 99");
	SET_CDtt( 5, 05.40, "Highway Patrolman");
	SET_CDtt( 6, 03.10, "State Trooper");
	SET_CDtt( 7, 03.04, "Used Cars");
	SET_CDtt( 8, 02.52, "Open All Night");
	SET_CDtt( 9, 05.36, "My Father's House");
	SET_CDtt(10, 04.05, "Reason to Believe");
#     endif
	}
    if ( cdKey == U2_BOY ) { /* 0:42:17-52 */
	tocPtr->discPerformer = "U2";
	tocPtr->discTitle = "Boy";
	tocPtr->discCatNum = "007567900402400";
#     if !defined(SKIPSONGS_U2)
	SET_CDtt( 1, 03.37, "I Will Follow");
	SET_CDtt( 2, 04.23, "Twilight");
	SET_CDtt( 3, 08.14, "An Cat Dubh/ Into the Heart");
	SET_CDtt( 4, 04.14, "Out of Control");
	SET_CDtt( 5, 03.03, "Stories for Boys");
	SET_CDtt( 6, 01.35, "The Ocean");
	SET_CDtt( 7, 03.13, "A Day Without Me");
	SET_CDtt( 8, 04.34, "Another Time, Another Place");
	SET_CDtt( 9, 04.47, "The Electric Company");
	SET_CDtt(10, 04.35, "Shadows and Tall Trees");
#     endif
	}
    if ( cdKey == U2_WAR ) { /* 0:42:19-02 */
	tocPtr->discPerformer = "U2";
	tocPtr->discTitle = "War";
	tocPtr->discCatNum = "007567900672100";
#     if !defined(SKIPSONGS_U2)
	SET_CDtt( 1, 04.37, "Sunday Bloody Sunday");
	SET_CDtt( 2, 03.13, "Seconds");
	SET_CDtt( 3, 05.39, "New Year's Day");
	SET_CDtt( 4, 04.49, "Like a Song...");
	SET_CDtt( 5, 04.16, "Drowning Man");
	SET_CDtt( 6, 03.41, "The Refugee");
	SET_CDtt( 7, 04.04, "Two Hearts Beat As One");
	SET_CDtt( 8, 03.46, "Red Light");
	SET_CDtt( 9, 05.34, "Surrender");
	SET_CDtt(10, 02.38, "40");
#     endif
	}
    if ( cdKey == U2_WAR_UD2 ) { /* 0:42:45-12 */
	tocPtr->discPerformer = "U2";
	tocPtr->discTitle = "War  [UltraDisc II]";
#     if !defined(SKIPSONGS_U2)
	SET_CDtt( 1, 04.40, "Sunday Bloody Sunday");
	SET_CDtt( 2, 03.23, "Seconds");
	SET_CDtt( 3, 05.37, "New Year's Day");
	SET_CDtt( 4, 05.00, "Like a Song...");
	SET_CDtt( 5, 04.15, "Drowning Man");
	SET_CDtt( 6, 03.41, "The Refugee");
	SET_CDtt( 7, 04.03, "Two Hearts Beat As One");
	SET_CDtt( 8, 03.48, "Red Light");
	SET_CDtt( 9, 05.38, "Surrender");
	SET_CDtt(10, 02.38, "40");
#     endif
	}
    if ( cdKey == U2_UNFORGETTABLEFIRE ) { /* 0:42:48-17 */
	tocPtr->discPerformer = "U2";
	tocPtr->discTitle = "The Unforgettable Fire";
	tocPtr->discCatNum = "007567902312400";
#     if !defined(SKIPSONGS_U2)
	SET_CDtt( 1, 05.29, "A Sort of Homecoming");
	SET_CDtt( 2, 03.50, "Pride");
	SET_CDtt( 3, 04.19, "Wire");
	SET_CDtt( 4, 04.55, "The Unforgettable Fire");
	SET_CDtt( 5, 02.34, "Promenade");
	SET_CDtt( 6, 02.15, "4th Of July");
	SET_CDtt( 7, 06.08, "Bad");
	SET_CDtt( 8, 04.19, "Indian Summer Sky");
	SET_CDtt( 9, 06.23, "Elvis Presley and America");
	SET_CDtt(10, 02.34, "MLK");
#     endif
	}
    if ( cdKey == WOVOO_CALLWEST ) { /* 0:41:00-05 */
	tocPtr->discPerformer = "Wall of Voodoo";
	tocPtr->discTitle = "Call of the West";
	SET_CDtt( 1, 03.04, "Tomorrow");
	SET_CDtt( 2, 05.00, "Lost Weekend");
	SET_CDtt( 3, 05.33, "Factory");
	SET_CDtt( 4, 03.19, "Look at Their Way");
	SET_CDtt( 5, 03.54, "Hands of Love");
	SET_CDtt( 6, 04.11, "Mexican Radio");
	SET_CDtt( 7, 02.41, "Spy World");
	SET_CDtt( 8, 04.32, "They Don't Want Me");
	SET_CDtt( 9, 02.45, "On Interstate 15");
	SET_CDtt(10, 05.59, "Call of the West");
	}
    if ( cdKey == NYOUNG_LANDINGWATER ) { /* 0:40:06-43 */
	tocPtr->discPerformer = "Neil Young";
	tocPtr->discTitle = "Landing on Water";
	tocPtr->discCatNum = "007599241092200";
#     if !defined(SKIPSONGS_Neil_Young)
	SET_CDtt( 1, 03.42, "Weight of the World");
	SET_CDtt( 2, 04.23, "Violent Side");
	SET_CDtt( 3, 04.15, "Hippie Dream");
	SET_CDtt( 4, 03.18, "Bad News Beat");
	SET_CDtt( 5, 04.31, "Touch the Night");
	SET_CDtt( 6, 04.34, "People on the Street");
	SET_CDtt( 7, 04.10, "Hard Luck Stories");
	SET_CDtt( 8, 03.19, "I Got a Problem");
	SET_CDtt( 9, 02.47, "Pressure");
	SET_CDtt(10, 05.05, "Drifter");
#     endif
	}
}
