#import <sys/types.h>
#import <stddef.h>
#import "CD_DBaseSubs.h"

    /* This subroutine has information for CD's with 10 tracks, and
     * which have 50 or more minutes of music on them.
     */

#define BENATAR_WIDEAWAKE     1093561622 /* key parts = 3037.50.10.272 298 */
#define SPINDOC_KRYPT         1097075228 /* key parts = 3047.32.10.278 763 */
#define PCM_RHYTHMNBYTES      1099071938 /* key parts = 3052.73.10.338 292 */
#define MOODY_SERLAMER        1105369598 /* key parts = 3070.35.10.398 411 */
#define PINKF_MLOR_SO         1106560013 /* key parts = 3073.58.10.263 527 */
#define PINKF_MLOR            1107707214 /* key parts = 3076.72.10.264 528 */
#define PNAMKSCH_DARKMOOG1    1109185502 /* key parts = 3081.05.10.302 377 */
#define U2_ZOOROPA            1109363192 /* key parts = 3081.42.10.392 341 */
#define NYOUNG_HARVESTMOON    1123187223 /* key parts = 3119.72.10.273 623 */
#define EJOHN_GREATESTV2_POLY 1125265568 /* key parts = 3125.55.10.218 310 */
#define TTIKARAM_LOVERSINCITY 1126273586 /* key parts = 3128.40.10.236 425 */
#define BDYLAN_REALLIVE       1131707112 /* key parts = 3143.47.10.312 275 */
#define DHENLEY_ENDOFINNOC    1153705518 /* key parts = 3204.55.10.318 322 */
#define EJOHN_HERENTHERE_POLY 1181977539 /* key parts = 3283.20.10.39 356 */
#define LON_YES_SYMPH         1188903970 /* key parts = 3302.38.10.370 436 */
#define COWBJ_200MOREMILES_D2 1197145582 /* key parts = 3325.30.10.232 259 */
#define TDREAM_TANGENTS_D5    1211848034 /* key parts = 3366.18.10.284 338 */
#define PMERGEN_LETTHEREBE    1231864031 /* key parts = 3421.63.10.281 475 */
#define VAR_T_SAUCERFULP_D2   1251169505 /* key parts = 3475.35.10.455 408 */
#define MOLDFIELD_VOYAGER     1264681622 /* key parts = 3513.00.10.272 739 */
#define CAMEL_NEVERLETGO_D1   1283665642 /* key parts = 3565.55.10.442 253 */
#define PORCUP_SKYMOVES       1293577629 /* key parts = 3593.20.10.279 283 */
#define SJOLLIFFE_ZANZI       1317726342 /* key parts = 3660.26.10.342 334 */
#define NYOUNG_RAGGEDGLORY    1355137625 /* key parts = 3764.20.10.425 311 */
#define VAR_AURAL_V2          1362683170 /* key parts = 3785.17.10.370 219 */
#define ARTON_BESTOF          1377083222 /* key parts = 3825.17.10.122 149 */
#define PWARD_FEAROFMAKEBLV   1378331224 /* key parts = 3828.52.10.574 311 */
#define TDREAM_TANGENTS_D1    1398875112 /* key parts = 3885.57.10.462 217 */
#define TDREAM_DREAMMIXES     1453561636 /* key parts = 4037.50.10.436 332 */
#define JBONHAM_INTHENAMEOF   1534873633 /* key parts = 4263.40.10.433 1163 */
#define LEDZEP_BOX1_D3        1552235163 /* key parts = 4311.57.10.513 665 */
#define VAR_T_USNTHEM         1559319943 /* key parts = 4331.33.10.493 642 */
#define PINKF_ABSENCE_BD8     1627715112 /* key parts = 4521.32.10.312 459 */


void filltoc10_50(tocPtr, cdKey)
struct cd_toc *tocPtr;
u_int cdKey;
{

    if ( cdKey == ARTON_BESTOF ) { /* 1:03:45-17 */
	tocPtr->discPerformer = "Art of Noise";
	tocPtr->discTitle = "The Best of the Art of Noise";
#     if !defined(SKIPSONGS_Art_of_Noise)
	SET_CDtt( 1, 02.02, "Opus 4");
	SET_CDtt( 2, 08.31, "Beat Box (Diversion One)");
	SET_CDtt( 3, 06.59, "Moments in Love");
	SET_CDtt( 4, 05.39, "Close (To the Edit)");
	SET_CDtt( 5, 07.30, "Peter Gunn Theme  [the twang mix] [featuring Duane Eddy]");
	SET_CDtt( 6, 06.43, "Paranoimia  [featuring Max Headroom]");
	SET_CDtt( 7, 08.21, "Legacy");
	SET_CDtt( 8, 07.17, "Dragnet '88");
	SET_CDtt( 9, 08.12, "Kiss  [Aon mix] [featuring Tom Jones]");
	SET_CDtt(10, 02.29, "Something Always Happens");
#     endif
	}
    if ( cdKey == BENATAR_WIDEAWAKE ) { /* 0:50:37-50 */
	tocPtr->discPerformer = "Pat Benatar";
	tocPtr->discTitle = "Wide Awake in Dreamland";
#     if !defined(SKIPSONGS_Pat_Benatar)
	SET_CDtt( 1, 04.32, "All Fired Up");
	SET_CDtt( 2, 05.14, "One Love");
	SET_CDtt( 3, 04.58, "Let's Stay Together");
	SET_CDtt( 4, 04.41, "Don't Walk Away");
	SET_CDtt( 5, 06.42, "Too Long A Soldier");
	SET_CDtt( 6, 05.30, "Cool Zero");
	SET_CDtt( 7, 04.47, "Cerebral Man");
	SET_CDtt( 8, 05.00, "Lift 'em On Up");
	SET_CDtt( 9, 04.13, "Suffer The Little Children");
	SET_CDtt(10, 04.58, "Wide Awake in Dreamland");
#     endif
	}
    if ( cdKey == JBONHAM_INTHENAMEOF ) { /* 1:11:03-40 */
	tocPtr->discPerformer = "The Jason Bonham Band";
	tocPtr->discTitle = "In The Name of My Father: The Zepset";
	SET_CDtt( 1, 07.13, "In The Evening");
	SET_CDtt( 2, 05.36, "Ramble On");
	SET_CDtt( 3, 05.46, "The Song Remains the Same");
	SET_CDtt( 4, 05.15, "What Is and What Should Never Be");
	SET_CDtt( 5, 04.48, "The Ocean");
	SET_CDtt( 6, 07.53, "Since I've Been Loving You");
	SET_CDtt( 7, 04.58, "Communication Breakdown");
	SET_CDtt( 8, 07.43, "Ten Years Gone");
	SET_CDtt( 9, 02.26, "The Rain Song");
	SET_CDtt(10, 19.23, "Whole Lotta Love (Encore Medley)");
	}
    if ( cdKey == CAMEL_NEVERLETGO_D1 ) { /* 0:59:25-55 */
	tocPtr->discPerformer = "Camel";
	tocPtr->discTitle = "Never Let Go  [disc 1]";
#     if !defined(SKIPSONGS_Camel)
	SET_CDtt( 1, 07.22, "Never Let Go");
	SET_CDtt( 2, 08.02, "Earthrise");
	SET_CDtt( 3, 02.24, "Rhayader");
	SET_CDtt( 4, 05.14, "Rhayader Goes to Town");
	SET_CDtt( 5, 03.03, "Spirit of the Water");
	SET_CDtt( 6, 05.45, "Unevensong");
	SET_CDtt( 7, 07.48, "Echoes");
	SET_CDtt( 8, 10.21, "Ice");
	SET_CDtt( 9, 05.11, "City Life");
	SET_CDtt(10, 04.13, "Drafted");
#     endif
	}
    if ( cdKey == COWBJ_200MOREMILES_D2 ) { /* 0:55:25-30 */
	tocPtr->discPerformer = "Cowboy Junkies";
	tocPtr->discTitle = "200 More Miles: Live Performances 1985-1994  [disc 2]";
	SET_CDtt( 1, 03.52, "Sweet Jane");
	SET_CDtt( 2, 03.58, "If You Were the Woman, and I Was the Man");
	SET_CDtt( 3, 04.37, "Pale Sun");
	SET_CDtt( 4, 04.07, "Hunted");
	SET_CDtt( 5, 06.35, "Lost My Driving Wheel");
	SET_CDtt( 6, 07.16, "Forgive Me");
	SET_CDtt( 7, 05.08, "Misguided Angel");
	SET_CDtt( 8, 05.53, "I'm So Lonesome I Could Cry");
	SET_CDtt( 9, 09.38, "Walking After Midnight");
	SET_CDtt(10, 04.19, "Now Junior, Behave Yourself");
	}
    if ( cdKey == BDYLAN_REALLIVE ) { /* 0:52:23-47 */
	tocPtr->discPerformer = "Bob Dylan";
	tocPtr->discTitle = "Real Live";
#     if !defined(SKIPSONGS_Bob_Dylan)
	SET_CDtt( 1, 05.12, "Highway 61 Revisited");
	SET_CDtt( 2, 04.53, "Maggie's Farm");
	SET_CDtt( 3, 06.04, "I and I");
	SET_CDtt( 4, 03.47, "License To Kill");
	SET_CDtt( 5, 05.27, "It Ain't Me, Babe");
	SET_CDtt( 6, 07.03, "Tangled Up In Blue");
	SET_CDtt( 7, 06.34, "Masters Of War");
	SET_CDtt( 8, 04.18, "Ballad of a Thin Man");
	SET_CDtt( 9, 04.28, "Girl From The North Country");
	SET_CDtt(10, 04.35, "Tombstone Blues");
#     endif
	}
    if ( cdKey == DHENLEY_ENDOFINNOC ) { /* 0:53:24-55 */
	tocPtr->discPerformer = "Don Henley";
	tocPtr->discTitle = "The End of the Innocence";
#     if !defined(SKIPSONGS_Don_Henley)
	SET_CDtt( 1, 05.18, "The End of the Innocence");
	SET_CDtt( 2, 03.48, "How Bad Do You Want It?");
	SET_CDtt( 3, 05.43, "I Will Not Go Quietly");
	SET_CDtt( 4, 06.05, "The Last Worthless Evening");
	SET_CDtt( 5, 06.36, "New York Minute");
	SET_CDtt( 6, 04.57, "Shangri-La");
	SET_CDtt( 7, 04.44, "Little Tin God");
	SET_CDtt( 8, 06.14, "Gimme What You Got");
	SET_CDtt( 9, 04.35, "If Dirt Were Dollars");
	SET_CDtt(10, 05.22, "The Heart of the Matter");
#     endif
	}
    if ( cdKey == EJOHN_HERENTHERE_POLY ) { /* 0:54:43-20 */
	tocPtr->discPerformer = "Elton John";
	tocPtr->discTitle = "Here and There  [Polydor]";
#     if !defined(SKIPSONGS_Elton_John)
	SET_CDtt( 1, 00.39, "[Introduction]");
	SET_CDtt( 2, 04.05, "Skyline Pigeon");
	SET_CDtt( 3, 03.25, "Border Song");
	SET_CDtt( 4, 07.34, "Honky Cat");
	SET_CDtt( 5, 05.43, "Love Song");
	SET_CDtt( 6, 04.07, "Crocodile Rock");
	SET_CDtt( 7, 11.49, "Funeral for a Friend/ Love Lies Bleeing");
	SET_CDtt( 8, 05.04, "Rocket Man");
	SET_CDtt( 9, 06.19, "Bennie and the Jets");
	SET_CDtt(10, 05.56, "Take Me To the Pilot");
#     endif
	}
    if ( cdKey == EJOHN_GREATESTV2_POLY ) { /* 0:52:05-55 */
	tocPtr->discPerformer = "Elton John";
	tocPtr->discTitle = "Greatest Hits, Volume II  [Polydor]";
#     if !defined(SKIPSONGS_Elton_John)
	SET_CDtt( 1, 03.38, "The Bitch is Back");
	SET_CDtt( 2, 05.57, "Lucy in the Sky with Diamonds");
	SET_CDtt( 3, 06.16, "Tiny Dancer");
	SET_CDtt( 4, 05.29, "I Feel Like a Bullet (In the Gun of Robert Ford)");
	SET_CDtt( 5, 06.45, "Someone Saved My Life Tonight");
	SET_CDtt( 6, 05.24, "Philidephia Freedom");
	SET_CDtt( 7, 03.43, "Island Girl");
	SET_CDtt( 8, 04.19, "Grow Some Funk Of Your Own");
	SET_CDtt( 9, 05.22, "Levon");
	SET_CDtt(10, 05.10, "Pinball Wizard");
#     endif
	}
    if ( cdKey == SJOLLIFFE_ZANZI ) { /* 1:01:00-26 */
	tocPtr->discPerformer = "Steve Jolliffe";
	tocPtr->discTitle = "Zanzi";
	SET_CDtt( 1, 05.42, "I");
	SET_CDtt( 2, 05.59, "II");
	SET_CDtt( 3, 05.42, "III");
	SET_CDtt( 4, 06.40, "IV");
	SET_CDtt( 5, 05.53, "V");
	SET_CDtt( 6, 04.41, "VI");
	SET_CDtt( 7, 06.18, "VII");
	SET_CDtt( 8, 06.39, "VIII");
	SET_CDtt( 9, 07.50, "IV");
	SET_CDtt(10, 05.34, "X");
	}
    if ( cdKey == LEDZEP_BOX1_D3 ) { /* 1:11:51-57 */
	tocPtr->discPerformer = "Led Zeppelin";
	tocPtr->discTitle = "Led Zeppelin [disc 3]";
	tocPtr->discCatNum = "007567821442400";
#     if !defined(SKIPSONGS_Led_Zeppelin)
	SET_CDtt( 1, 08.33, "Kashmir");
	SET_CDtt( 2, 05.35, "Trampled Under Foot");
	SET_CDtt( 3, 06.21, "For Your Life");
	SET_CDtt( 4, 07.01, "No Quarter");
	SET_CDtt( 5, 03.43, "Dancing Days");
	SET_CDtt( 6, 07.07, "When The Levee Breaks");
	SET_CDtt( 7, 10.23, "Achilles Last Stand");
	SET_CDtt( 8, 05.29, "The Song Remains The Same");
	SET_CDtt( 9, 06.32, "Ten Years Gone");
	SET_CDtt(10, 11.05, "In My Time of Dying");
#     endif
	}
    if ( cdKey == LON_YES_SYMPH ) { /* 0:55:02-38 */
	tocPtr->discPerformer = "London Symphony Orchestra";
	tocPtr->discTitle = "Symphonic Music of Yes";
#     if !defined(SKIPSONGS_Yes)
	SET_CDtt( 1, 06.10, "Roundabout");
	SET_CDtt( 2, 07.40, "Close to the Edge");
	SET_CDtt( 3, 03.54, "Wonderous Stories");
	SET_CDtt( 4, 03.50, "I've Seen All Good People");
	SET_CDtt( 5, 03.02, "Mood for a Day");
	SET_CDtt( 6, 04.44, "Owner of a Lonely Heart");
	SET_CDtt( 7, 04.17, "Survival");
	SET_CDtt( 8, 07.50, "Heart of the Sunrise");
	SET_CDtt( 9, 06.17, "Soon");
	SET_CDtt(10, 07.16, "Starship Trooper");
#     endif
	}
    if ( cdKey == PMERGEN_LETTHEREBE ) { /* 0:57:01-63 */
	tocPtr->discPerformer = "Peter Mergener";
	tocPtr->discTitle = "Let There Be More Light";
#     if !defined(SKIPSONGS_Peter_Mergener)
	SET_CDtt( 1, 04.41, "Animal's Voices");
	SET_CDtt( 2, 07.40, "Lion's Dance");
	SET_CDtt( 3, 08.44, "The Moon and the Elephant");
	SET_CDtt( 4, 04.47, "Whirling Waters");
	SET_CDtt( 5, 05.41, "Rainforest");
	SET_CDtt( 6, 07.12, "Wildlife");
	SET_CDtt( 7, 04.17, "The Last Days of Creation");
	SET_CDtt( 8, 02.40, "Sinking Ship");
	SET_CDtt( 9, 03.22, "Let There Be More Light: Part I");
	SET_CDtt(10, 07.55, "Let There Be More Light: Part II");
#     endif
	}
    if ( cdKey == MOODY_SERLAMER ) { /* 0:51:10-35 */
	tocPtr->discPerformer = "Moody Blues";
	tocPtr->discTitle = "Sur La Mer";
#     if !defined(SKIPSONGS_Moody_Blues)
	SET_CDtt( 1, 06.38, "I Know You're Out There Somewhere");
	SET_CDtt( 2, 04.49, "Want To Be With You");
	SET_CDtt( 3, 04.46, "River Of Endless Love");
	SET_CDtt( 4, 05.15, "No More Lies");
	SET_CDtt( 5, 04.16, "Here Comes the Weekend");
	SET_CDtt( 6, 03.38, "Vintage Wine");
	SET_CDtt( 7, 04.55, "Breaking Point");
	SET_CDtt( 8, 04.58, "Miracle");
	SET_CDtt( 9, 05.02, "Love Is On The Run");
	SET_CDtt(10, 06.51, "Deep");
#     endif
	}
    if ( cdKey == PNAMKSCH_DARKMOOG1 ) { /* 0:51:21-05 */
	tocPtr->discPerformer = "Pete Namlook & Klaus Schulze";
	tocPtr->discTitle = "Dark Side of the Moog";
	SET_CDtt( 1, 05.02, "Wish You Were There: Part 1");
	SET_CDtt( 2, 05.00, "Wish You Were There: Part 2");
	SET_CDtt( 3, 05.00, "Wish You Were There: Part 3");
	SET_CDtt( 4, 05.00, "Wish You Were There: Part 4");
	SET_CDtt( 5, 05.00, "Wish You Were There: Part 5");
	SET_CDtt( 6, 05.00, "Wish You Were There: Part 6");
	SET_CDtt( 7, 05.00, "Wish You Were There: Part 7");
	SET_CDtt( 8, 05.00, "Wish You Were There: Part 8");
	SET_CDtt( 9, 05.00, "Wish You Were There: Part 9");
	SET_CDtt(10, 06.17, "Wish You Were There: Part 10");
	}
    if ( cdKey == MOLDFIELD_VOYAGER ) { /* 0:58:33-00 */
	tocPtr->discPerformer = "Mike Oldfield";
	tocPtr->discTitle = "Voyager";
	tocPtr->discCatNum = "063015896020000";
#     if !defined(SKIPSONGS_Mike_Oldfield)
	SET_CDtt( 1, 04.32, "The Song of the Sun");
	SET_CDtt( 2, 04.42, "Celtic Rain");
	SET_CDtt( 3, 05.04, "The Hero");
	SET_CDtt( 4, 06.29, "Women of Ireland");
	SET_CDtt( 5, 04.27, "The Voyager");
	SET_CDtt( 6, 04.06, "She Moves Through the Fair");
	SET_CDtt( 7, 05.44, "Dark Island");
	SET_CDtt( 8, 05.05, "Wild Goose Flaps It's Wings");
	SET_CDtt( 9, 06.03, "Flowers of the Forest");
	SET_CDtt(10, 12.19, "Mont St Michel");
#     endif
	}
    if ( cdKey == PCM_RHYTHMNBYTES ) { /* 0:50:52-73 */
	tocPtr->discPerformer = "P.C.M.";
	tocPtr->discTitle = "Rhythm and Bytes";
#     if !defined(SKIPSONGS_Peter_Mergener)
	SET_CDtt( 1, 05.38, "Computermusic Part I");
	SET_CDtt( 2, 05.21, "Computermusic Part II");
	SET_CDtt( 3, 05.49, "Miditime");
	SET_CDtt( 4, 04.40, "Happy Computer");
	SET_CDtt( 5, 09.06, "Datastream SRC-2");
	SET_CDtt( 6, 04.06, "Bits and Bytes");
	SET_CDtt( 7, 03.35, "High Voltage");
	SET_CDtt( 8, 04.37, "Puls Code Modulation 1630");
	SET_CDtt( 9, 03.06, "Data Dump");
	SET_CDtt(10, 04.52, "Rhythm and Bytes");
#     endif
	}
    if ( cdKey == PINKF_MLOR ) { /* 0:51:16-72 */
	tocPtr->discPerformer = "Pink Floyd";
	tocPtr->discTitle = "A Momentary Lapse of Reason";
#     if !defined(SKIPSONGS_Pink_Floyd)
	SET_CDtt( 1, 04.24, "Signs of Life");
	SET_CDtt( 2, 04.54, "Learning to Fly");
	SET_CDtt( 3, 06.10, "The Dogs of War");
	SET_CDtt( 4, 05.05, "One Slip");
	SET_CDtt( 5, 05.42, "On The Turning Away");
	SET_CDtt( 6, 07.28, "Yet Another Movie/ Round and Round");
	SET_CDtt( 7, 01.47, "A New Machine - Part 1");
	SET_CDtt( 8, 06.17, "Terminal Frost");
	SET_CDtt( 9, 00.39, "A New Machine - Part 2");
	SET_CDtt(10, 08.48, "Sorrow");
#     endif
	}
    if ( cdKey == PINKF_MLOR_SO ) { /* 0:51:13-58 */
	tocPtr->discPerformer = "Pink Floyd";
	tocPtr->discTitle = "A Momentary Lapse of Reason  [Shine On box]";
#     if !defined(SKIPSONGS_Pink_Floyd)
	SET_CDtt( 1, 04.23, "Signs of Life");
	SET_CDtt( 2, 04.53, "Learning to Fly");
	SET_CDtt( 3, 06.09, "The Dogs of War");
	SET_CDtt( 4, 05.07, "One Slip");
	SET_CDtt( 5, 05.42, "On The Turning Away");
	SET_CDtt( 6, 07.28, "Yet Another Movie/ Round and Round");
	SET_CDtt( 7, 01.46, "A New Machine - Part 1");
	SET_CDtt( 8, 06.17, "Terminal Frost");
	SET_CDtt( 9, 00.39, "A New Machine - Part 2");
	SET_CDtt(10, 08.47, "Sorrow");
#     endif
	}
    if ( cdKey == PINKF_ABSENCE_BD8 ) { /* 1:15:21-32 */
	tocPtr->discPerformer = "Pink Floyd";
	tocPtr->discTitle = "Variations on a Theme of Absence  [disc 8]";
#     if !defined(SKIPSONGS_Pink_Floyd)
	SET_CDtt( 1, 05.12, "Learning to Fly");
	SET_CDtt( 2, 07.15, "The Dogs of War");
	SET_CDtt( 3, 07.49, "Sorrow");
	SET_CDtt( 4, 07.11, "Run Like Hell");
	SET_CDtt( 5, 10.50, "Shine On You Crazy Diamond");
	SET_CDtt( 6, 08.19, "Comfortably Numb");
	SET_CDtt( 7, 08.17, "High Hopes");
	SET_CDtt( 8, 05.59, "Take it Back");
	SET_CDtt( 9, 06.48, "Coming Back to Life");
	SET_CDtt(10, 07.39, "Keep Talking");
#     endif
	}
    if ( cdKey == PORCUP_SKYMOVES ) { /* 0:59:53-20 */
	tocPtr->discPerformer = "Porcupine Tree";
	tocPtr->discTitle = "The Sky Moves Sideways";
#     if !defined(SKIPSONGS_Porcupine_Tree)
	SET_CDtt( 1, 04.39, "The Colour of Air");
	SET_CDtt( 2, 03.47, "I Find That I'm Not There");
	SET_CDtt( 3, 06.18, "Wire the Drum");
	SET_CDtt( 4, 03.56, "Spiral Circus");
	SET_CDtt( 5, 05.01, "Stars Die");
	SET_CDtt( 6, 08.11, "Moonloop");
	SET_CDtt( 7, 05.24, "Dislocated Day");
	SET_CDtt( 8, 05.51, "The Moon Touches Your Shoulder");
	SET_CDtt( 9, 12.01, "Is...Not");
	SET_CDtt(10, 04.43, "Off The Map");
#     endif
	}
    if ( cdKey == SPINDOC_KRYPT ) { /* 0:50:47-32 */
	tocPtr->discPerformer = "Spin Doctors";
	tocPtr->discTitle = "Pocket Full of Kryptonite";
	SET_CDtt( 1, 04.38, "Jimmy Olsen's Blues");
	SET_CDtt( 2, 04.51, "What Time is It?");
	SET_CDtt( 3, 03.55, "Little Miss Can't Be Wrong");
	SET_CDtt( 4, 04.23, "Forty or Fifty");
	SET_CDtt( 5, 04.46, "Refrigerator Car");
	SET_CDtt( 6, 02.13, "More than She Knows");
	SET_CDtt( 7, 04.18, "Two Princes");
	SET_CDtt( 8, 03.59, "Off My Line");
	SET_CDtt( 9, 04.59, "How Could You Want Him (When You Know You Could Have Me?)");
	SET_CDtt(10, 12.43, "Shinbone Alley/ Hard to Exist");
	}
    if ( cdKey == TDREAM_TANGENTS_D1 ) { /* 1:04:45-57 */
	tocPtr->discPerformer = "Tangerine Dream";
	tocPtr->discTitle = "Tangents  [disc 1]";
#     if !defined(SKIPSONGS_Tangerine_Dream)
	SET_CDtt( 1, 07.42, "Mohave Plan  [Desert part]");
	SET_CDtt( 2, 07.32, "No Man's Land");
	SET_CDtt( 3, 04.57, "Kiew Mission");
	SET_CDtt( 4, 07.14, "Ricochet");
	SET_CDtt( 5, 05.34, "Force Majeure");
	SET_CDtt( 6, 05.58, "Logos  [Blue part]");
	SET_CDtt( 7, 10.45, "Stratosfear");
	SET_CDtt( 8, 07.08, "Mysterious Semblance");
	SET_CDtt( 9, 04.16, "Cinnamon Road");
	SET_CDtt(10, 03.37, "Tangram  [Solution part]");
#     endif
	}
    if ( cdKey == TDREAM_TANGENTS_D5 ) { /* 0:56:06-18 */
	tocPtr->discPerformer = "Tangerine Dream";
	tocPtr->discTitle = "Tangents  [disc 5]";
#     if !defined(SKIPSONGS_Tangerine_Dream)
	SET_CDtt( 1, 04.44, "Vulcano");
	SET_CDtt( 2, 04.00, "The Jogger");
	SET_CDtt( 3, 03.25, "South Dakota");
	SET_CDtt( 4, 05.19, "Coppercoast");
	SET_CDtt( 5, 03.59, "Great Barrier Reef");
	SET_CDtt( 6, 03.20, "The Night at Ayers Rock");
	SET_CDtt( 7, 06.55, "Afternoon on the Nile");
	SET_CDtt( 8, 05.56, "Crane Routing");
	SET_CDtt( 9, 12.48, "Silver Scale");
	SET_CDtt(10, 05.38, "Jamaican Monk");
#     endif
	}
    if ( cdKey == TDREAM_DREAMMIXES ) { /* 1:07:17-50 */
	tocPtr->discPerformer = "Tangerine Dream";
	tocPtr->discTitle = "The Dream Mixes";
#     if !defined(SKIPSONGS_Tangerine_Dream)
	SET_CDtt( 1, 07.16, "Little Blond in the Park of Attractions  [the Thai dub]");
	SET_CDtt( 2, 05.31, "Rough Embrace");
	SET_CDtt( 3, 07.01, "Touchwood  [forest mix]");
	SET_CDtt( 4, 06.20, "Jungle Journey  [reptile mix]");
	SET_CDtt( 5, 06.51, "Virtually Fields");
	SET_CDtt( 6, 06.17, "Firetongues  [break freak mix]");
	SET_CDtt( 7, 07.18, "San Rocco");
	SET_CDtt( 8, 07.49, "Catwalk  [dress-up mix]");
	SET_CDtt( 9, 07.20, "Change of the Gods");
	SET_CDtt(10, 05.32, "Bride in the Cold Tears  [Motown monk mix]");
#     endif
	}
    if ( cdKey == TTIKARAM_LOVERSINCITY ) { /* 0:52:08-40 */
	tocPtr->discPerformer = "Tanita Tikaram";
	tocPtr->discTitle = "Lovers in the City";
	SET_CDtt( 1, 03.56, "I Might Be Crying");
	SET_CDtt( 2, 04.13, "Bloodlines");
	SET_CDtt( 3, 05.16, "Feeding the Witches");
	SET_CDtt( 4, 05.42, "Happy Taxi");
	SET_CDtt( 5, 04.36, "My Love Tonight");
	SET_CDtt( 6, 06.23, "Lovers in the City");
	SET_CDtt( 7, 03.35, "Yodelling Song");
	SET_CDtt( 8, 06.11, "Wonderful Shadow");
	SET_CDtt( 9, 05.09, "Women Who Cheat on the World");
	SET_CDtt(10, 07.05, "Leaving the Party");
	}
    if ( cdKey == U2_ZOOROPA ) { /* 0:51:21-42 */
	tocPtr->discPerformer = "U2";
	tocPtr->discTitle = "Zooropa";
	/* cd has Track ISRC numbers (on a NeXT CD-ROM) of:
	        1 = x'5D 24 51 78 93 00 01 80 00 00 00 00 00 00 00'
	   thru
	       10 = x'5D 24 51 78 93 00 02 70 00 00 00 00 00 00 00'
	*/
#     if !defined(SKIPSONGS_U2)
	SET_CDtt( 1, 06.32, "Zooropa");
	SET_CDtt( 2, 04.01, "Babyface");
	SET_CDtt( 3, 04.21, "Numb");
	SET_CDtt( 4, 06.58, "Lemon");
	SET_CDtt( 5, 04.58, "Stay (Faraway, So Close)");
	SET_CDtt( 6, 05.20, "Daddy's Gonna Pay for Your Crashed Car");
	SET_CDtt( 7, 04.18, "Some Days Are Better Than Others");
	SET_CDtt( 8, 03.45, "The First Time");
	SET_CDtt( 9, 05.25, "Dirty Day");
	SET_CDtt(10, 05.41, "The Wanderer");
#     endif
	}
    if ( cdKey == VAR_AURAL_V2 ) { /* 1:03:05-17 */
	tocPtr->discPerformer = "Various Artists";
	tocPtr->discTitle = "Aural Gratification, Volume 2";
	SET_CDtt( 1, 06.10, "Snoop  [Jamie Edwards]");
	SET_CDtt( 2, 08.31, "Exit the Body (Watch it From the Ceiling)  [Kevin Bartlett]");
	SET_CDtt( 3, 06.05, "Like Kryptonite to Superman  [Happy Rhodes]");
	SET_CDtt( 4, 08.10, "Conformity  [Quiet City]");
	SET_CDtt( 5, 06.33, "Skimming the Hovergear  [Happy Rhodes]");
	SET_CDtt( 6, 05.42, "Slow Day at the Face Factory  [Kevin Bartlett]");
	SET_CDtt( 7, 05.14, "Hex On IV  [Happy Rhodes]");
	SET_CDtt( 8, 06.17, "Mostly Something  [Bokeno/Bartlett]");
	SET_CDtt( 9, 06.42, "Argh'n Flargh'n  [Kevin Bartlett]");
	SET_CDtt(10, 03.39, "Refugee  [Jamie Edwards]");
	}
    if ( cdKey == VAR_T_USNTHEM ) { /* 1:12:11-33 */
	tocPtr->discPerformer = "Various Artists/ Tributes";
	tocPtr->discTitle = "Us and Them: Symphonic Pink Floyd";
	tocPtr->discCatNum = "002894466232000";
	SET_CDtt( 1, 08.13, "Time");
	SET_CDtt( 2, 05.14, "Brain Damage");
	SET_CDtt( 3, 08.28, "Another Brick in the Wall (Part II)");
	SET_CDtt( 4, 05.27, "Comfortably Numb");
	SET_CDtt( 5, 04.04, "Breathe");
	SET_CDtt( 6, 06.46, "Money");
	SET_CDtt( 7, 05.11, "The Great Gig in the Sky");
	SET_CDtt( 8, 06.26, "Nobody Home");
	SET_CDtt( 9, 11.38, "Us and Them");
	SET_CDtt(10, 10.42, "Time (The Old Tree With Winding Roots Behind the Lake of Dreams Mix)");
	}
    if ( cdKey == VAR_T_SAUCERFULP_D2 ) { /* 0:57:55-35 */
	tocPtr->discPerformer = "Various Artists/ Tributes";
	tocPtr->discTitle = "A Saucerful of Pink  [disc 2]";
	SET_CDtt( 1, 07.35, "Echoes  [Alien Sex Fiend]");
	SET_CDtt( 2, 05.50, "Hey You  [Furnace]");
	SET_CDtt( 3, 09.08, "Careful With That Axe, Eugene  [Nik Turner]");
	SET_CDtt( 4, 03.22, "Lucifer Sam  [The Electric Hellfire Club]");
	SET_CDtt( 5, 02.25, "Pigs on the Wing  [Helios Creed]");
	SET_CDtt( 6, 05.59, "Let There Be More Light  [Pressurehead]");
	SET_CDtt( 7, 03.52, "Young Lust  [Penal Colony]");
	SET_CDtt( 8, 07.53, "A Saucerful of Secrets  [EXP]");
	SET_CDtt( 9, 05.01, "Point Me At the Sky  [Melting Euphoria]");
	SET_CDtt(10, 06.48, "The Nile Song  [FarFlung]");
	}
    if ( cdKey == PWARD_FEAROFMAKEBLV ) { /* 1:03:48-52 */
	tocPtr->discPerformer = "Paul Ward";
	tocPtr->discTitle = "The Fear of Make-Believe";
	SET_CDtt( 1, 09.34, "Waiting for a Miracle");
	SET_CDtt( 2, 06.59, "Taken to a Place");
	SET_CDtt( 3, 06.19, "Bloody Dangerous");
	SET_CDtt( 4, 04.25, "Time, the Magician");
	SET_CDtt( 5, 04.31, "Death by Wireless");
	SET_CDtt( 6, 05.17, "64K World");
	SET_CDtt( 7, 06.53, "Iceman");
	SET_CDtt( 8, 07.19, "Overnight Snow");
	SET_CDtt( 9, 07.18, "Closer than You Think");
	SET_CDtt(10, 05.11, "Silly Kind of Secret");
	}
    if ( cdKey == NYOUNG_RAGGEDGLORY ) { /* 1:02:44-20 */
	tocPtr->discPerformer = "Neil Young";
	tocPtr->discTitle = "Ragged Glory";
	tocPtr->discCatNum = "007599263152500";
#     if !defined(SKIPSONGS_Neil_Young)
	SET_CDtt( 1, 07.05, "Country Home");
	SET_CDtt( 2, 02.58, "White Line");
	SET_CDtt( 3, 05.55, "F'!#in' Up");
	SET_CDtt( 4, 08.28, "Over and Over");
	SET_CDtt( 5, 10.01, "Love to Burn");
	SET_CDtt( 6, 04.15, "Farmer John");
	SET_CDtt( 7, 04.48, "Mansion on the Hill");
	SET_CDtt( 8, 03.42, "Days that Used to Be");
	SET_CDtt( 9, 10.19, "Love and Only Love");
	SET_CDtt(10, 05.11, "Mother Earth (Natural Anthem)");
#     endif
	}
    if ( cdKey == NYOUNG_HARVESTMOON ) { /* 0:51:59-72 */
	tocPtr->discPerformer = "Neil Young";
	tocPtr->discTitle = "Harvest Moon";
	tocPtr->discCatNum = "007599450572500";
#     if !defined(SKIPSONGS_Neil_Young)
	SET_CDtt( 1, 04.33, "Unknown Legend");
	SET_CDtt( 2, 05.17, "From Hank to Hendrix");
	SET_CDtt( 3, 03.46, "You and Me");
	SET_CDtt( 4, 05.05, "Harvest Moon");
	SET_CDtt( 5, 05.44, "War of Man");
	SET_CDtt( 6, 04.58, "One of These Days");
	SET_CDtt( 7, 04.37, "Such a Woman");
	SET_CDtt( 8, 02.57, "Old King");
	SET_CDtt( 9, 04.37, "Dreamin' Man");
	SET_CDtt(10, 10.23, "Natural Beauty");
#     endif
	}
}
