#import <sys/types.h>
#import <stddef.h>
#import "CD_DBaseSubs.h"

    /* This subroutine has information for CD's with 11 tracks, and
     * which have 40 or more, but under 45 minutes of music on them.
     */

#define WEIRDAL_TVALBUM        865321723 /* key parts = 2403.50.11.223 309 */
#define FLEETW_RUMOURS         865921673 /* key parts = 2405.25.11.173 303 */
#define ENYA_WATERMARK         866281795 /* key parts = 2406.25.11.145 236 */
#define QUEEN_THEGAME_HOL      867376111 /* key parts = 2409.28.11.211 263 */
#define QUEEN_THEGAME_HOL2     867361711 /* key parts = 2409.25.11.211 263 */
#define BSPRING_RIVER_D1       870721714 /* key parts = 2418.50.11.214 301 */
#define TDREAM_LEGEND          877201662 /* key parts = 2436.50.11.312 293 */
#define APP_TALESOFMYS_UDII    883451323 /* key parts = 2454.02.11.223 254 */
#define TPHEART_LETMEUP        890075350 /* key parts = 2472.32.11.250 212 */
#define U2_OCTOBER             890315353 /* key parts = 2473.07.11.253 182 */
#define GHARR_CLOUD9           893920096 /* key parts = 2483.08.11.196 231 */
#define MGAR_EARTHSTAR         900865656 /* key parts = 2502.30.11.306 260 */
#define GLIGHT_DONQUIXOTE      903299322 /* key parts = 2509.12.11.222 365 */
#define PINKF_PIPERATGATES     906563352 /* key parts = 2518.17.11.252 202 */
#define PINKF_PIPERATGATES_REM 907033752 /* key parts = 2519.40.11.252 202 */
#define MGAR_AURORADAWN        908041776 /* key parts = 2522.25.11.126 232 */
#define PINKF_PIPERATGATES_MON 912937755 /* key parts = 2535.70.11.255 206 */
#define MCCARPEN_SHOOTINGSTRA  913624097 /* key parts = 2537.63.11.197 261 */
#define RSTARR_OLDWAVE         919345693 /* key parts = 2553.55.11.193 334 */
#define CATKINS_READLICKS      920113694 /* key parts = 2555.65.11.194 228 */
#define PBARDENS_BIGSKY        920651396 /* key parts = 2557.27.11.296 105 */
#define DHENLEY_ICANTSTAND     921923313 /* key parts = 2560.67.11.213 216 */
#define APP_TALESOFMYS         923017754 /* key parts = 2563.70.11.254 286 */
#define FLEETW_FLEETWOODMAC    929257669 /* key parts = 2581.20.11.169 263 */
#define PSIMON_GRACELAND       932593739 /* key parts = 2590.40.11.239 195 */
#define WISHB_NOUVEAUCALLS     938507363 /* key parts = 2606.72.11.263 194 */
#define ENYA_MEMORYOFTREES     948044959 /* key parts = 2633.34.11.259 309 */
#define MASONFENN_PROFILES     955115310 /* key parts = 2653.07.11.360 119 */
#define AGRANT_HEARTINMOTION   957107339 /* key parts = 2658.47.11.239 169 */
#define ELO_GREATESTHITS       964057754 /* key parts = 2677.70.11.254 305 */
#define SNICKS_ROCKALITTLE     969961777 /* key parts = 2694.25.11.277 275 */


void filltoc11_40(tocPtr, cdKey)
struct cd_toc *tocPtr;
u_int cdKey;
{

    if ( cdKey == APP_TALESOFMYS ) { /* 0:42:43-70 */
	tocPtr->discPerformer = "Alan Parsons Project";
	tocPtr->discTitle = "Tales of Mystery and Imagination";
	tocPtr->discCatNum = "004228328202500";
#     if !defined(SKIPSONGS_Alan_Parsons_Project)
	SET_CDtt( 1, 04.14, "A Dream within a Dream  [instrumental]");
	SET_CDtt( 2, 03.58, "The Raven");
	SET_CDtt( 3, 04.38, "The Tell-tale Heart");
	SET_CDtt( 4, 04.34, "The Cask of Amontillado");
	SET_CDtt( 5, 04.21, "(The System of) Doctor Tarr and Professor Fether");
	SET_CDtt( 6, 07.02, "House of Usher: I.   Prelude");
	SET_CDtt( 7, 02.40, "House of Usher: II.  Arrival");
	SET_CDtt( 8, 01.00, "House of Usher: III. Intermezzo");
	SET_CDtt( 9, 04.37, "House of Usher: IV.  Pavane");
	SET_CDtt(10, 00.51, "House of Usher: V.   Fall");
	SET_CDtt(11, 04.46, "To One in Paradise");
#     endif
	}
    if ( cdKey == APP_TALESOFMYS_UDII ) { /* 0:40:54-02 */
	tocPtr->discPerformer = "Alan Parsons Project";
	tocPtr->discTitle = "Tales of Mystery and Imagination  [UltraDisc II]";
#     if !defined(SKIPSONGS_Alan_Parsons_Project)
	SET_CDtt( 1, 03.43, "A Dream within a Dream  [instrumental]");
	SET_CDtt( 2, 04.01, "The Raven");
	SET_CDtt( 3, 04.43, "The Tell-tale Heart");
	SET_CDtt( 4, 04.28, "The Cask of Amontillado");
	SET_CDtt( 5, 04.19, "(The System of) Doctor Tarr and Professor Fether");
	SET_CDtt( 6, 05.50, "House of Usher: I.   Prelude");
	SET_CDtt( 7, 02.36, "House of Usher: II.  Arrival");
	SET_CDtt( 8, 01.06, "House of Usher: III. Intermezzo");
	SET_CDtt( 9, 04.45, "House of Usher: IV.  Pavane");
	SET_CDtt(10, 01.07, "House of Usher: V.   Fall");
	SET_CDtt(11, 04.14, "To One in Paradise");
#     endif
	}
    if ( cdKey == CATKINS_READLICKS ) { /* 0:42:35-65 */
	tocPtr->discPerformer = "Chet Atkins";
	tocPtr->discTitle = "Read My Licks";
#     if !defined(SKIPSONGS_Chet_Atkins)
	SET_CDtt( 1, 03.14, "Young Thing");
	SET_CDtt( 2, 04.11, "Mountains of Illinois");
	SET_CDtt( 3, 03.31, "After You've Gone");
	SET_CDtt( 4, 03.03, "Every Now and Then");
	SET_CDtt( 5, 04.08, "Somebody Loves Me Now");
	SET_CDtt( 6, 03.44, "Norway (Norwegian Mountain Song)");
	SET_CDtt( 7, 04.35, "Read My Licks");
	SET_CDtt( 8, 03.57, "Take a Look at Her Now");
	SET_CDtt( 9, 03.45, "Around the Bend");
	SET_CDtt(10, 04.37, "Dream");
	SET_CDtt(11, 03.48, "Vincent");
#     endif
	}
    if ( cdKey == PBARDENS_BIGSKY ) { /* 0:42:37-27 */
	tocPtr->discPerformer = "Pete Bardens";
	tocPtr->discTitle = "Big Sky";
	SET_CDtt( 1, 04.56, "China Blue");
	SET_CDtt( 2, 05.40, "Puerto Rico");
	SET_CDtt( 3, 05.00, "Big Sky");
	SET_CDtt( 4, 03.40, "Gunblasters");
	SET_CDtt( 5, 04.34, "On the Air Tonight");
	SET_CDtt( 6, 03.39, "You Got It");
	SET_CDtt( 7, 04.55, "A Brave New World");
	SET_CDtt( 8, 04.21, "On A Roll");
	SET_CDtt( 9, 02.12, "The Last Waltz");
	SET_CDtt(10, 01.53, "For Old Times Sake");
	SET_CDtt(11, 01.45, "Scarletti");
	}
    if ( cdKey == MCCARPEN_SHOOTINGSTRA ) { /* 0:42:17-63 */
	tocPtr->discPerformer = "Mary Chapin Carpenter";
	tocPtr->discTitle = "Shooting Straight In The Dark";
#     if !defined(SKIPSONGS_Mary_Chapin_Carpenter)
	SET_CDtt( 1, 03.17, "Going Out Tonight");
	SET_CDtt( 2, 02.37, "Right Now");
	SET_CDtt( 3, 03.56, "The More Things Change");
	SET_CDtt( 4, 05.04, "When She's Gone");
	SET_CDtt( 5, 03.51, "Middle Ground");
	SET_CDtt( 6, 04.00, "Can't Take Love For Granted");
	SET_CDtt( 7, 03.21, "Down At The Twist And Shout");
	SET_CDtt( 8, 03.11, "Halley Came To Jackson");
	SET_CDtt( 9, 04.37, "What You Didn't Say");
	SET_CDtt(10, 04.00, "You Win Again");
	SET_CDtt(11, 04.21, "The Moon and St. Christopher");
#     endif
	}
    if ( cdKey == ELO_GREATESTHITS ) { /* 0:44:37-70 */
	tocPtr->discPerformer = "Electric Light Orchestra";
	tocPtr->discTitle = "ELO's Greatest Hits";
#     if !defined(SKIPSONGS_Electric_Light_Orchestra)
	SET_CDtt( 1, 04.14, "Evil Woman");
	SET_CDtt( 2, 03.34, "Livin' Thing");
	SET_CDtt( 3, 04.25, "Can't Get It Out of My Head");
	SET_CDtt( 4, 03.55, "Showdown");
	SET_CDtt( 5, 03.50, "Turn to Stone");
	SET_CDtt( 6, 03.16, "Rockaria!");
	SET_CDtt( 7, 03.49, "Sweet Talkin' Woman");
	SET_CDtt( 8, 04.41, "Telephone Line");
	SET_CDtt( 9, 03.37, "Ma-Ma-Ma Belle");
	SET_CDtt(10, 04.09, "Strange Magic");
	SET_CDtt(11, 05.05, "Mr. Blue Sky");
#     endif
	}
    if ( cdKey == ENYA_WATERMARK ) { /* 0:40:06-25 */
	tocPtr->discPerformer = "Enya";
	tocPtr->discTitle = "Watermark";
	SET_CDtt( 1, 02.25, "Watermark");
	SET_CDtt( 2, 04.10, "Cursum Perficio");
	SET_CDtt( 3, 04.00, "On Your Shore");
	SET_CDtt( 4, 04.05, "Storms In Africa");
	SET_CDtt( 5, 04.21, "Exile");
	SET_CDtt( 6, 02.00, "Miss Clare Remembers");
	SET_CDtt( 7, 04.26, "Orinoco Flow (Sail Away)");
	SET_CDtt( 8, 03.50, "Evening Falls...");
	SET_CDtt( 9, 03.12, "River");
	SET_CDtt(10, 03.39, "The Long Ships");
	SET_CDtt(11, 03.56, "Na Laetha Geal M'ige");
	}
    if ( cdKey == ENYA_MEMORYOFTREES ) { /* 0:43:53-34 */
	tocPtr->discPerformer = "Enya";
	tocPtr->discTitle = "The Memory of Trees";
	SET_CDtt( 1, 04.19, "The Memory of Trees");
	SET_CDtt( 2, 04.00, "Anywhere Is");
	SET_CDtt( 3, 05.00, "Pax Deorum");
	SET_CDtt( 4, 03.42, "Athair Ar Neamh");
	SET_CDtt( 5, 02.23, "From Where I Am");
	SET_CDtt( 6, 04.49, "China Roses");
	SET_CDtt( 7, 04.49, "Hope Has a Place");
	SET_CDtt( 8, 02.43, "Tea House Moon");
	SET_CDtt( 9, 03.19, "Once You Had Gold");
	SET_CDtt(10, 03.38, "La Soadora");
	SET_CDtt(11, 05.09, "On My Way Home");
	}
    if ( cdKey == FLEETW_FLEETWOODMAC ) { /* 0:43:01-20 */
	tocPtr->discPerformer = "Fleetwood Mac";
	tocPtr->discTitle = "Fleetwood Mac";
	tocPtr->discCatNum = "007599022812300";
#     if !defined(SKIPSONGS_Fleetwood_Mac)
	SET_CDtt( 1, 02.49, "Monday Morning");
	SET_CDtt( 2, 03.55, "Warm Ways");
	SET_CDtt( 3, 02.41, "Blue Letter");
	SET_CDtt( 4, 04.11, "Rhiannon");
	SET_CDtt( 5, 03.38, "Over My Head");
	SET_CDtt( 6, 05.15, "Crystal");
	SET_CDtt( 7, 04.11, "Say You Love Me");
	SET_CDtt( 8, 03.19, "Landslide");
	SET_CDtt( 9, 04.26, "World Turning");
	SET_CDtt(10, 04.11, "Sugar Daddy");
	SET_CDtt(11, 04.23, "I'm So Afraid");
#     endif
	}
    if ( cdKey == FLEETW_RUMOURS ) { /* 0:40:05-25 */
	tocPtr->discPerformer = "Fleetwood Mac";
	tocPtr->discTitle = "Rumours";
	tocPtr->discCatNum = "007599030102400";
#     if !defined(SKIPSONGS_Fleetwood_Mac)
	SET_CDtt( 1, 02.53, "Second Hand News");
	SET_CDtt( 2, 04.18, "Dreams");
	SET_CDtt( 3, 02.15, "Never Going Back Again");
	SET_CDtt( 4, 03.14, "Don't Stop");
	SET_CDtt( 5, 03.40, "Go Your Own Way");
	SET_CDtt( 6, 03.23, "Songbird");
	SET_CDtt( 7, 04.31, "The Chain");
	SET_CDtt( 8, 03.33, "You Make Loving Fun");
	SET_CDtt( 9, 03.16, "I Don't Want to Know");
	SET_CDtt(10, 03.57, "Oh Daddy");
	SET_CDtt(11, 05.03, "Gold Dust Woman");
#     endif
	}
    if ( cdKey == MGAR_AURORADAWN ) { /* 0:42:02-25 */
	tocPtr->discPerformer = "Michael Garrison";
	tocPtr->discTitle = "Aurora Dawn";
#     if !defined(SKIPSONGS_Michael_Garrison)
	SET_CDtt( 1, 02.06, "Threshold");
	SET_CDtt( 2, 03.24, "The Solar Sea");
	SET_CDtt( 3, 07.44, "Magnetic Wind");
	SET_CDtt( 4, 04.37, "Aurora Visage");
	SET_CDtt( 5, 01.50, "Aurora Mist");
	SET_CDtt( 6, 03.07, "Fade the Night");
	SET_CDtt( 7, 04.53, "Aurora Dawn: Part 1");
	SET_CDtt( 8, 02.18, "Aurora Dawn: Part 2");
	SET_CDtt( 9, 04.21, "Aurora Dawn: Part 3");
	SET_CDtt(10, 03.48, "Aurora Dawn: Part 4");
	SET_CDtt(11, 03.52, "Aurora Dawn: Part 5");
#     endif
	}
    if ( cdKey == MGAR_EARTHSTAR ) { /* 0:41:42-30 */
	tocPtr->discPerformer = "Michael Garrison";
	tocPtr->discTitle = "An Earth-Star Trilogy and Songs From the Earth-Star";
#     if !defined(SKIPSONGS_Michael_Garrison)
	SET_CDtt( 1, 05.06, "Shadows of Time");
	SET_CDtt( 2, 03.36, "Theme to the Earth-Star");
	SET_CDtt( 3, 03.16, "The Remembering");
	SET_CDtt( 4, 05.51, "Rise of the Earth-Star");
	SET_CDtt( 5, 03.06, "The Seventh Sun");
	SET_CDtt( 6, 04.30, "Staccato Heaven");
	SET_CDtt( 7, 01.33, "Sunrise on Mercury");
	SET_CDtt( 8, 01.12, "Afterthought");
	SET_CDtt( 9, 04.20, "The Crystal Moon");
	SET_CDtt(10, 04.50, "Festival of the Earth-Star");
	SET_CDtt(11, 04.20, "Lansdowne Cruise");
#     endif
	}
    if ( cdKey == AGRANT_HEARTINMOTION ) { /* 0:44:18-47 */
	tocPtr->discPerformer = "Amy Grant";
	tocPtr->discTitle = "Heart in Motion";
#     if !defined(SKIPSONGS_Amy_Grant)
	SET_CDtt( 1, 03.59, "Good For Me");
	SET_CDtt( 2, 03.57, "Baby Baby");
	SET_CDtt( 3, 03.34, "Every Heartbeat");
	SET_CDtt( 4, 04.17, "That's What Love is For");
	SET_CDtt( 5, 03.54, "Ask Me");
	SET_CDtt( 6, 04.20, "Galileo");
	SET_CDtt( 7, 03.50, "You're Not Alone");
	SET_CDtt( 8, 04.09, "Hats");
	SET_CDtt( 9, 05.01, "I Will Remember You");
	SET_CDtt(10, 04.26, "How Can We See That Far");
	SET_CDtt(11, 02.49, "Hope Set High");
#     endif
	}
    if ( cdKey == GHARR_CLOUD9 ) { /* 0:41:23-08 */
	tocPtr->discPerformer = "George Harrison";
	tocPtr->discTitle = "Cloud 9";
	tocPtr->discCatNum = "007599256432800";
#     if !defined(SKIPSONGS_George_Harrison)
	SET_CDtt( 1, 03.16, "Cloud 9");
	SET_CDtt( 2, 04.01, "That's What It Takes");
	SET_CDtt( 3, 03.24, "Fish on the Sand");
	SET_CDtt( 4, 04.06, "Just For Today");
	SET_CDtt( 5, 03.49, "This Is Love");
	SET_CDtt( 6, 03.58, "When We Was Fab");
	SET_CDtt( 7, 03.54, "Devil's Radio");
	SET_CDtt( 8, 03.53, "Someplace Else");
	SET_CDtt( 9, 03.33, "Wreck of the Hesperus");
	SET_CDtt(10, 03.36, "Breath Away From Heaven");
	SET_CDtt(11, 03.51, "Got My Mind Set On You");
#     endif
	}
    if ( cdKey == DHENLEY_ICANTSTAND ) { /* 0:42:40-67 */
	tocPtr->discPerformer = "Don Henley";
	tocPtr->discTitle = "I Can't Stand Still";
	tocPtr->discCatNum = "007559600482400";
#     if !defined(SKIPSONGS_Don_Henley)
	SET_CDtt( 1, 03.33, "I Can't Stand Still");
	SET_CDtt( 2, 03.23, "You Better Hang Up");
	SET_CDtt( 3, 05.29, "Long Way Home");
	SET_CDtt( 4, 03.44, "Nobody's Business");
	SET_CDtt( 5, 04.40, "Talking To The Moon");
	SET_CDtt( 6, 05.37, "Dirty Laundry");
	SET_CDtt( 7, 03.33, "Johnny Can't Read");
	SET_CDtt( 8, 04.02, "Them And Us");
	SET_CDtt( 9, 00.52, "La Eile");
	SET_CDtt(10, 04.08, "Lilah");
	SET_CDtt(11, 03.36, "The Unclouded Day");
#     endif
	}
    if ( cdKey == GLIGHT_DONQUIXOTE ) { /* 0:41:49-12 */
	tocPtr->discPerformer = "Gordon Lightfoot";
	tocPtr->discTitle = "Don Quixote";
	tocPtr->discCatNum = "007599020562900";
#     if !defined(SKIPSONGS_Gordon_Lightfoot)
	SET_CDtt( 1, 03.42, "Don Quixote");
	SET_CDtt( 2, 04.03, "Christian Island (Georgian Bay)");
	SET_CDtt( 3, 03.07, "Alberta Bound");
	SET_CDtt( 4, 03.41, "Looking at the Rain");
	SET_CDtt( 5, 03.19, "Ordinary Man");
	SET_CDtt( 6, 03.37, "Brave Mountaineers");
	SET_CDtt( 7, 04.48, "Ode to Big Blue");
	SET_CDtt( 8, 03.04, "Second Cup of Coffee");
	SET_CDtt( 9, 03.23, "Beautiful");
	SET_CDtt(10, 02.58, "On Susan's Floor");
	SET_CDtt(11, 06.05, "The Patriot's Dream");
#     endif
	}
    if ( cdKey == MASONFENN_PROFILES ) { /* 0:44:13-07 */
	tocPtr->discPerformer = "Mason + Fenn";
	tocPtr->discTitle = "Profiles";
	SET_CDtt( 1, 06.00, "Malta");
	SET_CDtt( 2, 03.08, "Lie for a Lie");
	SET_CDtt( 3, 03.21, "Rhoda");
	SET_CDtt( 4, 10.02, "Profiles Parts 1 & 2");
	SET_CDtt( 5, 03.32, "Israel");
	SET_CDtt( 6, 02.49, "And the Address");
	SET_CDtt( 7, 03.52, "Mumbo Jumbo");
	SET_CDtt( 8, 03.05, "Zip Code");
	SET_CDtt( 9, 03.41, "Black Ice");
	SET_CDtt(10, 02.42, "At the End of the Day");
	SET_CDtt(11, 01.59, "Profiles Part 3");
	}
    if ( cdKey == SNICKS_ROCKALITTLE ) { /* 0:44:54-25 */
	tocPtr->discPerformer = "Stevie Nicks";
	tocPtr->discTitle = "Rock A Little";
	tocPtr->discCatNum = "007567904792200";
	SET_CDtt( 1, 04.37, "I Can't Wait");
	SET_CDtt( 2, 03.39, "Rock A Little (Go Ahead Lily)");
	SET_CDtt( 3, 03.51, "Sister Honey");
	SET_CDtt( 4, 03.45, "I Sing For The Things");
	SET_CDtt( 5, 02.54, "Imperial Hotel");
	SET_CDtt( 6, 03.30, "Some Become Strangers");
	SET_CDtt( 7, 04.11, "Talk To Me");
	SET_CDtt( 8, 05.23, "The Nightmare");
	SET_CDtt( 9, 04.12, "If I Were You");
	SET_CDtt(10, 04.15, "No Spoken Word");
	SET_CDtt(11, 04.35, "Has Anyone Ever Written Anything For You");
	}
    if ( cdKey == TPHEART_LETMEUP ) { /* 0:41:12-32 */
	tocPtr->discPerformer = "Tom Petty and the HeartBreakers";
	tocPtr->discTitle = "Let Me Up (I've Had enough)";
#     if !defined(SKIPSONGS_Tom_Petty)
	SET_CDtt( 1, 04.10, "Jammin' Me");
	SET_CDtt( 2, 05.14, "Runaway Trains");
	SET_CDtt( 3, 03.53, "The Damage You've Done");
	SET_CDtt( 4, 03.11, "It'll All Work Out");
	SET_CDtt( 5, 04.41, "My Life/ Your World");
	SET_CDtt( 6, 03.45, "Think About Me");
	SET_CDtt( 7, 03.43, "All Mixed Up");
	SET_CDtt( 8, 03.02, "A Self-Made Man");
	SET_CDtt( 9, 02.41, "Ain't Love Strange");
	SET_CDtt(10, 03.18, "How Many More Days");
	SET_CDtt(11, 03.32, "Let Me Up (I've Had Enough)");
#     endif
	}
    if ( cdKey == PINKF_PIPERATGATES ) { /* 0:41:58-17 */
	tocPtr->discPerformer = "Pink Floyd";
	tocPtr->discTitle = "The Piper at the Gates of Dawn";
#     if !defined(SKIPSONGS_Pink_Floyd)
	SET_CDtt( 1, 04.12, "Astronomy Domin");
	SET_CDtt( 2, 03.07, "Lucifer Sam");
	SET_CDtt( 3, 03.08, "Matilda Mother");
	SET_CDtt( 4, 02.46, "Flaming");
	SET_CDtt( 5, 04.26, "Pow R. Toc H.");
	SET_CDtt( 6, 03.07, "Take Up Thy Stethoscope And Walk");
	SET_CDtt( 7, 09.42, "Interstellar Overdrive");
	SET_CDtt( 8, 02.13, "The Gnome");
	SET_CDtt( 9, 03.42, "Chapter 24");
	SET_CDtt(10, 02.11, "The Scarecrow");
	SET_CDtt(11, 03.22, "Bike");
#     endif
	}
    if ( cdKey == PINKF_PIPERATGATES_REM ) { /* 0:41:59-40 */
	tocPtr->discPerformer = "Pink Floyd";
	tocPtr->discTitle = "The Piper at the Gates of Dawn  [remastered]";
#     if !defined(SKIPSONGS_Pink_Floyd)
	SET_CDtt( 1, 04.12, "Astronomy Domin");
	SET_CDtt( 2, 03.07, "Lucifer Sam");
	SET_CDtt( 3, 03.09, "Matilda Mother");
	SET_CDtt( 4, 02.46, "Flaming");
	SET_CDtt( 5, 04.27, "Pow R. Toc H.");
	SET_CDtt( 6, 03.05, "Take Up Thy Stethoscope And Walk");
	SET_CDtt( 7, 09.42, "Interstellar Overdrive");
	SET_CDtt( 8, 02.13, "The Gnome");
	SET_CDtt( 9, 03.43, "Chapter 24");
	SET_CDtt(10, 02.11, "The Scarecrow");
	SET_CDtt(11, 03.22, "Bike");
#     endif
	}
    if ( cdKey == PINKF_PIPERATGATES_MON ) { /* 0:42:15-70 */
	tocPtr->discPerformer = "Pink Floyd";
	tocPtr->discTitle = "The Piper at the Gates of Dawn  [mono]";
	tocPtr->discCatNum = "072438598572000";
#     if !defined(SKIPSONGS_Pink_Floyd)
	SET_CDtt( 1, 04.15, "Astronomy Domin");
	SET_CDtt( 2, 03.10, "Lucifer Sam");
	SET_CDtt( 3, 03.04, "Matilda Mother");
	SET_CDtt( 4, 02.45, "Flaming");
	SET_CDtt( 5, 04.25, "Pow R. Toc H.");
	SET_CDtt( 6, 03.07, "Take Up Thy Stethoscope And Walk");
	SET_CDtt( 7, 09.43, "Interstellar Overdrive");
	SET_CDtt( 8, 02.14, "The Gnome");
	SET_CDtt( 9, 03.53, "Chapter 24");
	SET_CDtt(10, 02.11, "Scarecrow");
	SET_CDtt(11, 03.26, "Bike");
#     endif
	}
    if ( cdKey == QUEEN_THEGAME_HOL ) { /* 0:40:09-28 */
	tocPtr->discPerformer = "Queen";
	tocPtr->discTitle = "The Game  [Hollywood]";
	tocPtr->discCatNum = "007559610632000";
#     if !defined(SKIPSONGS_Queen)
	SET_CDtt( 1, 03.31, "Play the Game");
	SET_CDtt( 2, 04.19, "Dragon Attack");
	SET_CDtt( 3, 03.38, "Another One Bites the Dust");
	SET_CDtt( 4, 02.49, "Need Your Loving Tonight");
	SET_CDtt( 5, 02.45, "Crazy Little Thing Called Love");
	SET_CDtt( 6, 04.33, "Rock It (Prime Jive)");
	SET_CDtt( 7, 03.52, "Don't Try Suicide");
	SET_CDtt( 8, 03.34, "Sail Away Sweet Sister");
	SET_CDtt( 9, 02.51, "Coming Soon");
	SET_CDtt(10, 03.52, "Save Me");
	SET_CDtt(11, 04.23, "Dragon Attack  [1991 Bonus remix]");
#     endif
	}
    if ( cdKey == QUEEN_THEGAME_HOL2 ) { /* 0:40:09-25 */
	tocPtr->discPerformer = "Queen";
	tocPtr->discTitle = "The Game  [Hollywood]";
#     if !defined(SKIPSONGS_Queen)
	SET_CDtt( 1, 03.31, "Play the Game");
	SET_CDtt( 2, 04.19, "Dragon Attack");
	SET_CDtt( 3, 03.38, "Another One Bites the Dust");
	SET_CDtt( 4, 02.49, "Need Your Loving Tonight");
	SET_CDtt( 5, 02.44, "Crazy Little Thing Called Love");
	SET_CDtt( 6, 04.34, "Rock It (Prime Jive)");
	SET_CDtt( 7, 03.52, "Don't Try Suicide");
	SET_CDtt( 8, 03.34, "Sail Away Sweet Sister");
	SET_CDtt( 9, 02.50, "Coming Soon");
	SET_CDtt(10, 03.53, "Save Me");
	SET_CDtt(11, 04.23, "Dragon Attack  [1991 Bonus remix]");
#     endif
	}
    if ( cdKey == PSIMON_GRACELAND ) { /* 0:43:10-40 */
	tocPtr->discPerformer = "Paul Simon";
	tocPtr->discTitle = "Graceland";
	tocPtr->discCatNum = "007599254472600";
#     if !defined(SKIPSONGS_Paul_Simon)
	SET_CDtt( 1, 03.59, "The Boy In The Bubble");
	SET_CDtt( 2, 04.51, "Graceland");
	SET_CDtt( 3, 03.13, "I Know What I Know");
	SET_CDtt( 4, 02.45, "Gumboots");
	SET_CDtt( 5, 05.48, "Diamonds on the Soles of Her Shoes");
	SET_CDtt( 6, 04.40, "You Can Call Me Al");
	SET_CDtt( 7, 03.38, "Under African Skies");
	SET_CDtt( 8, 03.48, "Homeless");
	SET_CDtt( 9, 04.19, "Crazy Love, Vol. II");
	SET_CDtt(10, 02.52, "That Was Your Mother");
	SET_CDtt(11, 03.15, "All Around the World (or The Myth of Fingerprints)");
#     endif
	}
    if ( cdKey == BSPRING_RIVER_D1 ) { /* 0:40:18-50 */
	tocPtr->discPerformer = "Bruce Springsteen";
	tocPtr->discTitle = "The River  [disc 1]";
#     if !defined(SKIPSONGS_Bruce_Springsteen)
	SET_CDtt( 1, 03.34, "The Ties That Bind");
	SET_CDtt( 2, 04.03, "Sherry Darling");
	SET_CDtt( 3, 03.05, "Jackson Cage");
	SET_CDtt( 4, 02.45, "Two Hearts");
	SET_CDtt( 5, 04.51, "Independence Day");
	SET_CDtt( 6, 03.20, "Hungry Heart");
	SET_CDtt( 7, 04.18, "Out in the Street");
	SET_CDtt( 8, 03.10, "Crush on You");
	SET_CDtt( 9, 02.38, "You Can Look (But You Better Not Touch)");
	SET_CDtt(10, 03.31, "I Wanna Marry You");
	SET_CDtt(11, 05.01, "The River");
#     endif
	}
    if ( cdKey == RSTARR_OLDWAVE ) { /* 0:42:33-55 */
	tocPtr->discPerformer = "Ringo Starr";
	tocPtr->discTitle = "Old Wave";
#     if !defined(SKIPSONGS_Ringo_Starr)
	SET_CDtt( 1, 03.13, "In My Car");
	SET_CDtt( 2, 03.20, "Hopeless");
	SET_CDtt( 3, 04.02, "Alibi");
	SET_CDtt( 4, 03.48, "Be My Baby");
	SET_CDtt( 5, 03.54, "She's About a Mover");
	SET_CDtt( 6, 04.21, "I Keep Forgettin'");
	SET_CDtt( 7, 04.19, "Picture Show Life");
	SET_CDtt( 8, 03.51, "As Far as We Can Go");
	SET_CDtt( 9, 02.34, "Everybody's In a Hurry But Me");
	SET_CDtt(10, 03.35, "Going Down");
	SET_CDtt(11, 05.34, "As Far As We Can Go  [original version]");
#     endif
	}
    if ( cdKey == TDREAM_LEGEND ) { /* 0:40:36-50 */
	tocPtr->discPerformer = "Tangerine Dream";
	tocPtr->discTitle = "Legend";
#     if !defined(SKIPSONGS_Tangerine_Dream)
	SET_CDtt( 1, 05.12, "Is Your Love Strong Enough  [Brian Ferry]");
	SET_CDtt( 2, 02.54, "Opening");
	SET_CDtt( 3, 03.22, "Cottage");
	SET_CDtt( 4, 03.23, "Unicorn Theme");
	SET_CDtt( 5, 03.02, "Goblins");
	SET_CDtt( 6, 02.58, "Fairies");
	SET_CDtt( 7, 05.56, "Loved By The Sun  [with Jon Anderson]");
	SET_CDtt( 8, 03.25, "Blue Room");
	SET_CDtt( 9, 02.24, "The Dance");
	SET_CDtt(10, 03.05, "Darkness");
	SET_CDtt(11, 04.53, "The Kitchen/ Unicorn Theme");
#     endif
	}
    if ( cdKey == U2_OCTOBER ) { /* 0:41:13-07 */
	tocPtr->discPerformer = "U2";
	tocPtr->discTitle = "October";
	tocPtr->discCatNum = "007567900922700";
#     if !defined(SKIPSONGS_U2)
	SET_CDtt( 1, 04.13, "Gloria");
	SET_CDtt( 2, 03.40, "I Fall Down");
	SET_CDtt( 3, 04.54, "I Threw a Brick Through a Window");
	SET_CDtt( 4, 03.38, "Rejoice");
	SET_CDtt( 5, 03.51, "Fire");
	SET_CDtt( 6, 04.40, "Tomorrow");
	SET_CDtt( 7, 02.21, "October");
	SET_CDtt( 8, 04.02, "With A Shout");
	SET_CDtt( 9, 03.56, "Stranger in a Strange Land");
	SET_CDtt(10, 02.54, "Scarlet");
	SET_CDtt(11, 03.02, "Is That All?");
#     endif
	}
    if ( cdKey == WEIRDAL_TVALBUM ) { /* 0:40:03-50 */
	tocPtr->discPerformer = "Weird Al Yankovic";
	tocPtr->discTitle = "The TV Album";
#     if !defined(SKIPSONGS_Weird_Al_Yankovic)
	SET_CDtt( 1, 03.43, "Bedrock Anthem");
	SET_CDtt( 2, 03.31, "I Can't Watch This");
	SET_CDtt( 3, 04.07, "Frank's 2000\" TV");
	SET_CDtt( 4, 03.14, "Money for Nothing/ Beverly Hillbillies");
	SET_CDtt( 5, 02.37, "Ricky");
	SET_CDtt( 6, 04.26, "Talk Soup");
	SET_CDtt( 7, 03.25, "Here's Johnny");
	SET_CDtt( 8, 02.41, "The Brady Bunch");
	SET_CDtt( 9, 03.39, "Cable TV");
	SET_CDtt(10, 03.29, "I Lost on Jeopardy");
	SET_CDtt(11, 05.09, "UHF");
#     endif
	}
    if ( cdKey == WISHB_NOUVEAUCALLS ) { /* 0:43:26-72 */
	tocPtr->discPerformer = "Wishbone Ash";
	tocPtr->discTitle = "Nouveau Calls";
	SET_CDtt( 1, 04.23, "Tangible Evidence");
	SET_CDtt( 2, 03.41, "Clousseau");
	SET_CDtt( 3, 04.33, "Flags of Convenience");
	SET_CDtt( 4, 03.28, "From Soho to Sunset");
	SET_CDtt( 5, 04.32, "Arabesque");
	SET_CDtt( 6, 04.52, "In the Skin");
	SET_CDtt( 7, 03.35, "Something's Happening in Room 602");
	SET_CDtt( 8, 03.40, "Johnny Left Home Without It");
	SET_CDtt( 9, 03.46, "The Spirit Flies Free");
	SET_CDtt(10, 03.40, "A Rose is a Rose");
	SET_CDtt(11, 03.14, "Real Guitars Have Wings");
	}
}
