#import <sys/types.h>
#import <stddef.h>
#import "CD_DBaseSubs.h"

    /* This subroutine has information for CD's with 11 tracks, and
     * which have 45 or more, but under 50 minutes of music on them.
     */

#define ARTON_INVISIBLESILEN   977147371 /* key parts = 2714.22.11.121 80 */
#define LIBWW_TIMES            984025724 /* key parts = 2733.30.11.224 262 */
#define BDYLAN_BEFOREFLOOD_D1  990299355 /* key parts = 2750.62.11.255 285 */
#define ECLAP_BACKTRACK_D1     993371367 /* key parts = 2759.27.11.267 431 */
#define DBOWIE_CHANGESONE     1008659267 /* key parts = 2801.62.11.317 239 */
#define ICEHOU_SINGLES_D3     1003537741 /* key parts = 2787.45.11.241 291 */
#define ECLAP_NOREASON_POLY   1004747366 /* key parts = 2790.72.11.266 291 */
#define DHENLEY_BUILDINGP     1019771391 /* key parts = 2832.52.11.291 204 */
#define ASTEW_FAMOUSLASTW     1021091316 /* key parts = 2836.27.11.216 276 */
#define ASTEW_RUSS_AMER       1023001743 /* key parts = 2841.50.11.243 265 */
#define SRVAUGHAN_GREATEST    1029083313 /* key parts = 2858.42.11.213 256 */
#define EJOHN_GREATEST_POLY   1036129741 /* key parts = 2878.10.11.241 235 */
#define BJOEL_SONGSINATTIC    1043627256 /* key parts = 2898.72.11.306 274 */
#define EJOHN_HONKYCHAT_TCY   1045331263 /* key parts = 2903.52.11.313 173 */
#define AGRANT_HOUSEL         1046776151 /* key parts = 2907.53.11.251 317 */
#define EJOHN_GREATEST_DCC    1047232143 /* key parts = 2908.73.11.243 230 */
#define APP_BESTOFV2          1054753730 /* key parts = 2929.65.11.230 202 */
#define PINKF_RELICS          1059323275 /* key parts = 2942.42.11.175 202 */
#define MGAR_REGIONSOFSUNRET  1059937674 /* key parts = 2944.20.11.324 361 */
#define BARCLAYJ_XII          1062289746 /* key parts = 2950.60.11.246 343 */
#define PINKF_RELICS_EMI      1067401676 /* key parts = 2965.00.11.176 202 */
#define MGAR_POINTOFIMPACT    1068265677 /* key parts = 2967.30.11.177 275 */
#define SNIFFN_RETROSPECT     1069849700 /* key parts = 2971.60.11.350 374 */
#define JBECK_FLASH           1074721778 /* key parts = 2985.25.11.278 222 */
#define SCROW_TUESNIGHTMUSIC  1076545793 /* key parts = 2990.30.11.293 335 */


void filltoc11_45(tocPtr, cdKey)
struct cd_toc *tocPtr;
u_int cdKey;
{

    if ( cdKey == APP_BESTOFV2 ) { /* 0:48:49-65 */
	tocPtr->discPerformer = "Alan Parsons Project";
	tocPtr->discTitle = "The Best of the Alan Parsons Project - Volume 2";
#     if !defined(SKIPSONGS_Alan_Parsons_Project)
	SET_CDtt( 1, 03.50, "Prime Time");
	SET_CDtt( 2, 03.39, "Let's Talk About Me");
	SET_CDtt( 3, 04.24, "Standing On Higher Ground");
	SET_CDtt( 4, 04.28, "Stereotomy");
	SET_CDtt( 5, 04.12, "Don't Answer Me");
	SET_CDtt( 6, 04.40, "Limelight");
	SET_CDtt( 7, 06.02, "I Robot");
	SET_CDtt( 8, 03.26, "What Goes Up...");
	SET_CDtt( 9, 04.10, "Days Are Numbers (The Traveller)");
	SET_CDtt(10, 06.34, "Ammonia Avenue");
	SET_CDtt(11, 03.22, "The Turn Of A Friendly Card  (Part II)");
#     endif
	}
    if ( cdKey == ARTON_INVISIBLESILEN ) { /* 0:45:14-22 */
	tocPtr->discPerformer = "Art of Noise";
	tocPtr->discTitle = "In Visible Silence";
#     if !defined(SKIPSONGS_Art_of_Noise)
	SET_CDtt( 1, 02.01, "Opus 4");
	SET_CDtt( 2, 04.46, "Paranoimia  [featuring Max Headroom]");
	SET_CDtt( 3, 04.24, "Eye of a Needle");
	SET_CDtt( 4, 04.07, "Legs");
	SET_CDtt( 5, 01.29, "Slip of the Tongue");
	SET_CDtt( 6, 04.12, "Backbeat");
	SET_CDtt( 7, 07.14, "Instruments of Darkness");
	SET_CDtt( 8, 03.59, "Peter Gunn  [featuring Duane Eddy]");
	SET_CDtt( 9, 07.24, "Camilla - The Old, Old Story");
	SET_CDtt(10, 04.16, "The Chameleon's Dish");
	SET_CDtt(11, 01.20, "Beatback");
#     endif
	}
    if ( cdKey == BARCLAYJ_XII ) { /* 0:49:10-60 */
	tocPtr->discPerformer = "Barclay James Harvest";
	tocPtr->discTitle = "XII";
	tocPtr->discCatNum = "004228219412100";
#     if !defined(SKIPSONGS_Barclay_James_Harvest)
	SET_CDtt( 1, 04.06, "Fantasy: Loving is Easy");
	SET_CDtt( 2, 04.56, "Berlin");
	SET_CDtt( 3, 03.35, "Classics: A Tale of Two Sixties");
	SET_CDtt( 4, 03.32, "Turning In Circles");
	SET_CDtt( 5, 03.50, "Fact: The Closed Shop");
	SET_CDtt( 6, 04.18, "In Search Of England");
	SET_CDtt( 7, 04.31, "Sip of Wine");
	SET_CDtt( 8, 03.49, "Harbour");
	SET_CDtt( 9, 05.59, "Science Fiction: Nova Lepidoptera");
	SET_CDtt(10, 04.49, "Giving It Up");
	SET_CDtt(11, 05.43, "Fiction: The Streets of San Francisco");
#     endif
	}
    if ( cdKey == JBECK_FLASH ) { /* 0:49:45-25 */
	tocPtr->discPerformer = "Jeff Beck";
	tocPtr->discTitle = "Flash";
#     if !defined(SKIPSONGS_Jeff_Beck)
	SET_CDtt( 1, 04.38, "Ambitious");
	SET_CDtt( 2, 06.06, "Gets Us All in the End");
	SET_CDtt( 3, 04.42, "Escape");
	SET_CDtt( 4, 04.55, "People Get Ready  [with Rod Stewart]");
	SET_CDtt( 5, 04.27, "Stop, Look and Listen");
	SET_CDtt( 6, 03.36, "Get Workin'");
	SET_CDtt( 7, 03.31, "Ecstasy");
	SET_CDtt( 8, 03.43, "Night After Night");
	SET_CDtt( 9, 05.35, "You Know, We Know");
	SET_CDtt(10, 04.48, "Nighthawks");
	SET_CDtt(11, 03.42, "Back on the Streets");
#     endif
	}
    if ( cdKey == DBOWIE_CHANGESONE ) { /* 0:46:41-62 */
	tocPtr->discPerformer = "David Bowie";
	tocPtr->discTitle = "Changes One";
#     if !defined(SKIPSONGS_David_Bowie)
	SET_CDtt( 1, 05.17, "Space Oddity");
	SET_CDtt( 2, 02.48, "John, I'm Only Dancing");
	SET_CDtt( 3, 03.38, "Changes");
	SET_CDtt( 4, 03.14, "Ziggy Stardust");
	SET_CDtt( 5, 03.27, "Suffragette City");
	SET_CDtt( 6, 04.08, "Jean Genie");
	SET_CDtt( 7, 06.05, "Diamond Dogs");
	SET_CDtt( 8, 04.34, "Rebel, Rebel");
	SET_CDtt( 9, 05.12, "Young Americans");
	SET_CDtt(10, 04.17, "Fame");
	SET_CDtt(11, 03.59, "Golden Years");
#     endif
	}
    if ( cdKey == ECLAP_NOREASON_POLY ) { /* 0:46:30-72 */
	tocPtr->discPerformer = "Eric Clapton";
	tocPtr->discTitle = "No Reason to Cry  [Polydor]";
	tocPtr->discCatNum = "073145318242400";
#     if !defined(SKIPSONGS_Eric_Clapton)
	SET_CDtt( 1, 04.26, "Beautiful Thing");
	SET_CDtt( 2, 03.44, "Carnival");
	SET_CDtt( 3, 02.58, "Sign Language");
	SET_CDtt( 4, 04.01, "County Jail Blues");
	SET_CDtt( 5, 04.40, "All Our Past Times");
	SET_CDtt( 6, 03.36, "Hello Old Friend");
	SET_CDtt( 7, 04.23, "Double Trouble");
	SET_CDtt( 8, 04.12, "Innocent Times");
	SET_CDtt( 9, 04.40, "Hungry");
	SET_CDtt(10, 04.57, "Black Summer Rain");
	SET_CDtt(11, 04.51, "Last Night");
#     endif
	}
    if ( cdKey == ECLAP_BACKTRACK_D1 ) { /* 0:45:59-27 */
	tocPtr->discPerformer = "Eric Clapton";
	tocPtr->discTitle = "Backtrackin'  [disc 1]";
	tocPtr->discCatNum = "004228219382700";
#     if !defined(SKIPSONGS_Eric_Clapton)
	SET_CDtt( 1, 04.27, "I Shot the Sheriff");
	SET_CDtt( 2, 04.27, "Knockin' on Heaven's Door");
	SET_CDtt( 3, 03.55, "Lay Down Sally");
	SET_CDtt( 4, 03.05, "Promises");
	SET_CDtt( 5, 03.36, "Swing Low Sweet Chariot");
	SET_CDtt( 6, 03.45, "Wonderful Tonight");
	SET_CDtt( 7, 04.15, "Sunshine of Your Love");
	SET_CDtt( 8, 02.51, "Tales of Brave Ulysses");
	SET_CDtt( 9, 02.46, "Badge");
	SET_CDtt(10, 05.39, "Little Wing");
	SET_CDtt(11, 07.11, "Layla");
#     endif
	}
    if ( cdKey == SCROW_TUESNIGHTMUSIC ) { /* 0:49:50-30 */
	tocPtr->discPerformer = "Sheryl Crow";
	tocPtr->discTitle = "Tuesday Night Music Club";
	SET_CDtt( 1, 04.53, "Run, Baby, Run");
	SET_CDtt( 2, 05.10, "Leaving Las Vegas");
	SET_CDtt( 3, 03.10, "Strong Enough");
	SET_CDtt( 4, 03.42, "Can't Cry Anymore");
	SET_CDtt( 5, 04.08, "Solidify");
	SET_CDtt( 6, 03.13, "The Na-Na Song");
	SET_CDtt( 7, 05.30, "No One Said It Would Be Easy");
	SET_CDtt( 8, 04.14, "What I Can Do For You");
	SET_CDtt( 9, 04.34, "All I Wanna Do");
	SET_CDtt(10, 05.39, "We Do What We Can");
	SET_CDtt(11, 05.35, "I Shall Believe");
	}
    if ( cdKey == BDYLAN_BEFOREFLOOD_D1 ) { /* 0:45:50-62 */
	tocPtr->discPerformer = "Bob Dylan/ The Band";
	tocPtr->discTitle = "Before the Flood  [disc 1]";
#     if !defined(SKIPSONGS_Bob_Dylan)
	SET_CDtt( 1, 04.15, "Most Likely You Go Your Way (And I'll Go Mine)");
	SET_CDtt( 2, 03.15, "Lay Lady Lay");
	SET_CDtt( 3, 03.27, "Rainy Day Women #12 & 35");
	SET_CDtt( 4, 03.52, "Knockin' On Heaven's Door");
	SET_CDtt( 5, 03.41, "It Ain't Me, Babe");
	SET_CDtt( 6, 03.42, "Ballad of a Thin Man");
	SET_CDtt( 7, 05.25, "Up On Cripple Creek");
	SET_CDtt( 8, 03.51, "I Shall Be Released");
	SET_CDtt( 9, 05.10, "Endless Highway");
	SET_CDtt(10, 04.25, "The Night They Drove Old Dixie Down");
	SET_CDtt(11, 04.45, "Stage Fright");
#     endif
	}
    if ( cdKey == MGAR_REGIONSOFSUNRET ) { /* 0:49:04-20 */
	tocPtr->discPerformer = "Michael Garrison";
	tocPtr->discTitle = "Regions of Sunreturn and Beyond";
#     if !defined(SKIPSONGS_Michael_Garrison)
	SET_CDtt( 1, 05.24, "To The Other Side of the Sky");
	SET_CDtt( 2, 05.48, "The Search");
	SET_CDtt( 3, 03.47, "Dreams");
	SET_CDtt( 4, 03.34, "Take a Chance");
	SET_CDtt( 5, 04.48, "Twilight's Return");
	SET_CDtt( 6, 04.39, "Escape");
	SET_CDtt( 7, 02.43, "Animation");
	SET_CDtt( 8, 05.56, "Theme to Onday");
	SET_CDtt( 9, 02.20, "The Black Hole");
	SET_CDtt(10, 04.02, "For You And Me");
	SET_CDtt(11, 06.01, "The Voyage");
#     endif
	}
    if ( cdKey == MGAR_POINTOFIMPACT ) { /* 0:49:27-30 */
	tocPtr->discPerformer = "Michael Garrison";
	tocPtr->discTitle = "Point of Impact";
#     if !defined(SKIPSONGS_Michael_Garrison)
	SET_CDtt( 1, 02.57, "Daydreams");
	SET_CDtt( 2, 03.31, "Point of Impact");
	SET_CDtt( 3, 06.45, "Forever Challenger");
	SET_CDtt( 4, 03.42, "Aftershock");
	SET_CDtt( 5, 01.53, "Upon the Horizons");
	SET_CDtt( 6, 04.27, "Reflections");
	SET_CDtt( 7, 08.17, "Bridge of Air");
	SET_CDtt( 8, 03.37, "Colors");
	SET_CDtt( 9, 05.00, "Motion Fascination");
	SET_CDtt(10, 04.41, "Visions");
	SET_CDtt(11, 04.35, "Discovery");
#     endif
	}
    if ( cdKey == AGRANT_HOUSEL ) { /* 0:48:27-53 */
	tocPtr->discPerformer = "Amy Grant";
	tocPtr->discTitle = "House of Love";
#     if !defined(SKIPSONGS_Amy_Grant)
	SET_CDtt( 1, 04.11, "Lucky One");
	SET_CDtt( 2, 04.04, "Say You'll Be Mine");
	SET_CDtt( 3, 04.13, "Whatever It Takes");
	SET_CDtt( 4, 04.39, "House of Love");
	SET_CDtt( 5, 03.55, "The Power");
	SET_CDtt( 6, 05.15, "Oh How the Years Go By");
	SET_CDtt( 7, 02.59, "Big Yellow Taxi");
	SET_CDtt( 8, 04.43, "Helping Hand");
	SET_CDtt( 9, 03.57, "Love Has Got a Hold On Me");
	SET_CDtt(10, 05.12, "Our Love");
	SET_CDtt(11, 05.17, "Children of the World");
#     endif
	}
    if ( cdKey == DHENLEY_BUILDINGP ) { /* 0:47:12-52 */
	tocPtr->discPerformer = "Don Henley";
	tocPtr->discTitle = "Building The Perfect Beast";
	tocPtr->discCatNum = "007599240262000";
#     if !defined(SKIPSONGS_Don_Henley)
	SET_CDtt( 1, 04.51, "The Boys of Summer");
	SET_CDtt( 2, 03.34, "You Can't Make Love");
	SET_CDtt( 3, 02.45, "Man With A Mission");
	SET_CDtt( 4, 04.42, "You're Not Drunk Enough");
	SET_CDtt( 5, 03.55, "Not Enough Love In The World");
	SET_CDtt( 6, 05.01, "Building The Perfect Beast");
	SET_CDtt( 7, 04.30, "All She Wants To Do Is Dance");
	SET_CDtt( 8, 04.30, "A Month of Sundays");
	SET_CDtt( 9, 06.20, "Sunset Grill");
	SET_CDtt(10, 03.38, "Drivin' With Your Eyes Closed");
	SET_CDtt(11, 03.24, "Land Of The Living");
#     endif
	}
    if ( cdKey == ICEHOU_SINGLES_D3 ) { /* 0:46:27-45 */
	tocPtr->discPerformer = "Icehouse";
	tocPtr->discTitle = "The Singles: A Sides... And Selected B Sides  [disc 3]";
#     if !defined(SKIPSONGS_Icehouse)
	SET_CDtt( 1, 04.01, "Big Fun");
	SET_CDtt( 2, 04.19, "Miss Divine");
	SET_CDtt( 3, 04.21, "Anything is Possible");
	SET_CDtt( 4, 04.10, "Where the River Meets the Sea");
	SET_CDtt( 5, 03.46, "Knockin 'Em Down");
	SET_CDtt( 6, 04.47, "Love in Motion  [with Christina Amphlett]");
	SET_CDtt( 7, 03.49, "Satellite");
	SET_CDtt( 8, 03.45, "Big Wheel");
	SET_CDtt( 9, 04.07, "Invisible People");
	SET_CDtt(10, 04.29, "Heaven");
	SET_CDtt(11, 04.51, "Pas De Trois");
#     endif
	}
    if ( cdKey == BJOEL_SONGSINATTIC ) { /* 0:48:18-72 */
	tocPtr->discPerformer = "Billy Joel";
	tocPtr->discTitle = "Songs in the Attic";
#     if !defined(SKIPSONGS_Billy_Joel)
	SET_CDtt( 1, 05.06, "Miami 2017 (Seen the Lights Go Out on Broadway)");
	SET_CDtt( 2, 03.04, "Summer, Highland Falls");
	SET_CDtt( 3, 05.18, "Streetlife Serenader");
	SET_CDtt( 4, 03.49, "Los Angelenos");
	SET_CDtt( 5, 03.01, "She's Got A Way");
	SET_CDtt( 6, 03.08, "Everybody Loves You Now");
	SET_CDtt( 7, 04.25, "Say Goodbye to Hollywood");
	SET_CDtt( 8, 07.17, "Captain Jack");
	SET_CDtt( 9, 03.07, "You're My Home");
	SET_CDtt(10, 05.27, "The Ballad of Billy the Kid");
	SET_CDtt(11, 04.34, "I've Loved These Days");
#     endif
	}
    if ( cdKey == EJOHN_HONKYCHAT_TCY ) { /* 0:48:23-52 */
	tocPtr->discPerformer = "Elton John";
	tocPtr->discTitle = "Honky Chateau  [Polydor]";
	tocPtr->discCatNum = "073145281622100";
#     if !defined(SKIPSONGS_Elton_John)
	SET_CDtt( 1, 05.13, "Honky Cat");
	SET_CDtt( 2, 05.32, "Mellow");
	SET_CDtt( 3, 03.36, "I Think I'm Gonna Kill Myself");
	SET_CDtt( 4, 03.25, "Suzie (Dramas)");
	SET_CDtt( 5, 04.41, "Rocket Man (I Think It's Going To Be A Long Long Time)");
	SET_CDtt( 6, 03.59, "Salvation");
	SET_CDtt( 7, 04.22, "Slave");
	SET_CDtt( 8, 04.03, "Amy");
	SET_CDtt( 9, 05.01, "Mona Lisas and Mad Hatters");
	SET_CDtt(10, 05.36, "Hercules");
	SET_CDtt(11, 02.53, "Slave  [alternative version]");
#     endif
	}
    if ( cdKey == EJOHN_GREATEST_POLY ) { /* 0:47:58-10 */
	tocPtr->discPerformer = "Elton John";
	tocPtr->discTitle = "Greatest Hits  [Polydor]";
#     if !defined(SKIPSONGS_Elton_John)
	SET_CDtt( 1, 04.01, "Your Song");
	SET_CDtt( 2, 03.53, "Daniel");
	SET_CDtt( 3, 05.13, "Honky Cat");
	SET_CDtt( 4, 03.15, "Goodbye Yellow Brick Road");
	SET_CDtt( 5, 04.54, "Saturday Night's Alright for Fighting");
	SET_CDtt( 6, 04.42, "Rocket Man");
	SET_CDtt( 7, 05.14, "Bennie and the Jets");
	SET_CDtt( 8, 03.49, "Candle in the Wind");
	SET_CDtt( 9, 05.38, "Don't Let the Sun Go Down on Me");
	SET_CDtt(10, 03.22, "Border Song");
	SET_CDtt(11, 03.55, "Crocodile Rock");
#     endif
	}
    if ( cdKey == EJOHN_GREATEST_DCC ) { /* 0:48:28-73 */
	tocPtr->discPerformer = "Elton John";
	tocPtr->discTitle = "Greatest Hits  [DCC Gold]";
#     if !defined(SKIPSONGS_Elton_John)
	SET_CDtt( 1, 04.01, "Your Song");
	SET_CDtt( 2, 03.53, "Daniel");
	SET_CDtt( 3, 05.13, "Honky Cat");
	SET_CDtt( 4, 03.15, "Goodbye Yellow Brick Road");
	SET_CDtt( 5, 04.54, "Saturday Night's Alright for Fighting");
	SET_CDtt( 6, 04.42, "Rocket Man");
	SET_CDtt( 7, 05.14, "Bennie and the Jets");
	SET_CDtt( 8, 05.39, "Don't Let the Sun Go Down on Me");
	SET_CDtt( 9, 03.24, "Border Song");
	SET_CDtt(10, 03.56, "Crocodile Rock");
	SET_CDtt(11, 03.50, "Candle in the Wind");
#     endif
	}
    if ( cdKey == LIBWW_TIMES ) { /* 0:45:33-30 */
	tocPtr->discPerformer = "The Liberated Wailing Wall";
	tocPtr->discTitle = "Times And Seasons";
	SET_CDtt( 1, 03.44, "Abraham");
	SET_CDtt( 2, 04.19, "Lord You Are Our Life");
	SET_CDtt( 3, 04.13, "The Lord Is My Life And Salvation");
	SET_CDtt( 4, 06.04, "Passover Medley");
	SET_CDtt( 5, 04.23, "The Seasons of Our Love");
	SET_CDtt( 6, 04.34, "Echad");
	SET_CDtt( 7, 02.55, "Sabbath Rest");
	SET_CDtt( 8, 03.34, "Today I Am a Man");
	SET_CDtt( 9, 02.49, "Perfect Peace");
	SET_CDtt(10, 04.34, "I Sing Unto My Bride/Our Love Is Stronger Than Death");
	SET_CDtt(11, 04.22, "Kaddish");
	}
    if ( cdKey == PINKF_RELICS ) { /* 0:49:02-42 */
	tocPtr->discPerformer = "Pink Floyd";
	tocPtr->discTitle = "Relics";
#     if !defined(SKIPSONGS_Pink_Floyd)
	SET_CDtt( 1, 02.55, "Arnold Layne");
	SET_CDtt( 2, 09.37, "Intersteller Overdrive");
	SET_CDtt( 3, 02.51, "See Emily Play");
	SET_CDtt( 4, 04.28, "Remember A Day");
	SET_CDtt( 5, 03.31, "Paintbox");
	SET_CDtt( 6, 02.36, "Julia Dreams");
	SET_CDtt( 7, 05.44, "Careful With That Axe, Eugene");
	SET_CDtt( 8, 05.16, "Cirrus Minor (from the film More)");
	SET_CDtt( 9, 03.24, "The Nile Song (from the film More)");
	SET_CDtt(10, 05.16, "Biding My Time");
	SET_CDtt(11, 03.22, "Bike");
#     endif
	}
    if ( cdKey == PINKF_RELICS_EMI ) { /* 0:49:25-00 */
	tocPtr->discPerformer = "Pink Floyd";
	tocPtr->discTitle = "Relics  [EMI remastered]";
#     if !defined(SKIPSONGS_Pink_Floyd)
	SET_CDtt( 1, 02.56, "Arnold Layne");
	SET_CDtt( 2, 09.43, "Intersteller Overdrive");
	SET_CDtt( 3, 02.54, "See Emily Play");
	SET_CDtt( 4, 04.29, "Remember A Day");
	SET_CDtt( 5, 03.34, "Paintbox");
	SET_CDtt( 6, 02.37, "Julia Dream");
	SET_CDtt( 7, 05.46, "Careful With That Axe, Eugene");
	SET_CDtt( 8, 05.18, "Cirrus Minor (from the film More)");
	SET_CDtt( 9, 03.25, "The Nile Song (from the film More)");
	SET_CDtt(10, 05.19, "Biding My Time");
	SET_CDtt(11, 03.22, "Bike");
#     endif
	}
    if ( cdKey == SNIFFN_RETROSPECT ) { /* 0:49:31-60 */
	tocPtr->discPerformer = "Sniff 'n' the Tears";
	tocPtr->discTitle = "Retrospective";
	tocPtr->discCatNum = "004228131272100";
#     if !defined(SKIPSONGS_Sniff_n_the_Tears)
	SET_CDtt( 1, 05.50, "Driver's Seat");
	SET_CDtt( 2, 03.33, "Hungry Eyes");
	SET_CDtt( 3, 04.53, "Shame");
	SET_CDtt( 4, 03.25, "One Love");
	SET_CDtt( 5, 03.41, "Bagatelle");
	SET_CDtt( 6, 03.48, "New Lines On Love");
	SET_CDtt( 7, 05.01, "Ride Blue Divide");
	SET_CDtt( 8, 04.18, "Snow White");
	SET_CDtt( 9, 04.42, "Poison Pen Mail");
	SET_CDtt(10, 04.04, "Love/ Action");
	SET_CDtt(11, 06.14, "Rodeo Drive");
#     endif
	}
    if ( cdKey == ASTEW_RUSS_AMER ) { /* 0:47:21-50 */
	tocPtr->discPerformer = "Al Stewart";
	tocPtr->discTitle = "Russians & Americans";
	tocPtr->discCatNum = "007567790722800";
#     if !defined(SKIPSONGS_Al_Stewart)
	SET_CDtt( 1, 04.03, "The One that Got Away");
	SET_CDtt( 2, 05.28, "Rumours of War");
	SET_CDtt( 3, 06.01, "Night Meeting");
	SET_CDtt( 4, 03.33, "Accident on 3rd Street");
	SET_CDtt( 5, 03.56, "Strange Girl");
	SET_CDtt( 6, 04.32, "Russians & Americans");
	SET_CDtt( 7, 05.38, "Caf Society");
	SET_CDtt( 8, 03.15, "One, Two, Three (1, 2, 3)");
	SET_CDtt( 9, 02.09, "The Candidate");
	SET_CDtt(10, 04.19, "The Gypsy & the Rose");
	SET_CDtt(11, 04.25, "Lori, Don't Go Right Now");
#     endif
	}
    if ( cdKey == ASTEW_FAMOUSLASTW ) { /* 0:47:16-27 */
	tocPtr->discPerformer = "Al Stewart";
	tocPtr->discTitle = "Famous Last Words";
#     if !defined(SKIPSONGS_Al_Stewart)
	SET_CDtt( 1, 03.36, "Feel Like");
	SET_CDtt( 2, 03.51, "Angel of Mercy");
	SET_CDtt( 3, 05.22, "Don't Forget Me");
	SET_CDtt( 4, 03.38, "Peter on the White Sea");
	SET_CDtt( 5, 03.48, "Genie on a Table Top");
	SET_CDtt( 6, 04.46, "Trespasser");
	SET_CDtt( 7, 08.17, "Trains");
	SET_CDtt( 8, 03.40, "Necromancer");
	SET_CDtt( 9, 03.48, "Charlotte Corday");
	SET_CDtt(10, 01.52, "Hipposong");
	SET_CDtt(11, 04.36, "Night Rolls In");
#     endif
	}
    if ( cdKey == SRVAUGHAN_GREATEST ) { /* 0:47:38-42 */
	tocPtr->discPerformer = "Stevie Ray Vaughan";
	tocPtr->discTitle = "Greatest Hits";
	SET_CDtt( 1, 03.33, "Taxman");
	SET_CDtt( 2, 05.22, "Texas Flood");
	SET_CDtt( 3, 02.25, "The House is Rockin'");
	SET_CDtt( 4, 03.40, "Pride and Joy");
	SET_CDtt( 5, 04.39, "Tightrope");
	SET_CDtt( 6, 06.49, "Little Wing");
	SET_CDtt( 7, 04.10, "Crossfire");
	SET_CDtt( 8, 03.59, "Change It");
	SET_CDtt( 9, 04.00, "Cold Shot");
	SET_CDtt(10, 04.43, "Couldn't Stand the Weather");
	SET_CDtt(11, 04.16, "Life Without You");
	}
}
