#import <sys/types.h>
#import <stddef.h>
#import "CD_DBaseSubs.h"

    /* This subroutine has information for CD's with 11 tracks, and
     * which have 50 or more, but under 60 minutes of music on them.
     */

#define GANDALF_FORGOTKINGDOM 1085329726 /* key parts = 3014.60.11.226 407 */
#define U2_JOSHUATREE_UDII    1085377689 /* key parts = 3014.70.11.339 315 */
#define U2_JOSHUATREE         1085992088 /* key parts = 3016.48.11.338 313 */
#define VANT_STRANGECARGO     1086112055 /* key parts = 3016.73.11.305 99 */
#define ECLAP_BEHINDTHESUN    1087048196 /* key parts = 3019.43.11.296 132 */
#define PCOLLINS_NOJACKET     1097200163 /* key parts = 3047.58.11.263 255 */
#define APP_ONAIR_D1          1098035349 /* key parts = 3050.07.11.99 266 */
#define BARCLAYJ_MOCKINGEARLY 1099057748 /* key parts = 3052.70.11.398 192 */
#define ICEHOU_GREATSOUTHERN  1100017728 /* key parts = 3055.45.11.228 529 */
#define VAR_T_JEFFOLOGY       1100224085 /* key parts = 3056.13.11.335 217 */
#define WALLFLOW_BRINGINGDOWN 1105931262 /* key parts = 3072.02.11.312 303 */
#define MSHREEVE_CRASHHEAD    1113995365 /* key parts = 3094.32.11.265 268 */
#define WEIRDAL_OFFDEEPEND    1114331322 /* key parts = 3095.27.11.222 851 */
#define CALL_LETTHEDAYBEGIN   1121507332 /* key parts = 3115.22.11.232 146 */
#define JCOLLINS_SINGSDYLAN   1124809719 /* key parts = 3124.35.11.369 256 */
#define EJOHN_BIGPICTURE      1128683387 /* key parts = 3135.17.11.287 280 */
#define EJOHN_MADEINENGLAND   1139315395 /* key parts = 3164.57.11.295 300 */
#define EJOHN_ROCKWEST_TCYU   1148113725 /* key parts = 3189.15.11.375 272 */
#define TDREAM_DREAMROOTS_D1  1151411388 /* key parts = 3198.27.11.288 405 */
#define BJOEL_GREATESTHITS_V1 1154233686 /* key parts = 3206.15.11.336 198 */
#define MGAR_LIVE_V2          1156825657 /* key parts = 3213.30.11.157 264 */
#define NYOUNG_MIRRORBALL     1195835380 /* key parts = 3321.57.11.280 75 */
#define BJOEL_COMPLETEHITS_D1 1197443289 /* key parts = 3326.17.11.339 201 */
#define COWBJ_200MOREMILES_D1 1198489755 /* key parts = 3329.10.11.405 458 */
#define MBYTE_ISLENERGY       1202401725 /* key parts = 3340.00.11.225 234 */
#define PSIMON_CONCERTCP_D1   1207009778 /* key parts = 3352.60.11.278 339 */
#define MLASAR_OLYMPICPARK    1231129792 /* key parts = 3419.60.11.292 327 */
#define KRAFT_THEMODEL        1245577700 /* key parts = 3459.70.11.200 576 */
#define ASTEW_RHYMESINROOMS   1277915372 /* key parts = 3549.57.11.272 396 */
#define JHAYWARD_VIEWFROMH    1274881687 /* key parts = 3541.25.11.337 195 */
#define BLUEROD_FIVEDAYS      1281721784 /* key parts = 3560.25.11.434 562 */
#define TDREAM_DREAMROOTS_D4  1282537654 /* key parts = 3562.45.11.304 294 */


void filltoc11_50(tocPtr, cdKey)
struct cd_toc *tocPtr;
u_int cdKey;
{

    if ( cdKey == APP_ONAIR_D1 ) { /* 0:50:50-07 */
	tocPtr->discPerformer = "Alan Parsons Project";
	tocPtr->discTitle = "On Air  [disc 1]";
#     if !defined(SKIPSONGS_Alan_Parsons_Project)
	SET_CDtt( 1, 01.39, "Blue, Blue Sky");
	SET_CDtt( 2, 05.04, "Too Close to the Sun");
	SET_CDtt( 3, 05.26, "Blown by the Wind");
	SET_CDtt( 4, 04.40, "Cloudbreak");
	SET_CDtt( 5, 04.37, "Can't Look Down");
	SET_CDtt( 6, 04.02, "Brother up in Heaven");
	SET_CDtt( 7, 04.22, "Fall Free");
	SET_CDtt( 8, 06.05, "Apollo");
	SET_CDtt( 9, 04.08, "So Far Away");
	SET_CDtt(10, 06.19, "One Day to Fly");
	SET_CDtt(11, 04.26, "Blue Blue Sky");
#     endif
	}
    if ( cdKey == BARCLAYJ_MOCKINGEARLY ) { /* 0:50:52-70 */
	tocPtr->discPerformer = "Barclay James Harvest";
	tocPtr->discTitle = "Mocking Bird (The Early Years)";
#     if !defined(SKIPSONGS_Barclay_James_Harvest)
	SET_CDtt( 1, 06.38, "Mocking Bird");
	SET_CDtt( 2, 03.30, "The Jocker");
	SET_CDtt( 3, 03.11, "Rock and Roll Woman");
	SET_CDtt( 4, 05.48, "One Hundred Thousand Smiles Out");
	SET_CDtt( 5, 04.24, "Thank You");
	SET_CDtt( 6, 03.52, "Medicine Man");
	SET_CDtt( 7, 02.52, "Ursula (The Swan Sea Song)");
	SET_CDtt( 8, 04.59, "Song for the Dying");
	SET_CDtt( 9, 04.08, "Crazy (Over You)");
	SET_CDtt(10, 08.16, "She Said");
	SET_CDtt(11, 03.12, "Galadriel");
#     endif
	}
    if ( cdKey == BLUEROD_FIVEDAYS ) { /* 0:59:20-25 */
	tocPtr->discPerformer = "Blue Rodeo";
	tocPtr->discTitle = "Five Days in July";
	SET_CDtt( 1, 07.14, "5 Days in May");
	SET_CDtt( 2, 05.14, "Hasn't Hit Me Yet");
	SET_CDtt( 3, 05.10, "Bad Timing");
	SET_CDtt( 4, 04.41, "Cynthia");
	SET_CDtt( 5, 04.11, "Photograph");
	SET_CDtt( 6, 06.16, "What is This Love");
	SET_CDtt( 7, 03.21, "English Bay");
	SET_CDtt( 8, 04.02, "Head Over Heels");
	SET_CDtt( 9, 04.30, "Til I Gain Control Again");
	SET_CDtt(10, 05.17, "Dark Angel");
	SET_CDtt(11, 09.22, "Know Where You Go/ Tell Me Your Dream");
	}
    if ( cdKey == CALL_LETTHEDAYBEGIN ) { /* 0:51:55-22 */
	tocPtr->discPerformer = "The Call";
	tocPtr->discTitle = "Let the Day Begin";
#     if !defined(SKIPSONGS_The_Call)
	SET_CDtt( 1, 03.52, "Let The Day Begin");
	SET_CDtt( 2, 05.34, "You Run");
	SET_CDtt( 3, 04.09, "Surrender");
	SET_CDtt( 4, 05.19, "When");
	SET_CDtt( 5, 05.39, "Jealousy");
	SET_CDtt( 6, 03.37, "Same Ol' Story");
	SET_CDtt( 7, 06.15, "For Love");
	SET_CDtt( 8, 05.04, "Closer");
	SET_CDtt( 9, 05.39, "Communication");
	SET_CDtt(10, 04.19, "Watch");
	SET_CDtt(11, 02.26, "Uncovered");
#     endif
	}
    if ( cdKey == ECLAP_BEHINDTHESUN ) { /* 0:50:19-43 */
	tocPtr->discPerformer = "Eric Clapton";
	tocPtr->discTitle = "Behind the Sun";
	tocPtr->discCatNum = "007599251662400";
#     if !defined(SKIPSONGS_Eric_Clapton)
	SET_CDtt( 1, 04.56, "She's Waiting");
	SET_CDtt( 2, 03.59, "See What Love Can Do");
	SET_CDtt( 3, 08.16, "Same Old Blues");
	SET_CDtt( 4, 03.20, "Knock On Wood");
	SET_CDtt( 5, 03.24, "Something's Happening");
	SET_CDtt( 6, 03.15, "Forever Man");
	SET_CDtt( 7, 05.05, "It All Depends");
	SET_CDtt( 8, 04.12, "Tangled in Love");
	SET_CDtt( 9, 06.07, "Never Make You Cry");
	SET_CDtt(10, 05.31, "Just Like a Prisoner");
	SET_CDtt(11, 02.12, "Behind the Sun");
#     endif
	}
    if ( cdKey == JCOLLINS_SINGSDYLAN ) { /* 0:52:04-35 */
	tocPtr->discPerformer = "Judy Collins";
	tocPtr->discTitle = "Judy Sings Dylan... Just Like a Woman";
	SET_CDtt( 1, 06.09, "Like a Rolling Stone");
	SET_CDtt( 2, 04.49, "It's All Over Now, Baby Blue");
	SET_CDtt( 3, 03.54, "Simple Twist of Fate");
	SET_CDtt( 4, 04.33, "Sweetheart Like You");
	SET_CDtt( 5, 05.44, "Gotta Serve Somebody");
	SET_CDtt( 6, 04.25, "Dark Eyes");
	SET_CDtt( 7, 04.12, "Love Minus Zero/ No Limit");
	SET_CDtt( 8, 04.36, "Just Like a Woman");
	SET_CDtt( 9, 05.23, "I Believe in You");
	SET_CDtt(10, 04.01, "With God on Our Side");
	SET_CDtt(11, 04.16, "Bob Dylan's Dream");
	}
    if ( cdKey == PCOLLINS_NOJACKET ) { /* 0:50:47-58 */
	tocPtr->discPerformer = "Phil Collins";
	tocPtr->discTitle = "No Jacket Required";
	tocPtr->discCatNum = "007567812402000";
#     if !defined(SKIPSONGS_Phil_Collins)
	SET_CDtt( 1, 04.23, "Sussudio");
	SET_CDtt( 2, 04.22, "Only You Know And I Know");
	SET_CDtt( 3, 04.23, "Long Long Way To Go");
	SET_CDtt( 4, 04.15, "I Don't Wanna Know");
	SET_CDtt( 5, 04.48, "One More Night");
	SET_CDtt( 6, 04.49, "Don't Lose My Number");
	SET_CDtt( 7, 04.02, "Who Said I Would");
	SET_CDtt( 8, 04.19, "Doesn't Anybody Stay Together Anymore");
	SET_CDtt( 9, 05.15, "Inside Out");
	SET_CDtt(10, 05.54, "Take Me Home");
	SET_CDtt(11, 04.15, "We Said Hello Goodbye");
#     endif
	}
    if ( cdKey == COWBJ_200MOREMILES_D1 ) { /* 0:55:29-10 */
	tocPtr->discPerformer = "Cowboy Junkies";
	tocPtr->discTitle = "200 More Miles: Live Performances 1985-1994  [disc 1]";
	SET_CDtt( 1, 06.45, "Blue Moon Revisited (A Song For Elvis)");
	SET_CDtt( 2, 06.04, "200 More Miles");
	SET_CDtt( 3, 05.20, "Me and the Devil");
	SET_CDtt( 4, 04.10, "State Trooper");
	SET_CDtt( 5, 04.06, "Sun Comes Up, It's Tuesday Morning");
	SET_CDtt( 6, 04.58, "Oregon Hill");
	SET_CDtt( 7, 05.23, "Where Are You Tonight");
	SET_CDtt( 8, 02.35, "Spoken Intro");
	SET_CDtt( 9, 04.04, "'Cause Cheap is How I Feel");
	SET_CDtt(10, 04.24, "Floorboard Blues");
	SET_CDtt(11, 07.38, "Murder, Tonight, in the Trailer Park");
	}
    if ( cdKey == GANDALF_FORGOTKINGDOM ) { /* 0:50:14-60 */
	tocPtr->discPerformer = "Gandalf";
	tocPtr->discTitle = "Tale from a Long Forgotten Kingdom";
	tocPtr->discCatNum = "240544020000900";
#     if !defined(SKIPSONGS_Gandalf)
	SET_CDtt( 1, 03.46, "Forgotten Kingdom - Part I");
	SET_CDtt( 2, 03.21, "Forgotten Kingdom - Part II");
	SET_CDtt( 3, 03.05, "Garden of Illusions - Part I");
	SET_CDtt( 4, 05.55, "Garden of Illusions - Part II");
	SET_CDtt( 5, 04.30, "Garden of Illusions - Part III");
	SET_CDtt( 6, 04.16, "The Sacred Esoteric Formula");
	SET_CDtt( 7, 08.22, "The Nawan Path");
	SET_CDtt( 8, 04.09, "On the Peacock's Wings");
	SET_CDtt( 9, 03.48, "The River of Realization - Part I");
	SET_CDtt(10, 02.13, "The River of Realization - Part II");
	SET_CDtt(11, 06.47, "Back Home");
#     endif
	}
    if ( cdKey == MGAR_LIVE_V2 ) { /* 0:53:33-30 */
	tocPtr->discPerformer = "Michael Garrison";
	tocPtr->discTitle = "Live: Volume 2";
#     if !defined(SKIPSONGS_Michael_Garrison)
	SET_CDtt( 1, 02.37, "Daydreams");
	SET_CDtt( 2, 04.49, "The Elliptical Sun");
	SET_CDtt( 3, 06.06, "Beyond the Cosmic Horizon");
	SET_CDtt( 4, 04.34, "To the Other Side of the Sky");
	SET_CDtt( 5, 05.38, "The Search");
	SET_CDtt( 6, 03.55, "Crystal Moon");
	SET_CDtt( 7, 03.27, "Theme to the Earth-Star");
	SET_CDtt( 8, 08.13, "Airborn");
	SET_CDtt( 9, 04.41, "Everybody's Warrior");
	SET_CDtt(10, 05.07, "Escape");
	SET_CDtt(11, 04.24, "Lansdowne Cruise");
#     endif
	}
    if ( cdKey == JHAYWARD_VIEWFROMH ) { /* 0:59:01-25 */
	tocPtr->discPerformer = "Justin Hayward";
	tocPtr->discTitle = "The View from the Hill";
	SET_CDtt( 1, 05.37, "I Heard It");
	SET_CDtt( 2, 05.52, "Broken Dream");
	SET_CDtt( 3, 07.26, "The Promised Land");
	SET_CDtt( 4, 05.02, "It's Not Too Late");
	SET_CDtt( 5, 04.22, "Something To Believe In");
	SET_CDtt( 6, 05.08, "The Way of the World");
	SET_CDtt( 7, 04.08, "Sometimes Less is More");
	SET_CDtt( 8, 06.34, "Troubadour");
	SET_CDtt( 9, 04.35, "Shame");
	SET_CDtt(10, 07.00, "Billy");
	SET_CDtt(11, 03.15, "Children of Paradise");
	}
    if ( cdKey == ICEHOU_GREATSOUTHERN ) { /* 0:50:55-45 */
	tocPtr->discPerformer = "Icehouse";
	tocPtr->discTitle = "Great Southern Land";
#     if !defined(SKIPSONGS_Icehouse)
	SET_CDtt( 1, 03.48, "Touch The Fire");
	SET_CDtt( 2, 04.04, "Jimmy Dean");
	SET_CDtt( 3, 04.23, "Hey Little Girl");
	SET_CDtt( 4, 03.42, "Can't Help Myself");
	SET_CDtt( 5, 05.23, "Great Southern Land");
	SET_CDtt( 6, 03.25, "Sister");
	SET_CDtt( 7, 03.59, "Cross The Border");
	SET_CDtt( 8, 03.48, "We Can Get Together");
	SET_CDtt( 9, 04.13, "Street Caf");
	SET_CDtt(10, 05.19, "Don't Believe Anymore");
	SET_CDtt(11, 08.49, "No Promises  [dance mix]");
#     endif
	}
    if ( cdKey == BJOEL_GREATESTHITS_V1 ) { /* 0:53:26-15 */
	tocPtr->discPerformer = "Billy Joel";
	tocPtr->discTitle = "Greatest Hits, Volume I: 1973-1977";
#     if !defined(SKIPSONGS_Billy_Joel)
	SET_CDtt( 1, 05.36, "Piano Man");
	SET_CDtt( 2, 07.16, "Captain Jack");
	SET_CDtt( 3, 03.38, "The Entertainer");
	SET_CDtt( 4, 03.55, "Say Goodbye to Hollywood");
	SET_CDtt( 5, 06.03, "New York State of Mind");
	SET_CDtt( 6, 05.07, "The Stranger");
	SET_CDtt( 7, 07.33, "Scenes From an Italian Restaurant");
	SET_CDtt( 8, 03.37, "Just The Way You Are");
	SET_CDtt( 9, 03.28, "Moving' Out (Anthony's Song)");
	SET_CDtt(10, 03.53, "Only the Good Die Young");
	SET_CDtt(11, 03.18, "She's Always a Woman To Me");
#     endif
	}
    if ( cdKey == BJOEL_COMPLETEHITS_D1 ) { /* 0:55:26-17 */
	tocPtr->discPerformer = "Billy Joel";
	tocPtr->discTitle = "The Complete Hits Collection: 1973-1997  [disc 1]";
#     if !defined(SKIPSONGS_Billy_Joel)
	SET_CDtt( 1, 05.39, "Piano Man");
	SET_CDtt( 2, 06.57, "Captain Jack");
	SET_CDtt( 3, 03.40, "The Entertainer");
	SET_CDtt( 4, 04.40, "Say Goodbye to Hollywood");
	SET_CDtt( 5, 06.05, "New York State of Mind");
	SET_CDtt( 6, 05.09, "The Stranger");
	SET_CDtt( 7, 07.37, "Scenes From an Italian Restaurant");
	SET_CDtt( 8, 04.51, "Just The Way You Are");
	SET_CDtt( 9, 03.30, "Moving' Out (Anthony's Song)");
	SET_CDtt(10, 03.55, "Only the Good Die Young");
	SET_CDtt(11, 03.21, "She's Always a Woman To Me");
#     endif
	}
    if ( cdKey == EJOHN_ROCKWEST_TCYU ) { /* 0:53:09-15 */
	tocPtr->discPerformer = "Elton John";
	tocPtr->discTitle = "Rock of the Westies  [The Classic Years, USA]";
#     if !defined(SKIPSONGS_Elton_John)
	SET_CDtt( 1, 06.15, "Medley (Yell Help, Wednesday Night, Ugly)");
	SET_CDtt( 2, 03.29, "Dan Dare (Pilot of the Future)");
	SET_CDtt( 3, 03.42, "Island Girl");
	SET_CDtt( 4, 04.48, "Grow Some Funk of Your Own");
	SET_CDtt( 5, 05.27, "I Feel Like a Bullet (In the Gun of Robert Ford)");
	SET_CDtt( 6, 06.25, "Street Kids");
	SET_CDtt( 7, 05.16, "Hard Luck Story");
	SET_CDtt( 8, 04.01, "Feed Me");
	SET_CDtt( 9, 04.40, "Billy Bones and the White Bird");
	SET_CDtt(10, 04.32, "Planes");
	SET_CDtt(11, 04.32, "Sugar on the Floor");
#     endif
	}
    if ( cdKey == EJOHN_MADEINENGLAND ) { /* 0:52:44-57 */
	tocPtr->discPerformer = "Elton John";
	tocPtr->discTitle = "Made in England";
#     if !defined(SKIPSONGS_Elton_John)
	SET_CDtt( 1, 04.55, "Believe");
	SET_CDtt( 2, 05.08, "Made in England");
	SET_CDtt( 3, 04.27, "House");
	SET_CDtt( 4, 05.38, "Cold");
	SET_CDtt( 5, 03.51, "Pain");
	SET_CDtt( 6, 06.30, "Belfast");
	SET_CDtt( 7, 03.36, "Latitude");
	SET_CDtt( 8, 03.52, "Please");
	SET_CDtt( 9, 05.16, "Man");
	SET_CDtt(10, 04.29, "Lies");
	SET_CDtt(11, 05.00, "Blessed");
#     endif
	}
    if ( cdKey == EJOHN_BIGPICTURE ) { /* 0:52:15-17 */
	tocPtr->discPerformer = "Elton John";
	tocPtr->discTitle = "The Big Picture";
#     if !defined(SKIPSONGS_Elton_John)
	SET_CDtt( 1, 04.47, "Long Way from Happiness");
	SET_CDtt( 2, 05.02, "Live Like Horses");
	SET_CDtt( 3, 04.53, "The End Will Come");
	SET_CDtt( 4, 05.24, "If The River Can Bend");
	SET_CDtt( 5, 05.02, "Love's Got a Lot To Answer For");
	SET_CDtt( 6, 05.09, "Something About The Way You Look Tonight");
	SET_CDtt( 7, 03.45, "The Big Picture");
	SET_CDtt( 8, 05.18, "Recover Your Soul");
	SET_CDtt( 9, 04.03, "January");
	SET_CDtt(10, 04.10, "I Can't Steer My Heart Clear of You");
	SET_CDtt(11, 04.40, "Wicked Dreams");
#     endif
	}
    if ( cdKey == KRAFT_THEMODEL ) { /* 0:57:39-70 */
	tocPtr->discPerformer = "Kraftwerk";
	tocPtr->discTitle = "The Model";
#     if !defined(SKIPSONGS_Kraftwerk)
	SET_CDtt( 1, 03.20, "Radioactivity");
	SET_CDtt( 2, 03.31, "Neon Lights");
	SET_CDtt( 3, 06.03, "Showroom Dummies");
	SET_CDtt( 4, 07.52, "The Hall of Mirrors");
	SET_CDtt( 5, 03.06, "Antenna");
	SET_CDtt( 6, 03.41, "The Model");
	SET_CDtt( 7, 03.56, "Trans-Europe Express");
	SET_CDtt( 8, 06.41, "Metal on Metal");
	SET_CDtt( 9, 03.47, "The Robots");
	SET_CDtt(10, 06.04, "Les Mannequins");
	SET_CDtt(11, 09.36, "Europe Endless");
#     endif
	}
    if ( cdKey == MLASAR_OLYMPICPARK ) { /* 0:56:59-60 */
	tocPtr->discPerformer = "Mars Lasar";
	tocPtr->discTitle = "The Music of Olympic National Park";
	SET_CDtt( 1, 04.52, "Gods of Olympus");
	SET_CDtt( 2, 04.30, "Merymere Falls Trail");
	SET_CDtt( 3, 05.04, "Eagle Flight");
	SET_CDtt( 4, 03.59, "Royal Lake");
	SET_CDtt( 5, 05.24, "Kuyu Ancesters");
	SET_CDtt( 6, 06.06, "Elwha River");
	SET_CDtt( 7, 05.15, "Vision Quest");
	SET_CDtt( 8, 05.50, "Shi Beach Romance");
	SET_CDtt( 9, 05.51, "Deep Canopy");
	SET_CDtt(10, 04.39, "Toleak Point");
	SET_CDtt(11, 05.27, "Sacred Land");
	}
    if ( cdKey == MBYTE_ISLENERGY ) { /* 0:55:40-00 */
	tocPtr->discPerformer = "Megabyte";
	tocPtr->discTitle = "Island Energy";
	SET_CDtt( 1, 03.45, "Island Energy I");
	SET_CDtt( 2, 05.16, "Arrow Meditation");
	SET_CDtt( 3, 03.40, "Groovy Sports");
	SET_CDtt( 4, 04.16, "Ave Maria");
	SET_CDtt( 5, 05.54, "Bodydance");
	SET_CDtt( 6, 04.26, "Monte Janda");
	SET_CDtt( 7, 06.20, "Sunny");
	SET_CDtt( 8, 08.11, "Island Energy II");
	SET_CDtt( 9, 04.29, "Spanish Prayer");
	SET_CDtt(10, 05.27, "Beachparty");
	SET_CDtt(11, 03.54, "Al & Diana");
	}
    if ( cdKey == MSHREEVE_CRASHHEAD ) { /* 0:51:34-32 */
	tocPtr->discPerformer = "Mark Shreeve";
	tocPtr->discTitle = "Crash Head";
#     if !defined(SKIPSONGS_Mark_Shreeve)
	SET_CDtt( 1, 04.25, "Crash Head");
	SET_CDtt( 2, 04.53, "Angels of Death");
	SET_CDtt( 3, 04.47, "Darkness Comes");
	SET_CDtt( 4, 03.30, "It");
	SET_CDtt( 5, 05.04, "Edge of Darkness");
	SET_CDtt( 6, 04.20, "Night Church");
	SET_CDtt( 7, 05.57, "The Dead Zone");
	SET_CDtt( 8, 06.01, "Hellraiser");
	SET_CDtt( 9, 04.30, "Shrine");
	SET_CDtt(10, 03.37, "Lone Rider");
	SET_CDtt(11, 04.28, "M.A.D.");
#     endif
	}
    if ( cdKey == PSIMON_CONCERTCP_D1 ) { /* 0:55:52-60 */
	tocPtr->discPerformer = "Paul Simon";
	tocPtr->discTitle = "Concert In The Park  [disc 1]";
	tocPtr->discCatNum = "007599267372300";
#     if !defined(SKIPSONGS_Paul_Simon)
	SET_CDtt( 1, 04.38, "The Obvious Child");
	SET_CDtt( 2, 05.59, "The Boy In the Bubble");
	SET_CDtt( 3, 06.26, "She Moves On");
	SET_CDtt( 4, 04.14, "Kodachrome");
	SET_CDtt( 5, 05.12, "Born At the Right Time");
	SET_CDtt( 6, 04.46, "Train In The Distance");
	SET_CDtt( 7, 03.14, "Me And Julio Down By The Schoolyard");
	SET_CDtt( 8, 04.44, "I Know What I Know");
	SET_CDtt( 9, 05.41, "The Cool, Cool River");
	SET_CDtt(10, 05.17, "Bridge Over Troubled Water");
	SET_CDtt(11, 05.39, "Proof");
#     endif
	}
    if ( cdKey == ASTEW_RHYMESINROOMS ) { /* 0:59:09-57 */
	tocPtr->discPerformer = "Al Stewart";
	tocPtr->discTitle = "Rhymes in Rooms  [live, featuring Peter White]";
#     if !defined(SKIPSONGS_Al_Stewart)
	SET_CDtt( 1, 04.32, "Flying Sorcery");
	SET_CDtt( 2, 03.56, "Soho (Needless to Say)");
	SET_CDtt( 3, 05.41, "Time Passages");
	SET_CDtt( 4, 04.05, "Josephine Baker");
	SET_CDtt( 5, 05.07, "On The Border");
	SET_CDtt( 6, 10.16, "Nostradamus");
	SET_CDtt( 7, 04.11, "Fields of France");
	SET_CDtt( 8, 04.57, "Clifton in the Rain/ Small Fruit Song");
	SET_CDtt( 9, 04.21, "Broadway Hotel");
	SET_CDtt(10, 05.25, "Leave It");
	SET_CDtt(11, 06.36, "Year of the Cat");
#     endif
	}
    if ( cdKey == TDREAM_DREAMROOTS_D1 ) { /* 0:53:18-27 */
	tocPtr->discPerformer = "Tangerine Dream";
	tocPtr->discTitle = "Dream Roots Collection  [disc 1]";
#     if !defined(SKIPSONGS_Tangerine_Dream)
	SET_CDtt( 1, 04.48, "Birth of Liquid Plejades");
	SET_CDtt( 2, 03.03, "Journey Through a Burning Brain");
	SET_CDtt( 3, 03.23, "Alpha Centuri");
	SET_CDtt( 4, 03.35, "Zeit");
	SET_CDtt( 5, 03.24, "Wahn");
	SET_CDtt( 6, 04.02, "Fauni-Gena");
	SET_CDtt( 7, 05.32, "Green Desert");
	SET_CDtt( 8, 04.27, "White Clouds");
	SET_CDtt( 9, 06.15, "Astral Voyager");
	SET_CDtt(10, 08.02, "Origin of Supernatural Possibilities");
	SET_CDtt(11, 06.45, "Indian Summer");
#     endif
	}
    if ( cdKey == TDREAM_DREAMROOTS_D4 ) { /* 0:59:22-45 */
	tocPtr->discPerformer = "Tangerine Dream";
	tocPtr->discTitle = "Dream Roots Collection  [disc 4]";
#     if !defined(SKIPSONGS_Tangerine_Dream)
	SET_CDtt( 1, 05.04, "Song of the Whale - 1: from dawn");
	SET_CDtt( 2, 06.13, "Yellowstone Park");
	SET_CDtt( 3, 05.37, "Tyger (Jungle Mystery Song)");
	SET_CDtt( 4, 05.17, "Bois de Boulugne");
	SET_CDtt( 5, 03.19, "Tiergarten");
	SET_CDtt( 6, 09.21, "Poland");
	SET_CDtt( 7, 04.18, "Barbakane (Part two)");
	SET_CDtt( 8, 05.15, "Livemiles (San buena Ventura)");
	SET_CDtt( 9, 04.01, "Rarebird");
	SET_CDtt(10, 06.01, "Song of the Whale - 2: to dusk");
	SET_CDtt(11, 04.54, "London (rotten row patriot)");
#     endif
	}
    if ( cdKey == U2_JOSHUATREE ) { /* 0:50:16-48 */
	tocPtr->discPerformer = "U2";
	tocPtr->discTitle = "Joshua Tree";
	tocPtr->discCatNum = "007567905812600";
#     if !defined(SKIPSONGS_U2)
	SET_CDtt( 1, 05.38, "Where the Streets Have No Name");
	SET_CDtt( 2, 04.38, "I Still Haven't Found What I'm Looking For");
	SET_CDtt( 3, 04.56, "With or Without You");
	SET_CDtt( 4, 04.32, "Bullet the Blue Sky");
	SET_CDtt( 5, 04.18, "Running to Stand Still");
	SET_CDtt( 6, 04.53, "Red Hill Mining Town");
	SET_CDtt( 7, 02.57, "In God's Country");
	SET_CDtt( 8, 03.32, "Trip Through Your Wires");
	SET_CDtt( 9, 05.23, "One Tree Hill");
	SET_CDtt(10, 04.14, "Exit");
	SET_CDtt(11, 05.13, "Mothers of the Disappeared");
#     endif
	}
    if ( cdKey == U2_JOSHUATREE_UDII ) { /* 0:50:14-70 */
	tocPtr->discPerformer = "U2";
	tocPtr->discTitle = "Joshua Tree  [UltraDisc II]";
#     if !defined(SKIPSONGS_U2)
	SET_CDtt( 1, 05.39, "Where the Streets Have No Name");
	SET_CDtt( 2, 04.37, "I Still Haven't Found What I'm Looking For");
	SET_CDtt( 3, 04.55, "With or Without You");
	SET_CDtt( 4, 04.31, "Bullet the Blue Sky");
	SET_CDtt( 5, 04.21, "Running to Stand Still");
	SET_CDtt( 6, 04.52, "Red Hill Mining Town");
	SET_CDtt( 7, 02.56, "In God's Country");
	SET_CDtt( 8, 03.32, "Trip Through Your Wires");
	SET_CDtt( 9, 05.22, "One Tree Hill");
	SET_CDtt(10, 04.12, "Exit");
	SET_CDtt(11, 05.15, "Mothers of the Disappeared");
#     endif
	}
    if ( cdKey == VANT_STRANGECARGO ) { /* 0:50:16-73 */
	tocPtr->discPerformer = "David Van Tieghem";
	tocPtr->discTitle = "Strange Cargo";
	SET_CDtt( 1, 05.05, "Strange Cargo");
	SET_CDtt( 2, 04.32, "Volcano Diving");
	SET_CDtt( 3, 05.17, "Hell or High Water");
	SET_CDtt( 4, 02.15, "Eye of the Beholder");
	SET_CDtt( 5, 04.09, "Flying Hearts");
	SET_CDtt( 6, 08.07, "They Drive by Night");
	SET_CDtt( 7, 01.39, "The Ghost Writer Theme");
	SET_CDtt( 8, 05.56, "Particle Ballet");
	SET_CDtt( 9, 05.10, "Yesterday Island");
	SET_CDtt(10, 06.25, "Carnival of Souls");
	SET_CDtt(11, 01.39, "She's Gone");
	}
    if ( cdKey == VAR_T_JEFFOLOGY ) { /* 0:50:56-13 */
	tocPtr->discPerformer = "Various Artists/ Tributes";
	tocPtr->discTitle = "Jeffology: A Guitar Chronicle";
	SET_CDtt( 1, 05.35, "New Ways Train Train  [Warren DeMartini]");
	SET_CDtt( 2, 04.02, "Led Boots  [Vivian Campbell]");
	SET_CDtt( 3, 02.50, "Heart Full of Soul  [Paul Gilbert]");
	SET_CDtt( 4, 06.04, "Cause We've Ended as Lovers  [Phil Collen]");
	SET_CDtt( 5, 05.23, "Blues Deluxe  [Walter Trout]");
	SET_CDtt( 6, 05.11, "Head for Backstage Pass  [Bruce Bouillet]");
	SET_CDtt( 7, 03.11, "People Get Ready  [George Lynch]");
	SET_CDtt( 8, 06.15, "Rice Pudding  [Jake E. Lee]");
	SET_CDtt( 9, 04.15, "Shapes of Things  [Stevie Salas]");
	SET_CDtt(10, 04.31, "Behind the Veil  [Steve Lukather]");
	SET_CDtt(11, 03.37, "Happenings Ten Years Time Ago  [Mick Mars]");
	}
    if ( cdKey == WALLFLOW_BRINGINGDOWN ) { /* 0:51:12-02 */
	tocPtr->discPerformer = "The Wallflowers";
	tocPtr->discTitle = "Bringing Down the Horse";
	SET_CDtt( 1, 05.12, "One Headlight");
	SET_CDtt( 2, 05.38, "6th Avenue Heartache");
	SET_CDtt( 3, 03.41, "Bleeders");
	SET_CDtt( 4, 04.59, "Three Marlenas");
	SET_CDtt( 5, 03.51, "The Difference");
	SET_CDtt( 6, 04.47, "Invisible City");
	SET_CDtt( 7, 03.40, "Laughing Out Loud");
	SET_CDtt( 8, 05.09, "Josephine");
	SET_CDtt( 9, 04.49, "God Don't Make Lonely Girls");
	SET_CDtt(10, 04.21, "Angel on My Bike");
	SET_CDtt(11, 05.03, "I Wish I Felt Nothing");
	}
    if ( cdKey == WEIRDAL_OFFDEEPEND ) { /* 0:51:35-27 */
	tocPtr->discPerformer = "Weird Al Yankovic";
	tocPtr->discTitle = "Off the Deep End";
#     if !defined(SKIPSONGS_Weird_Al_Yankovic)
	SET_CDtt( 1, 03.42, "Smells Like Nirvana");
	SET_CDtt( 2, 03.48, "Trigger Happy");
	SET_CDtt( 3, 03.31, "I Can't Watch This");
	SET_CDtt( 4, 03.51, "Polka Your Eyes Out");
	SET_CDtt( 5, 03.30, "I Was Only Kidding");
	SET_CDtt( 6, 02.43, "The White Stuff");
	SET_CDtt( 7, 04.36, "When I Was Your Age");
	SET_CDtt( 8, 03.45, "Taco Grande");
	SET_CDtt( 9, 03.50, "Airline Amy");
	SET_CDtt(10, 04.06, "The Plumbing Song");
	SET_CDtt(11, 14.11, "You Don't Love Me Anymore");
#     endif
	}
    if ( cdKey == NYOUNG_MIRRORBALL ) { /* 0:55:21-57 */
	tocPtr->discPerformer = "Neil Young";
	tocPtr->discTitle = "Mirrorball";
	tocPtr->discCatNum = "007599459342500";
#     if !defined(SKIPSONGS_Neil_Young)
	SET_CDtt( 1, 04.40, "Song X");
	SET_CDtt( 2, 04.55, "Act of Love");
	SET_CDtt( 3, 07.06, "I'm the Ocean");
	SET_CDtt( 4, 05.08, "Big Green Country");
	SET_CDtt( 5, 04.40, "Truth Be Known");
	SET_CDtt( 6, 05.10, "Downtown");
	SET_CDtt( 7, 00.46, "What Happened Yesterday");
	SET_CDtt( 8, 07.03, "Peace and Love");
	SET_CDtt( 9, 05.46, "Throw Your Hatred Down");
	SET_CDtt(10, 08.50, "Scenery");
	SET_CDtt(11, 01.15, "Fallen Angel");
#     endif
	}
}
