#import <sys/types.h>
#import <stddef.h>
#import "CD_DBaseSubs.h"

    /*
    /* This subroutine has information for CD's with 13 tracks, and
     * which have 60 or more minutes of music on them.
     */

#define MIKEMECH_BEGGARONGOLD 1300106075 /* key parts = 3611.30.13.275 271 */
#define TDREAM_DREAMMUSIC2    1315139634 /* key parts = 3653.12.13.384 268 */
#define TDREAM_ZONING         1320482005 /* key parts = 3668.00.13.355 292 */
#define BEEGS_TALES_D4        1323328437 /* key parts = 3675.68.13.237 153 */
#define EJOHN_CAPTFAN_TCY     1351561996 /* key parts = 3754.25.13.346 325 */
#define DURAN_DURAN           1351979695 /* key parts = 3755.37.13.295 434 */
#define SWINGO_BETTERTOTRAV   1377160427 /* key parts = 3825.33.13.227 280 */
#define NYOUNG_LUCKY13        1386769984 /* key parts = 3852.10.13.484 335 */
#define STEELYD_CITZ_D4       1511171558 /* key parts = 4197.52.13.458 238 */
#define EJOHN_HERENTHER_TCYD2 1547282063 /* key parts = 4298.00.13.713 264 */
#define PINKF_PULSE_D2        1551482099 /* key parts = 4309.50.13.149 516 */
#define BSPRING_LIVE75_D3     1573178047 /* key parts = 4369.70.13.697 391 */
#define DHENLEY_ACTUALMILES   1578049986 /* key parts = 4383.35.13.336 368 */
#define BSPRING_LIVE75_D1     1590083591 /* key parts = 4416.67.13.341 186 */
#define MOLDFIELD_ELEMENTS_D2 1591034058 /* key parts = 4419.40.13.1158 214 */
#define TDREAM_ANTARKTIS      1598800388 /* key parts = 4441.08.13.488 123 */
#define RENAIS_DACAPO_D2      1606130004 /* key parts = 4461.35.13.654 240 */
#define PAGPLA_NOQUARTER      1634570046 /* key parts = 4540.35.13.246 747 */
#define VAR_T_TALESFROMYEST   1652195676 /* key parts = 4589.32.13.426 335 */


void filltoc13_60(tocPtr, cdKey)
struct cd_toc *tocPtr;
u_int cdKey;
{

    if ( cdKey == BEEGS_TALES_D4 ) { /* 1:01:15-68 */
	tocPtr->discPerformer = "Bee Gees";
	tocPtr->discTitle = "Tales from the Brothers Gibb - A History in Song 1967-1990  [disc 4]";
#     if !defined(SKIPSONGS_Bee_Gees)
	SET_CDtt( 1, 03.57, "He's A Liar");
	SET_CDtt( 2, 04.15, "Another Lonely Night in NY");
	SET_CDtt( 3, 04.03, "The Woman in You");
	SET_CDtt( 4, 04.24, "Someone Belonging to Someone");
	SET_CDtt( 5, 04.44, "Toys");
	SET_CDtt( 6, 04.45, "ESP");
	SET_CDtt( 7, 04.00, "You Win Again");
	SET_CDtt( 8, 04.05, "Ordinary Lives");
	SET_CDtt( 9, 04.52, "One");
	SET_CDtt(10, 03.36, "Juliet");
	SET_CDtt(11, 03.41, "To Love Somebody");
	SET_CDtt(12, 12.18, "Medley (Live in Melbourne Australia): New York Mining Disaster 1941/ Holiday/ Too Much Heaven/ Heartbreaker/ Islands In The Stream/ Run To Me/ World");
	SET_CDtt(13, 02.33, "Spicks and Specks");
#     endif
	}
    if ( cdKey == DURAN_DURAN ) { /* 1:02:35-37 */
	tocPtr->discPerformer = "Duran Duran";
	tocPtr->discTitle = "Duran Duran";
	tocPtr->discCatNum = "007777988762000";
	SET_CDtt( 1, 04.55, "Too Much Information");
	SET_CDtt( 2, 05.41, "Ordinary World");
	SET_CDtt( 3, 04.58, "Love Voodoo");
	SET_CDtt( 4, 05.14, "Drowning Man");
	SET_CDtt( 5, 00.54, "Shotgun");
	SET_CDtt( 6, 04.39, "Come Undone");
	SET_CDtt( 7, 04.58, "Breath after Breath");
	SET_CDtt( 8, 05.32, "UMF");
	SET_CDtt( 9, 04.22, "Home of the Above");
	SET_CDtt(10, 05.18, "Femme Fatale");
	SET_CDtt(11, 04.24, "Shelter");
	SET_CDtt(12, 04.24, "To Whom it May Concern");
	SET_CDtt(13, 07.14, "Sin of the City");
	}
    if ( cdKey == DHENLEY_ACTUALMILES ) { /* 1:13:03-35 */
	tocPtr->discPerformer = "Don Henley";
	tocPtr->discTitle = "Actual Miles; Henley's Greatest Hits";
#     if !defined(SKIPSONGS_Don_Henley)
	SET_CDtt( 1, 05.36, "Dirty Laundry");
	SET_CDtt( 2, 04.48, "The Boys of Summer");
	SET_CDtt( 3, 04.30, "All She Wants To Do Is Dance");
	SET_CDtt( 4, 03.54, "Not Enough Love in the World");
	SET_CDtt( 5, 06.30, "Sunset Grill");
	SET_CDtt( 6, 05.15, "The End of the Innocence");
	SET_CDtt( 7, 06.04, "The Last Worthless Evening");
	SET_CDtt( 8, 06.32, "New York Minute");
	SET_CDtt( 9, 05.42, "I Will Not Go Quietly");
	SET_CDtt(10, 05.21, "The Heart of the Matter");
	SET_CDtt(11, 07.04, "The Garden of Allah");
	SET_CDtt(12, 05.37, "You Don't Know Me At All");
	SET_CDtt(13, 06.08, "Everybody Knows");
#     endif
	}
    if ( cdKey == EJOHN_CAPTFAN_TCY ) { /* 1:02:34-25 */
	tocPtr->discPerformer = "Elton John";
	tocPtr->discTitle = "Captain Fantastic and the Brown Dirt Cowboy  [The Classic Years]";
	tocPtr->discCatNum = "073145281602300";
#     if !defined(SKIPSONGS_Elton_John)
	SET_CDtt( 1, 05.46, "Captain Fantastic and the Brown Dirt Cowboy");
	SET_CDtt( 2, 04.28, "Tower of Babel");
	SET_CDtt( 3, 04.34, "Bitter Fingers");
	SET_CDtt( 4, 04.21, "Tell Me When the Whistle Blows");
	SET_CDtt( 5, 06.45, "Someone Saved My Life Tonight");
	SET_CDtt( 6, 04.01, "(Gotta Get A) Meal Ticket");
	SET_CDtt( 7, 02.37, "Better Off Dead");
	SET_CDtt( 8, 03.41, "Writing");
	SET_CDtt( 9, 04.13, "We All Fall In Love Sometimes");
	SET_CDtt(10, 06.34, "Curtains");
	SET_CDtt(11, 06.18, "Lucy in the Sky with Diamonds");
	SET_CDtt(12, 03.49, "One Day at a Time");
	SET_CDtt(13, 05.25, "Philidelphia Freedom");
#     endif
	}
    if ( cdKey == EJOHN_HERENTHER_TCYD2 ) { /* 1:11:38-00 */
	tocPtr->discPerformer = "Elton John";
	tocPtr->discTitle = "Here and There  [The Classic Years]  [disc 2]";
#     if !defined(SKIPSONGS_Elton_John)
	SET_CDtt( 1, 11.53, "Funeral for a Friend/ Love Lies Bleeding");
	SET_CDtt( 2, 05.04, "Rocket Man (I Think It's Going to Be a Long Long Time)");
	SET_CDtt( 3, 06.01, "Take Me To The Pilot");
	SET_CDtt( 4, 05.59, "Bennie and the Jets");
	SET_CDtt( 5, 05.28, "Grey Seal");
	SET_CDtt( 6, 04.07, "Daniel");
	SET_CDtt( 7, 04.32, "You're So Static");
	SET_CDtt( 8, 04.40, "Whatever Gets You Through the Night");
	SET_CDtt( 9, 06.15, "Lucy in the Sky with Diamonds");
	SET_CDtt(10, 03.18, "I Saw Her Standing There");
	SET_CDtt(11, 05.57, "Don't Let the Sun Go Down on Me");
	SET_CDtt(12, 03.58, "Your Song");
	SET_CDtt(13, 04.24, "The Bitch is Back");
#     endif
	}
    if ( cdKey == MIKEMECH_BEGGARONGOLD ) { /* 1:00:11-30 */
	tocPtr->discPerformer = "Mike + The Mechanics";
	tocPtr->discTitle = "Beggar on a Beach Of Gold";
	tocPtr->discCatNum = "007567827382700";
	SET_CDtt( 1, 04.35, "Beggar on a Beach Of Gold");
	SET_CDtt( 2, 04.42, "Another Cup of Coffee");
	SET_CDtt( 3, 03.29, "You've Really Got a Hold On Me");
	SET_CDtt( 4, 06.21, "Mea Culpa");
	SET_CDtt( 5, 03.37, "Over My Shoulder");
	SET_CDtt( 6, 03.43, "Someone Always Hates Someone");
	SET_CDtt( 7, 06.24, "The Ghost of Sex and You");
	SET_CDtt( 8, 05.39, "Web of Lies");
	SET_CDtt( 9, 03.59, "Plain & Simple");
	SET_CDtt(10, 04.18, "Something to Believe In");
	SET_CDtt(11, 05.40, "A House of Many Rooms");
	SET_CDtt(12, 03.11, "I Believe (When I Fall In Love It Will Be Forever)");
	SET_CDtt(13, 04.31, "Going, Going ..... Home");
	}
    if ( cdKey == MOLDFIELD_ELEMENTS_D2 ) { /* 1:13:39-40 */
	tocPtr->discPerformer = "Mike Oldfield";
	tocPtr->discTitle = "Elements  [disc 2]";
#     if !defined(SKIPSONGS_Mike_Oldfield)
	SET_CDtt( 1, 19.18, "Ommadawn: Part one");
	SET_CDtt( 2, 03.26, "On Horseback");
	SET_CDtt( 3, 03.56, "William Tell Overture");
	SET_CDtt( 4, 04.01, "Argiers");
	SET_CDtt( 5, 05.58, "First Excursion");
	SET_CDtt( 6, 01.35, "Sailor's Hornpipe");
	SET_CDtt( 7, 12.20, "Incantations: Part one");
	SET_CDtt( 8, 04.03, "I'm Guilty");
	SET_CDtt( 9, 03.32, "The Path");
	SET_CDtt(10, 02.08, "Blue Peter");
	SET_CDtt(11, 04.08, "Woodhenge");
	SET_CDtt(12, 05.38, "Punkadiddle  [live]");
	SET_CDtt(13, 03.34, "Polka  [live]");
#     endif
	}
    if ( cdKey == PAGPLA_NOQUARTER ) { /* 1:15:40-35 */
	tocPtr->discPerformer = "Jimmy Page & Robert Plant";
	tocPtr->discTitle = "No Quarter";
	tocPtr->discCatNum = "007567827062800";
	SET_CDtt( 1, 04.06, "Nobody's Fault But Mine");
	SET_CDtt( 2, 05.48, "Thank You");
	SET_CDtt( 3, 03.46, "No Quarter");
	SET_CDtt( 4, 04.37, "Friends");
	SET_CDtt( 5, 04.59, "Yallah");
	SET_CDtt( 6, 06.09, "City Don't Cry");
	SET_CDtt( 7, 07.29, "Since I've Been Loving You");
	SET_CDtt( 8, 06.42, "The Battle of Evermore");
	SET_CDtt( 9, 04.58, "Wonderful One");
	SET_CDtt(10, 05.35, "That's the Way");
	SET_CDtt(11, 04.09, "Gallow's Pole");
	SET_CDtt(12, 04.53, "Four Sticks");
	SET_CDtt(13, 12.27, "Kashmir");
	}
    if ( cdKey == PINKF_PULSE_D2 ) { /* 1:11:49-50 */
	tocPtr->discPerformer = "Pink Floyd";
	tocPtr->discTitle = "Pulse  [disc 2]";
#     if !defined(SKIPSONGS_Pink_Floyd)
	SET_CDtt( 1, 02.29, "Speak To Me");
	SET_CDtt( 2, 02.34, "Breathe");
	SET_CDtt( 3, 03.48, "On the Run");
	SET_CDtt( 4, 06.47, "Time");
	SET_CDtt( 5, 05.52, "The Great Gig in the Sky");
	SET_CDtt( 6, 08.54, "Money");
	SET_CDtt( 7, 06.58, "Us and Them");
	SET_CDtt( 8, 03.21, "Any Colour You Like");
	SET_CDtt( 9, 03.46, "Brain Damage");
	SET_CDtt(10, 02.37, "Eclipse");
	SET_CDtt(11, 06.35, "Wish You Were Here");
	SET_CDtt(12, 09.30, "Comfortably Numb");
	SET_CDtt(13, 08.36, "Run Like Hell");
#     endif
	}
    if ( cdKey == RENAIS_DACAPO_D2 ) { /* 1:14:21-35 */
	tocPtr->discPerformer = "Renaissance";
	tocPtr->discTitle = "Da Capo  [disc 2]";
#     if !defined(SKIPSONGS_Renaissance)
	SET_CDtt( 1, 10.54, "Trip to the Fair");
	SET_CDtt( 2, 07.07, "Ocean Gypsy");
	SET_CDtt( 3, 02.33, "The Young Price and the Princess as told by Scheherazade");
	SET_CDtt( 4, 05.46, "Midas Man");
	SET_CDtt( 5, 04.16, "Captive Heart");
	SET_CDtt( 6, 04.08, "Northern Lights");
	SET_CDtt( 7, 10.57, "Song for All Seasons");
	SET_CDtt( 8, 04.48, "Forever Changing");
	SET_CDtt( 9, 04.56, "Flood at Lyons");
	SET_CDtt(10, 03.40, "Bonjour Swansong");
	SET_CDtt(11, 06.28, "Ukraine Ways");
	SET_CDtt(12, 04.46, "The Entertainer");
	SET_CDtt(13, 04.00, "Writers Wronged");
#     endif
	}
    if ( cdKey == BSPRING_LIVE75_D1 ) { /* 1:13:36-67 */
	tocPtr->discPerformer = "Bruce Springsteen & The E Street Band";
	tocPtr->discTitle = "Live/1975-1985  [disc 1]";
#     if !defined(SKIPSONGS_Bruce_Springsteen)
	SET_CDtt( 1, 05.41, "Thunder Road");
	SET_CDtt( 2, 05.26, "Adam Raised a Cain");
	SET_CDtt( 3, 06.22, "Spirit in the Night");
	SET_CDtt( 4, 06.30, "4th of July, Asbury Park (Sandy)");
	SET_CDtt( 5, 03.35, "Paradise by the C");
	SET_CDtt( 6, 03.11, "Fire");
	SET_CDtt( 7, 07.56, "Growin' Up");
	SET_CDtt( 8, 04.38, "It's Hard to be a Saint in the City");
	SET_CDtt( 9, 07.26, "Backstreets");
	SET_CDtt(10, 10.01, "Rosalita (Come Out Tonight)");
	SET_CDtt(11, 05.14, "Raise Your Hand");
	SET_CDtt(12, 04.28, "Hungry Heart");
	SET_CDtt(13, 03.06, "Two Hearts");
#     endif
	}
    if ( cdKey == BSPRING_LIVE75_D3 ) { /* 1:12:49-70 */
	tocPtr->discPerformer = "Bruce Springsteen & The E Street Band";
	tocPtr->discTitle = "Live/1975-1985  [disc 3]";
	/*
	 *	index 1.1 started 0:00:02-30 into CD
	 *	index 1.2 started 0:05:32-70 into CD, 0:05:30 into the song
	 *	index 2.1 started 0:11:39-48 into CD
	 *	index 2.2 started 0:13:28-09 into CD, 0:01:48 into the song
	 *	etc...
	 */
#     if !defined(SKIPSONGS_Bruce_Springsteen)
	SET_CDtt( 1, 11.37, "The River");		/* index = 2 */
	SET_CDtt( 2, 04.52, "War");			/* index = 2 */
	SET_CDtt( 3, 05.12, "Darlington County");
	SET_CDtt( 4, 04.00, "Working on the Highway");
	SET_CDtt( 5, 05.33, "The Promised Land");
	SET_CDtt( 6, 06.59, "Cover Me");
	SET_CDtt( 7, 04.23, "I'm on Fire");
	SET_CDtt( 8, 04.27, "Bobby Jean");
	SET_CDtt( 9, 05.09, "My Hometown");
	SET_CDtt(10, 05.03, "Born to Run");
	SET_CDtt(11, 04.42, "No Surrender");
	SET_CDtt(12, 04.19, "Tenth Avenue FreezeOut");
	SET_CDtt(13, 06.31, "Jersey Girl");
#     endif
	}
    if ( cdKey == STEELYD_CITZ_D4 ) { /* 1:09:57-52 */
	tocPtr->discPerformer = "Steely Dan";
	tocPtr->discTitle = "Citizen Steely Dan: 1972-1980  [disc 4]";
#     if !defined(SKIPSONGS_Steely_Dan)
	SET_CDtt( 1, 07.38, "Deacon Blues");
	SET_CDtt( 2, 05.35, "Home At Last");
	SET_CDtt( 3, 05.07, "I Got The News");
	SET_CDtt( 4, 04.31, "Josie");
	SET_CDtt( 5, 05.06, "FM");
	SET_CDtt( 6, 05.51, "Babylon Sisters");
	SET_CDtt( 7, 05.07, "Hey Nineteen");
	SET_CDtt( 8, 07.30, "Glamour Profession");
	SET_CDtt( 9, 05.33, "Gaucho");
	SET_CDtt(10, 04.13, "Time Out Of Mind");
	SET_CDtt(11, 04.32, "My Rival");
	SET_CDtt(12, 05.14, "Third World Man");
	SET_CDtt(13, 03.58, "Everyone's Gone to the Movies  [demo]");
#     endif
	}
    if ( cdKey == SWINGO_BETTERTOTRAV ) { /* 1:03:45-33 */
	tocPtr->discPerformer = "Swing Out Sister";
	tocPtr->discTitle = "It's Better to Travel";
	tocPtr->discCatNum = "004228322132100";
#     if !defined(SKIPSONGS_Swing_Out_Sister)
	SET_CDtt( 1, 03.47, "Breakout");
	SET_CDtt( 2, 06.29, "Twilight World");
	SET_CDtt( 3, 04.52, "After Hours");
	SET_CDtt( 4, 04.18, "Blue Mood");
	SET_CDtt( 5, 03.55, "Surrender");
	SET_CDtt( 6, 04.05, "Fooled By a Smile");
	SET_CDtt( 7, 04.40, "Communion");
	SET_CDtt( 8, 03.46, "It's Not Enough");
	SET_CDtt( 9, 04.32, "Theme (from It's Better to Travel)");
	SET_CDtt(10, 05.49, "Breakout  [nad mix]");
	SET_CDtt(11, 06.40, "Surrender  [stuff gun mix]");
	SET_CDtt(12, 06.10, "Twilight World  [remix]");
	SET_CDtt(13, 04.40, "Communion  [instrumental]");
#     endif
	}
    if ( cdKey == TDREAM_ANTARKTIS ) { /* 1:14:01-08 */
	tocPtr->discPerformer = "Tangerine Dream";
	tocPtr->discTitle = "Antarktis";
#     if !defined(SKIPSONGS_Tangerine_Dream)
	SET_CDtt( 1, 08.08, "Irrlicht");
	SET_CDtt( 2, 05.08, "Statt offner Gemeine sing ich Gesang");
	SET_CDtt( 3, 04.28, "Bltter aus dem Buch der Khnheit");
	SET_CDtt( 4, 06.29, "Der Wind wiege die Wellen");
	SET_CDtt( 5, 02.42, "Nachtwachen");
	SET_CDtt( 6, 08.29, "Kaskaden aus Smaragd");
	SET_CDtt( 7, 04.48, "Antarktis  eisiger Gtterhimmel");
	SET_CDtt( 8, 08.38, "Wolkenzauber");
	SET_CDtt( 9, 07.06, "Im kalten Odem der Zykiopen");
	SET_CDtt(10, 09.23, "Von den hohen Bergen");
	SET_CDtt(11, 03.27, "Chor der Sterne");
	SET_CDtt(12, 03.10, "Schattentanz");
	SET_CDtt(13, 02.03, "Erstes Morgenrot");
#     endif
	}
    if ( cdKey == TDREAM_DREAMMUSIC2 ) { /* 1:00:53-12 */
	tocPtr->discPerformer = "Tangerine Dream";
	tocPtr->discTitle = "Dream Music 2";
#     if !defined(SKIPSONGS_Tangerine_Dream)
	SET_CDtt( 1, 06.24, "Legend - Suite  [Mark Ayres]");
	SET_CDtt( 2, 01.53, "Intersection  [John Beal]");
	SET_CDtt( 3, 14.42, "Dead Solid Perfect - Suite");
	SET_CDtt( 4, 02.59, "Footbridge to Heaven");
	SET_CDtt( 5, 04.18, "Twilight Painter");
	SET_CDtt( 6, 05.38, "Desire");
	SET_CDtt( 7, 03.16, "Theme from Streethawk  [Daniel Caine]");
	SET_CDtt( 8, 04.46, "Dylan's Future");
	SET_CDtt( 9, 03.30, "Dylan's at Home Alone");
	SET_CDtt(10, 02.47, "Widow-Maker Race");
	SET_CDtt(11, 04.20, "Dylan's Triumph");
	SET_CDtt(12, 01.50, "Catch Me if You Can - Main Theme");
	SET_CDtt(13, 04.28, "Risky Business - Love on a Real Train  [Mark Ayres]");
#     endif
	}
    if ( cdKey == TDREAM_ZONING ) { /* 1:01:08-00 */
	tocPtr->discPerformer = "Tangerine Dream";
	tocPtr->discTitle = "Zoning";
#     if !defined(SKIPSONGS_Tangerine_Dream)
	SET_CDtt( 1, 05.55, "The Conspiracy");
	SET_CDtt( 2, 04.19, "Skyscraper");
	SET_CDtt( 3, 04.13, "Headhunter");
	SET_CDtt( 4, 04.29, "Downtown Chicago");
	SET_CDtt( 5, 03.15, "Fading and Turning");
	SET_CDtt( 6, 03.08, "Affluent Society");
	SET_CDtt( 7, 05.30, "Stairway Affair");
	SET_CDtt( 8, 04.24, "Good Choice, Bad Timing");
	SET_CDtt( 9, 05.16, "Bachelor of Crime");
	SET_CDtt(10, 05.24, "Unfit for Consumption");
	SET_CDtt(11, 05.06, "Days of Grief and Glory");
	SET_CDtt(12, 05.15, "Eyewitness News");
	SET_CDtt(13, 04.52, "Missing Link");
#     endif
	}
    if ( cdKey == VAR_T_TALESFROMYEST ) { /* 1:16:29-32 */
	tocPtr->discPerformer = "Various Artists/ Tributes";
	tocPtr->discTitle = "Tales from Yesterday";
	SET_CDtt( 1, 07.06, "Roundabout  [Robert Berry]");
	SET_CDtt( 2, 08.09, "Siberian Khatru  [Stanley Snail]");
	SET_CDtt( 3, 02.53, "Mood for a Day  [Steve Morse]");
	SET_CDtt( 4, 06.09, "Don't Kill the Whale  [Magellan]");
	SET_CDtt( 5, 06.30, "Turn of the Century  [Steve Howe & Annie Haslam]");
	SET_CDtt( 6, 06.20, "Release, Release  [Shadow Gallery]");
	SET_CDtt( 7, 03.48, "Wonderous Stories  [World Trade]");
	SET_CDtt( 8, 08.02, "South Side of the Sky  [Cairo]");
	SET_CDtt( 9, 05.26, "Soon  [Patrick Moraz]");
	SET_CDtt(10, 06.17, "Changes  [Enchant]");
	SET_CDtt(11, 07.01, "Astral Traveler  [Peter Banks]");
	SET_CDtt(12, 03.11, "The Clap  [Steve Morse]");
	SET_CDtt(13, 05.35, "Starship Trooper  [Jeronimo Road]");
	}
    if ( cdKey == NYOUNG_LUCKY13 ) { /* 1:04:12-10 */
	tocPtr->discPerformer = "Neil Young";
	tocPtr->discTitle = "Lucky Thirteen";
#     if !defined(SKIPSONGS_Neil_Young)
	SET_CDtt( 1, 08.04, "Sample and Hold");
	SET_CDtt( 2, 03.19, "Transformer Man");
	SET_CDtt( 3, 04.08, "Depression Blues");
	SET_CDtt( 4, 05.06, "Get Gone");
	SET_CDtt( 5, 06.16, "Don't Take Your Love Away from Me");
	SET_CDtt( 6, 03.54, "Once an Angel");
	SET_CDtt( 7, 03.05, "Where is the Highway Tonight?");
	SET_CDtt( 8, 04.27, "Hippie Dream");
	SET_CDtt( 9, 02.46, "Pressure");
	SET_CDtt(10, 05.29, "Around the World");
	SET_CDtt(11, 04.22, "Mideast Vacation");
	SET_CDtt(12, 07.39, "Ain't It the Truth");
	SET_CDtt(13, 05.35, "This Note's For You");
#     endif
	}
}
