#import <sys/types.h>
#import <stddef.h>
#import "CD_DBaseSubs.h"

    /*
     * This subroutine has information for CD's with 18 or 19 tracks
     */

#define BEAT_PMASTERS_V1       918290844 /* key parts = 2550.60.18.144 152 */
#define SONSOFPI_TUMBLING     1055306717 /* key parts = 2931.30.18.167 184 */
#define ECOST_THISMODEL_B     1140698819 /* key parts = 3168.45.18.119 179 */
#define RORBISON_LEGEND_D4    1179180360 /* key parts = 3275.37.18.210 211 */
#define JMELLEN_COLLECTION    1307594842 /* key parts = 3632.15.18.142 146 */
#define MOLDFIELD_COMPLETE_D1 1335962717 /* key parts = 3711.00.18.167 309 */
#define POL_MSGBOX_D3         1393082703 /* key parts = 3869.50.18.153 123 */
#define TPHEART_GREATEST      1420490763 /* key parts = 3945.60.18.213 198 */
#define GLIGHT_GORDSGOLD_V2   1421090725 /* key parts = 3947.35.18.175 202 */
#define FIREFALL_GREATEST     1498529181 /* key parts = 4162.43.18.231 285 */
#define NGRIF_MCAYEARS        1498826751 /* key parts = 4163.30.18.201 240 */
#define ELO_AFTERGLOW_D3      1514340376 /* key parts = 4206.37.18.76 187 */
#define BDYLAN_BIOGRAPH_D3    1549682754 /* key parts = 4304.50.18.354 122 */
#define CAMEL_NEVERLETGO_D2   1567274818 /* key parts = 4353.40.18.118 928 */
#define CALL_WALLSDOWN        1576716409 /* key parts = 4379.57.18.259 276 */
#define POL_MSGBOX_D4         1578890753 /* key parts = 4385.60.18.203 291 */
#define ECARMEN_DEFINITIVE    1580810750 /* key parts = 4391.10.18.200 285 */
#define ELO2_ONENIGHTLIVE     1581804410 /* key parts = 4393.67.18.260 259 */
#define BDYLAN_BIOGRAPH_D1    1585116348 /* key parts = 4403.07.18.198 319 */
#define APP_DEFINITIVE_D1     1634090811 /* key parts = 4539.10.18.261 305 */
#define BOXOFF_BOXANDSTRANGE  1635833183 /* key parts = 4543.73.18.233 337 */
#define EJOHN_TOBECONT_D1     1639644315 /* key parts = 4554.42.18.165 298 */
#define BSPRING_GREATEST      1658378820 /* key parts = 4606.45.18.270 291 */
#define HEART_DEFINITIVE_D1   1672202814 /* key parts = 4645.00.18.264 239 */


void filltoc18(tocPtr, cdKey)
struct cd_toc *tocPtr;
u_int cdKey;
{

    if ( cdKey == APP_DEFINITIVE_D1 ) { /* 1:15:39-10 */
	tocPtr->discPerformer = "Alan Parsons Project";
	tocPtr->discTitle = "The Definitive Collection  [disc 1]";
#     if !defined(SKIPSONGS_Alan_Parsons_Project)
	SET_CDtt( 1, 04.21, "(The System of) Doctor Tar and Professor Fether");
	SET_CDtt( 2, 04.07, "The Raven");
	SET_CDtt( 3, 06.02, "I Robot");
	SET_CDtt( 4, 03.23, "I Wouldn't Want to Be Like You");
	SET_CDtt( 5, 03.53, "Breakdown");
	SET_CDtt( 6, 04.25, "Don't Let It Show");
	SET_CDtt( 7, 02.24, "Voyager");
	SET_CDtt( 8, 03.31, "What Goes Up...");
	SET_CDtt( 9, 04.23, "The Eagle Will Rise Again");
	SET_CDtt(10, 05.05, "Can't Take It With You");
	SET_CDtt(11, 02.46, "Pyramania");
	SET_CDtt(12, 04.52, "Damned if I Do");
	SET_CDtt(13, 05.05, "Lucifer");
	SET_CDtt(14, 05.49, "If I Could Change Your Mind");
	SET_CDtt(15, 02.43, "The Turn of a Friendly Card (Part 1)");
	SET_CDtt(16, 03.19, "Snake Eyes");
	SET_CDtt(17, 04.24, "Games People Play");
	SET_CDtt(18, 05.05, "Time");
#     endif
	}
    if ( cdKey == BEAT_PMASTERS_V1 ) { /* 0:42:30-60 */
	tocPtr->discPerformer = "The Beatles";
	tocPtr->discTitle = "Past Masters, Volume 1";
#     if !defined(SKIPSONGS_The_Beatles)
	SET_CDtt( 1, 02.24, "Love Me Do");
	SET_CDtt( 2, 01.57, "From Me To You");
	SET_CDtt( 3, 02.05, "Thank You Girl");
	SET_CDtt( 4, 02.21, "She Loves You");
	SET_CDtt( 5, 02.06, "I'll Get You");
	SET_CDtt( 6, 02.27, "I Want To Hold Your Hand");
	SET_CDtt( 7, 02.16, "This Boy");
	SET_CDtt( 8, 02.27, "Komm, Gib Mir Deine Hand");
	SET_CDtt( 9, 02.19, "Sie Liebt Dich");
	SET_CDtt(10, 02.04, "Long Tall Sally");
	SET_CDtt(11, 02.09, "I Call Your Name");
	SET_CDtt(12, 02.56, "Slow Down");
	SET_CDtt(13, 01.59, "Matchbox");
	SET_CDtt(14, 02.20, "I Feel Fine");
	SET_CDtt(15, 03.03, "She's A Womman");
	SET_CDtt(16, 02.21, "Bad Boy");
	SET_CDtt(17, 02.42, "Yes It Is");
	SET_CDtt(18, 02.32, "I'm Down");
#     endif
	}
    if ( cdKey == BOXOFF_BOXANDSTRANGE ) { /* 1:15:43-73 */
	tocPtr->discPerformer = "Box of Frogs";
	tocPtr->discTitle = "Box of Frogs/ Strange Land";
	SET_CDtt( 1, 03.53, "Back Where I Started");
	SET_CDtt( 2, 03.38, "Harder");
	SET_CDtt( 3, 04.17, "Another Wasted Day");
	SET_CDtt( 4, 02.49, "Love Inside You");
	SET_CDtt( 5, 04.02, "The Edge");
	SET_CDtt( 6, 04.32, "Two Steps Ahead");
	SET_CDtt( 7, 04.07, "Into the Dark");
	SET_CDtt( 8, 05.39, "Just a Boy Again");
	SET_CDtt( 9, 04.17, "Poor Boy");
	SET_CDtt(10, 03.50, "Get It While You Can");
	SET_CDtt(11, 03.20, "You Mix Me Up");
	SET_CDtt(12, 04.17, "Average");
	SET_CDtt(13, 04.19, "House on Fire");
	SET_CDtt(14, 03.39, "Hanging From the Wreckage");
	SET_CDtt(15, 03.50, "Heart Full of Soul");
	SET_CDtt(16, 04.47, "Asylum");
	SET_CDtt(17, 04.48, "Strange Land");
	SET_CDtt(18, 05.37, "Trouble");
	}
    if ( cdKey == CALL_WALLSDOWN ) { /* 1:12:59-57 */
	tocPtr->discPerformer = "The Call";
	tocPtr->discTitle = "The Walls Came Down: The Best of the Mercury Years";
#     if !defined(SKIPSONGS_The_Call)
	SET_CDtt( 1, 04.19, "War Weary World");
	SET_CDtt( 2, 02.55, "There's a Heart Here");
	SET_CDtt( 3, 04.21, "Doubt");
	SET_CDtt( 4, 03.39, "Upperbirth");
	SET_CDtt( 5, 04.55, "Flesh and Steel");
	SET_CDtt( 6, 05.16, "Waiting for the End");
	SET_CDtt( 7, 03.43, "The Walls Came Down");
	SET_CDtt( 8, 03.49, "Turn a Blind Eye");
	SET_CDtt( 9, 03.26, "Modern Romans");
	SET_CDtt(10, 04.03, "Back from the Front");
	SET_CDtt(11, 03.47, "Destination");
	SET_CDtt(12, 04.29, "Violent Times");
	SET_CDtt(13, 04.23, "All About You");
	SET_CDtt(14, 03.49, "Scene Beyond Dreams");
	SET_CDtt(15, 04.00, "Tremble");
	SET_CDtt(16, 04.03, "Delivered");
	SET_CDtt(17, 03.24, "Heavy Hand");
	SET_CDtt(18, 04.36, "One Life Leads to Another");
#     endif
	}
    if ( cdKey == CAMEL_NEVERLETGO_D2 ) { /* 1:12:33-40 */
	tocPtr->discPerformer = "Camel";
	tocPtr->discTitle = "Never Let Go  [disc 2]";
#     if !defined(SKIPSONGS_Camel)
	SET_CDtt( 1, 01.58, "Dust Bowl");
	SET_CDtt( 2, 03.47, "Go West");
	SET_CDtt( 3, 01.37, "Dusted Out");
	SET_CDtt( 4, 03.45, "Mother Road");
	SET_CDtt( 5, 03.31, "Needles");
	SET_CDtt( 6, 05.32, "Rose of Sharon");
	SET_CDtt( 7, 03.29, "Milk n' Honey");
	SET_CDtt( 8, 07.27, "End of the Line");
	SET_CDtt( 9, 03.17, "Storm Clouds");
	SET_CDtt(10, 02.29, "Cotton Camp");
	SET_CDtt(11, 00.45, "Broken Banks");
	SET_CDtt(12, 02.20, "Sheet Rain");
	SET_CDtt(13, 01.06, "Whispers");
	SET_CDtt(14, 02.11, "Little Rivers and Little Rose");
	SET_CDtt(15, 04.54, "Hopeless Anger");
	SET_CDtt(16, 03.56, "Whispers in the Rain");
	SET_CDtt(17, 04.59, "Sasquatch");
	SET_CDtt(18, 15.28, "Lady Fantasy");
#     endif
	}
    if ( cdKey == ECARMEN_DEFINITIVE ) { /* 1:13:11-10 */
	tocPtr->discPerformer = "Eric Carmen";
	tocPtr->discTitle = "The Definitive Collection";
	SET_CDtt( 1, 03.20, "Go All the Way");
	SET_CDtt( 2, 03.04, "I Wanna Be With You");
	SET_CDtt( 3, 03.38, "Let's Pretend");
	SET_CDtt( 4, 03.41, "Tonight");
	SET_CDtt( 5, 05.23, "Overnight Sensation (Hit Record)");
	SET_CDtt( 6, 04.33, "All By Myself");
	SET_CDtt( 7, 05.21, "Sunrise");
	SET_CDtt( 8, 03.10, "That's Rock 'N' Roll");
	SET_CDtt( 9, 03.46, "Never Gonna Fall in Love Again");
	SET_CDtt(10, 05.39, "No Hard Feelings");
	SET_CDtt(11, 04.22, "Boats Against the Current");
	SET_CDtt(12, 03.49, "She Did It");
	SET_CDtt(13, 03.40, "Change of Heart");
	SET_CDtt(14, 04.30, "Hey Deanie");
	SET_CDtt(15, 03.09, "Desperate Fools");
	SET_CDtt(16, 03.17, "The Way We Used to Be");
	SET_CDtt(17, 04.02, "Hungry Eyes");
	SET_CDtt(18, 04.45, "Make Me Lose Control");
	}
    if ( cdKey == ECOST_THISMODEL_B ) { /* 0:52:48-45 */
	tocPtr->discPerformer = "Elvis Costello";
	tocPtr->discTitle = "This Year's Model  [box]";
#     if !defined(SKIPSONGS_Elvis_Costello)
	SET_CDtt( 1, 01.59, "No Action");
	SET_CDtt( 2, 03.17, "This Year's Girl");
	SET_CDtt( 3, 03.46, "The Beat");
	SET_CDtt( 4, 03.15, "Pump It Up");
	SET_CDtt( 5, 02.41, "Little Triggers");
	SET_CDtt( 6, 02.23, "You Belong to Me");
	SET_CDtt( 7, 02.33, "Hand In Hand");
	SET_CDtt( 8, 03.09, "(I Don't Want to Go to) Chelsea");
	SET_CDtt( 9, 02.38, "Lip Service");
	SET_CDtt(10, 03.54, "Living in Paradise");
	SET_CDtt(11, 03.31, "Lipstick Vogue");
	SET_CDtt(12, 02.52, "Night Rally");
	SET_CDtt(13, 03.06, "Radio, Radio");
	SET_CDtt(14, 03.16, "Big Tears");
	SET_CDtt(15, 03.01, "Crawling to the USA");
	SET_CDtt(16, 02.04, "Running out of Angels");
	SET_CDtt(17, 02.22, "Greenshirt");
	SET_CDtt(18, 02.59, "Big Boys");
#     endif
	}
    if ( cdKey == BDYLAN_BIOGRAPH_D1 ) { /* 1:13:23-07 */
	tocPtr->discPerformer = "Bob Dylan";
	tocPtr->discTitle = "Biograph  [disc 1]";
#     if !defined(SKIPSONGS_Bob_Dylan)
	SET_CDtt( 1, 03.18, "Lay Lady Lay");
	SET_CDtt( 2, 02.34, "Baby, Let Me Follow You Down");
	SET_CDtt( 3, 02.43, "If Not For You");
	SET_CDtt( 4, 02.39, "I'll Be Your Baby Tonight");
	SET_CDtt( 5, 03.46, "I'll Keep It With Mine");
	SET_CDtt( 6, 03.14, "The Times They Are A-Changin'");
	SET_CDtt( 7, 02.47, "Blowin' In The Wind");
	SET_CDtt( 8, 04.32, "Masters Of War");
	SET_CDtt( 9, 05.46, "Lonesome Death Of Hattie Carroll");
	SET_CDtt(10, 07.44, "Percy's Song");
	SET_CDtt(11, 02.22, "Mixedup Confusion");
	SET_CDtt(12, 05.58, "Tombstone Blues");
	SET_CDtt(13, 04.05, "Groom's Still Waiting At The Altar");
	SET_CDtt(14, 03.30, "Most Likely You Go Your Way");
	SET_CDtt(15, 06.08, "Like A Rolling Stone");
	SET_CDtt(16, 04.37, "Lay Down Your Weary Tune");
	SET_CDtt(17, 02.19, "Subterranean Homesick Blues");
	SET_CDtt(18, 05.19, "I Don't Believe You (She Acts Like We Never Have Met)");
#     endif
	}
    if ( cdKey == BDYLAN_BIOGRAPH_D3 ) { /* 1:11:44-50 */
	tocPtr->discPerformer = "Bob Dylan";
	tocPtr->discTitle = "Biograph  [disc 3]";
#     if !defined(SKIPSONGS_Bob_Dylan)
	SET_CDtt( 1, 05.54, "Caribbean Wind");
	SET_CDtt( 2, 06.19, "Up To Me");
	SET_CDtt( 3, 02.57, "Baby, I'm In The Mood For You");
	SET_CDtt( 4, 03.29, "I Wanna Be Your Lover");
	SET_CDtt( 5, 03.07, "I Want You");
	SET_CDtt( 6, 03.44, "Heart Of Mine");
	SET_CDtt( 7, 02.57, "On A Night Like This");
	SET_CDtt( 8, 04.56, "Just Like A Woman");
	SET_CDtt( 9, 04.39, "Romance In Durango");
	SET_CDtt(10, 05.45, "Seor (Tales of Yankee Power)");
	SET_CDtt(11, 05.26, "Gotta Serve Somebody");
	SET_CDtt(12, 05.10, "I Believe In You");
	SET_CDtt(13, 02.38, "Time Passes Slowly");
	SET_CDtt(14, 03.05, "I Shall Be Released");
	SET_CDtt(15, 02.32, "Knockin' On Heaven's Door");
	SET_CDtt(16, 03.05, "All Along The Watchtower");
	SET_CDtt(17, 03.57, "Solid Rock");
	SET_CDtt(18, 02.02, "Forever Young");
#     endif
	}
    if ( cdKey == ELO_AFTERGLOW_D3 ) { /* 1:10:06-37 */
	tocPtr->discPerformer = "Electric Light Orchestra";
	tocPtr->discTitle = "Afterglow  [disc 3]";
#     if !defined(SKIPSONGS_Electric_Light_Orchestra)
	SET_CDtt( 1, 01.16, "Prologue");
	SET_CDtt( 2, 03.33, "Twilight");
	SET_CDtt( 3, 03.40, "Julie Don't Live Here");
	SET_CDtt( 4, 04.40, "Shine a Little Love");
	SET_CDtt( 5, 03.33, "When Time Stood Still");
	SET_CDtt( 6, 03.58, "Rain is Falling");
	SET_CDtt( 7, 03.14, "Bouncer");
	SET_CDtt( 8, 07.51, "Hello My Old Friend");
	SET_CDtt( 9, 03.07, "Hold On Tight");
	SET_CDtt(10, 04.09, "Four Little Diamonds");
	SET_CDtt(11, 05.20, "Mandalay");
	SET_CDtt(12, 03.56, "Buildings Have Eyes");
	SET_CDtt(13, 02.41, "So Serious");
	SET_CDtt(14, 03.59, "A Matter of Fact");
	SET_CDtt(15, 03.24, "No Way Out");
	SET_CDtt(16, 04.29, "Getting to the Point");
	SET_CDtt(17, 04.07, "Destination Unknown");
	SET_CDtt(18, 03.07, "Rock 'N' Roll is King");
#     endif
	}
    if ( cdKey == ELO2_ONENIGHTLIVE ) { /* 1:13:13-67 */
	tocPtr->discPerformer = "Electric Light Orchestra: Part II";
	tocPtr->discTitle = "One Night - Live in Australia";
#     if !defined(SKIPSONGS_Electric_Light_Orchestra)
	SET_CDtt( 1, 04.20, "Standing in the Rain");
	SET_CDtt( 2, 04.25, "Evil Woman");
	SET_CDtt( 3, 04.04, "Don't Wanna");
	SET_CDtt( 4, 04.55, "Showdown");
	SET_CDtt( 5, 06.37, "Can't Get It Out of My Head");
	SET_CDtt( 6, 03.47, "Whiskey Girls");
	SET_CDtt( 7, 03.53, "Livin' Thing");
	SET_CDtt( 8, 05.13, "One More Tomorrow");
	SET_CDtt( 9, 05.01, "Mr. Blue Sky");
	SET_CDtt(10, 04.49, "Telephone Line");
	SET_CDtt(11, 04.00, "Ain't Necessarily So");
	SET_CDtt(12, 02.12, "Strange Magic");
	SET_CDtt(13, 02.04, "Sweet Talking Woman");
	SET_CDtt(14, 01.53, "Confusion");
	SET_CDtt(15, 02.27, "Do Ya");
	SET_CDtt(16, 03.16, "Rockaria");
	SET_CDtt(17, 05.56, "Roll Over Beethoven");
	SET_CDtt(18, 04.19, "Don't Bring Me Down");
#     endif
	}
    if ( cdKey == FIREFALL_GREATEST ) { /* 1:09:22-43 */
	tocPtr->discPerformer = "Firefall";
	tocPtr->discTitle = "Greatest Hits";
	tocPtr->discCatNum = "007567710552500";
	SET_CDtt( 1, 03.51, "Livin' Ain't Livin'");
	SET_CDtt( 2, 03.36, "Cinderella");
	SET_CDtt( 3, 02.43, "You Are the Woman");
	SET_CDtt( 4, 04.19, "Mexico");
	SET_CDtt( 5, 03.31, "It Doesn't Matter");
	SET_CDtt( 6, 03.19, "Just Remember I Love You");
	SET_CDtt( 7, 05.29, "So Long");
	SET_CDtt( 8, 04.07, "Someday Soon");
	SET_CDtt( 9, 03.26, "Strange Way");
	SET_CDtt(10, 04.24, "Goodbye, I Love You");
	SET_CDtt(11, 03.36, "Sweet and Sour");
	SET_CDtt(12, 03.24, "Love That Got Away");
	SET_CDtt(13, 04.12, "Headed for a Fall");
	SET_CDtt(14, 03.04, "Staying With It");
	SET_CDtt(15, 03.48, "Break of Dawn");
	SET_CDtt(16, 03.48, "Always");
	SET_CDtt(17, 03.58, "Runaway Love");
	SET_CDtt(18, 04.45, "Run Run Away");
	}
    if ( cdKey == NGRIF_MCAYEARS ) { /* 1:09:23-30 */
	tocPtr->discPerformer = "Nanci Griffith";
	tocPtr->discTitle = "The MCA Years - A Retrospective";
#     if !defined(SKIPSONGS_Nanci_Griffith)
	SET_CDtt( 1, 03.21, "Trouble in the Fields");
	SET_CDtt( 2, 04.12, "From a Distance");
	SET_CDtt( 3, 04.09, "I Don't Wanna Talk About Love");
	SET_CDtt( 4, 05.11, "Deadwood, South Dakota");
	SET_CDtt( 5, 07.21, "Love at the Five and Dime");
	SET_CDtt( 6, 03.47, "Listen to the Radio");
	SET_CDtt( 7, 03.04, "Gulf Coast Highway");
	SET_CDtt( 8, 02.41, "I Wish It Would Rain");
	SET_CDtt( 9, 02.14, "Ford Econoline");
	SET_CDtt(10, 04.07, "So Long Ago");
	SET_CDtt(11, 03.47, "If Wishes Were Changes");
	SET_CDtt(12, 03.14, "The Wing and the Wheel");
	SET_CDtt(13, 03.33, "Late Night Grande Hotel");
	SET_CDtt(14, 04.23, "It's Just Another Morning Here");
	SET_CDtt(15, 03.14, "Drivein Movies and Dashboard Lights");
	SET_CDtt(16, 04.24, "There's a Light Beyond These Woods (Mary Margaret)");
	SET_CDtt(17, 02.39, "Outbound Plane");
	SET_CDtt(18, 04.00, "It's a Hard Life Wherever You Go");
#     endif
	}
    if ( cdKey == HEART_DEFINITIVE_D1 ) { /* 1:17:25-00 */
	tocPtr->discPerformer = "Heart";
	tocPtr->discTitle = "Definitive Collection  [disc 1]";
	tocPtr->discCatNum = "509974805619100";
#     if !defined(SKIPSONGS_Heart)
	SET_CDtt( 1, 04.24, "Barracuda");
	SET_CDtt( 2, 05.13, "Little Queen");
	SET_CDtt( 3, 02.47, "Kick It Out");
	SET_CDtt( 4, 04.33, "Dream of the Archer");
	SET_CDtt( 5, 02.53, "Cry To Me");
	SET_CDtt( 6, 04.19, "Love Alive");
	SET_CDtt( 7, 05.21, "Dog & Butterfly");
	SET_CDtt( 8, 05.08, "Straight On");
	SET_CDtt( 9, 05.04, "Lighter Touch");
	SET_CDtt(10, 05.19, "Nada One");
	SET_CDtt(11, 05.11, "Even It Up");
	SET_CDtt(12, 03.18, "Sweet Darlin");
	SET_CDtt(13, 02.59, "This Man is Mine");
	SET_CDtt(14, 03.53, "Perfect Stranger");
	SET_CDtt(15, 04.28, "Tell it Like it Is");
	SET_CDtt(16, 03.52, "How Can I Refuse");
	SET_CDtt(17, 04.42, "Allies");
	SET_CDtt(18, 03.59, "Johnny Moon");
#     endif
	}
    if ( cdKey == EJOHN_TOBECONT_D1 ) { /* 1:15:54-42 */
	tocPtr->discPerformer = "Elton John";
	tocPtr->discTitle = "to be continued...  [disc 1]";
#     if !defined(SKIPSONGS_Elton_John)
	SET_CDtt( 1, 02.45, "Come Back Baby  [Bluesology]");
	SET_CDtt( 2, 03.03, "Lady Samantha");
	SET_CDtt( 3, 04.01, "It's Me That You Need");
	SET_CDtt( 4, 03.34, "Your Song  [demo]");
	SET_CDtt( 5, 04.18, "Rock and Roll Madonna");
	SET_CDtt( 6, 03.12, "Bad Side of the Moon");
	SET_CDtt( 7, 04.00, "Your Song");
	SET_CDtt( 8, 03.47, "Take Me To The Pilot");
	SET_CDtt( 9, 03.21, "Border Song");
	SET_CDtt(10, 04.56, "Sixty Years On");
	SET_CDtt(11, 05.08, "Country Comfort");
	SET_CDtt(12, 03.36, "Gray Seal");
	SET_CDtt(13, 02.24, "Friends");
	SET_CDtt(14, 05.23, "Levon");
	SET_CDtt(15, 06.15, "Tiny Dancer");
	SET_CDtt(16, 05.58, "Madman Across The Water");
	SET_CDtt(17, 05.13, "Honky Cat");
	SET_CDtt(18, 04.58, "Mona Lisas And Mad Hatters");
#     endif
	}
    if ( cdKey == GLIGHT_GORDSGOLD_V2 ) { /* 1:05:47-35 */
	tocPtr->discPerformer = "Gordon Lightfoot";
	tocPtr->discTitle = "Gord's Gold, Volume II";
	tocPtr->discCatNum = "007599257842400";
#     if !defined(SKIPSONGS_Gordon_Lightfoot)
	SET_CDtt( 1, 02.55, "If It Should Please You");
	SET_CDtt( 2, 04.18, "Endless Wire");
	SET_CDtt( 3, 02.51, "Hangdog Hotel Room");
	SET_CDtt( 4, 03.22, "I'm Not Supposed to Care");
	SET_CDtt( 5, 02.30, "High & Dry");
	SET_CDtt( 6, 06.19, "The Wreck of the Edmund Fitzgerald");
	SET_CDtt( 7, 03.37, "The Pony Man");
	SET_CDtt( 8, 03.27, "Race Among the Ruins");
	SET_CDtt( 9, 03.17, "Christian Island");
	SET_CDtt(10, 02.52, "All the Lovely Ladies");
	SET_CDtt(11, 03.01, "Alberta Bound");
	SET_CDtt(12, 05.01, "Cherokee Bend");
	SET_CDtt(13, 03.57, "Triangle");
	SET_CDtt(14, 03.03, "Shadows");
	SET_CDtt(15, 03.46, "Make Way (For the Lady)");
	SET_CDtt(16, 04.08, "Ghosts of Cape Horn");
	SET_CDtt(17, 03.59, "Baby Step Back");
	SET_CDtt(18, 03.22, "It's Worth Believin'");
#     endif
	}
    if ( cdKey == JMELLEN_COLLECTION ) { /* 1:00:32-15 */
	tocPtr->discPerformer = "John Mellencamp";
	tocPtr->discTitle = "The Collection";
#     if !defined(SKIPSONGS_John_Mellencamp)
	SET_CDtt( 1, 02.22, "American Dream");
	SET_CDtt( 2, 02.56, "Oh, Pretty Woman");
	SET_CDtt( 3, 02.12, "Jailhouse Rock");
	SET_CDtt( 4, 03.20, "Dream Killin' Town");
	SET_CDtt( 5, 02.41, "Supergirl");
	SET_CDtt( 6, 03.19, "Chestnut Street");
	SET_CDtt( 7, 05.33, "Kid Inside");
	SET_CDtt( 8, 03.15, "Take What You Want");
	SET_CDtt( 9, 03.54, "Cheap Shot");
	SET_CDtt(10, 04.11, "Sidewalks and Streetlights");
	SET_CDtt(11, 02.31, "R. Gang");
	SET_CDtt(12, 03.10, "Good Girls");
	SET_CDtt(13, 02.40, "Do You Believe in Magic");
	SET_CDtt(14, 02.16, "Twentieth Century Fox");
	SET_CDtt(15, 05.25, "Chestnut Street Revisited");
	SET_CDtt(16, 03.26, "Sad Lady");
	SET_CDtt(17, 04.53, "American Son");
	SET_CDtt(18, 02.26, "Young Genocides");
#     endif
	}
    if ( cdKey == MOLDFIELD_COMPLETE_D1 ) { /* 1:01:51-00 */
	tocPtr->discPerformer = "Mike Oldfield";
	tocPtr->discTitle = "The Complete Mike Oldfield  [disc 1]";
#     if !defined(SKIPSONGS_Mike_Oldfield)
	SET_CDtt( 1, 02.47, "Arrival");
	SET_CDtt( 2, 03.55, "William Tell Overture");
	SET_CDtt( 3, 03.13, "Cuckoo Song");
	SET_CDtt( 4, 02.51, "In Dulci Jubilo");
	SET_CDtt( 5, 02.02, "Portsmouth");
	SET_CDtt( 6, 02.37, "Jungle Gardenia");
	SET_CDtt( 7, 04.05, "Guilty");
	SET_CDtt( 8, 02.08, "Blue Peter");
	SET_CDtt( 9, 03.24, "Waldburg (The Peak)");
	SET_CDtt(10, 03.39, "Wonderful Land");
	SET_CDtt(11, 03.08, "tude (theme from The Killing Fields)");
	SET_CDtt(12, 03.36, "Moonlight Shadow");
	SET_CDtt(13, 03.48, "Family Man");
	SET_CDtt(14, 02.55, "Mistake");
	SET_CDtt(15, 04.19, "Five Miles Out");
	SET_CDtt(16, 03.38, "Crimes Of Passion");
	SET_CDtt(17, 04.34, "To France");
	SET_CDtt(18, 05.09, "Shadow On The Wall");
#     endif
	}
    if ( cdKey == RORBISON_LEGEND_D4 ) { /* 0:54:35-37 */
	tocPtr->discPerformer = "Roy Orbison";
	tocPtr->discTitle = "The Legendary Roy Orbison  [disc 4]";
	SET_CDtt( 1, 03.30, "Ride Away");
	SET_CDtt( 2, 03.18, "Crawling Back");
	SET_CDtt( 3, 02.10, "Breakin' Up is Breakin' My Heart");
	SET_CDtt( 4, 02.56, "Cry Softly Lonely One");
	SET_CDtt( 5, 02.53, "Borne on the Wind");
	SET_CDtt( 6, 02.47, "Mama (German)");
	SET_CDtt( 7, 02.33, "San Fernando (German)");
	SET_CDtt( 8, 02.48, "(They Call You) Gigolette");
	SET_CDtt( 9, 02.54, "Dance");
	SET_CDtt(10, 02.12, "Can't Wait");
	SET_CDtt(11, 03.00, "I Don't Really Want You");
	SET_CDtt(12, 03.15, "Something You Can't Take Away");
	SET_CDtt(13, 03.47, "Indian Summer");
	SET_CDtt(14, 03.11, "The Fastest Guitar Alive (from the movie)");
	SET_CDtt(15, 03.30, "So Young (from Zabriskie Point)");
	SET_CDtt(16, 02.54, "Zigzag (from Zigzag)");
	SET_CDtt(17, 03.24, "It Takes All Kinds of People (from Moonshine War)");
	SET_CDtt(18, 03.31, "Wild Hearts (from Insignificance)");
	}
    if ( cdKey == TPHEART_GREATEST ) { /* 1:05:45-60 */
	tocPtr->discPerformer = "Tom Petty and the HeartBreakers";
	tocPtr->discTitle = "Greatest Hits";
#     if !defined(SKIPSONGS_Tom_Petty)
	SET_CDtt( 1, 03.33, "American Girl");
	SET_CDtt( 2, 02.43, "Breakdown");
	SET_CDtt( 3, 03.03, "Listen to Her Heart");
	SET_CDtt( 4, 02.23, "I Need to Know");
	SET_CDtt( 5, 03.22, "Refugee");
	SET_CDtt( 6, 02.43, "Don't Do Me Like That");
	SET_CDtt( 7, 03.39, "Even the Losers");
	SET_CDtt( 8, 04.25, "Here Comes My Girl");
	SET_CDtt( 9, 03.59, "The Waiting");
	SET_CDtt(10, 03.36, "You Got Lucky");
	SET_CDtt(11, 05.04, "Don't Come Around Here No More");
	SET_CDtt(12, 02.57, "I Won't Back Down");
	SET_CDtt(13, 04.23, "Runnin' Down a Dream");
	SET_CDtt(14, 04.16, "Free Fallin'");
	SET_CDtt(15, 04.01, "Learning to Fly");
	SET_CDtt(16, 03.45, "Into the Great Wide Open");
	SET_CDtt(17, 04.33, "Mary Jane's Last Dance");
	SET_CDtt(18, 03.18, "Something in the Air");
#     endif
	}
    if ( cdKey == POL_MSGBOX_D3 ) { /* 1:04:29-50 */
	tocPtr->discPerformer = "Police";
	tocPtr->discTitle = "Message in a Box: The Complete Recordings  [disc 3]";
#     if !defined(SKIPSONGS_Police)
	SET_CDtt( 1, 02.33, "A Sermon");
	SET_CDtt( 2, 03.29, "Driven to Tears  [live]");
	SET_CDtt( 3, 05.01, "Shambelle");
	SET_CDtt( 4, 02.59, "Spirits in the Material World");
	SET_CDtt( 5, 04.21, "Every Little Thing She Does is Magic");
	SET_CDtt( 6, 03.43, "Invisible Sun");
	SET_CDtt( 7, 02.53, "Hungry For You (J'aurais toujours faim de toi)");
	SET_CDtt( 8, 05.58, "Demolition Man");
	SET_CDtt( 9, 03.43, "Too Much Information");
	SET_CDtt(10, 03.10, "Rehumanize Yourself");
	SET_CDtt(11, 04.47, "One World (Not Three)");
	SET_CDtt(12, 02.48, "Omegaman");
	SET_CDtt(13, 03.33, "Secret Journey");
	SET_CDtt(14, 03.15, "Darkness");
	SET_CDtt(15, 03.44, "Flexible Strategies");
	SET_CDtt(16, 03.45, "Low Life");
	SET_CDtt(17, 02.42, "How Stupid Mr. Bates");
	SET_CDtt(18, 02.03, "A Kind of Loving");
#     endif
	}
    if ( cdKey == POL_MSGBOX_D4 ) { /* 1:13:05-60 */
	tocPtr->discPerformer = "Police";
	tocPtr->discTitle = "Message in a Box: The Complete Recordings  [disc 4]";
#     if !defined(SKIPSONGS_Police)
	SET_CDtt( 1, 03.23, "Synchronicity I");
	SET_CDtt( 2, 03.37, "Walking in Your Footsteps");
	SET_CDtt( 3, 04.02, "O My God");
	SET_CDtt( 4, 03.05, "Mother");
	SET_CDtt( 5, 02.00, "Miss Gradenko");
	SET_CDtt( 6, 05.04, "Synchronicity II");
	SET_CDtt( 7, 04.14, "Every Breath You Take");
	SET_CDtt( 8, 04.59, "King of Pain");
	SET_CDtt( 9, 05.14, "Wrapped Around Your Finger");
	SET_CDtt(10, 04.13, "Tea in the Sahara");
	SET_CDtt(11, 04.37, "Murder By the Numbers");
	SET_CDtt(12, 02.17, "Man In a Suitcase  [live]");
	SET_CDtt(13, 03.09, "Someone to Talk To");
	SET_CDtt(14, 04.51, "Message in a Bottle  [live]");
	SET_CDtt(15, 04.50, "I Burn for You");
	SET_CDtt(16, 03.31, "Once Upon a Daydream");
	SET_CDtt(17, 05.06, "Tea in the Sahara  [live]");
	SET_CDtt(18, 04.51, "Don't Stand So Close to Me '86");
#     endif
	}
    if ( cdKey == SONSOFPI_TUMBLING ) { /* 0:48:51-30 */
	tocPtr->discPerformer = "Sons of the Pioneers";
	tocPtr->discTitle = "Tumbling Tumbleweeds";
	SET_CDtt( 1, 02.47, "Tumbling Tumbleweeds");
	SET_CDtt( 2, 03.27, "Home on the Range");
	SET_CDtt( 3, 02.55, "Empty Saddles");
	SET_CDtt( 4, 02.31, "Red River Valley");
	SET_CDtt( 5, 03.05, "Room Full of Roses");
	SET_CDtt( 6, 02.10, "Along the Navajo Trail");
	SET_CDtt( 7, 02.14, "Don't Fence Me In");
	SET_CDtt( 8, 02.45, "The Last Round-Up");
	SET_CDtt( 9, 02.29, "Twilight on the Trail");
	SET_CDtt(10, 02.56, "Cool Water");
	SET_CDtt(11, 03.18, "Riders in the Sky");
	SET_CDtt(12, 02.08, "Whoopie-Yi-Yi-Yo");
	SET_CDtt(13, 02.39, "The Shifting Whispering Sands");
	SET_CDtt(14, 02.42, "San Antonio Rose");
	SET_CDtt(15, 02.53, "O Bury Me Not on the Lone Prairie");
	SET_CDtt(16, 02.27, "Ragtime Cowboy Joe");
	SET_CDtt(17, 02.19, "Wagon Wheels");
	SET_CDtt(18, 03.04, "Take Me Back to My Boots and Saddle");
	}
    if ( cdKey == BSPRING_GREATEST ) { /* 1:16:46-45 */
	tocPtr->discPerformer = "Bruce Springsteen & The E Street Band";
	tocPtr->discTitle = "Greatest Hits";
#     if !defined(SKIPSONGS_Bruce_Springsteen)
	SET_CDtt( 1, 04.30, "Born To Run");
	SET_CDtt( 2, 04.49, "Thunder Road");
	SET_CDtt( 3, 04.03, "Badlands");
	SET_CDtt( 4, 05.01, "The River");
	SET_CDtt( 5, 03.20, "Hungry Heart");
	SET_CDtt( 6, 03.57, "Atlantic City");
	SET_CDtt( 7, 04.03, "Dancing in the Dark");
	SET_CDtt( 8, 04.41, "Born in the U.S.A.");
	SET_CDtt( 9, 04.13, "My Hometown");
	SET_CDtt(10, 03.49, "Glory Days");
	SET_CDtt(11, 04.16, "Brilliant Disguise");
	SET_CDtt(12, 05.10, "Human Touch");
	SET_CDtt(13, 03.45, "Better Days");
	SET_CDtt(14, 03.17, "Streets of Philidelphia");
	SET_CDtt(15, 04.27, "Secret Garden");
	SET_CDtt(16, 03.58, "Murder Incorporated");
	SET_CDtt(17, 04.34, "Blood Brothers");
	SET_CDtt(18, 04.51, "This Hard Land");
#     endif
	}
}
