#import <sys/types.h>
#import <stddef.h>
#import "CD_DBaseSubs.h"

    /*
     * This subroutine has information for CD's with 19 tracks
     */

#define RORBISON_LEGEND_D1     943562871 /* key parts = 2621.00.19.171 170 */
#define TDREAM_CATCHME         943836585 /* key parts = 2621.57.19.285 105 */
#define GHARR_WONDERWALL       988481325 /* key parts = 2745.58.19.225 114 */
#define RORBISON_LEGEND_D2    1079762984 /* key parts = 2999.25.19.134 146 */
#define RORBISON_LEGEND_D3    1149722868 /* key parts = 3193.50.19.168 179 */
#define JRIVERS_ANTHOLOGY_D1  1241330852 /* key parts = 3448.10.19.152 227 */
#define NYOUNG_DECADE_D2      1537154878 /* key parts = 4269.65.19.178 228 */
#define JLENNON_COLLECTION    1544897394 /* key parts = 4291.28.19.294 301 */
#define JDENVER_ROCKYCOLL_D2  1550508552 /* key parts = 4306.72.19.252 337 */
#define FLEETW_THECHAIN_D4    1569530871 /* key parts = 4359.60.19.171 295 */
#define MOLDFIELD_ELEMENTS_D4 1593833260 /* key parts = 4427.23.19.310 268 */
#define SOUNDTM_STARWARTRI_D3 1593876473 /* key parts = 4427.32.19.23 479 */
#define ASTEW_TOWHOMIT_D1     1599938851 /* key parts = 4444.20.19.151 347 */
#define FLEETW_THECHAIN_D3    1623914930 /* key parts = 4510.65.19.230 197 */
#define SOUNDTM_STARWARTRI_D2 1627034873 /* key parts = 4519.40.19.23 378 */
#define MOODY_CAUGHTLIVEP5    1637628543 /* key parts = 4548.72.19.243 213 */
#define ABBA_GOLDGREATEST     1667268532 /* key parts = 4631.22.19.232 163 */


void filltoc19(tocPtr, cdKey)
struct cd_toc *tocPtr;
u_int cdKey;
{

    if ( cdKey == ABBA_GOLDGREATEST ) { /* 1:17:11-22 */
	tocPtr->discPerformer = "ABBA";
	tocPtr->discTitle = "ABBA Gold: Greatest Hits";
	SET_CDtt( 1, 03.52, "Dancing Queen");
	SET_CDtt( 2, 04.02, "Knowing Me, Knowing You");
	SET_CDtt( 3, 04.04, "Take a Chance on Me");
	SET_CDtt( 4, 03.34, "Mamma Mia");
	SET_CDtt( 5, 04.34, "Lay All Your Love On Me");
	SET_CDtt( 6, 04.15, "Super Trouper");
	SET_CDtt( 7, 04.44, "I Have a Dream");
	SET_CDtt( 8, 04.55, "The Winner Takes It All");
	SET_CDtt( 9, 03.08, "Money, Money, Money");
	SET_CDtt(10, 03.22, "S.O.S.");
	SET_CDtt(11, 05.26, "Chiquitita");
	SET_CDtt(12, 04.14, "Fernando");
	SET_CDtt(13, 04.22, "Voulez Vous");
	SET_CDtt(14, 04.49, "Gimme! Gimmie! Gimmie!  (A Man After Midnight)");
	SET_CDtt(15, 03.15, "Does Your Mother Know");
	SET_CDtt(16, 03.58, "One of Us");
	SET_CDtt(17, 04.00, "The Name of the Game");
	SET_CDtt(18, 03.52, "Thank You For the Music");
	SET_CDtt(19, 02.43, "Waterloo");
	}
    if ( cdKey == JDENVER_ROCKYCOLL_D2 ) { /* 1:11:46-72 */
	tocPtr->discPerformer = "John Denver";
	tocPtr->discTitle = "The Rocky Mountain Collection  [disc 2]";
	SET_CDtt( 1, 04.12, "Fly Away");
	SET_CDtt( 2, 04.02, "Looking For Space");
	SET_CDtt( 3, 04.02, "Windsong");
	SET_CDtt( 4, 03.37, "Calypso");
	SET_CDtt( 5, 03.34, "I'm Sorry");
	SET_CDtt( 6, 03.45, "Like a Sad Song");
	SET_CDtt( 7, 03.49, "Come and Let Me Look in Your Eyes");
	SET_CDtt( 8, 03.12, "How Can I Leave You Again");
	SET_CDtt( 9, 04.38, "Thirsty Boots");
	SET_CDtt(10, 02.39, "It Amazes Me");
	SET_CDtt(11, 03.49, "I Want To Live");
	SET_CDtt(12, 03.40, "Autograph");
	SET_CDtt(13, 04.03, "Some Days are Diamonds (Some Days are Stone)");
	SET_CDtt(14, 03.51, "Seasons of the Heart");
	SET_CDtt(15, 03.15, "Shanghi Breezes");
	SET_CDtt(16, 02.59, "Perhaps Love  [with Placido Domingo]");
	SET_CDtt(17, 04.06, "Wild Montana Skies  [with Emmylou Harris]");
	SET_CDtt(18, 02.54, "Love Again");
	SET_CDtt(19, 05.37, "Flying For Me");
	}
    if ( cdKey == FLEETW_THECHAIN_D3 ) { /* 1:15:10-65 */
	tocPtr->discPerformer = "Fleetwood Mac";
	tocPtr->discTitle = "The Chain  [disc 3]";
	tocPtr->discCatNum = "007599451292100";
#     if !defined(SKIPSONGS_Fleetwood_Mac)
	SET_CDtt( 1, 03.50, "Warm Ways");
	SET_CDtt( 2, 03.46, "Say You Love Me");
	SET_CDtt( 3, 03.12, "Don't Stop");
	SET_CDtt( 4, 04.09, "Rhiannon");
	SET_CDtt( 5, 03.46, "Walk a Thin Line");
	SET_CDtt( 6, 05.27, "Storms");
	SET_CDtt( 7, 03.40, "Go Your Own Way");
	SET_CDtt( 8, 04.37, "Sisters of the Moon");
	SET_CDtt( 9, 03.36, "Monday Morning");
	SET_CDtt(10, 03.17, "Landslide");
	SET_CDtt(11, 04.47, "Hypnotized");
	SET_CDtt(12, 04.35, "Lay It All Down");
	SET_CDtt(13, 04.53, "Angel");
	SET_CDtt(14, 05.19, "Beautiful Child");
	SET_CDtt(15, 04.56, "Brown Eyes");
	SET_CDtt(16, 02.42, "Save Me a Place");
	SET_CDtt(17, 03.15, "Tusk");
	SET_CDtt(18, 02.04, "Never Going Back Again");
	SET_CDtt(19, 03.17, "Songbird");
#     endif
	}
    if ( cdKey == FLEETW_THECHAIN_D4 ) { /* 1:12:39-60 */
	tocPtr->discPerformer = "Fleetwood Mac";
	tocPtr->discTitle = "The Chain  [disc 4]";
	tocPtr->discCatNum = "007599451292100";
#     if !defined(SKIPSONGS_Fleetwood_Mac)
	SET_CDtt( 1, 02.51, "I Believe My Time Ain't Long");
	SET_CDtt( 2, 03.55, "Need Your Love So Bad");
	SET_CDtt( 3, 03.30, "Rattlesnake Shake");
	SET_CDtt( 4, 03.31, "Oh Well, Part 1");
	SET_CDtt( 5, 02.21, "Stop Messin' Around");
	SET_CDtt( 6, 04.38, "Green Manalishi");
	SET_CDtt( 7, 03.12, "Albatross");
	SET_CDtt( 8, 02.52, "Man of the World");
	SET_CDtt( 9, 05.02, "Love That Burns");
	SET_CDtt(10, 02.53, "Black Magic Woman");
	SET_CDtt(11, 04.15, "Watch Out");
	SET_CDtt(12, 02.16, "String A Long");
	SET_CDtt(13, 05.41, "Station Man");
	SET_CDtt(14, 03.42, "Did You Ever Love Me");
	SET_CDtt(15, 04.32, "Sentimental Lady");
	SET_CDtt(16, 04.48, "Come a Little Bit Closer");
	SET_CDtt(17, 03.35, "Heroes are Hard to Find");
	SET_CDtt(18, 04.08, "Trinity");
	SET_CDtt(19, 04.55, "Why");
#     endif
	}
    if ( cdKey == GHARR_WONDERWALL ) { /* 0:45:45-58 */
	tocPtr->discPerformer = "George Harrison";
	tocPtr->discTitle = "Wonderwall Music";
#     if !defined(SKIPSONGS_George_Harrison)
	SET_CDtt( 1, 03.45, "Microbes");
	SET_CDtt( 2, 01.57, "Red Lady Too");
	SET_CDtt( 3, 01.05, "Tabla and Pakavaj");
	SET_CDtt( 4, 04.11, "In The Park");
	SET_CDtt( 5, 03.07, "Drilling a Home");
	SET_CDtt( 6, 01.08, "Guru Vandana");
	SET_CDtt( 7, 01.28, "Greasy Legs");
	SET_CDtt( 8, 01.50, "Ski-ing");
	SET_CDtt( 9, 01.15, "Gat Kinwani");
	SET_CDtt(10, 05.31, "Dream Scene");
	SET_CDtt(11, 04.35, "Party Seacombe");
	SET_CDtt(12, 04.18, "Love Scene");
	SET_CDtt(13, 01.20, "Crying");
	SET_CDtt(14, 01.30, "Cowboy Music");
	SET_CDtt(15, 01.51, "Fantasy Sequins");
	SET_CDtt(16, 02.24, "On the Bed");
	SET_CDtt(17, 01.07, "Glass Box");
	SET_CDtt(18, 01.27, "Wonderwall To Be Here");
	SET_CDtt(19, 01.54, "Singing Om");
#     endif
	}
    if ( cdKey == JLENNON_COLLECTION ) { /* 1:11:31-28 */
	tocPtr->discPerformer = "John Lennon";
	tocPtr->discTitle = "The John Lennon Collection";
#     if !defined(SKIPSONGS_John_Lennon)
	SET_CDtt( 1, 04.54, "Give Peace a Chance");
	SET_CDtt( 2, 03.22, "Instant Karma!");
	SET_CDtt( 3, 03.19, "Power to the People");
	SET_CDtt( 4, 03.20, "Whatever Gets You Thru The Night");
	SET_CDtt( 5, 04.49, "#9 Dream");
	SET_CDtt( 6, 04.15, "Mind Games");
	SET_CDtt( 7, 03.24, "Love");
	SET_CDtt( 8, 03.36, "Happy Xmas (War is Over)");
	SET_CDtt( 9, 03.05, "Imagine");
	SET_CDtt(10, 04.18, "Jealous Guy");
	SET_CDtt(11, 03.28, "Stand By Me");
	SET_CDtt(12, 03.57, "(Just Like) Starting Over");
	SET_CDtt(13, 03.29, "Woman");
	SET_CDtt(14, 04.00, "I'm Losing You");
	SET_CDtt(15, 04.03, "Beautiful Boy (Darling Boy)");
	SET_CDtt(16, 03.34, "Watching the Wheels");
	SET_CDtt(17, 02.36, "Dear Yoko");
	SET_CDtt(18, 02.59, "Move Over Ms. L");
	SET_CDtt(19, 05.01, "Cold Turkey");
#     endif
	}
    if ( cdKey == MOODY_CAUGHTLIVEP5 ) { /* 1:15:48-72 */
	tocPtr->discPerformer = "Moody Blues";
	tocPtr->discTitle = "Caught Live + 5";
	tocPtr->discCatNum = "004228201612600";
#     if !defined(SKIPSONGS_Moody_Blues)
	SET_CDtt( 1, 04.03, "Gypsy (Of a Strange and Distant Time)");
	SET_CDtt( 2, 04.34, "The Sunset");
	SET_CDtt( 3, 03.23, "Dr. Livingstone, I Presume");
	SET_CDtt( 4, 05.39, "Never Comes the Day");
	SET_CDtt( 5, 05.14, "Peak Hour");
	SET_CDtt( 6, 04.51, "Tuesday Afternoon");
	SET_CDtt( 7, 04.22, "Are You Sitting Comfortably?");
	SET_CDtt( 8, 00.58, "The Dream");
	SET_CDtt( 9, 01.22, "Have You Heard: Pt. 1");
	SET_CDtt(10, 03.37, "The Voyage");
	SET_CDtt(11, 02.33, "Have You Heard: Pt. 2");
	SET_CDtt(12, 05.56, "Nights in White Satin");
	SET_CDtt(13, 07.05, "Legend of a Mind");
	SET_CDtt(14, 04.31, "Ride My See-Saw");
	SET_CDtt(15, 03.13, "Gimme a Little Somethin'");
	SET_CDtt(16, 03.44, "Please Think About It");
	SET_CDtt(17, 03.12, "Long Summer Days");
	SET_CDtt(18, 03.56, "King and Queen");
	SET_CDtt(19, 03.33, "What Am I Doing Here?");
#     endif
	}
    if ( cdKey == MOLDFIELD_ELEMENTS_D4 ) { /* 1:13:47-23 */
	tocPtr->discPerformer = "Mike Oldfield";
	tocPtr->discTitle = "Elements  [disc 4]";
#     if !defined(SKIPSONGS_Mike_Oldfield)
	SET_CDtt( 1, 05.10, "Shadow on the Wall");
	SET_CDtt( 2, 02.26, "Taurus III");
	SET_CDtt( 3, 03.38, "Crime of Passion");
	SET_CDtt( 4, 02.44, "Jungle Gardenia");
	SET_CDtt( 5, 04.45, "To France");
	SET_CDtt( 6, 02.45, "Afghan");
	SET_CDtt( 7, 03.56, "Tricks of the Light  [instrumental]");
	SET_CDtt( 8, 03.08, "Etude");
	SET_CDtt( 9, 05.13, "Evacuation");
	SET_CDtt(10, 02.24, "Legend");
	SET_CDtt(11, 04.19, "Islands");
	SET_CDtt(12, 02.30, "The Wind Chimes: Part one");
	SET_CDtt(13, 03.37, "Flying Start");
	SET_CDtt(14, 04.14, "Magic Touch");
	SET_CDtt(15, 03.59, "Earth Moving");
	SET_CDtt(16, 04.26, "Far Country");
	SET_CDtt(17, 03.45, "Holy");
	SET_CDtt(18, 06.18, "Amarok");
	SET_CDtt(19, 04.28, "Heaven's Open");
#     endif
	}
    if ( cdKey == RORBISON_LEGEND_D1 ) { /* 0:43:41-00 */
	tocPtr->discPerformer = "Roy Orbison";
	tocPtr->discTitle = "The Legendary Roy Orbison  [disc 1]";
	SET_CDtt( 1, 02.51, "Tryin' to Get to You");
	SET_CDtt( 2, 02.13, "Ooby Dooby");
	SET_CDtt( 3, 02.10, "Go, Go, Go");
	SET_CDtt( 4, 02.06, "Rock House");
	SET_CDtt( 5, 02.09, "You're My Baby");
	SET_CDtt( 6, 02.13, "Devil Doll");
	SET_CDtt( 7, 01.58, "Claudette");
	SET_CDtt( 8, 02.18, "Seems to Me");
	SET_CDtt( 9, 02.20, "Sweet and Innocent");
	SET_CDtt(10, 02.06, "Almost Eighteen");
	SET_CDtt(11, 01.56, "Jolie");
	SET_CDtt(12, 02.07, "I'll Never Tell");
	SET_CDtt(13, 02.29, "With The Bug");
	SET_CDtt(14, 02.12, "Paper Boy");
	SET_CDtt(15, 02.09, "Uptown");
	SET_CDtt(16, 02.20, "Pretty One");
	SET_CDtt(17, 02.29, "Only The Lonely");
	SET_CDtt(18, 02.43, "Here Comes That Song Again");
	SET_CDtt(19, 02.50, "Blue Angel");
	}
    if ( cdKey == RORBISON_LEGEND_D2 ) { /* 0:49:59-25 */
	tocPtr->discPerformer = "Roy Orbison";
	tocPtr->discTitle = "The Legendary Roy Orbison  [disc 2]";
	SET_CDtt( 1, 02.14, "Today's Teardrops");
	SET_CDtt( 2, 02.45, "I'm Hurtin'");
	SET_CDtt( 3, 02.45, "I Can't Stop Loving You");
	SET_CDtt( 4, 02.14, "Running Scared");
	SET_CDtt( 5, 02.31, "Love Hurts");
	SET_CDtt( 6, 02.48, "Crying");
	SET_CDtt( 7, 02.47, "Candy Man");
	SET_CDtt( 8, 02.35, "Dream Baby");
	SET_CDtt( 9, 02.39, "The Actress");
	SET_CDtt(10, 02.24, "The Crowd");
	SET_CDtt(11, 03.01, "Mama");
	SET_CDtt(12, 02.29, "Working For The Man");
	SET_CDtt(13, 02.41, "Leah");
	SET_CDtt(14, 02.51, "In Dreams");
	SET_CDtt(15, 02.42, "Shahdaroba");
	SET_CDtt(16, 02.24, "Falling");
	SET_CDtt(17, 03.13, "Distant Drums");
	SET_CDtt(18, 02.28, "Blue Bayou");
	SET_CDtt(19, 02.26, "Mean Woman Blues");
	}
    if ( cdKey == RORBISON_LEGEND_D3 ) { /* 0:53:13-50 */
	tocPtr->discPerformer = "Roy Orbison";
	tocPtr->discTitle = "The Legendary Roy Orbison  [disc 3]";
	SET_CDtt( 1, 02.48, "Pretty Paper");
	SET_CDtt( 2, 02.22, "Beautiful Dreamer");
	SET_CDtt( 3, 02.49, "It's Over");
	SET_CDtt( 4, 03.06, "Indian Wedding");
	SET_CDtt( 5, 02.59, "Oh, Pretty Woman");
	SET_CDtt( 6, 03.17, "Yo Te Amo Maria");
	SET_CDtt( 7, 02.31, "Goodnight");
	SET_CDtt( 8, 02.20, "Only With You");
	SET_CDtt( 9, 02.49, "Say You're My Girl");
	SET_CDtt(10, 02.39, "Sleepy Hollow");
	SET_CDtt(11, 02.35, "Let The Good Times Roll");
	SET_CDtt(12, 02.19, "Lana");
	SET_CDtt(13, 02.46, "Summersong");
	SET_CDtt(14, 02.35, "Belinda");
	SET_CDtt(15, 02.27, "No Chain At All");
	SET_CDtt(16, 02.57, "(I'm a) Southern Man");
	SET_CDtt(17, 03.50, "Born To Love Me");
	SET_CDtt(18, 03.03, "Drifting Away");
	SET_CDtt(19, 02.59, "Under Suspicion");
	}
    if ( cdKey == JRIVERS_ANTHOLOGY_D1 ) { /* 0:57:28-10 */
	tocPtr->discPerformer = "Johnny Rivers";
	tocPtr->discTitle = "Anthology, 1964-1977  [disc 1]";
	SET_CDtt( 1, 02.32, "Memphis");
	SET_CDtt( 2, 02.17, "Maybelline");
	SET_CDtt( 3, 02.44, "Mountain of Love");
	SET_CDtt( 4, 02.32, "Midnight Special");
	SET_CDtt( 5, 02.32, "Cupid");
	SET_CDtt( 6, 02.50, "Seventh Son");
	SET_CDtt( 7, 03.45, "Parchman Farm");
	SET_CDtt( 8, 03.19, "Where Have All the Flowers Gone?");
	SET_CDtt( 9, 03.16, "Under Your Spell Again");
	SET_CDtt(10, 03.08, "Secret Agent Man");
	SET_CDtt(11, 03.04, "(I Washed My Hands in) Muddy Water");
	SET_CDtt(12, 03.48, "Poor Side of Town");
	SET_CDtt(13, 02.48, "By The Time I Get To Phoenix");
	SET_CDtt(14, 03.07, "Do You Want to Dance?");
	SET_CDtt(15, 03.20, "Baby I Need Your Lovin'");
	SET_CDtt(16, 03.00, "The Tracks of My Tears");
	SET_CDtt(17, 02.26, "Do What You Gotta Do");
	SET_CDtt(18, 03.11, "Tunesmith");
	SET_CDtt(19, 03.47, "It's Too Late");
	}
    if ( cdKey == SOUNDTM_STARWARTRI_D2 ) { /* 1:15:19-40 */
	tocPtr->discPerformer = "Soundtracks (movie)";
	tocPtr->discTitle = "Star Wars Triology Set, disc 2: The Empire Strikes Back";
	SET_CDtt( 1, 00.23, "[20th Century Fox Fanfare]");
	SET_CDtt( 2, 08.00, "Main Title/ The Imperial Probe  [extended version]");
	SET_CDtt( 3, 03.35, "Luke's Escape");
	SET_CDtt( 4, 01.48, "Luke's Rescue");
	SET_CDtt( 5, 03.02, "The Imperial March (Darth Vader's Theme)");
	SET_CDtt( 6, 03.47, "The Battle in the Snow");
	SET_CDtt( 7, 04.14, "Luke's First Crash");
	SET_CDtt( 8, 03.01, "The Rebels Escape Again");
	SET_CDtt( 9, 04.15, "The Asteroid Field");
	SET_CDtt(10, 03.28, "Yoda's Theme");
	SET_CDtt(11, 03.27, "Han Solo and the Princess");
	SET_CDtt(12, 03.16, "The Training of a Jedi Knight");
	SET_CDtt(13, 03.34, "The Magic Tree");
	SET_CDtt(14, 04.03, "Yoda and the Force");
	SET_CDtt(15, 06.52, "City in the Clouds");
	SET_CDtt(16, 03.53, "Lando's Palace");
	SET_CDtt(17, 04.16, "The Duel");
	SET_CDtt(18, 04.05, "Hyperspace");
	SET_CDtt(19, 06.18, "Finale/ End Credits");
	}
    if ( cdKey == SOUNDTM_STARWARTRI_D3 ) { /* 1:13:47-32 */
	tocPtr->discPerformer = "Soundtracks (movie)";
	tocPtr->discTitle = "Star Wars Triology Set, disc 3: Return of the Jedi";
	SET_CDtt( 1, 00.23, "[20th Century Fox Fanfare]");
	SET_CDtt( 2, 05.22, "Main Title/ Approaching the Death Star");
	SET_CDtt( 3, 04.10, "Hans Solo Returns (At the Court of Jabba the Hutt)");
	SET_CDtt( 4, 03.42, "Fight in the Dungeon");
	SET_CDtt( 5, 05.02, "The Return of the Jedi");
	SET_CDtt( 6, 02.08, "The Emperor Arrives");
	SET_CDtt( 7, 06.06, "The Death of Yoda");
	SET_CDtt( 8, 03.28, "Parade of the Ewoks");
	SET_CDtt( 9, 04.47, "Luke and Leia");
	SET_CDtt(10, 03.29, "The Emperor Confronts Luke");
	SET_CDtt(11, 02.40, "Into the Trap");
	SET_CDtt(12, 07.24, "First Ewok Battle/ Fight With the Fighters");
	SET_CDtt(13, 04.04, "The Forest Battle");
	SET_CDtt(14, 03.41, "Final Duel/ Into the Death Star");
	SET_CDtt(15, 02.44, "The Emperor's Death");
	SET_CDtt(16, 02.34, "Darth Vader's Death");
	SET_CDtt(17, 01.40, "Through The Flames");
	SET_CDtt(18, 02.22, "Leia Breaks the News/ Funeral Pyre for a Jedi");
	SET_CDtt(19, 07.59, "Ewok Celebration/ Finale");
	}
    if ( cdKey == ASTEW_TOWHOMIT_D1 ) { /* 1:14:04-20 */
	tocPtr->discPerformer = "Al Stewart";
	tocPtr->discTitle = "To Whom It May Concern  [disc 1]";
	tocPtr->discCatNum = "072438277102900";
#     if !defined(SKIPSONGS_Al_Stewart)
	SET_CDtt( 1, 02.31, "The Elf");
	SET_CDtt( 2, 02.53, "Turn Into Earth");
	SET_CDtt( 3, 03.20, "Bedsitter Images");
	SET_CDtt( 4, 04.00, "Swiss Cottage Manoeuvres");
	SET_CDtt( 5, 02.52, "The Carmichaels");
	SET_CDtt( 6, 02.35, "Scandinavian Girl");
	SET_CDtt( 7, 03.40, "Pretty Golden Hair");
	SET_CDtt( 8, 03.19, "Denise at 16");
	SET_CDtt( 9, 04.00, "Samuel, Oh How You've Changed!");
	SET_CDtt(10, 02.53, "Cleave to Me");
	SET_CDtt(11, 03.28, "A Long Way Down From Stephanie");
	SET_CDtt(12, 04.24, "Ivich");
	SET_CDtt(13, 06.58, "Beleeka Doodle Day");
	SET_CDtt(14, 02.32, "Lover Man");
	SET_CDtt(15, 02.41, "Clifton in the Rain");
	SET_CDtt(16, 03.42, "In Brooklyn");
	SET_CDtt(17, 04.26, "Old Compton Street Blues");
	SET_CDtt(18, 08.01, "Ballad of Mary Foster");
	SET_CDtt(19, 05.47, "Life and Life Only");
#     endif
	}
    if ( cdKey == TDREAM_CATCHME ) { /* 0:43:41-57 */
	tocPtr->discPerformer = "Tangerine Dream";
	tocPtr->discTitle = "Catch Me if You Can";
#     if !defined(SKIPSONGS_Tangerine_Dream)
	SET_CDtt( 1, 04.45, "Dylan's Future");
	SET_CDtt( 2, 02.10, "Sad Melissa");
	SET_CDtt( 3, 01.31, "Fast Eddie's Car");
	SET_CDtt( 4, 02.20, "Back to the Race");
	SET_CDtt( 5, 01.19, "Melissa Asks Dylan Out");
	SET_CDtt( 6, 03.27, "Dylan Alone at Home");
	SET_CDtt( 7, 01.05, "Melissa Needs Help");
	SET_CDtt( 8, 01.03, "The Kiss");
	SET_CDtt( 9, 03.43, "Racing Montage");
	SET_CDtt(10, 02.16, "The Clock is Ticking");
	SET_CDtt(11, 01.45, "Window Maker");
	SET_CDtt(12, 01.28, "Dylan's Dream");
	SET_CDtt(13, 01.31, "Taking the Test");
	SET_CDtt(14, 02.31, "Back to the Race Again");
	SET_CDtt(15, 02.29, "One More Chance");
	SET_CDtt(16, 01.26, "Melissa's Challenge");
	SET_CDtt(17, 02.46, "Widow Maker Race");
	SET_CDtt(18, 04.19, "Dylan's Triumph");
	SET_CDtt(19, 01.45, "Catch Me If You Can - Main Theme");
#     endif
	}
    if ( cdKey == NYOUNG_DECADE_D2 ) { /* 1:11:09-65 */
	tocPtr->discPerformer = "Neil Young";
	tocPtr->discTitle = "Decade  [disc 2]";
	tocPtr->discCatNum = "007599022572600";
#     if !defined(SKIPSONGS_Neil_Young)
	SET_CDtt( 1, 02.58, "Ohio");
	SET_CDtt( 2, 02.29, "Soldier");
	SET_CDtt( 3, 03.23, "Old Man");
	SET_CDtt( 4, 04.00, "A Man Needs a Maid");
	SET_CDtt( 5, 03.10, "Harvest");
	SET_CDtt( 6, 03.06, "Heart of Gold");
	SET_CDtt( 7, 02.44, "Star of Bethlehem");
	SET_CDtt( 8, 02.06, "The Needle and the Damage Done");
	SET_CDtt( 9, 04.41, "Tonight's the Night (Part I)");
	SET_CDtt(10, 04.34, "Tired Eyes");
	SET_CDtt(11, 02.41, "Walk On");
	SET_CDtt(12, 03.01, "For the Turnstiles");
	SET_CDtt(13, 03.08, "Winterlong");
	SET_CDtt(14, 03.42, "Deep Forbidden Lake");
	SET_CDtt(15, 08.17, "Like a Hurricane");
	SET_CDtt(16, 02.17, "Love is a Rose");
	SET_CDtt(17, 07.32, "Cortez the Killer");
	SET_CDtt(18, 03.30, "Campaigner");
	SET_CDtt(19, 03.48, "Long May You Run");
#     endif
	}
}
