#import <sys/types.h>
#import <stddef.h>
#import "CD_DBaseSubs.h"

    /*
     * This subroutine has information for CD's with 21 tracks
     */

#define SOUNDTM_ALADDIN       1082883230 /* key parts = 3008.00.21.80 248 */
#define ECOST_ARMEDFORCES_B   1372227181 /* key parts = 3811.55.21.181 368 */
#define YARDB_GIORGIO_D4      1422684782 /* key parts = 3951.67.21.182 139 */
#define TPHEART_PLAYBACK_D1   1554051162 /* key parts = 4316.60.21.162 256 */
#define GLIGHT_GORDSGOLD      1556283186 /* key parts = 4323.00.21.186 222 */
#define POL_MSGBOX_D2         1578612752 /* key parts = 4385.02.21.302 204 */
#define STEELYD_CITZ_D2       1608516755 /* key parts = 4468.07.21.305 180 */
#define POL_MSGBOX_D1         1618275273 /* key parts = 4495.15.21.123 252 */
#define SOUNDTM_STARWARTRI_D4 1620612773 /* key parts = 4501.52.21.23 382 */


void filltoc21(tocPtr, cdKey)
struct cd_toc *tocPtr;
u_int cdKey;
{

    if ( cdKey == ECOST_ARMEDFORCES_B ) { /* 1:03:31-55 */
	tocPtr->discPerformer = "Elvis Costello";
	tocPtr->discTitle = "Armed Forces  [box]";
#     if !defined(SKIPSONGS_Elvis_Costello)
	SET_CDtt( 1, 03.01, "Accidents Will Happen");
	SET_CDtt( 2, 02.19, "Senior Service");
	SET_CDtt( 3, 03.00, "Oliver's Army");
	SET_CDtt( 4, 02.57, "Big Boys");
	SET_CDtt( 5, 02.43, "Green Shirt");
	SET_CDtt( 6, 03.23, "Party Girl");
	SET_CDtt( 7, 03.17, "Goon Squad");
	SET_CDtt( 8, 03.34, "Busy Bodies");
	SET_CDtt( 9, 03.24, "Sunday's Best");
	SET_CDtt(10, 02.48, "Moods for Moderns");
	SET_CDtt(11, 02.58, "Chemistry Class");
	SET_CDtt(12, 03.15, "Two Little Hitlers");
	SET_CDtt(13, 03.46, "(What's So Funny 'bout) Peace, Love and Understanding");
	SET_CDtt(14, 01.29, "My Funny Valentine");
	SET_CDtt(15, 02.43, "Tiny Steps");
	SET_CDtt(16, 02.00, "Clean Money");
	SET_CDtt(17, 01.56, "Talking in the Dark");
	SET_CDtt(18, 02.17, "Wednesday Week");
	SET_CDtt(19, 03.23, "Acidents Will Happen  [live]");
	SET_CDtt(20, 03.08, "Alison  [live]");
	SET_CDtt(21, 06.08, "Watching the Detectives  [live]");
#     endif
	}
    if ( cdKey == GLIGHT_GORDSGOLD ) { /* 1:12:03-00 */
	tocPtr->discPerformer = "Gordon Lightfoot";
	tocPtr->discTitle = "Gord's Gold";
	tocPtr->discCatNum = "007599022372200";
#     if !defined(SKIPSONGS_Gordon_Lightfoot)
	SET_CDtt( 1, 03.06, "I'm Not Sayin'/ Ribbon of Darkness");
	SET_CDtt( 2, 03.02, "Song for a Winter's Night");
	SET_CDtt( 3, 07.06, "Canadian Railroad Trilogy");
	SET_CDtt( 4, 02.39, "Softly");
	SET_CDtt( 5, 03.29, "For Lovin' Me");
	SET_CDtt( 6, 02.50, "Steel Rail Blues");
	SET_CDtt( 7, 02.48, "Wherefore and Why");
	SET_CDtt( 8, 02.47, "Bitter Green");
	SET_CDtt( 9, 03.18, "Early Morning Rain");
	SET_CDtt(10, 03.27, "Minstrel of the Dawn");
	SET_CDtt(11, 03.37, "Sundown");
	SET_CDtt(12, 03.23, "Beautiful");
	SET_CDtt(13, 04.06, "Summer Side of Life");
	SET_CDtt(14, 02.50, "Rainy Day People");
	SET_CDtt(15, 03.26, "Cotton Jenny");
	SET_CDtt(16, 03.40, "Don Quixote");
	SET_CDtt(17, 02.48, "Circle of Steel");
	SET_CDtt(18, 03.06, "Old Dan's Records");
	SET_CDtt(19, 03.50, "If You Could Read My Mind");
	SET_CDtt(20, 03.01, "Cold on the Shoulder");
	SET_CDtt(21, 03.42, "Carefree Highway");
#     endif
	}
    if ( cdKey == TPHEART_PLAYBACK_D1 ) { /* 1:11:56-60 */
	tocPtr->discPerformer = "Tom Petty and the HeartBreakers";
	tocPtr->discTitle = "Playback  [disc 1]";
#     if !defined(SKIPSONGS_Tom_Petty)
	SET_CDtt( 1, 02.42, "Breakdown");
	SET_CDtt( 2, 03.34, "American Girl");
	SET_CDtt( 3, 02.13, "Hometown Blues");
	SET_CDtt( 4, 02.24, "Anything That's Rock 'N' Roll");
	SET_CDtt( 5, 02.24, "I Need to Know");
	SET_CDtt( 6, 03.04, "Listen to Her Heart");
	SET_CDtt( 7, 02.46, "When the Time Comes");
	SET_CDtt( 8, 02.57, "Too Much Ain't Enough");
	SET_CDtt( 9, 02.40, "No Second Thoughts");
	SET_CDtt(10, 02.52, "Baby's a Rock 'N' Roller");
	SET_CDtt(11, 03.23, "Refugee");
	SET_CDtt(12, 04.26, "Here Comes My Girl");
	SET_CDtt(13, 04.00, "Even the Losers");
	SET_CDtt(14, 04.25, "Shadow of a Doubt (A Complex Kid)");
	SET_CDtt(15, 02.43, "Don't Do Me Like That");
	SET_CDtt(16, 04.00, "The Waiting");
	SET_CDtt(17, 04.24, "A Woman In Love");
	SET_CDtt(18, 04.45, "Something Big");
	SET_CDtt(19, 03.32, "A Thing About You");
	SET_CDtt(20, 04.24, "Insider");
	SET_CDtt(21, 04.16, "You Can Still Change Your Mind");
#     endif
	}
    if ( cdKey == POL_MSGBOX_D1 ) { /* 1:14:55-15 */
	tocPtr->discPerformer = "Police";
	tocPtr->discTitle = "Message in a Box: The Complete Recordings  [disc 1]";
#     if !defined(SKIPSONGS_Police)
	SET_CDtt( 1, 02.03, "Fallout");
	SET_CDtt( 2, 01.57, "Nothing Achieving");
	SET_CDtt( 3, 03.35, "Dead End Job");
	SET_CDtt( 4, 02.52, "Next to You");
	SET_CDtt( 5, 04.52, "So Lonely");
	SET_CDtt( 6, 03.15, "Roxanne");
	SET_CDtt( 7, 04.54, "Hole in My Life");
	SET_CDtt( 8, 04.02, "Peanuts");
	SET_CDtt( 9, 03.01, "Can't Stand Losing You");
	SET_CDtt(10, 02.55, "Truth Hits Everybody");
	SET_CDtt(11, 03.44, "Born in the 50's");
	SET_CDtt(12, 03.23, "Be My Girl-Sally");
	SET_CDtt(13, 05.44, "Masoko Tanga");
	SET_CDtt(14, 02.37, "Landlord  [live]");
	SET_CDtt(15, 03.11, "Next To You  [live]");
	SET_CDtt(16, 03.10, "Landlord");
	SET_CDtt(17, 04.50, "Message in a Bottle");
	SET_CDtt(18, 03.07, "Reggatta De Blanc");
	SET_CDtt(19, 03.13, "It's Alright For You");
	SET_CDtt(20, 04.16, "Bring on the Night");
	SET_CDtt(21, 04.12, "Deathwish");
#     endif
	}
    if ( cdKey == POL_MSGBOX_D2 ) { /* 1:13:05-02 */
	tocPtr->discPerformer = "Police";
	tocPtr->discTitle = "Message in a Box: The Complete Recordings  [disc 2]";
#     if !defined(SKIPSONGS_Police)
	SET_CDtt( 1, 05.02, "Walking on the Moon");
	SET_CDtt( 2, 02.58, "On Any Other Day");
	SET_CDtt( 3, 04.26, "The Bed's Too Big Without You");
	SET_CDtt( 4, 02.38, "Contact");
	SET_CDtt( 5, 03.46, "Does Everyone Stare");
	SET_CDtt( 6, 03.20, "No Time This Time");
	SET_CDtt( 7, 03.05, "Visions of the Night");
	SET_CDtt( 8, 03.30, "The Bed's Too Big Without You  [mono]");
	SET_CDtt( 9, 02.27, "Truth Hits Everybody  [live]");
	SET_CDtt(10, 03.36, "Friends");
	SET_CDtt(11, 04.03, "Don't Stand So Close to Me");
	SET_CDtt(12, 03.21, "Driven to Tears");
	SET_CDtt(13, 03.36, "When the World is Running Down, You Make the Best of What's Still Around");
	SET_CDtt(14, 02.27, "Canary in a Coalmine");
	SET_CDtt(15, 03.53, "Voices Inside My Head");
	SET_CDtt(16, 03.06, "Bombs Away");
	SET_CDtt(17, 04.09, "De Do Do Do, De Da Da Da");
	SET_CDtt(18, 02.55, "Behind My Camel");
	SET_CDtt(19, 02.19, "Man in a Suitcase");
	SET_CDtt(20, 05.02, "Shadows in the Rain");
	SET_CDtt(21, 03.24, "The Other Way of Stopping");
#     endif
	}
    if ( cdKey == SOUNDTM_ALADDIN ) { /* 0:50:08-00 */
	tocPtr->discPerformer = "Soundtracks (movie)";
	tocPtr->discTitle = "Walt Disney's Aladdin";
	SET_CDtt( 1, 01.20, "Arabian Nights");
	SET_CDtt( 2, 01.25, "Legend of the Lamp");
	SET_CDtt( 3, 02.23, "One Jump Ahead!");
	SET_CDtt( 4, 01.52, "Street Urchins");
	SET_CDtt( 5, 01.02, "One Jump Ahead (reprise)");
	SET_CDtt( 6, 02.27, "Friend Like Me");
	SET_CDtt( 7, 01.39, "To Be Free");
	SET_CDtt( 8, 02.52, "Prince Ali");
	SET_CDtt( 9, 02.41, "A Whole New World");
	SET_CDtt(10, 02.43, "Jafar's Hour");
	SET_CDtt(11, 01.07, "Prince Ali (reprise)");
	SET_CDtt(12, 01.36, "The Ends of the Earth");
	SET_CDtt(13, 01.51, "The Kiss");
	SET_CDtt(14, 02.55, "On a Dark Night");
	SET_CDtt(15, 00.47, "Jasmine Runs Away");
	SET_CDtt(16, 02.38, "Marketplace");
	SET_CDtt(17, 04.58, "The Cave of Wonders");
	SET_CDtt(18, 01.51, "Aladdin's Word");
	SET_CDtt(19, 03.39, "The Battle");
	SET_CDtt(20, 04.12, "Happy End in Agrabah");
	SET_CDtt(21, 04.08, "A Whole New World (Aladdin's Theme)");
	}
    if ( cdKey == SOUNDTM_STARWARTRI_D4 ) { /* 1:15:01-52 */
	tocPtr->discPerformer = "Soundtracks (movie)";
	tocPtr->discTitle = "Star Wars Triology Set, disc 4: Songs from the Trilogy";
	SET_CDtt( 1, 00.23, "[20th Century Fox Fanfare]");
	SET_CDtt( 2, 02.21, "Main Title [alternate] [a]");
	SET_CDtt( 3, 03.08, "Heroic Ewok/ The Fleet Goes Into Hyperspace [c]");
	SET_CDtt( 4, 02.15, "A Hive of Villainy  [a]");
	SET_CDtt( 5, 01.36, "Destruction of Alderaan  [a]");
	SET_CDtt( 6, 04.05, "Drawing the Battle Lines/ Leia's Instructions  [b]");
	SET_CDtt( 7, 02.50, "The Ewok Battle  [c]");
	SET_CDtt( 8, 03.06, "Attack Position  [b]");
	SET_CDtt( 9, 03.39, "Crash Landing  [b]");
	SET_CDtt(10, 02.47, "Cantina Band  [a]");
	SET_CDtt(11, 02.50, "Lapti Nek  [c]");
	SET_CDtt(12, 03.46, "Cantina Band #2  [a]");
	SET_CDtt(13, 04.13, "Faking the Code  [c]");
	SET_CDtt(14, 03.10, "Brother and Sister  [c]");
	SET_CDtt(15, 01.17, "Standing By  [a]");
	SET_CDtt(16, 03.00, "Leia is Wounded/ Luke and Vader Duel  [c]");
	SET_CDtt(17, 11.12, "Carbon Freeze/ Luke Pursues the Captives/ Departure of Boba Fett  [b]");
	SET_CDtt(18, 05.23, "Losing a Hand  [a]");
	SET_CDtt(19, 05.06, "The Return of the Jedi  [alternate] [c]");
	SET_CDtt(20, 02.30, "Leia Breaks the News  [alternate]/ Funeral Pyre for a Jedi  [film version] [c]");
	SET_CDtt(21, 06.22, "Ewok Celebration  [film version]/ End Credits  [film version] [c]");
	}
    if ( cdKey == STEELYD_CITZ_D2 ) { /* 1:14:28-07 */
	tocPtr->discPerformer = "Steely Dan";
	tocPtr->discTitle = "Citizen Steely Dan: 1972-1980  [disc 2]";
#     if !defined(SKIPSONGS_Steely_Dan)
	SET_CDtt( 1, 05.05, "King of The World");
	SET_CDtt( 2, 03.49, "Pearl of The Quarter");
	SET_CDtt( 3, 04.09, "Rikki Don't Lose That Number");
	SET_CDtt( 4, 03.40, "Night By Night");
	SET_CDtt( 5, 03.09, "Any Major Dude Will Tell You");
	SET_CDtt( 6, 03.22, "Barrytown");
	SET_CDtt( 7, 02.50, "East St. Louis Toodleoo");
	SET_CDtt( 8, 02.45, "Parker's Band");
	SET_CDtt( 9, 01.34, "Through with Buzz");
	SET_CDtt(10, 04.33, "Pretzel Logic");
	SET_CDtt(11, 02.19, "With A Gun");
	SET_CDtt(12, 02.45, "Charlie Freak");
	SET_CDtt(13, 02.37, "Monkey In Your Soul");
	SET_CDtt(14, 07.44, "Bodhisattva  [live]");
	SET_CDtt(15, 03.42, "Black Friday");
	SET_CDtt(16, 03.20, "Bad Sneakers");
	SET_CDtt(17, 03.05, "Rose Darling");
	SET_CDtt(18, 03.16, "Daddy Don't Live In That New York City No More");
	SET_CDtt(19, 03.57, "Doctor Wu");
	SET_CDtt(20, 03.45, "Everyone's Gone To The Movies");
	SET_CDtt(21, 03.00, "Chain Lightning");
#     endif
	}
    if ( cdKey == YARDB_GIORGIO_D4 ) { /* 1:05:51-67 */
	tocPtr->discPerformer = "The Yardbirds";
	tocPtr->discTitle = "Train Kept A-Rollin' - The Complete Giorgio Gomelsky Productions  [disc 4]";
#     if !defined(SKIPSONGS_The_Yardbirds)
	SET_CDtt( 1, 03.02, "Jeff's Blues  [take one]");
	SET_CDtt( 2, 03.07, "Jeff's Blues  [take two]");
	SET_CDtt( 3, 02.16, "Someone to Love, Part One  [take 2, instrumental]");
	SET_CDtt( 4, 02.13, "Someone to Love, Part One  [take 4, instrumental]");
	SET_CDtt( 5, 02.04, "Someone to Love, Part One  [take 14, instrumental]");
	SET_CDtt( 6, 02.23, "Someone to Love, Part One  [take 15, vocal]");
	SET_CDtt( 7, 04.16, "Someone to Love, Part Two");
	SET_CDtt( 8, 03.07, "Like Jimmy Reed Again");
	SET_CDtt( 9, 02.39, "Chris' Number  [take 1]");
	SET_CDtt(10, 02.43, "Pounds and Stomps (XYZ)");
	SET_CDtt(11, 02.29, "Pounds and Stomps");
	SET_CDtt(12, 03.46, "What do You Want  [take 1]");
	SET_CDtt(13, 03.30, "What do You Want  [take 2]");
	SET_CDtt(14, 03.37, "What do You Want  [take 3]");
	SET_CDtt(15, 03.11, "What do You Want  [take 4]");
	SET_CDtt(16, 03.48, "Here 'Tis  [stereo instrumental version]");
	SET_CDtt(17, 04.05, "Here 'Tis  [version for R.S.G.]");
	SET_CDtt(18, 02.45, "Crimson Curtain  [edit of take one and insert]");
	SET_CDtt(19, 02.44, "Stroll On");
	SET_CDtt(20, 05.45, "I'm a Man  [live in Germany, 1967]");
	SET_CDtt(21, 02.19, "Shapes of Things  [live in Germany 1967]");
#     endif
	}

}
