#import <sys/types.h>
#import <stddef.h>
#import "CD_DBaseSubs.h"

    /*
     * This subroutine has information for CD's with 26-49 tracks
     */

#define BEAT_ANTHOLOGY1_D2    1243141520 /* key parts = 3453.12.26.170 165 */
#define JHORTON_19561960_D4   1285473917 /* key parts = 3570.57.34.167 93 */
#define RMcGUINN_LIVEFROMARS  1355620531 /* key parts = 3765.45.30.31 230 */
#define LEDZEP_REMASTERS_D3   1366561693 /* key parts = 3796.00.43.1693 100 */
#define BEAT_BBC_D1           1406832313 /* key parts = 3907.65.34.13 133 */
#define JFAH_XMASGUITAR       1410123999 /* key parts = 3917.00.26.99 194 */
#define BEAT_ANTHOLOGY1_D1    1413322014 /* key parts = 3925.67.34.264 141 */
#define BEAT_BBC_D2           1480824514 /* key parts = 4113.30.35.64 150 */
#define CATKINS_EARLY_D1      1530771920 /* key parts = 4252.10.26.170 159 */
#define CATKINS_EARLY_D2      1576108378 /* key parts = 4378.05.29.178 159 */
#define JHORTON_19561960_D1   1588440120 /* key parts = 4412.25.32.120 134 */
#define CATKINS_EARLY_D3      1591641737 /* key parts = 4421.17.32.137 145 */
#define YARDB_GIORGIO_D3      1596786597 /* key parts = 4435.38.27.147 183 */
#define BEAT_ANTHOLOGY3_D1    1600861700 /* key parts = 4446.62.27.50 117 */
#define JHORTON_19561960_D2   1601596780 /* key parts = 4448.65.31.130 109 */
#define CATKINS_EARLY_D4      1629172374 /* key parts = 4525.35.29.174 130 */
#define KINGTRIO_CAPYEARS_D2  1645910097 /* key parts = 4571.72.29.147 149 */
#define JHORTON_19561960_D3   1655486242 /* key parts = 4598.42.30.142 109 */
#define GLIGHT_UACOL_D1       1674891917 /* key parts = 4652.35.26.167 185 */
#define KINGTRIO_CAPYEARS_D4  1681957536 /* key parts = 4672.07.26.186 305 */
#define KINGTRIO_CAPYEARS_D3  1683589944 /* key parts = 4676.47.28.144 141 */


void filltoc26(tocPtr, cdKey)
struct cd_toc *tocPtr;
u_int cdKey;
{

    if ( cdKey == CATKINS_EARLY_D1 ) { /* 1:10:52-10 */
	tocPtr->discPerformer = "Chet Atkins";
	tocPtr->discTitle = "The Early Years, 1945-1954  [disc 1]";
#     if !defined(SKIPSONGS_Chet_Atkins)
	SET_CDtt( 1, 02.50, "Guitar Blues");
	SET_CDtt( 2, 02.50, "Brown Eyes Cryin' in the Rain");
	SET_CDtt( 3, 02.45, "Ain'tcha Tired of Makin' Me Blue");
	SET_CDtt( 4, 02.56, "I'm Gonna Get Tight");
	SET_CDtt( 5, 02.35, "Canned Heat");
	SET_CDtt( 6, 02.55, "Standing Room Only");
	SET_CDtt( 7, 02.37, "Don't Hand Me That Line");
	SET_CDtt( 8, 02.57, "Bug Dance");
	SET_CDtt( 9, 02.28, "(I Know My Baby Loves Me) In Her Own Peculiar Way");
	SET_CDtt(10, 02.32, "The Nashville Jump");
	SET_CDtt(11, 02.40, "My Guitar is My Sweetheart");
	SET_CDtt(12, 02.51, "I'm Pickin' The Blues");
	SET_CDtt(13, 02.40, "Gone, Gone, Gone");
	SET_CDtt(14, 02.52, "Barnyard Shuffle");
	SET_CDtt(15, 02.34, "Save Your Money");
	SET_CDtt(16, 02.34, "(I May Be Color Blind But) I Know When I'm Blue");
	SET_CDtt(17, 02.31, "I've Been Working on the Guitar");
	SET_CDtt(18, 02.45, "Dizzy Strings");
	SET_CDtt(19, 02.54, "Money, Marbles and Chalk");
	SET_CDtt(20, 02.33, "Wednesday Night Waltz");
	SET_CDtt(21, 03.04, "Guitar Waltz");
	SET_CDtt(22, 02.47, "Telling My Troubles To My Old Guitar");
	SET_CDtt(23, 02.41, "Dance of the Goldenrod");
	SET_CDtt(24, 02.30, "Galloping Guitar");
	SET_CDtt(25, 02.50, "Barber Shop Rag");
	SET_CDtt(26, 02.39, "Centipede Boogie");
#     endif
	}
    if ( cdKey == CATKINS_EARLY_D2 ) { /* 1:12:58-05 */
	tocPtr->discPerformer = "Chet Atkins";
	tocPtr->discTitle = "The Early Years, 1945-1954  [disc 2]";
#     if !defined(SKIPSONGS_Chet_Atkins)
	SET_CDtt( 1, 02.58, "Under the Hickory Nut Tree");
	SET_CDtt( 2, 02.31, "I Was Bitten by the Same Bug Twice");
	SET_CDtt( 3, 02.50, "One More Chance");
	SET_CDtt( 4, 02.27, "The Old Buck Dance");
	SET_CDtt( 5, 02.49, "Boogie Man Boogie");
	SET_CDtt( 6, 02.19, "Main Street Breakdown");
	SET_CDtt( 7, 02.14, "Confusin'");
	SET_CDtt( 8, 02.18, "Music In My Heart");
	SET_CDtt( 9, 02.40, "Indian Love Call");
	SET_CDtt(10, 02.33, "Birth of the Blues");
	SET_CDtt(11, 02.11, "Mountain Melody");
	SET_CDtt(12, 02.39, "You're Always Brand New");
	SET_CDtt(13, 02.41, "My Crazy Heart");
	SET_CDtt(14, 02.16, "Hybrid Corn");
	SET_CDtt(15, 02.37, "Jitterbug Waltz");
	SET_CDtt(16, 02.41, "One Man Boogie  [take H]");
	SET_CDtt(17, 02.26, "Crazy Rhythm  [instrumental]");
	SET_CDtt(18, 02.23, "Crazy Rhythm  [vocal]");
	SET_CDtt(19, 02.07, "Rustic Dance");
	SET_CDtt(20, 02.38, "Rainbow");
	SET_CDtt(21, 02.29, "In the Mood");
	SET_CDtt(22, 02.41, "Spanish Fandango");
	SET_CDtt(23, 02.54, "Midnight");
	SET_CDtt(24, 02.29, "Goodbye Blues");
	SET_CDtt(25, 02.34, "Your Mean Little Heart");
	SET_CDtt(26, 02.05, "Sweet Bunch of Daisies");
	SET_CDtt(27, 02.20, "Blue Gypsy");
	SET_CDtt(28, 02.27, "The Third Man Theme");
	SET_CDtt(29, 02.39, "One Man Boogie  [take D]");
#     endif
	}
    if ( cdKey == CATKINS_EARLY_D3 ) { /* 1:13:41-17 */
	tocPtr->discPerformer = "Chet Atkins";
	tocPtr->discTitle = "The Early Years, 1945-1954  [disc 3]";
#     if !defined(SKIPSONGS_Chet_Atkins)
	SET_CDtt( 1, 02.17, "St. Louis Blues");
	SET_CDtt( 2, 02.16, "Nobody's Sweetheart");
	SET_CDtt( 3, 02.27, "Lover Come Back to Me");
	SET_CDtt( 4, 02.26, "Stephen Foster Medley");
	SET_CDtt( 5, 02.37, "Hangover Blues");
	SET_CDtt( 6, 02.13, "Imagination");
	SET_CDtt( 7, 02.18, "Black Mountain Rag");
	SET_CDtt( 8, 02.07, "Guitar Polka  [vocal: Rosalie Allen]");
	SET_CDtt( 9, 02.14, "Dream Train  [vocal: Rosalie Allen]");
	SET_CDtt(10, 02.42, "Meet Mr. Callaghan");
	SET_CDtt(11, 02.01, "Chinatown, My Chinatown");
	SET_CDtt(12, 02.20, "High Rockin' Swing");
	SET_CDtt(13, 02.31, "Pig Leaf Rag");
	SET_CDtt(14, 02.15, "Oh By Jingo!");
	SET_CDtt(15, 02.10, "Hello Ma Baby");
	SET_CDtt(16, 02.15, "The Bells of St. Mary's");
	SET_CDtt(17, 02.16, "Country Gentleman");
	SET_CDtt(18, 02.11, "Memphis Blues");
	SET_CDtt(19, 02.07, "Alice Blue Gown");
	SET_CDtt(20, 02.22, "12th Street Rag");
	SET_CDtt(21, 02.23, "Peeping Tom");
	SET_CDtt(22, 02.20, "Three O'Clock in the Morning");
	SET_CDtt(23, 02.14, "Georgia Camp Meeting");
	SET_CDtt(24, 02.23, "City Slicker");
	SET_CDtt(25, 02.26, "Dill Pickle Rag");
	SET_CDtt(26, 02.15, "Rubber Doll Rag");
	SET_CDtt(27, 02.17, "Beautiful Ohio  [version 1]");
	SET_CDtt(28, 02.04, "Kentucky Derby");
	SET_CDtt(29, 02.14, "Wildwood Flower");
	SET_CDtt(30, 02.22, "Guitars on Parade");
	SET_CDtt(31, 02.11, "Simple Simon");
	SET_CDtt(32, 02.25, "Rubber Doll Rag  [alternate]");
#     endif
	}
    if ( cdKey == CATKINS_EARLY_D4 ) { /* 1:15:25-35 */
	tocPtr->discPerformer = "Chet Atkins";
	tocPtr->discTitle = "The Early Years, 1945-1954  [disc 4]";
#     if !defined(SKIPSONGS_Chet_Atkins)
	SET_CDtt( 1, 02.54, "Get Up and Go  [vocal: Chet Atkins]");
	SET_CDtt( 2, 02.07, "Pagan Love Song");
	SET_CDtt( 3, 02.10, "Beautiful Ohio  [version 2]");
	SET_CDtt( 4, 02.23, "Downhill Drag");
	SET_CDtt( 5, 02.20, "Avalon");
	SET_CDtt( 6, 02.46, "Sunrise Serenade");
	SET_CDtt( 7, 02.29, "San Antonio Rose");
	SET_CDtt( 8, 02.28, "Set a Spell  [vocal: Red Kirk]");
	SET_CDtt( 9, 02.29, "Mister Misery  [duet vocal]");
	SET_CDtt(10, 02.53, "Get Up and Go  [vocal: Red Kirk]");
	SET_CDtt(11, 02.49, "South");
	SET_CDtt(12, 02.36, "Alabama Jubilee");
	SET_CDtt(13, 02.20, "Corrine, Corrina");
	SET_CDtt(14, 03.22, "Indiana (Back Home in Indiana)");
	SET_CDtt(15, 02.27, "Red Wing");
	SET_CDtt(16, 02.36, "Frankie and Johnnie");
	SET_CDtt(17, 02.34, "A Gay Ranchero");
	SET_CDtt(18, 02.58, "Ballin' the Jack");
	SET_CDtt(19, 02.43, "Honeysuckle Rose");
	SET_CDtt(20, 02.01, "Darktown Strutters Ball  [with Hank Snow]");
	SET_CDtt(21, 02.28, "The Old Spinning Wheel  [with Hank Snow]");
	SET_CDtt(22, 02.17, "Silver Bells  [with Hank Snow]");
	SET_CDtt(23, 02.35, "Under the Double Eagle  [with Hank Snow]");
	SET_CDtt(24, 03.24, "The Birth of Blues");
	SET_CDtt(25, 02.43, "Have You Ever Been Lonely");
	SET_CDtt(26, 03.28, "Caravan");
	SET_CDtt(27, 02.36, "Old Man River");
	SET_CDtt(28, 02.17, "Mister Sandman");
	SET_CDtt(29, 02.10, "New Spanish Two Step");
#     endif
	}
    if ( cdKey == BEAT_BBC_D1 ) { /* 1:05:07-65 */
	tocPtr->discPerformer = "The Beatles";
	tocPtr->discTitle = "Live at the BBC  [disc 1]";
#     if !defined(SKIPSONGS_The_Beatles)
	SET_CDtt( 1, 00.13, "Beatle Greetings");
	SET_CDtt( 2, 00.28, "From Us to You");
	SET_CDtt( 3, 00.53, "Riding on a Bus");
	SET_CDtt( 4, 02.49, "I Got a Woman");
	SET_CDtt( 5, 02.05, "Too Much Monkey Business");
	SET_CDtt( 6, 02.30, "Keep Your Hands Off My Baby");
	SET_CDtt( 7, 01.58, "I'll Be On My Way");
	SET_CDtt( 8, 01.57, "Young Blood");
	SET_CDtt( 9, 02.15, "A Shot of Rhythm and Blues");
	SET_CDtt(10, 02.08, "Sure to Fall (In Love With You)");
	SET_CDtt(11, 02.00, "Some Other Guy");
	SET_CDtt(12, 02.02, "Thank You Girl");
	SET_CDtt(13, 00.27, "Sha la la la la!");
	SET_CDtt(14, 02.44, "Baby It's You");
	SET_CDtt(15, 02.54, "That's All Right (Mama)");
	SET_CDtt(16, 02.35, "Carol");
	SET_CDtt(17, 02.00, "Soldier of Love");
	SET_CDtt(18, 00.26, "A Little Rhyme");
	SET_CDtt(19, 02.39, "Clarabella");
	SET_CDtt(20, 02.01, "I'm Gonna Sit Right Down and Cry (Over You)");
	SET_CDtt(21, 02.10, "Crying, Waiting, Hoping");
	SET_CDtt(22, 00.42, "Dear Wack!");
	SET_CDtt(23, 02.37, "You Really Got A Hold On Me");
	SET_CDtt(24, 02.50, "To Know Her is To Love Her");
	SET_CDtt(25, 01.57, "A Taste of Honey");
	SET_CDtt(26, 01.53, "Long Tall Sally");
	SET_CDtt(27, 02.32, "I Saw Her Standing There");
	SET_CDtt(28, 01.39, "The Honeymoon Song");
	SET_CDtt(29, 02.51, "Johnny B. Goode");
	SET_CDtt(30, 02.13, "Memphis, Tennessee");
	SET_CDtt(31, 01.49, "Lucille");
	SET_CDtt(32, 02.07, "Can't Buy Me Love");
	SET_CDtt(33, 00.28, "From Fluff to You");
	SET_CDtt(34, 02.13, "Till There Was You");
#     endif
	}
    if ( cdKey == BEAT_BBC_D2 ) { /* 1:08:33-30 */
	tocPtr->discPerformer = "The Beatles";
	tocPtr->discTitle = "Live at the BBC  [disc 2]";
#     if !defined(SKIPSONGS_The_Beatles)
	SET_CDtt( 1, 01.04, "Crinsk Dee Night");
	SET_CDtt( 2, 02.24, "A Hard Day's Night");
	SET_CDtt( 3, 00.22, "Have a Banana!");
	SET_CDtt( 4, 02.09, "I Wanna Be Your Man");
	SET_CDtt( 5, 00.20, "Just a Rumour");
	SET_CDtt( 6, 02.16, "Roll Over Beethoven");
	SET_CDtt( 7, 02.04, "All My Loving");
	SET_CDtt( 8, 02.18, "Things We Said Today");
	SET_CDtt( 9, 03.15, "She's a Woman");
	SET_CDtt(10, 02.21, "Sweet Little Sixteen");
	SET_CDtt(11, 00.10, "1822!");
	SET_CDtt(12, 02.36, "Lonesome Tears in My Eyes");
	SET_CDtt(13, 02.59, "Nothin' Shakin'");
	SET_CDtt(14, 01.49, "The Hippy Hippy Shake");
	SET_CDtt(15, 01.52, "Glad All Over");
	SET_CDtt(16, 02.47, "I Just Don't Understand");
	SET_CDtt(17, 01.53, "Top So How Come (No One Loves Me)");
	SET_CDtt(18, 02.13, "I Feel Fine");
	SET_CDtt(19, 02.33, "I'm a Loser");
	SET_CDtt(20, 02.21, "Everybody's Trying To Be My Baby");
	SET_CDtt(21, 02.01, "Rock and Roll Music");
	SET_CDtt(22, 02.56, "Ticket to Ride");
	SET_CDtt(23, 02.42, "Dizzy Miss Lizzy");
	SET_CDtt(24, 02.38, "Medley: Kansas City/ Hey! Hey! Hey! Hey!");
	SET_CDtt(25, 00.27, "Set Fire to that Lot!");
	SET_CDtt(26, 01.57, "Matchbox");
	SET_CDtt(27, 02.09, "I Forgot To Remember to Forget");
	SET_CDtt(28, 00.27, "Love These Goon Shows!");
	SET_CDtt(29, 01.56, "I Got To Find My Baby");
	SET_CDtt(30, 01.36, "Ooh! My Soul");
	SET_CDtt(31, 00.36, "Ooh! My Arms");
	SET_CDtt(32, 02.02, "Don't Ever Change");
	SET_CDtt(33, 02.37, "Slow Down");
	SET_CDtt(34, 02.11, "Honey Don't");
	SET_CDtt(35, 02.30, "Love Me Do");
#     endif
	}
    if ( cdKey == BEAT_ANTHOLOGY1_D1 ) { /* 1:05:25-67 */
	tocPtr->discPerformer = "The Beatles";
	tocPtr->discTitle = "Anthology 1  [disc 1]";
	tocPtr->discCatNum = "072438344462500";
#     if !defined(SKIPSONGS_The_Beatles)
	SET_CDtt( 1, 04.24, "Free As a Bird");
	SET_CDtt( 2, 00.13, "[Speech: John Lennon]");
	SET_CDtt( 3, 02.07, "That'll Be the Day");
	SET_CDtt( 4, 02.45, "In Spite of all the Danger");
	SET_CDtt( 5, 00.18, "[Speech: Paul McCartney]");
	SET_CDtt( 6, 01.13, "Hallelujah, I Love Her So");
	SET_CDtt( 7, 01.39, "You'll Be Mine");
	SET_CDtt( 8, 01.14, "Cayenne");
	SET_CDtt( 9, 00.07, "[Speech: Paul McCartney]");
	SET_CDtt(10, 02.42, "My Bonnie");
	SET_CDtt(11, 02.14, "Ain't She Sweet");
	SET_CDtt(12, 02.22, "Cry For a Shadow");
	SET_CDtt(13, 00.11, "[Speech: John Lennon]");
	SET_CDtt(14, 00.18, "[Speech: Brian Epstein]");
	SET_CDtt(15, 03.00, "Searchin'");
	SET_CDtt(16, 02.25, "Three Cool Cats");
	SET_CDtt(17, 01.43, "The Sheik of Araby");
	SET_CDtt(18, 02.36, "Like Dreamers Do");
	SET_CDtt(19, 01.40, "Hello Little Girl");
	SET_CDtt(20, 00.32, "[Speech: Brian Epstein]");
	SET_CDtt(21, 02.37, "Besame Mucho");
	SET_CDtt(22, 02.32, "Love Me Do");
	SET_CDtt(23, 01.57, "How Do You Do It");
	SET_CDtt(24, 01.59, "Please Please Me");
	SET_CDtt(25, 02.23, "One After 909  [false starts]");
	SET_CDtt(26, 02.56, "One After 909");
	SET_CDtt(27, 01.50, "Lend Me Your Comb");
	SET_CDtt(28, 02.08, "I'll Get You");
	SET_CDtt(29, 00.12, "[Speech: John Lennon]");
	SET_CDtt(30, 02.49, "I Saw Her Standing There");
	SET_CDtt(31, 02.05, "From Me to You");
	SET_CDtt(32, 02.53, "Money (That's What I Want)");
	SET_CDtt(33, 02.58, "You Really Got a Hold On Me");
	SET_CDtt(34, 02.21, "Roll Over Beethoven");
#     endif
	}
    if ( cdKey == BEAT_ANTHOLOGY1_D2 ) { /* 0:57:33-12 */
	tocPtr->discPerformer = "The Beatles";
	tocPtr->discTitle = "Anthology 1  [disc 2]";
	tocPtr->discCatNum = "072438344472400";
#     if !defined(SKIPSONGS_The_Beatles)
	SET_CDtt( 1, 02.50, "She Loves You");
	SET_CDtt( 2, 02.54, "Till There Was You");
	SET_CDtt( 3, 03.05, "Twist and Shout");
	SET_CDtt( 4, 02.22, "This Boy");
	SET_CDtt( 5, 02.37, "I Want to Hold Your Hand");
	SET_CDtt( 6, 02.06, "[Speech: Eric Morecombe and Ernie Wise]");
	SET_CDtt( 7, 00.50, "Moonlight Bay");
	SET_CDtt( 8, 02.10, "Can't Buy Me Love");
	SET_CDtt( 9, 02.19, "All My Loving");
	SET_CDtt(10, 02.42, "You Can't Do That");
	SET_CDtt(11, 01.52, "And I Love Her");
	SET_CDtt(12, 02.44, "A Hard Day's Night");
	SET_CDtt(13, 01.48, "I Wanna Be Your Man");
	SET_CDtt(14, 01.45, "Long Tall Sally");
	SET_CDtt(15, 01.50, "Boys");
	SET_CDtt(16, 01.31, "Shout");
	SET_CDtt(17, 01.13, "I'll Be Back  [demo]");
	SET_CDtt(18, 01.58, "I'll Be Back  [complete]");
	SET_CDtt(19, 01.58, "You Know What to Do");
	SET_CDtt(20, 01.47, "No Reply  [demo]");
	SET_CDtt(21, 02.47, "Mr Moonlight");
	SET_CDtt(22, 02.57, "Leave My Kitten Alone");
	SET_CDtt(23, 02.29, "No Reply");
	SET_CDtt(24, 01.25, "Eight Days a Week  [false starts]");
	SET_CDtt(25, 02.47, "Eight Days a Week");
	SET_CDtt(26, 02.45, "Kansas City/ Hey-Hey-Hey-Hey");
#     endif
	}
    if ( cdKey == BEAT_ANTHOLOGY3_D1 ) { /* 1:14:06-62 */
	tocPtr->discPerformer = "The Beatles";
	tocPtr->discTitle = "Anthology 3  [disc 1]";
	tocPtr->discCatNum = "072438344522600";
#     if !defined(SKIPSONGS_The_Beatles)
	SET_CDtt( 1, 00.50, "A Beginning");
	SET_CDtt( 2, 02.15, "Happiness is a Warm Gun");
	SET_CDtt( 3, 04.37, "Helter Skelter");
	SET_CDtt( 4, 01.58, "Mean Mr. Mustard");
	SET_CDtt( 5, 01.27, "Polythene Pam");
	SET_CDtt( 6, 01.51, "Glass Onion");
	SET_CDtt( 7, 02.24, "Junk");
	SET_CDtt( 8, 02.01, "Piggies");
	SET_CDtt( 9, 01.19, "Honey Pie");
	SET_CDtt(10, 02.43, "Don't Pass Me By");
	SET_CDtt(11, 02.56, "Ob-la-de, Ob-la-da");
	SET_CDtt(12, 02.38, "Good Night");
	SET_CDtt(13, 02.46, "Cry Baby Cry");
	SET_CDtt(14, 02.19, "Blackbird");
	SET_CDtt(15, 04.06, "Sexy Sadie");
	SET_CDtt(16, 03.27, "While My Guitar Gently Weeps");
	SET_CDtt(17, 04.22, "Hey Jude");
	SET_CDtt(18, 03.22, "Not Guilty");
	SET_CDtt(19, 03.17, "Mother Nature's Son");
	SET_CDtt(20, 02.09, "Glass Onion");
	SET_CDtt(21, 04.12, "Rocky Raccoon");
	SET_CDtt(22, 06.12, "What's the New Mary Jane");
	SET_CDtt(23, 02.31, "Step Inside Love/ Los Paranoias");
	SET_CDtt(24, 02.15, "I'm So Tired");
	SET_CDtt(25, 01.55, "I Will");
	SET_CDtt(26, 02.15, "Why Don't We Do It In The Road");
	SET_CDtt(27, 01.57, "Julia");
#     endif
	}
    if ( cdKey == JFAH_XMASGUITAR ) { /* 1:05:17-00 */
	tocPtr->discPerformer = "John Fahey";
	tocPtr->discTitle = "Christmas Guitar";
#     if !defined(SKIPSONGS_John_Fahey)
	SET_CDtt( 1, 01.39, "Joy To The World");
	SET_CDtt( 2, 03.26, "What Child Is This");
	SET_CDtt( 3, 04.32, "Medley: a) Hark The Herald Angels Sing, b) O Come All Ye Faithful");
	SET_CDtt( 4, 02.10, "Auld Lang Syne");
	SET_CDtt( 5, 02.24, "The Bells of Saint Mary's");
	SET_CDtt( 6, 01.21, "Good Christian Men Rejoice");
	SET_CDtt( 7, 01.52, "We Three Kings of Orient Are");
	SET_CDtt( 8, 01.25, "Away in a Manger (version 1)");
	SET_CDtt( 9, 03.00, "God Rest Ye Merry Gentlemen Fantasy");
	SET_CDtt(10, 01.45, "Jolly Old Saint Nicholas");
	SET_CDtt(11, 02.46, "Santa Claus is Coming to Town");
	SET_CDtt(12, 03.59, "The Skater's Waltz");
	SET_CDtt(13, 02.27, "The Christmas Song");
	SET_CDtt(14, 04.09, "Medley: a) Christmas Time's AComing, b) Rudolph The RedNosed Reindeer");
	SET_CDtt(15, 02.17, "Medley: a) The Holly and the Ivy, b) The Cherry Tree Carol");
	SET_CDtt(16, 01.39, "Apple Blossom Time");
	SET_CDtt(17, 01.45, "White Christmas");
	SET_CDtt(18, 03.56, "The First Noel");
	SET_CDtt(19, 01.08, "Good King Wenceslas");
	SET_CDtt(20, 01.28, "Of The Father's Love Begotten");
	SET_CDtt(21, 02.34, "Away in a Manger (version 2)");
	SET_CDtt(22, 01.54, "In The Bleak Midwinter");
	SET_CDtt(23, 03.04, "It Came Upon A Midnight Clear");
	SET_CDtt(24, 03.28, "Medley: a) Jesus, Won't You Come By Here, b) Go Tell It On The Mountain");
	SET_CDtt(25, 01.53, "Lo, How A Rose E'er Blooming");
	SET_CDtt(26, 03.14, "Silent Night, Holy Night");
#     endif
	}
    if ( cdKey == JHORTON_19561960_D1 ) { /* 1:13:32-25 */
	tocPtr->discPerformer = "Johnny Horton";
	tocPtr->discTitle = "Johnny Horton: 1956-1960  [disc 1]";
#     if !defined(SKIPSONGS_Johnny_Horton)
	SET_CDtt( 1, 02.00, "I'm a One Woman Man");
	SET_CDtt( 2, 02.14, "Honky Tonk Man");
	SET_CDtt( 3, 02.29, "I'm Ready if You're Willing");
	SET_CDtt( 4, 02.23, "I Got a Hole in my Pirogue");
	SET_CDtt( 5, 02.36, "Take Me Like I Am");
	SET_CDtt( 6, 02.15, "Sugar-Coated Baby");
	SET_CDtt( 7, 02.10, "I Don't Like I Did");
	SET_CDtt( 8, 01.56, "Hooray for That Little Difference");
	SET_CDtt( 9, 02.06, "I'm Coming Home");
	SET_CDtt(10, 02.26, "Over-Loving You");
	SET_CDtt(11, 02.21, "She Knows Why");
	SET_CDtt(12, 02.16, "Honky Tonk Mind (The Woman I Need)");
	SET_CDtt(13, 02.11, "Tell My Baby I Love Her");
	SET_CDtt(14, 02.21, "Goodbye Lonesome, Hello Baby Doll");
	SET_CDtt(15, 02.24, "I'll Do It Everytime");
	SET_CDtt(16, 02.32, "You're My Baby");
	SET_CDtt(17, 02.10, "Let's Take the Long Way Home");
	SET_CDtt(18, 02.36, "Lover's Rock");
	SET_CDtt(19, 02.21, "Honky-Tonk Hardwood Floor");
	SET_CDtt(20, 01.57, "The Wild One");
	SET_CDtt(21, 02.17, "Everytime I'm Kissing You");
	SET_CDtt(22, 02.00, "Not in the Sugarcane Field");
	SET_CDtt(23, 02.52, "Lonesome and Heartbroken");
	SET_CDtt(24, 02.19, "Seven Come Eleven");
	SET_CDtt(25, 02.16, "I Can't Forget You");
	SET_CDtt(26, 02.13, "Wise to the Ways of a Woman");
	SET_CDtt(27, 02.22, "Out in New Mexico");
	SET_CDtt(28, 02.27, "Tetched in the Head");
	SET_CDtt(29, 02.08, "Just Walk a Little Closer");
	SET_CDtt(30, 02.34, "Don't Use My Heart for a Stepping Stone");
	SET_CDtt(31, 02.04, "I Love You Baby");
	SET_CDtt(32, 02.14, "Wise to the Ways of a Woman");
#     endif
	}
    if ( cdKey == JHORTON_19561960_D2 ) { /* 1:14:08-65 */
	tocPtr->discPerformer = "Johnny Horton";
	tocPtr->discTitle = "Johnny Horton: 1956-1960  [disc 2]";
#     if !defined(SKIPSONGS_Johnny_Horton)
	SET_CDtt( 1, 02.10, "Counterfeit Love");
	SET_CDtt( 2, 02.32, "Mister Moonlight");
	SET_CDtt( 3, 01.56, "All Grown Up");
	SET_CDtt( 4, 01.54, "Got the Bull By the Horns");
	SET_CDtt( 5, 02.37, "When It's Springtime in Alaska");
	SET_CDtt( 6, 02.57, "Whispering Pines");
	SET_CDtt( 7, 02.31, "The Ballad of New Orleans");
	SET_CDtt( 8, 02.47, "All For the Love of a Girl");
	SET_CDtt( 9, 02.36, "Lost Highway");
	SET_CDtt(10, 02.32, "Sam Magee");
	SET_CDtt(11, 02.29, "Cherokee Boogie");
	SET_CDtt(12, 02.06, "The Golden Rocket");
	SET_CDtt(13, 02.31, "The Battle of New Orleans  [British version]");
	SET_CDtt(14, 02.37, "Joe's been A-Gittin' There");
	SET_CDtt(15, 02.21, "The First Train Heading South");
	SET_CDtt(16, 02.11, "Got the Bull By the Horns");
	SET_CDtt(17, 01.57, "Sal's Got a Sugarlip  [Rock 'n' Roll version]");
	SET_CDtt(18, 02.31, "Words");
	SET_CDtt(19, 02.21, "Johnny Reb");
	SET_CDtt(20, 02.01, "Sal's Got a Sugarlip");
	SET_CDtt(21, 02.04, "Ole Slew Foot");
	SET_CDtt(22, 02.19, "I'm Ready if You're Willing");
	SET_CDtt(23, 02.23, "Take Me Like I Am");
	SET_CDtt(24, 02.11, "They Shined Up Rudolph's Nose");
	SET_CDtt(25, 02.23, "The Electrified Donkey");
	SET_CDtt(26, 02.45, "The Same Old Tale the Crow Told Me");
	SET_CDtt(27, 02.55, "Sink the Bismark");
	SET_CDtt(28, 03.14, "Sink the Bismark  [2]");
	SET_CDtt(29, 02.31, "The Same Old Tale the Crow Told Me");
	SET_CDtt(30, 01.55, "All Grown Up");
	SET_CDtt(31, 01.49, "Got the Bull by the Horns");
#     endif
	}
    if ( cdKey == JHORTON_19561960_D3 ) { /* 1:16:38-42 */
	tocPtr->discPerformer = "Johnny Horton";
	tocPtr->discTitle = "Johnny Horton: 1956-1960  [disc 3]";
#     if !defined(SKIPSONGS_Johnny_Horton)
	SET_CDtt( 1, 02.22, "Ole Slew Foot");
	SET_CDtt( 2, 03.35, "Miss Marcy");
	SET_CDtt( 3, 02.43, "Sleepy Eyed John");
	SET_CDtt( 4, 03.09, "The Mansion You Stole");
	SET_CDtt( 5, 03.07, "They'll Never Take Her Love From Me");
	SET_CDtt( 6, 02.24, "The Sinking of the Rueben James");
	SET_CDtt( 7, 02.29, "Jim Bridger");
	SET_CDtt( 8, 02.36, "The Battle of Bull Run");
	SET_CDtt( 9, 01.56, "Snow-Shoe Thompson");
	SET_CDtt(10, 02.23, "John Paul Jones");
	SET_CDtt(11, 03.09, "Commanche (The Brave Horse)");
	SET_CDtt(12, 01.59, "Young Abe Lincoln");
	SET_CDtt(13, 01.45, "O'Leary's Cow");
	SET_CDtt(14, 02.49, "Johnny Freedom");
	SET_CDtt(15, 03.26, "Go North!");
	SET_CDtt(16, 03.04, "North to Alaska");
	SET_CDtt(17, 02.51, "North to Alaska");
	SET_CDtt(18, 02.56, "I Just Don't Like this Kind of Livin'");
	SET_CDtt(19, 02.40, "Rock Island Line");
	SET_CDtt(20, 02.55, "Hank and Joe and Me");
	SET_CDtt(21, 02.00, "The Golden Rocket");
	SET_CDtt(22, 02.15, "A-Sleeping at the Foot of the Bed");
	SET_CDtt(23, 02.53, "I Just Don't Like this Kind of Livin'");
	SET_CDtt(24, 02.16, "Old Blind Barnabas");
	SET_CDtt(25, 03.10, "Evil Hearted Me");
	SET_CDtt(26, 01.39, "Hot in the Sugarcane Field");
	SET_CDtt(27, 01.47, "You Don't Move Me Baby Anymore");
	SET_CDtt(28, 02.43, "The Gosh-Darn Wheel");
	SET_CDtt(29, 01.46, "Broken Hearted Gypsy");
	SET_CDtt(30, 01.49, "The Church by the Side of the Road");
#     endif
	}
    if ( cdKey == JHORTON_19561960_D4 ) { /* 0:59:30-57 */
	tocPtr->discPerformer = "Johnny Horton";
	tocPtr->discTitle = "Johnny Horton: 1956-1960  [disc 4]";
#     if !defined(SKIPSONGS_Johnny_Horton)
	SET_CDtt( 1, 02.47, "The Vanishing Race");
	SET_CDtt( 2, 01.44, "Broken Hearted Gypsy");
	SET_CDtt( 3, 00.59, "That Boy Got the Habit");
	SET_CDtt( 4, 01.06, "Hot in the Sugarcane Field");
	SET_CDtt( 5, 01.47, "You Don't Move Me Baby Anymore");
	SET_CDtt( 6, 01.03, "The Church By the Side of the Road");
	SET_CDtt( 7, 02.52, "I Just Don't Like This Kind of Livin'");
	SET_CDtt( 8, 02.01, "Take it Like a Man");
	SET_CDtt( 9, 02.48, "Hank and Joe and Me");
	SET_CDtt(10, 00.54, "The Golden Rocket");
	SET_CDtt(11, 01.23, "Old Blind Barnabas");
	SET_CDtt(12, 03.10, "Empty Bed Blues");
	SET_CDtt(13, 02.41, "Rock Island Line");
	SET_CDtt(14, 02.14, "Shake, Rattle and Roll");
	SET_CDtt(15, 01.13, "A-Sleeping at the Foot of the Bed");
	SET_CDtt(16, 01.03, "Old Dan Tucker");
	SET_CDtt(17, 02.32, "The Gosh Darn Wheel");
	SET_CDtt(18, 01.02, "From Memphis to Mobile");
	SET_CDtt(19, 00.52, "Back Up Train");
	SET_CDtt(20, 01.15, "Schottische in Texas");
	SET_CDtt(21, 02.01, "Take It Like a Man");
	SET_CDtt(22, 01.55, "That Boy Got the Habit");
	SET_CDtt(23, 02.07, "My Heart Stopped, Trembled and Died");
	SET_CDtt(24, 01.18, "Alley Girl Ways");
	SET_CDtt(25, 01.08, "How You Gonna Make It");
	SET_CDtt(26, 00.59, "Witch Walking Baby");
	SET_CDtt(27, 01.53, "Down that River Road");
	SET_CDtt(28, 01.58, "Big Wheels Rollin'");
	SET_CDtt(29, 02.25, "I Got a Slow Leak in My Heart");
	SET_CDtt(30, 01.38, "You Don't Move Me Baby Anymore");
	SET_CDtt(31, 01.11, "What Will I Do Without You");
	SET_CDtt(32, 01.25, "Janey");
	SET_CDtt(33, 02.31, "Streets of Dodge");
	SET_CDtt(34, 01.33, "Give Me Back My Picture and You Can Keep the Frame");
#     endif
	}
    if ( cdKey == KINGTRIO_CAPYEARS_D2 ) { /* 1:16:11-72 */
	tocPtr->discPerformer = "The Kingston Trio";
	tocPtr->discTitle = "The Capitol Years  [disc 2]";
	tocPtr->discCatNum = "072438285002100";
#     if !defined(SKIPSONGS_Kingston_Trio)
	SET_CDtt( 1, 02.27, "El Matador");
	SET_CDtt( 2, 02.52, "The Mountains O'Mourne");
	SET_CDtt( 3, 02.22, "Home From the Hill");
	SET_CDtt( 4, 02.42, "The World's Last Authentic Playboy");
	SET_CDtt( 5, 02.14, "Rasberries, Strawberries");
	SET_CDtt( 6, 02.55, "Bimini");
	SET_CDtt( 7, 02.23, "Green Grasses");
	SET_CDtt( 8, 02.25, "With You, My Johnny");
	SET_CDtt( 9, 02.38, "Bad Man's Blunder");
	SET_CDtt(10, 02.32, "The Escape of Old John Webb");
	SET_CDtt(11, 02.50, "Colorado Trail");
	SET_CDtt(12, 02.22, "Buddy Better Get On Down the Line");
	SET_CDtt(13, 02.39, "Coast of California");
	SET_CDtt(14, 02.59, "Bye Bye Thou Little Tiny Child");
	SET_CDtt(15, 01.31, "A Round About Christmas");
	SET_CDtt(16, 02.53, "Come All Ye Fair and Tender Ladies");
	SET_CDtt(17, 02.47, "Bonnie Hielan' Laddie");
	SET_CDtt(18, 03.38, "The River is Wide");
	SET_CDtt(19, 02.16, "Don't You Weep, Mary");
	SET_CDtt(20, 02.58, "Sea Fever");
	SET_CDtt(21, 01.50, "The Golden Spike");
	SET_CDtt(22, 02.04, "Mary Was Pretty");
	SET_CDtt(23, 03.01, "The Wines of Madeira");
	SET_CDtt(24, 03.00, "Senora");
	SET_CDtt(25, 02.43, "Adieu To My Island");
	SET_CDtt(26, 03.22, "It Was a Very Good Year");
	SET_CDtt(27, 02.45, "You're Gonna Miss Me");
	SET_CDtt(28, 02.32, "The Bonnie Ship, The Diamond  [Dave Guard and the Whiskeyhill Singers]");
	SET_CDtt(29, 02.29, "Come Along Julie  [The Cumberland Three]");
#     endif
	}
    if ( cdKey == KINGTRIO_CAPYEARS_D3 ) { /* 1:17:56-47 */
	tocPtr->discPerformer = "The Kingston Trio";
	tocPtr->discTitle = "The Capitol Years  [disc 3]";
	tocPtr->discCatNum = "072438285012000";
#     if !defined(SKIPSONGS_Kingston_Trio)
	SET_CDtt( 1, 02.24, "Coming From the Mountains");
	SET_CDtt( 2, 03.13, "Oh, Sail Away");
	SET_CDtt( 3, 02.37, "Take Her Out of Pity");
	SET_CDtt( 4, 03.05, "The Whistling Gypsy");
	SET_CDtt( 5, 02.27, "Nothing More to Look Forward To");
	SET_CDtt( 6, 03.21, "Weeping Willow");
	SET_CDtt( 7, 02.38, "Jesse James");
	SET_CDtt( 8, 03.03, "Where Have All the Flowers Gone");
	SET_CDtt( 9, 03.01, "Little Light");
	SET_CDtt(10, 02.39, "Chilly Winds");
	SET_CDtt(11, 03.06, "Oh Miss Mary");
	SET_CDtt(12, 02.55, "Roddy McCorley");
	SET_CDtt(13, 03.03, "500 Miles");
	SET_CDtt(14, 02.31, "Goin' Away for to Leave You");
	SET_CDtt(15, 02.00, "Old Kentucky Land");
	SET_CDtt(16, 02.20, "Rocky");
	SET_CDtt(17, 03.10, "One More Town");
	SET_CDtt(18, 02.55, "Away Rio");
	SET_CDtt(19, 03.16, "Pullin' Away");
	SET_CDtt(20, 03.22, "All The Good Times");
	SET_CDtt(21, 03.02, "Darlin' Are You Dreaming");
	SET_CDtt(22, 02.30, "Allentown Jail");
	SET_CDtt(23, 02.51, "Greenback Dollar");
	SET_CDtt(24, 02.10, "Honey, Are You Mad at Your Man");
	SET_CDtt(25, 02.29, "The Long Black Veil");
	SET_CDtt(26, 02.33, "Genny Glenn");
	SET_CDtt(27, 02.52, "The First Time (Ever I Saw Your Face)");
	SET_CDtt(28, 02.21, "The New Frontier");
#     endif
	}
    if ( cdKey == KINGTRIO_CAPYEARS_D4 ) { /* 1:17:52-07 */
	tocPtr->discPerformer = "The Kingston Trio";
	tocPtr->discTitle = "The Capitol Years  [disc 4]";
	tocPtr->discCatNum = "072438285022900";
#     if !defined(SKIPSONGS_Kingston_Trio)
	SET_CDtt( 1, 03.06, "The Reverend Mr. Black");
	SET_CDtt( 2, 02.17, "Road to Freedom");
	SET_CDtt( 3, 02.54, "River Run Down");
	SET_CDtt( 4, 02.49, "One More Round");
	SET_CDtt( 5, 02.45, "Run the Ridges");
	SET_CDtt( 6, 03.16, "Love Has Gone");
	SET_CDtt( 7, 03.09, "Try to Remember");
	SET_CDtt( 8, 02.37, "Mark Twain");
	SET_CDtt( 9, 02.37, "Desert Pete");
	SET_CDtt(10, 03.07, "Ballad of the Thresher");
	SET_CDtt(11, 02.56, "Two-Ten, Six-Eighteen");
	SET_CDtt(12, 02.51, "Those Who Are Wise");
	SET_CDtt(13, 02.52, "Rider");
	SET_CDtt(14, 02.46, "The Patriot Game");
	SET_CDtt(15, 02.33, "Coal Tattoo");
	SET_CDtt(16, 03.14, "Hobo's Lullaby");
	SET_CDtt(17, 02.53, "Seasons in the Sun");
	SET_CDtt(18, 02.35, "Song for a Friend");
	SET_CDtt(19, 02.54, "Four Strong Winds");
	SET_CDtt(20, 02.07, "Last Night I Had the Strangest Dream");
	SET_CDtt(21, 02.48, "Ann");
	SET_CDtt(22, 02.30, "Let's Get Together");
	SET_CDtt(23, 03.37, "Hard, Ain't It Hard  [live]");
	SET_CDtt(24, 03.20, "Reuben James  [live]");
	SET_CDtt(25, 04.12, "Pullin' Away  [live]");
	SET_CDtt(26, 05.05, "Farewell Captain  [live]");
#     endif
	}
    if ( cdKey == LEDZEP_REMASTERS_D3 ) { /* 1:03:16-00 */
	tocPtr->discPerformer = "Led Zeppelin";
	tocPtr->discTitle = "Remasters [disc 3]";
	tocPtr->discCatNum = "007567823712600";
#     if !defined(SKIPSONGS_Led_Zeppelin)
	SET_CDtt( 1, 28.13, "Answers from Page, Plant, and Jones");
	SET_CDtt( 2, 00.08, "Hello.  This is Jimmy Page, and you're listening to the station that made rock classic.");
	SET_CDtt( 3, 00.09, "Hi there, this is Jimmy Page.  Hold on to your seats, here comes Led Zeppelin.");
	SET_CDtt( 4, 00.11, "Good morning, this is Jimmy Page.  Come on, it's time to wake up and get the Led out.");
	SET_CDtt( 5, 00.08, "Hi, this is Jimmy Page and this deejay is insane.");
	SET_CDtt( 6, 00.07, "Hello, I'm Jimmy Page and this is Led Zeppelin.");
	SET_CDtt( 7, 00.08, "Hello, this is Jimmy Page and I wanna hear some rock and roll.");
	SET_CDtt( 8, 00.09, "Hello, this is Jimmy Page.  Keep your radio tuned right here.");
	SET_CDtt( 9, 01.03, "Q: How did the Led Zeppelin 4-CD set come about?  A: [Jimmy Page]");
	SET_CDtt(10, 00.32, "Q: Where did you find all the old Led Zeppelin tapes?  A: [Jimmy Page]");
	SET_CDtt(11, 00.30, "Q: What was the hardest part of the project?  A: [Jimmy Page]");
	SET_CDtt(12, 00.35, "Q: What is the difference between these versions and the originals?  A: [Jimmmy Page]");
	SET_CDtt(13, 01.41, "Q: Did you have any old unreleased numbers left-over?  A:  [Jimmy Page]");
	SET_CDtt(14, 00.50, "Q: Do any of the songs specifically benefit from the new EQ, new production values you put in?  A:  [Jimmy Page]");
	SET_CDtt(15, 01.01, "Q: Is it true that Elvis Presley's Baby Let's Play House get you into rock and roll?  A: [Jimmy Page]");
	SET_CDtt(16, 02.14, "Q: What was your idea when you put Led Zeppelin together?  A: [Jimmy Page]");
	SET_CDtt(17, 00.43, "Q: How long did `Led Zeppelin I' take to record?  A: [Jimmy Page]");
	SET_CDtt(18, 00.44, "Q: What was the first Zeppelin tour of the United States like?  A: [Jimmy Page]");
	SET_CDtt(19, 00.59, "Q: As a producer, what studio techniques did you specifically come up with?  A: [Jimmy Page]");
	SET_CDtt(20, 00.31, "Q: What is the most satisfying thing about Led Zeppelin to you?  A: [Jimmy Page]");
	SET_CDtt(21, 00.36, "Q: What do you remember about Led Zeppelin's first rehearsal?  A: [Robert Plant]");
	SET_CDtt(22, 01.17, "Q: What were the various influences that  everyone brought into the mix with Led Zeppelin?  A: [Robert Plant]");
	SET_CDtt(23, 00.38, "Q: Tell us how Led Zeppelin replaced Jeff Beck's group for the first U.S tour?  A: [Robert Plant]");
	SET_CDtt(24, 01.10, "Q: You've told me before, Robert, that you were never happy with the first Led Zeppelin album.  Why?  A: [Robert Plant]");
	SET_CDtt(25, 00.30, "Q: Tell us what the Led Zeppelin stage show was like.  A: [Robert Plant]");
	SET_CDtt(26, 00.54, "");
	SET_CDtt(27, 00.43, "");
	SET_CDtt(28, 01.29, "");
	SET_CDtt(29, 01.36, "");
	SET_CDtt(30, 00.54, "");
	SET_CDtt(31, 01.54, "");
	SET_CDtt(32, 01.11, "Q: How would you like Led Zeppelin be remembered?  A: [Robert Plant]");
	SET_CDtt(33, 00.43, "Q: How did you start playing bass guitar?  A: [John Paul Jones]");
	SET_CDtt(34, 00.46, "");
	SET_CDtt(35, 00.31, "");
	SET_CDtt(36, 01.03, "");
	SET_CDtt(37, 00.53, "");
	SET_CDtt(38, 00.44, "");
	SET_CDtt(39, 01.26, "");
	SET_CDtt(40, 00.44, "");
	SET_CDtt(41, 00.32, "");
	SET_CDtt(42, 00.44, "Q: What do you consider one of the best moments of Led Zeppelin?  A: [John Paul Jones]");
	SET_CDtt(43, 01.40, "Q: Tell us about Led Zeppelin's studio techniques.  A: [John Paul Jones]");
#     endif
	}
    if ( cdKey == GLIGHT_UACOL_D1 ) { /* 1:17:32-35 */
	tocPtr->discPerformer = "Gordon Lightfoot";
	tocPtr->discTitle = "The United Artists Collection  [disc 1]";
	/* Disc 2 has: tocPtr->discCatNum = "007777270172900"; */
#     if !defined(SKIPSONGS_Gordon_Lightfoot)
	SET_CDtt( 1, 02.47, "Rich Man's Spiritual");
	SET_CDtt( 2, 02.49, "Long River");
	SET_CDtt( 3, 03.45, "The Way I Feel  [version 1]");
	SET_CDtt( 4, 02.28, "For Lovin' Me");
	SET_CDtt( 5, 03.13, "The First Time Ever I Saw Your Face");
	SET_CDtt( 6, 02.33, "Changes");
	SET_CDtt( 7, 03.08, "Early Mornin' Rain");
	SET_CDtt( 8, 02.53, "Steel Rail Blues");
	SET_CDtt( 9, 02.08, "Sixteen Miles (To Seven Lakes)");
	SET_CDtt(10, 02.31, "I'm Not Sayin'");
	SET_CDtt(11, 02.44, "Pride of Man");
	SET_CDtt(12, 02.42, "Ribbon of Darkness");
	SET_CDtt(13, 03.12, "Oh, Linda");
	SET_CDtt(14, 02.06, "Peaceful Waters");
	SET_CDtt(15, 02.54, "Walls");
	SET_CDtt(16, 02.31, "If You Got It");
	SET_CDtt(17, 03.26, "Softly");
	SET_CDtt(18, 03.00, "Crossroads");
	SET_CDtt(19, 03.17, "A Minor Ballad");
	SET_CDtt(20, 02.40, "GoGo Round");
	SET_CDtt(21, 02.43, "Rosanna");
	SET_CDtt(22, 03.05, "Home From the Forest");
	SET_CDtt(23, 02.28, "I'll Be Alright");
	SET_CDtt(24, 03.00, "Song For a Winter's Night");
	SET_CDtt(25, 06.22, "Canadian Railroad Trilogy");
	SET_CDtt(26, 03.05, "The Way I Feel  [version 2]");
#     endif
	}
    if ( cdKey == RMcGUINN_LIVEFROMARS ) { /* 1:02:45-45 */
	tocPtr->discPerformer = "Roger McGuinn";
	tocPtr->discTitle = "Live from Mars";
	SET_CDtt( 1, 00.31, "Heartbreak Hotel intro");
	SET_CDtt( 2, 01.55, "Heartbreak Hotel");
	SET_CDtt( 3, 00.38, "Daddy Roll 'Em intro");
	SET_CDtt( 4, 02.09, "Daddy Roll 'Em");
	SET_CDtt( 5, 00.40, "Gate of Horn intro");
	SET_CDtt( 6, 02.52, "Gate of Horn");
	SET_CDtt( 7, 02.46, "Chestnut Mare intro");
	SET_CDtt( 8, 04.43, "Chestnut Mare");
	SET_CDtt( 9, 01.48, "Bells of Rhymney intro");
	SET_CDtt(10, 03.09, "Bells of Rhymney");
	SET_CDtt(11, 03.40, "Turn! Turn! Turn!");
	SET_CDtt(12, 00.37, "Beach Ball intro");
	SET_CDtt(13, 01.08, "Beach Ball");
	SET_CDtt(14, 00.31, "Wild Mountain Thyme intro");
	SET_CDtt(15, 01.29, "Wild Mountain Thyme");
	SET_CDtt(16, 00.42, "You Showed Me intro");
	SET_CDtt(17, 02.07, "You Showed Me");
	SET_CDtt(18, 01.33, "Mr. Tambourine Man intro  [acoustic]");
	SET_CDtt(19, 02.54, "Mr. Tambourine Man  [acoustic]");
	SET_CDtt(20, 00.29, "Mr. Tambourine Man intro  [electric]");
	SET_CDtt(21, 02.16, "Mr. Tambourine Man  [electric]");
	SET_CDtt(22, 00.25, "Mr. Spaceman intro");
	SET_CDtt(23, 02.14, "Mr. Spaceman");
	SET_CDtt(24, 00.30, "Eight Miles High intro");
	SET_CDtt(25, 05.45, "Eight Miles High");
	SET_CDtt(26, 02.04, "So You Want to be a Rock 'n' Roll Star");
	SET_CDtt(27, 03.01, "King of the Hill");
	SET_CDtt(28, 03.44, "May the Road Rise");
	SET_CDtt(29, 02.33, "Fireworks  [studio]");
	SET_CDtt(30, 03.50, "May the Road Rise  [studio]");
	}
    if ( cdKey == YARDB_GIORGIO_D3 ) { /* 1:13:55-38 */
	tocPtr->discPerformer = "The Yardbirds";
	tocPtr->discTitle = "Train Kept A-Rollin' - The Complete Giorgio Gomelsky Productions  [disc 3]";
#     if !defined(SKIPSONGS_The_Yardbirds)
	SET_CDtt( 1, 02.27, "For Your Love");
	SET_CDtt( 2, 00.42, "Got to Hurry  [take 2 - false start]");
	SET_CDtt( 3, 02.48, "Got to Hurry  [take 3]");
	SET_CDtt( 4, 02.35, "Got to Hurry  [take 4]");
	SET_CDtt( 5, 02.17, "Putty (In Your Hands)");
	SET_CDtt( 6, 02.30, "Sweet Music  [take 3]");
	SET_CDtt( 7, 02.37, "Sweet Music  [take 4]");
	SET_CDtt( 8, 02.32, "I'm Not Done Talking");
	SET_CDtt( 9, 03.37, "I Ain't Done Wrong");
	SET_CDtt(10, 05.37, "My Girl Sloopy");
	SET_CDtt(11, 01.53, "Heart Full of Soul  [sitar version]");
	SET_CDtt(12, 02.28, "Heart Full of Soul");
	SET_CDtt(13, 02.37, "Steeled Blues");
	SET_CDtt(14, 02.24, "Evil Hearted You");
	SET_CDtt(15, 02.57, "Still I'm Sad");
	SET_CDtt(16, 02.36, "Shapes of Things");
	SET_CDtt(17, 03.17, "Mr. You're a Better Man than I");
	SET_CDtt(18, 02.37, "I'm a Man");
	SET_CDtt(19, 04.20, "New York City Blues");
	SET_CDtt(20, 03.25, "Train Kept A-Rollin'");
	SET_CDtt(21, 02.26, "Paff...Bum  [version one]");
	SET_CDtt(22, 02.32, "Questa Volta");
	SET_CDtt(23, 02.37, "Paff...Bum  [version two]");
	SET_CDtt(24, 02.43, "Mr. Zero");
	SET_CDtt(25, 01.50, "Knowing");
	SET_CDtt(26, 02.26, "Without You");
	SET_CDtt(27, 03.03, "Climbing Through");
#     endif
	}

}
